(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1093236,      25279]
NotebookOptionsPosition[   1040269,      24360]
NotebookOutlinePosition[   1040895,      24381]
CellTagsIndexPosition[   1040852,      24378]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8113407476713305`*^9, 3.8113407584839287`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"2122faeb-9855-40a6-8c74-09e729807da3"],

Cell["7.5.1", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9},ExpressionUUID->"30542361-6830-4018-a59c-\
ddd8cfd75895"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "0"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.816342390666215*^9, 3.8163424468412685`*^9}, 
   3.8163426761350727`*^9, {3.8163427429896107`*^9, 3.8163427917673283`*^9}, {
   3.816345550283465*^9, 3.816345554815581*^9}, {3.8163625293832555`*^9, 
   3.8163625441925*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"6fa81747-37b0-40f8-991b-ab5accc6bacc"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {2, 3}, {2, 4}, {3, 
       4}, {3, 3}, {4, 2}, {4, 3}}, Null}, {EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "a/2", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 0]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/2", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/0"}, 
       EdgeWeight -> {"", "a/1", "b/0", "a/2", "b/1", "a/2", "b/0"}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.43304733243928384`}, {1.139687182964069, 
          0.43303442441185447`}}, 0.023237346467235243`], 
         InsetBox["\<\"\"\>", {0.5698435914820345, 0.43304087842556915}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.139687182964069, 0.43303442441185447`}, {
          2.0775176225942094`, 0.8660666749928795}}, 0.023237346467235243`], 
         InsetBox["\<\"a/1\"\>", {1.6086024027791392, 0.649550549702367}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.139687182964069, 0.43303442441185447`}, {
          1.679789286744615, 0.3707276398997768}, {2.0774743819125585`, 0.}}],
           0.023237346467235243`], 
         InsetBox["\<\"b/0\"\>", {1.6388931921471435, 0.2821623161323218}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0775176225942094`, 0.8660666749928795}, {
          1.9644899068335624`, 1.0434128628500572`}, {2.0241602455848042`, 
          1.2413336441355407`}, {2.142356617454399, 1.3166856351095984`}, {
          2.4594615809852045`, 1.1138172655467073`}, {2.44059213782847, 
          0.9749207249783951}, {2.2859091954856137`, 0.8377843974079785}, {
          2.0775176225942094`, 0.8660666749928795}},
          SplineDegree->7], 0.023237346467235243`], 
         InsetBox["\<\"b/1\"\>", {2.3469702096062734, 1.287249893263154}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0775176225942094`, 0.8660666749928795}, {
          2.2199126533996107`, 0.4330262269664402}, {2.0774743819125585`, 
          0.}}], 0.023237346467235243`], 
         InsetBox["\<\"a/2\"\>", {2.138120669502886, 0.4330303106487242}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0774743819125585`, 0.}, {
          1.5373722781320152`, 0.062306784512075775`}, {1.139687182964069, 
          0.43303442441185447`}}], 0.023237346467235243`], 
         InsetBox["\<\"a/2\"\>", {1.5782683727294837, 0.15087210827953298}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0774743819125585`, 0.}, {
          1.935079351107158, 0.4330404480264539}, {2.0775176225942094`, 
          0.8660666749928795}}], 0.023237346467235243`], 
         InsetBox["\<\"b/0\"\>", {2.0168713350038825, 0.4330363643441554}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.43304733243928384}, 0.023237346467235243], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.023237346467235243, 0.4562846789065191}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.139687182964069, 0.43303442441185447}, 
          0.023237346467235243], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {1.1629245294313042, 0.4562717708790897}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0775176225942094, 0.8660666749928795}, 
          0.023237346467235243], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {2.1007549690614447, 0.8893040214601147}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0774743819125585, 0.}, 0.023237346467235243], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {2.100711728379794, 0.023237346467235243}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.816344975634532*^9, 3.8163455556846714`*^9, 3.816361705381015*^9, 
   3.8163619994431047`*^9, 3.816362093238675*^9, {3.8163625330133324`*^9, 
   3.8163625612629614`*^9}, 3.816365880288437*^9, 3.8163664442109547`*^9, 
   3.816418199728242*^9, 3.816437702192989*^9, 3.816455396435608*^9, 
   3.816514889671938*^9, 3.8328449323902965`*^9, 3.8637077856927233`*^9, 
   3.864462068681311*^9},
 CellLabel->"Out[2]=",
 CellID->107525381,ExpressionUUID->"56303a59-b154-44d3-8841-86db4e1fe941"]
}, Open  ]],

Cell["7.5.2", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
   3.8113408643025455`*^9, 3.8113408649328566`*^9}, 
   3.8161634260917377`*^9},ExpressionUUID->"69d1e2ed-7137-4681-8106-\
0f2c6443c991"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8163450336449623`*^9, 3.8163451456837053`*^9}, {
  3.816362536137913*^9, 3.816362540410199*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"770129c8-2e5f-419f-9e40-fe504c613378"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 2], 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1]}, {{{1, 2}, {3, 4}, {3, 2}, {3, 
       3}, {4, 3}, {4, 4}, {4, 2}, {2, 4}, {2, 3}, {2, 2}}, Null}, {
      EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 2]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/0"}, 
       EdgeWeight -> {
        "", "a/1", "b/0", "c/1", "a/0", "b/1", "c/1", "a/0", "b/1", "c/0"}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.43098834433365935`}, {1.1342683713237616`, 
          0.4309754963836057}}, 0.023157934176935097`], 
         InsetBox["\<\"\"\>", {0.5671341856618808, 0.43098192035863253}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1342683713237616`, 0.4309754963836057}, {
          1.3094508442191146`, 0.20523371872125415`}, {1.2734275777596273`, 
          0.043067205958395194`}, {
          1.1913190984992148`, -0.03326160555413188}, {0.887848534615624, 
          0.0334228126251733}, {0.8453038629269867, 0.13714282392616842`}, {
          0.8805851449704094, 0.2994723798469871}, {1.1342683713237616`, 
          0.4309754963836057}},
          SplineDegree->7], 0.023157934176935097`], 
         InsetBox["\<\"c/0\"\>", {1.0269589047521561, -0.05737343459107903}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1342683713237616`, 0.4309754963836057}, {
          1.5300844874329522`, 0.7999464513462672}, {2.06763975753792, 
          0.8619488300121502}}], 0.023157934176935097`], 
         InsetBox["\<\"b/1\"\>", {1.5707859310768428, 0.7117981602328691}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1342683713237616`, 0.4309754963836057}, {
          1.6718024781936844`, 0.3689649591787616}, {2.0675967197777427`, 
          0.}}], 0.023157934176935097`], 
         InsetBox["\<\"a/0\"\>", {1.6311008302976044, 0.28082073258358164}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.06763975753792, 0.8619488300121502}, {
          1.6718236414287213`, 0.49297787504948215`}, {1.1342683713237616`, 
          0.4309754963836057}}], 0.023157934176935097`], 
         InsetBox["\<\"b/0\"\>", {1.631122197784839, 0.5811261661628868}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.06763975753792, 0.8619488300121502}, {
          1.9546120421401838`, 1.0392950181006209`}, {2.0142823812964386`, 
          1.2372157992639985`}, {2.1324787533202296`, 1.3125677899961863`}, {
          2.449583716435897, 1.1096994197843912`}, {2.4307142729949334`, 
          0.9708028792546921}, {2.2760313303714494`, 0.8336665520008093}, {
          2.06763975753792, 0.8619488300121502}},
          SplineDegree->7], 0.023157934176935097`], 
         InsetBox["\<\"c/1\"\>", {2.337092345411868, 1.2831320477310333}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.06763975753792, 0.8619488300121502}, {
          2.2093577482986486`, 0.43096733784464647`}, {2.0675967197777427`, 
          0.}}], 0.023157934176935097`], 
         InsetBox["\<\"a/1\"\>", {2.1279546567586825, 0.43097140236286263}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0675967197777427`, 0.}, {
          1.5300626129078156`, 0.062010537204848275`}, {1.1342683713237616`, 
          0.4309754963836057}}], 0.023157934176935097`], 
         InsetBox["\<\"c/1\"\>", {1.5707642608038999, 0.15015476380002424}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0675967197777427`, 0.}, {
          1.9258787290170174`, 0.4309814921675317}, {2.06763975753792, 
          0.8619488300121502}}], 0.023157934176935097`], 
         InsetBox["\<\"a/0\"\>", {2.0072818205569805, 0.4309774276492874}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0675967197777427`, 0.}, {
          2.2759899795809178`, 0.028269845173774427`}, {
          2.4306647402797523`, -0.10887571032877336`}, {
          2.4495258970222165`, -0.24777337637549365`}, {
          2.132408831201806, -0.4506228275219838}, {
          2.014216954940927, -0.3752637852455377}, {
          1.9545584239833331`, -0.17733944446016103`}, {2.0675967197777427`, 
          0.}},
          SplineDegree->7], 0.023157934176935097`], 
         InsetBox["\<\"b/1\"\>", {2.3370241790862996, -0.4211992926994726}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.43098834433365935}, 0.023157934176935097], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.023157934176935097, 0.4541462785105944}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1342683713237616, 0.4309754963836057}, 
          0.023157934176935097], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {1.1574263055006966, 0.4541334305605408}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.06763975753792, 0.8619488300121502}, 
          0.023157934176935097], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {2.0907976917148554, 0.8851067641890853}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0675967197777427, 0.}, 0.023157934176935097], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {2.090754653954678, 0.023157934176935097}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8163451948572836`*^9, 3.816361777360319*^9, 
  3.8163620900114193`*^9, 3.8163625672405796`*^9, 3.8163658834596543`*^9, 
  3.816366448144109*^9, 3.8164182024194503`*^9, 3.8164553999061823`*^9, 
  3.816514892671139*^9, 3.8328449359244413`*^9, 3.8637077886104803`*^9},
 CellLabel->"Out[3]=",
 CellID->70117935,ExpressionUUID->"4353636a-075e-4c06-af3b-a783c917e565"]
}, Open  ]],

Cell["7.5.3", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
   3.8113408665306587`*^9, 3.811340867070219*^9}, 
   3.816163427552707*^9},ExpressionUUID->"8f385eee-41df-4239-8100-\
756d09996e64"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "3"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.816345213817543*^9, 3.8163453384151125`*^9}, 
   3.8163453797294335`*^9},
 CellLabel->"In[4]:=",ExpressionUUID->"dd58aa57-151b-4271-9f61-39d7ac824fb9"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 3], 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {3, 2}, {3, 4}, {3, 
       3}, {4, 2}, {4, 4}, {5, 3}, {5, 4}, {5, 5}, {2, 2}, {2, 3}}, Null}, {
      EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/1,b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/1,c/0", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 3]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1"}, 
       EdgeWeight -> {
        "", "a/0", "b/1", "c/1", "a/1,c/0", "b/0", "a/0", "b/1", "c/0", 
         "a/1,b/0", "c/1"}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{2.9960486325295905`, 0.3697619899760828}, {
          1.8708862665827026`, 0.36994209737127787`}}, 0.03021117786496387], 
         InsetBox["\<\"\"\>", {2.4334674495561464, 0.3698520436736803}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.8708862665827026`, 
          0.36994209737127787`}, {1.6859208140090582`, 0.5813207599048689}, {
          1.7132439812028124`, 0.7484647663399049}, {1.7930211933947844`, 
          0.8303579867722733}, {2.1042970586505287`, 0.774373998909398}, {
          2.1505403304529342`, 0.6698155800665506}, {2.117912296968459, 
          0.503625671276669}, {1.8708862665827026`, 0.36994209737127787`}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"a/1,b/0\"\>", {1.959392833071566, 0.8620463421084602}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.8708862665827026`, 
          0.36994209737127787`}, {1.4344308302880837`, 0.02142190212762927}, {
          0.8763082841810266, 0.}}], 0.03021117786496387], 
         InsetBox["\<\"c/1\"\>", {1.3994932221978542, 0.11535058991752145}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.8763082841810266, 0.}, {
          1.3127637204756404`, 0.34852019524364497`}, {1.8708862665827026`, 
          0.36994209737127787`}}], 0.03021117786496387], 
         InsetBox["\<\"a/0\"\>", {1.3477013285658752, 0.25459150745375625}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.8763082841810266, 0.}, {
          1.0651344268720937`, -0.09258305846079887}, {
          1.117218005707781, -0.29263426642268775`}, {
          1.055525449192611, -0.418500597653532}, {
          0.6791680361862373, -0.41036235827827316`}, {
          0.6229739928954434, -0.28194688270962354`}, {
          0.6836565382244021, -0.08433409546207968}, {0.8763082841810266, 0.}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"c/1\"\>", {0.8654989615739006, -0.49988314488965835}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0.8763082841810266, 0.}, {0.8762235727090737, 
          0.7395078826957271}}, 0.03021117786496387], 
         InsetBox["\<\"b/1\"\>", {0.8762659284450501, 0.36975394134786355}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0.8762235727090737, 0.7395078826957271}, {
          1.8708862665827026`, 0.36994209737127787`}}, 0.03021117786496387], 
         InsetBox["\<\"a/1,c/0\"\>", {1.3735549196458883, 0.5547249900335025},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.8762235727090737, 0.7395078826957271}, {
          0.6835604274520709, 0.8238159329473015}, {0.6228511675584605, 
          1.0214205147628914`}, {0.67902784994738, 1.149843585987125}, {
          1.0553841593123177`, 1.1580327047542691`}, {1.1170937310352644`, 
          1.0321747148423825`}, {1.0650371974428947`, 0.8321164675700179}, {
          0.8762235727090737, 0.7395078826957271}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"b/0\"\>", {0.8653466713867509, 1.2393895617134967}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0., 0.3698181883412253}, {0.8763082841810266, 0.}}, 
          0.03021117786496387], 
         InsetBox["\<\"a/0\"\>", {0.4381541420905133, 0.18490909417061266}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0., 0.3698181883412253}, {0.8762235727090737, 
          0.7395078826957271}}, 0.03021117786496387], 
         InsetBox["\<\"b/1\"\>", {0.43811178635453685, 0.5546630355184762}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0., 
          0.3698181883412253}, {-0.08848782609564562, 
          0.17903863097091965`}, {-0.28736883696486304`, 
          0.12265132293992426`}, {-0.4145368127362429, 
          0.1816141146402823}, {-0.41451990138679595`, 
          0.5580595064024678}, {-0.28734662846590997`, 
          0.6170108721328723}, {-0.0884706846613115, 0.5606056953564954}, {0.,
           0.3698181883412253}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"c/0\"\>", {-0.49999999949546364, 0.36984065023051926}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.9960486325295905, 0.3697619899760828}, 
          0.03021117786496387], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {3.0262598103945546, 0.39997316784104664}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8708862665827026, 0.36994209737127787}, 
          0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "3"], 
          Offset[{2, 2}, {1.9010974444476665, 0.4001532752362417}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8763082841810266, 0.}, 0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {0.9065194620459904, 0.03021117786496387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8762235727090737, 0.7395078826957271}, 
          0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {0.9064347505740376, 0.769719060560691}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.3698181883412253}, 0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {0.03021117786496387, 0.4000293662061892}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.816345404701005*^9, 3.816361821374423*^9, 
  3.8163620871098247`*^9, 3.8163625696620464`*^9, 3.8163658861832285`*^9, 
  3.81636645094403*^9, 3.8164182048706784`*^9, 3.816455402858676*^9, 
  3.8165148960088797`*^9, 3.8328449388666506`*^9, 3.863707792307175*^9},
 CellLabel->"Out[4]=",
 CellID->169825259,ExpressionUUID->"86947322-959f-4043-ad63-dcf03efea93d"]
}, Open  ]],

Cell["7.5.4", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
   3.8113408690071154`*^9, 3.811340869637424*^9}, 
   3.816163429397922*^9},ExpressionUUID->"5943458f-d099-4e7e-992c-\
90836dee50c2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "1"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8163454279865603`*^9, 3.8163454971596317`*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"e648a314-2391-49af-acbd-ad8c0da56220"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 3], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {3, 4}, {3, 2}, {2, 
       3}, {2, 2}, {2, 5}, {5, 5}, {5, 3}, {5, 4}, {4, 3}, {4, 5}, {4, 4}}, 
       Null}, {EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 3]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 1]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/0,b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 3]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "c/1"}, 
       EdgeWeight -> {
        "", "a/0,b/0", "c/1", "a/0", "b/1", "c/1", "a/1", "b/0", "c/0", "a/0",
          "b/1", "c/0"}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.37278807845420775`}, {1.1383924884309589`, 
          0.37289539701034774`}}, 0.030450611061827657`], 
         InsetBox["\<\"\"\>", {0.5691962442154794, 0.37284173773227774}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1383924884309589`, 
          0.37289539701034774`}, {1.3234181956660414`, 0.1615740178310839}, {
          1.296143843803098, -0.005580244666516521}, {
          1.2163892489499275`, -0.08749764765074794}, {
          0.9050938512400473, -0.03160058085424164}, {0.8588213547489557, 
          0.0729465969190312}, {0.8914051785795418, 0.239147475873499}, {
          1.1383924884309589`, 0.37289539701034774`}},
          SplineDegree->7], 0.030450611061827657`], 
         InsetBox["\<\"b/1\"\>", {1.0500244135711225, -0.11923373578465997}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1383924884309589`, 
          0.37289539701034774`}, {1.7019983175695317`, 
          0.35164047645105656`}, {2.1429657512970604`, 0.}}], 
          0.030450611061827657`], 
         InsetBox["\<\"a/0\"\>", {1.666781797654734, 0.25676782690580113}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.1383924884309589`, 0.37289539701034774`}, {
          2.143082969690102, 0.7467268553763617}}, 0.030450611061827657`], 
         InsetBox["\<\"c/1\"\>", {1.6407377290605305, 0.5598111261933547}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.1429657512970604`, 0.}, {
          1.5793599221584844`, 0.02125492055929083}, {1.1383924884309589`, 
          0.37289539701034774`}}], 0.030450611061827657`], 
         InsetBox["\<\"c/1\"\>", {1.6145764420732855, 0.11612757010454676}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.1429657512970604`, 0.}, {
          2.524987059168327, 0.33198575888212706`}, {3.029487434137746, 
          0.3724109419235395}}], 0.030450611061827657`], 
         InsetBox["\<\"a/0,b/0\"\>", {2.5601578267827554, 0.24826198876061767},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{3.029487434137746, 0.3724109419235395}, {
          2.6474661262664805`, 0.0404251830414128}, {2.1429657512970604`, 
          0.}}], 0.030450611061827657`], 
         InsetBox["\<\"a/0\"\>", {2.6122953586520508, 0.12414895316292168}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{3.029487434137746, 0.3724109419235395}, {
          3.1181452701070342`, 0.5631115528265613}, {3.3170764609306587`, 
          0.6193215724746524}, {3.4441918316616684`, 0.5602454572434697}, {
          3.4438393882200335`, 0.1838002300873808}, {3.3166136214731026`, 
          0.12496223944744159`}, {3.1177880315477915`, 0.1815446552866064}, {
          3.029487434137746, 0.3724109419235395}},
          SplineDegree->7], 0.030450611061827657`], 
         InsetBox["\<\"c/0\"\>", {3.5294872150011054, 0.3719428216476748}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{3.029487434137746, 0.3724109419235395}, {
          2.524732413423216, 0.41380788620973447`}, {2.143082969690102, 
          0.7467268553763617}}], 0.030450611061827657`], 
         InsetBox["\<\"b/1\"\>", {2.5600830879722265, 0.49752058613861566}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.143082969690102, 0.7467268553763617}, {
          2.1429657512970604`, 0.}}, 0.030450611061827657`], 
         InsetBox["\<\"b/0\"\>", {2.1430243604935812, 0.37336342768818087}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.143082969690102, 0.7467268553763617}, {
          2.6478379904046347`, 0.7053299110901728}, {3.029487434137746, 
          0.3724109419235395}}], 0.030450611061827657`], 
         InsetBox["\<\"c/0\"\>", {2.6124873158556214, 0.6216172111612859}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.143082969690102, 0.7467268553763617}, {
          1.9542621524179755`, 0.8393207744111945}, {1.9021900800285234`, 
          1.0393749777372225`}, {1.9638898759047043`, 1.1652377603845472`}, {
          2.3402468202008277`, 1.1570778740456675`}, {2.396433477316291, 
          1.0286591665724982`}, {2.335739565978449, 0.8310498699342626}, {
          2.143082969690102, 0.7467268553763617}},
          SplineDegree->7], 0.030450611061827657`], 
         InsetBox["\<\"a/1\"\>", {2.153921044095062, 1.2466093777185543}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.37278807845420775}, 0.030450611061827657], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.030450611061827657, 0.4032386895160354}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1383924884309589, 0.37289539701034774}, 
          0.030450611061827657], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {1.1688430994927865, 0.4033460080721754}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1429657512970604, 0.}, 0.030450611061827657], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {2.173416362358888, 0.030450611061827657}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.029487434137746, 0.3724109419235395}, 
          0.030450611061827657], InsetBox[
          SubscriptBox["\[Sigma]", "3"], 
          Offset[{2, 2}, {3.0599380451995732, 0.4028615529853672}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.143082969690102, 0.7467268553763617}, 
          0.030450611061827657], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {2.1735335807519296, 0.7771774664381894}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8163454989231377`*^9, 3.816345540734165*^9, 
  3.816361880349693*^9, 3.8163620838272996`*^9, 3.8163625719519234`*^9, 
  3.816365888781843*^9, 3.816366453761388*^9, 3.8164182074759674`*^9, 
  3.8164554055586042`*^9, 3.8165148991037607`*^9, 3.8328449417676954`*^9, 
  3.8637077951017227`*^9},
 CellLabel->"Out[5]=",
 CellID->36808566,ExpressionUUID->"96c8d3e3-f84c-41e9-9622-762ecf339177"]
}, Open  ]],

Cell["7.5.5", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
   3.811340893510738*^9, 3.811340894025119*^9}, 
   3.8161634315585327`*^9},ExpressionUUID->"bbb031bd-d95c-496f-afa0-\
93b30654d62d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"padding", "\[Rule]", "14"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.816346478085157*^9, 3.816346830378378*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"1ec1fc8c-58b9-4a67-ad84-5d8692b93325"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", {
        Subscript[$CellContext`\[Sigma], 0], 
        Subscript[$CellContext`\[Sigma], 1], 
        Subscript[$CellContext`\[Sigma], 2]}, {}, {
        Subscript[$CellContext`\[Sigma], 0], 
        Subscript[$CellContext`\[Sigma], 1]}, {
        Subscript[$CellContext`\[Sigma], 0]}, {
        Subscript[$CellContext`\[Sigma], 1]}, {
        Subscript[$CellContext`\[Sigma], 0], 
        Subscript[$CellContext`\[Sigma], 2]}, {
        Subscript[$CellContext`\[Sigma], 2]}, {
        Subscript[$CellContext`\[Sigma], 1], 
        Subscript[$CellContext`\[Sigma], 2]}}, {{{1, 2}, {3, 4}, {3, 2}, {5, 
       3}, {5, 5}, {6, 4}, {6, 7}, {8, 2}, {8, 7}, {4, 9}, {4, 8}, {7, 6}, {7,
        4}, {9, 3}, {2, 5}, {2, 2}}, Null}, {EdgeLabels -> {DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}] -> "b/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}] -> "a/0", DirectedEdge[{}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 1]}] -> "a/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0]}, {}] -> "a/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0]}] -> "a/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/0", DirectedEdge["", {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}, {}] -> "a/0,b/1", 
         DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "a/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "a/1", DirectedEdge[{}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}] -> "a/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0]}, {
            Subscript[$CellContext`\[Sigma], 0]}] -> "b/0"}, 
       EdgeWeight -> {
        "", "a/1", "b/0", "a/1", "b/0", "a/0", "b/1", "a/0", "b/1", "a/1", 
         "b/0", "a/0", "b/1", "a/0,b/1", "a/1", "b/1"}, ImagePadding -> 14, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.}, {1.0274646533575262`, 0.5108747882365869}}, 
          0.03600980256424266], 
         InsetBox["\<\"\"\>", {0.5137323266787631, 0.25543739411829347}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.0274646533575262`, 0.5108747882365869}, {
          1.2582911647210344`, 0.3066959664940858}, {1.2557432454963393`, 
          0.15643144874209797`}, {1.1995434745872369`, 0.07215939628546125}, {
          0.9171194946208128, 0.05271950692466529}, {0.8499031780917281, 
          0.12849654743002964`}, {0.826790732903211, 0.27699480353097106`}, {
          1.0274646533575262`, 0.5108747882365869}},
          SplineDegree->7], 0.03600980256424266], 
         InsetBox["\<\"b/1\"\>", {1.0617995571946965, 0.01205506691585539}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.0274646533575262`, 0.5108747882365869}, {
          0.7994655477843806, 1.3896039738444395`}}, 0.03600980256424266], 
         InsetBox["\<\"a/1\"\>", {0.9134651005709534, 0.9502393810405132}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.7656470385970766`, 1.271549674739263}, {
          1.0274646533575262`, 0.5108747882365869}}, 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {1.3965558459773013, 0.8912122314879249}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.7656470385970766`, 1.271549674739263}, {
          2.8290386343338683`, 0.8257048803095216}}, 0.03600980256424266], 
         InsetBox["\<\"a/1\"\>", {2.2973428364654724, 1.0486272775243923}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.8290386343338683`, 0.8257048803095216}, {
          2.1864474028828242`, 0.12168384372052121`}}, 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {2.5077430186083465, 0.4736943620150214}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.8290386343338683`, 0.8257048803095216}, {
          2.581816433857649, 1.7681920378040177`}}, 0.03600980256424266], 
         InsetBox["\<\"a/1\"\>", {2.7054275340957585, 1.2969484590567697}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0.7994655477843806, 1.3896039738444395`}, {
          1.7656470385970766`, 1.271549674739263}}, 0.03600980256424266], 
         InsetBox["\<\"a/1\"\>", {1.2825562931907286, 1.3305768242918512}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.7994655477843806, 1.3896039738444395`}, {
          0.607209890436071, 1.3043707813950638`}, {0.4204391964995785, 
          1.3929704026009422`}, {0.36361174201459767`, 1.521106834905137}, {
          0.6116236639123098, 1.8043050338075701`}, {0.7461360029603813, 
          1.7648748992566112`}, {0.8585961022001347, 1.5914219919003811`}, {
          0.7994655477843806, 1.3896039738444395`}},
          SplineDegree->7], 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {0.42331776537830385, 1.719016854271102}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{3.8453683298264436`, 0.4619259350496391}, {
          2.8290386343338683`, 0.8257048803095216}}, 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {3.337203482080156, 0.6438154076795803}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{3.8453683298264436`, 0.4619259350496391}, {
          3.5863152762990387`, 0.13468272899716782`}, {3.183593345819688, 
          0.02508506861903048}}], 0.03600980256424266], 
         InsetBox["\<\"b/1\"\>", {3.5450596984732083, 0.19718125295386174}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{3.183593345819688, 0.02508506861903048}, {
          2.8290386343338683`, 0.8257048803095216}}, 0.03600980256424266], 
         InsetBox["\<\"b/1\"\>", {3.006315990076778, 0.42539497446427604}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{3.183593345819688, 0.02508506861903048}, {
          3.4426463993470895`, 0.35232827467149624`}, {3.8453683298264436`, 
          0.4619259350496391}}], 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {3.4839019771729234, 0.28982975071480754}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.1864474028828242`, 0.12168384372052121`}, {
          1.0274646533575262`, 0.5108747882365869}}, 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {1.6069560281201754, 0.3162793159785541}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.1864474028828242`, 0.12168384372052121`}, {
          3.183593345819688, 0.02508506861903048}}, 0.03600980256424266], 
         InsetBox["\<\"b/1\"\>", {2.6850203743512564, 0.07338445616977585}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.581816433857649, 1.7681920378040177`}, {
          1.7656470385970766`, 1.271549674739263}}, 0.03600980256424266], 
         InsetBox["\<\"a/0,b/1\"\>", {2.1737317362273627, 1.5198708562716403},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.}, 0.03600980256424266], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.03600980256424266, 0.03600980256424266}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0274646533575262, 0.5108747882365869}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}], 
          Offset[{2, 2}, {1.0634744559217688, 0.5468845908008296}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7656470385970766, 1.271549674739263}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", "}"}], 
          Offset[{2, 2}, {1.8016568411613192, 1.3075594773035055}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.8290386343338683, 0.8257048803095216}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"]}], "}"}], 
          Offset[{2, 2}, {2.865048436898111, 0.8617146828737643}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7994655477843806, 1.3896039738444395}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "0"], "}"}], 
          Offset[{2, 2}, {0.8354753503486233, 1.425613776408682}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.8453683298264436, 0.4619259350496391}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}], 
          Offset[{2, 2}, {3.881378132390686, 0.49793573761388177}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.183593345819688, 0.02508506861903048}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}], 
          Offset[{2, 2}, {3.2196031483839307, 0.06109487118327314}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1864474028828242, 0.12168384372052121}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "2"], "}"}], 
          Offset[{2, 2}, {2.222457205447067, 0.15769364628476387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.581816433857649, 1.7681920378040177}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}], 
          Offset[{2, 2}, {2.6178262364218914, 1.8042018403682603}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->14]], "Output",
 CellChangeTimes->{{3.81634680362889*^9, 3.8163468309089594`*^9}, 
   3.816346945292019*^9, 3.8163619891276193`*^9, 3.816362080777944*^9, 
   3.81636257461207*^9, 3.8163658913137455`*^9, 3.8163664567776756`*^9, 
   3.8164182102991714`*^9, 3.8164554081102457`*^9, 3.8165149031950607`*^9, 
   3.8328449457289248`*^9, 3.8637077986328297`*^9},
 CellLabel->"Out[6]=",
 CellID->158029460,ExpressionUUID->"65499f98-4b47-4722-bffb-1ab36c79acba"]
}, Open  ]],

Cell["7.5.6", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
   3.811340904445465*^9, 3.811340904939148*^9}, 
   3.816163436846043*^9},ExpressionUUID->"e5968cbc-dbba-43e5-aaef-\
fde639b57153"],

Cell["\[Alpha]=baaaaabbbbbabaaababa", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 
   3.816200052297371*^9}},ExpressionUUID->"7ee73c31-9d45-4f7e-9a02-\
f55f46ab5be7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "a", ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b",
      ",", "b", ",", "b", ",", "b", ",", "a", ",", "b", ",", "a", ",", "a", 
     ",", "a", ",", "b", ",", "a", ",", "b", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "0"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "3"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "1"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}]}], "}"}], 
   ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816200241430583*^9, 3.8162002578475227`*^9}, {
  3.8163625808855963`*^9, 3.81636258577112*^9}, {3.8163627452795253`*^9, 
  3.8163628213031282`*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"4ece7d76-71de-49fa-b193-f42b760fd7a1"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "2", ",", "1", ",", "2", ",", "2", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "2", ",", "0", ",", "2", ",", "2", 
     ",", "1", ",", "1", ",", "2", ",", "0", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.864462078446069*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->313063803,ExpressionUUID->"e3c1359e-db28-48d9-82ac-25778f9cd96d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.8644620785068383`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->386592263,ExpressionUUID->"7768e6c2-9da2-4165-b5c9-0a40bbf718c6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.8644620787592497`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->147038,ExpressionUUID->"8638c4aa-1367-4776-bda7-3cb41497d67d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.864462078810399*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->11428432,ExpressionUUID->"89b1ca16-76be-4d31-a3aa-6cb85b96b82c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "0", ",", "1", ",", "0", ",", "1", ",", "1", 
     ",", "1", ",", "0", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.864462079116818*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->8860974,ExpressionUUID->"dac6bbd1-7d87-4b8b-934d-a4fb050fd29d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.864462079161434*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->171639730,ExpressionUUID->"b9ef9261-c2b2-488a-9061-262f5008b523"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1",
      ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "1", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.8644620794572725`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->20505194,ExpressionUUID->"b0a7a47a-09f7-49b9-9d2a-aeb1ff4eed0e"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8163628281609964`*^9, 3.8163642846603484`*^9, 
  3.8163658965367413`*^9, 3.8163664630346823`*^9, 3.816418213772902*^9, 
  3.816423811613682*^9, 3.8164554149765615`*^9, 3.8165149091830125`*^9, 
  3.832844955017152*^9, 3.8637078059297605`*^9, 3.8644620795053444`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[3]:=",
 CellID->236671262,ExpressionUUID->"8a07f81e-e806-46ed-af72-6aab562d8dfb"]
}, Open  ]]
}, Open  ]],

Cell["7.5.7", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
   3.811340930633998*^9, 3.8113409310837913`*^9}, 3.8161634414343567`*^9, {
   3.8162008300806255`*^9, 
   3.8162008308473625`*^9}},ExpressionUUID->"3d2acc06-e072-4e96-bfb8-\
62ef48ce05fd"],

Cell["\[Alpha]=aaababbaaabaaaababaa", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, {3.8162000898641973`*^9, 
   3.816200109280864*^9}},ExpressionUUID->"f8faa304-ce43-4eac-a9bb-\
e3b1844ab5d0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b", ",", "a",
      ",", "a", ",", "a", ",", "b", ",", "a", ",", "a", ",", "a", ",", "a", 
     ",", "b", ",", "a", ",", "b", ",", "a", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "0"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "3"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "1"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}]}], "}"}], 
   ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8163650520598564`*^9, 3.816365067588231*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"c5f0c66a-b4c5-469c-afd6-c01f720f7802"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "2", ",", "0", ",", "2", ",", "0", ",", "0", ",", "2",
      ",", "2", ",", "1", ",", "1", ",", "2", ",", "2", ",", "1", ",", "2", 
     ",", "0", ",", "2", ",", "0", ",", "2", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.864462087859612*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->89060076,ExpressionUUID->"1e1ca4c7-63e6-4944-8d65-75e53413084f"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.864462087923146*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->716740912,ExpressionUUID->"edfdecb7-9735-46de-8a39-1cf525ff07e1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "1",
      ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", 
     ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.864462088181903*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->292495206,ExpressionUUID->"d3d9600c-64f9-45d3-93b0-e1e6d12b49da"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.8644620882283983`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->140103992,ExpressionUUID->"39c00f69-3004-4bd7-bafd-d6deb94e93f5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", 
     ",", "0", ",", "1", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.864462088491564*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->53356002,ExpressionUUID->"c1ecdb14-e113-4be7-93d7-e9cc333c0b6b"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.8644620885463934`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->154683288,ExpressionUUID->"d25e6ba7-c91f-4328-9d3d-1469dd12e124"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1",
      ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.864462088811208*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->75180359,ExpressionUUID->"b175b0ef-4c00-4acf-b115-449dcc511a75"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.816365058109105*^9, 3.816365068518443*^9}, 
   3.816365904425253*^9, 3.8163664720939565`*^9, 3.816418220421562*^9, 
   3.816423835692525*^9, 3.816455422135259*^9, 3.816514920300582*^9, 
   3.832844967630328*^9, 3.863707815761656*^9, 3.8644620888573456`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[9]:=",
 CellID->297061125,ExpressionUUID->"5900bdee-aa96-44c6-8207-359964ddba57"]
}, Open  ]]
}, Open  ]],

Cell["7.5.8", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, {
   3.8113409527290597`*^9, 3.8113409532476735`*^9}, 3.8161634440682*^9, 
   3.8162008330972366`*^9},ExpressionUUID->"90a1b4fc-f6dd-4a43-b314-\
cb8651ccf8bf"],

Cell["\[Alpha]=abaababaaabababaabba", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, {3.8162000922474422`*^9, 
   3.816200118931308*^9}},ExpressionUUID->"3a75c261-6134-435a-8ce2-\
4527f5a9d90a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "a",
      ",", "a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "a", ",", "b", 
     ",", "a", ",", "a", ",", "b", ",", "b", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "2"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "0"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "3"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "1"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}]}], "}"}], 
   ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8163669676264315`*^9, 3.816366969077608*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"479914e5-1759-46d8-9e27-978305562059"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "2", ",", "2", ",", "0", ",", "2", ",", "0", ",", "2",
      ",", "1", ",", "2", ",", "0", ",", "2", ",", "0", ",", "2", ",", "0", 
     ",", "2", ",", "2", ",", "0", ",", "0", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.8644620964119177`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->82295591,ExpressionUUID->"bbcefb60-e901-4b29-b1be-38283c4745aa"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.8644620964584875`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->67913914,ExpressionUUID->"019c273d-6876-4e61-87dc-255574d77dcf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0",
      ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1", 
     ",", "0", ",", "1", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.864462096726556*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->181769502,ExpressionUUID->"fc87426e-6e58-471f-86d4-e5b0df000c2a"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.8644620967591143`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->359997950,ExpressionUUID->"55ee4e7f-af8c-4592-86c3-0959148df317"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1",
      ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", ",", "1", ",", "0", 
     ",", "1", ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.864462097022732*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->45645304,ExpressionUUID->"43dfcfe8-ccc8-44c4-8d58-5a0278146fb4"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.864462097062606*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->165724715,ExpressionUUID->"b3647115-94df-49ba-acf5-479b0c6375ac"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", 
     ",", "1", ",", "1", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.864462097329457*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->158047948,ExpressionUUID->"016b83b2-e91a-443f-97ba-863279e57f1c"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.816366970527294*^9, 3.816418227065093*^9, 
  3.816423861454317*^9, 3.8164554282959394`*^9, 3.8165149310312195`*^9, 
  3.832844998079315*^9, 3.8637078247028265`*^9, 3.8644620973715363`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[15]:=",
 CellID->466818175,ExpressionUUID->"54e76a64-7c69-40bc-819b-67e4740066c4"]
}, Open  ]]
}, Open  ]],

Cell["7.5.9", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.811340971066778*^9, 3.8161634458904266`*^9, 
   3.816200836930779*^9},ExpressionUUID->"074bbd54-a1cc-4439-a985-\
388433c309f3"],

Cell["\[Alpha]=bbbacbcbbacccbbabbbb", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000947975683`*^9, 
   3.8162001268308315`*^9},ExpressionUUID->"189a14a1-bb06-4253-932a-\
f4ed85ed8ca1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "b", ",", "b", ",", "a", ",", "c", ",", "b", ",", "c", ",", "b",
      ",", "b", ",", "a", ",", "c", ",", "c", ",", "c", ",", "b", ",", "b", 
     ",", "a", ",", "b", ",", "b", ",", "b", ",", "b"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "3"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "1"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816367499645543*^9, 3.8163675003281174`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"c4728fcc-dbcc-457a-bd53-8c90f0f07aad"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0",
      ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", ",", "1", ",", "0", 
     ",", "0", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8163675220688715`*^9, 3.8163675374318824`*^9}, 
   3.816418234625159*^9, 3.8164238796615725`*^9, 3.8164554352656116`*^9, 
   3.8165149405882473`*^9, 3.832845007812574*^9, 3.863707832390502*^9, 
   3.864462103622983*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[21]:=",
 CellID->179468589,ExpressionUUID->"31459c31-30d3-4fbe-90b7-d0895d7e2568"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8163675220688715`*^9, 3.8163675374318824`*^9}, 
   3.816418234625159*^9, 3.8164238796615725`*^9, 3.8164554352656116`*^9, 
   3.8165149405882473`*^9, 3.832845007812574*^9, 3.863707832390502*^9, 
   3.864462103659846*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[21]:=",
 CellID->74514872,ExpressionUUID->"61a77028-92d4-4e10-b387-e3241bc0999e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0",
      ",", "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", 
     ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8163675220688715`*^9, 3.8163675374318824`*^9}, 
   3.816418234625159*^9, 3.8164238796615725`*^9, 3.8164554352656116`*^9, 
   3.8165149405882473`*^9, 3.832845007812574*^9, 3.863707832390502*^9, 
   3.864462103894243*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[21]:=",
 CellID->649699316,ExpressionUUID->"022d05ee-9f4d-42e5-8628-6990817b877d"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8163675220688715`*^9, 3.8163675374318824`*^9}, 
   3.816418234625159*^9, 3.8164238796615725`*^9, 3.8164554352656116`*^9, 
   3.8165149405882473`*^9, 3.832845007812574*^9, 3.863707832390502*^9, 
   3.864462103923039*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[21]:=",
 CellID->68414595,ExpressionUUID->"d1ec5daf-1f8a-4631-b1bd-518320d13a7d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0", 
     ",", "0", ",", "1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8163675220688715`*^9, 3.8163675374318824`*^9}, 
   3.816418234625159*^9, 3.8164238796615725`*^9, 3.8164554352656116`*^9, 
   3.8165149405882473`*^9, 3.832845007812574*^9, 3.863707832390502*^9, 
   3.864462104174395*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[21]:=",
 CellID->81625998,ExpressionUUID->"015ec5b2-ab95-4c8e-8521-e4887321a1b9"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{{3.8163675220688715`*^9, 3.8163675374318824`*^9}, 
   3.816418234625159*^9, 3.8164238796615725`*^9, 3.8164554352656116`*^9, 
   3.8165149405882473`*^9, 3.832845007812574*^9, 3.863707832390502*^9, 
   3.86446210420572*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[21]:=",
 CellID->181813732,ExpressionUUID->"5f2cecb4-c67a-4ce1-855e-77b6a26d1850"]
}, Open  ]]
}, Open  ]],

Cell["7.5.10", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113409948069773`*^9, 3.8161634483428817`*^9, {3.816200839497334*^9, 
   3.816200839747693*^9}},ExpressionUUID->"8969a47a-5d7a-4df1-aa17-\
62349059c9f8"],

Cell["\[Alpha]=cbcccaabcacbbaabccaa", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, 
   3.816200135297403*^9},ExpressionUUID->"58ef94c9-5987-4323-8f20-\
517437853b73"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "c", ",", "b", ",", "c", ",", "c", ",", "c", ",", "a", ",", "a", ",", "b",
      ",", "c", ",", "a", ",", "c", ",", "b", ",", "b", ",", "a", ",", "a", 
     ",", "b", ",", "c", ",", "c", ",", "a", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "3"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "1"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "0"}], "}"}]}], "}"}], ",", 
   "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816367778161925*^9, 3.81636777897758*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"508c27ae-ab13-4209-9233-0b4d69acdae7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "0", ",", "1", ",", "1", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0",
      ",", "0", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", 
     ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8163677804285493`*^9, 3.8164182399156303`*^9, 
  3.8164238965756006`*^9, 3.816455439768903*^9, 3.8165149468256235`*^9, 
  3.8328450150640526`*^9, 3.8637078378539004`*^9, 3.8644621101995883`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[25]:=",
 CellID->210791164,ExpressionUUID->"c7c26d25-f715-4f36-9fdb-92a078e6b0eb"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8163677804285493`*^9, 3.8164182399156303`*^9, 
  3.8164238965756006`*^9, 3.816455439768903*^9, 3.8165149468256235`*^9, 
  3.8328450150640526`*^9, 3.8637078378539004`*^9, 3.86446211025364*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[25]:=",
 CellID->358380645,ExpressionUUID->"715417d5-6c79-4637-971c-f442693f44c9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "0",
      ",", "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "1", ",", "1", 
     ",", "0", ",", "1", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8163677804285493`*^9, 3.8164182399156303`*^9, 
  3.8164238965756006`*^9, 3.816455439768903*^9, 3.8165149468256235`*^9, 
  3.8328450150640526`*^9, 3.8637078378539004`*^9, 3.864462110518404*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[25]:=",
 CellID->46034059,ExpressionUUID->"79eed66f-e3b8-41d1-9c5f-2423fb3bab5f"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8163677804285493`*^9, 3.8164182399156303`*^9, 
  3.8164238965756006`*^9, 3.816455439768903*^9, 3.8165149468256235`*^9, 
  3.8328450150640526`*^9, 3.8637078378539004`*^9, 3.864462110546361*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[25]:=",
 CellID->65394703,ExpressionUUID->"8d1f589d-39b9-441e-8891-0b0957921728"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "1", ",", "0", ",", "1", ",", "1", ",", "0", ",", "0", ",", "0", ",", "1",
      ",", "0", ",", "0", ",", "1", ",", "1", ",", "1", ",", "0", ",", "0", 
     ",", "1", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{3.8163677804285493`*^9, 3.8164182399156303`*^9, 
  3.8164238965756006`*^9, 3.816455439768903*^9, 3.8165149468256235`*^9, 
  3.8328450150640526`*^9, 3.8637078378539004`*^9, 3.8644621107968006`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[25]:=",
 CellID->223546683,ExpressionUUID->"8cc6130c-f025-48b8-90b1-21b33b3a4543"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 20, 1}}, 
    Typeset`size$$ = {540., {129., 135.12650967127092`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 20, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {191.03173828125, 198.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.8163677804285493`*^9, 3.8164182399156303`*^9, 
  3.8164238965756006`*^9, 3.816455439768903*^9, 3.8165149468256235`*^9, 
  3.8328450150640526`*^9, 3.8637078378539004`*^9, 3.8644621108247457`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[25]:=",
 CellID->136226405,ExpressionUUID->"27d53155-3926-4fe5-a0fb-fc5715430f0d"]
}, Open  ]]
}, Open  ]],

Cell["7.5.11", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.811341028377365*^9, 3.8161634502095757`*^9, {3.81620084229729*^9, 
   3.816200842455153*^9}},ExpressionUUID->"c2e6a923-77b4-4eda-ac56-\
f4869690e569"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["M", "1"], ":"}], TraditionalForm]],ExpressionUUID->
  "1519b455-f3e7-468a-b2ed-8832bc06ef9e"],
 " no es aut\[OAcute]mata pues \[Delta] contiene el 2. Una \
modificaci\[OAcute]n ser\[IAcute]a:"
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200180231001*^9}, {3.8163683246269035`*^9, 
   3.816368368460797*^9}, {3.8163687400113773`*^9, 
   3.8163687422946353`*^9}},ExpressionUUID->"381a391c-f4d8-442b-9516-\
44d59c22677e"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "0"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellLabel->"In[33]:=",ExpressionUUID->"bf7a55b6-1699-433f-b934-8abde4aee557"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {2, 3}, {2, 4}, {3, 
       4}, {3, 3}, {4, 2}, {4, 3}}, Null}, {EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "a/0", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 0]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1"}, 
       EdgeWeight -> {"", "a/1", "b/0", "a/0", "b/1", "a/1", "b/1"}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.43304733243928384`}, {1.139687182964069, 
          0.43303442441185447`}}, 0.023237346467235243`], 
         InsetBox["\<\"\"\>", {0.5698435914820345, 0.43304087842556915}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.139687182964069, 0.43303442441185447`}, {
          2.0775176225942094`, 0.8660666749928795}}, 0.023237346467235243`], 
         InsetBox["\<\"a/1\"\>", {1.6086024027791392, 0.649550549702367}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.139687182964069, 0.43303442441185447`}, {
          1.679789286744615, 0.3707276398997768}, {2.0774743819125585`, 0.}}],
           0.023237346467235243`], 
         InsetBox["\<\"b/0\"\>", {1.6388931921471435, 0.2821623161323218}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0775176225942094`, 0.8660666749928795}, {
          1.9644899068335624`, 1.0434128628500572`}, {2.0241602455848042`, 
          1.2413336441355407`}, {2.142356617454399, 1.3166856351095984`}, {
          2.4594615809852045`, 1.1138172655467073`}, {2.44059213782847, 
          0.9749207249783951}, {2.2859091954856137`, 0.8377843974079785}, {
          2.0775176225942094`, 0.8660666749928795}},
          SplineDegree->7], 0.023237346467235243`], 
         InsetBox["\<\"b/1\"\>", {2.3469702096062734, 1.287249893263154}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0775176225942094`, 0.8660666749928795}, {
          2.2199126533996107`, 0.4330262269664402}, {2.0774743819125585`, 
          0.}}], 0.023237346467235243`], 
         InsetBox["\<\"a/0\"\>", {2.138120669502886, 0.4330303106487242}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0774743819125585`, 0.}, {
          1.5373722781320152`, 0.062306784512075775`}, {1.139687182964069, 
          0.43303442441185447`}}], 0.023237346467235243`], 
         InsetBox["\<\"a/1\"\>", {1.5782683727294837, 0.15087210827953298}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0774743819125585`, 0.}, {
          1.935079351107158, 0.4330404480264539}, {2.0775176225942094`, 
          0.8660666749928795}}], 0.023237346467235243`], 
         InsetBox["\<\"b/1\"\>", {2.0168713350038825, 0.4330363643441554}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.43304733243928384}, 0.023237346467235243], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.023237346467235243, 0.4562846789065191}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.139687182964069, 0.43303442441185447}, 
          0.023237346467235243], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {1.1629245294313042, 0.4562717708790897}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0775176225942094, 0.8660666749928795}, 
          0.023237346467235243], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {2.1007549690614447, 0.8893040214601147}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0774743819125585, 0.}, 0.023237346467235243], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {2.100711728379794, 0.023237346467235243}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8163683214774647`*^9, 3.816368413323229*^9, 
  3.8164182543163977`*^9, 3.81645544499537*^9, 3.8165149525845356`*^9, 
  3.8328450204126596`*^9, 3.8637078428428097`*^9},
 CellLabel->"Out[33]=",
 CellID->147067815,ExpressionUUID->"288a25ef-130a-45b2-9bd5-e9c530c9bc20"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["M", "2"], ":"}], TraditionalForm]],ExpressionUUID->
  "68ca4c6c-e26a-4ccc-8b64-203d46dc4897"],
 " no es aut\[OAcute]mata pues por ejemplo en \[Sigma]\:2082 hay dos aristas \
entrantes con s\[IAcute]mbolo de salida 0 y una con s\[IAcute]mbolo de salida \
1. Una modificaci\[OAcute]n ser\[IAcute]a:"
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200191114046*^9}, {3.8163687138704863`*^9, 
   3.816368721577783*^9}},ExpressionUUID->"1e533824-430c-46a2-934a-\
5b41ee9e9920"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "2"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8163450336449623`*^9, 3.8163451456837053`*^9}, {
  3.816362536137913*^9, 3.816362540410199*^9}, {3.816368675593302*^9, 
  3.8163687073137693`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"27fcc5d6-bd08-4f1a-a387-08c21a038f73"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 2], 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1]}, {{{1, 2}, {3, 4}, {3, 2}, {3, 
       3}, {4, 3}, {4, 4}, {4, 2}, {2, 4}, {2, 3}, {2, 2}}, Null}, {
      EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 2]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 2]] -> "b/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "a/1"}, 
       EdgeWeight -> {
        "", "a/1", "b/0", "c/1", "a/1", "b/1", "c/0", "a/1", "b/1", "c/0"}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.43098834433365935`}, {1.1342683713237616`, 
          0.4309754963836057}}, 0.023157934176935097`], 
         InsetBox["\<\"\"\>", {0.5671341856618808, 0.43098192035863253}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1342683713237616`, 0.4309754963836057}, {
          1.3094508442191146`, 0.20523371872125415`}, {1.2734275777596273`, 
          0.043067205958395194`}, {
          1.1913190984992148`, -0.03326160555413188}, {0.887848534615624, 
          0.0334228126251733}, {0.8453038629269867, 0.13714282392616842`}, {
          0.8805851449704094, 0.2994723798469871}, {1.1342683713237616`, 
          0.4309754963836057}},
          SplineDegree->7], 0.023157934176935097`], 
         InsetBox["\<\"c/0\"\>", {1.0269589047521561, -0.05737343459107903}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1342683713237616`, 0.4309754963836057}, {
          1.5300844874329522`, 0.7999464513462672}, {2.06763975753792, 
          0.8619488300121502}}], 0.023157934176935097`], 
         InsetBox["\<\"b/1\"\>", {1.5707859310768428, 0.7117981602328691}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.1342683713237616`, 0.4309754963836057}, {
          1.6718024781936844`, 0.3689649591787616}, {2.0675967197777427`, 
          0.}}], 0.023157934176935097`], 
         InsetBox["\<\"a/1\"\>", {1.6311008302976044, 0.28082073258358164}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.06763975753792, 0.8619488300121502}, {
          1.6718236414287213`, 0.49297787504948215`}, {1.1342683713237616`, 
          0.4309754963836057}}], 0.023157934176935097`], 
         InsetBox["\<\"b/0\"\>", {1.631122197784839, 0.5811261661628868}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.06763975753792, 0.8619488300121502}, {
          1.9546120421401838`, 1.0392950181006209`}, {2.0142823812964386`, 
          1.2372157992639985`}, {2.1324787533202296`, 1.3125677899961863`}, {
          2.449583716435897, 1.1096994197843912`}, {2.4307142729949334`, 
          0.9708028792546921}, {2.2760313303714494`, 0.8336665520008093}, {
          2.06763975753792, 0.8619488300121502}},
          SplineDegree->7], 0.023157934176935097`], 
         InsetBox["\<\"c/1\"\>", {2.337092345411868, 1.2831320477310333}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.06763975753792, 0.8619488300121502}, {
          2.2093577482986486`, 0.43096733784464647`}, {2.0675967197777427`, 
          0.}}], 0.023157934176935097`], 
         InsetBox["\<\"a/1\"\>", {2.1279546567586825, 0.43097140236286263}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0675967197777427`, 0.}, {
          1.5300626129078156`, 0.062010537204848275`}, {1.1342683713237616`, 
          0.4309754963836057}}], 0.023157934176935097`], 
         InsetBox["\<\"c/0\"\>", {1.5707642608038999, 0.15015476380002424}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0675967197777427`, 0.}, {
          1.9258787290170174`, 0.4309814921675317}, {2.06763975753792, 
          0.8619488300121502}}], 0.023157934176935097`], 
         InsetBox["\<\"a/1\"\>", {2.0072818205569805, 0.4309774276492874}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.0675967197777427`, 0.}, {
          2.2759899795809178`, 0.028269845173774427`}, {
          2.4306647402797523`, -0.10887571032877336`}, {
          2.4495258970222165`, -0.24777337637549365`}, {
          2.132408831201806, -0.4506228275219838}, {
          2.014216954940927, -0.3752637852455377}, {
          1.9545584239833331`, -0.17733944446016103`}, {2.0675967197777427`, 
          0.}},
          SplineDegree->7], 0.023157934176935097`], 
         InsetBox["\<\"b/1\"\>", {2.3370241790862996, -0.4211992926994726}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.43098834433365935}, 0.023157934176935097], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.023157934176935097, 0.4541462785105944}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1342683713237616, 0.4309754963836057}, 
          0.023157934176935097], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {1.1574263055006966, 0.4541334305605408}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.06763975753792, 0.8619488300121502}, 
          0.023157934176935097], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {2.0907976917148554, 0.8851067641890853}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0675967197777427, 0.}, 0.023157934176935097], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {2.090754653954678, 0.023157934176935097}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8163685625180674`*^9, 3.8163687082611427`*^9, 
  3.8163687489774942`*^9, 3.816368796427627*^9, 3.816418257788642*^9, 
  3.816455448461684*^9, 3.8165149568049383`*^9, 3.8328450241192713`*^9, 
  3.8637078461347656`*^9},
 CellLabel->"Out[34]=",
 CellID->62716509,ExpressionUUID->"2da485b1-c725-4918-a353-af2a6d0831a5"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["M", "3"], ":"}], TraditionalForm]],ExpressionUUID->
  "5b73bd48-490a-4038-9ad3-42cdb3aa1385"],
 " no es aut\[OAcute]mata pues por ejemplo en \[Sigma]\:2081 hay dos aristas \
entrantes con s\[IAcute]mbolo de salida 1 y una con s\[IAcute]mbolo de salida \
0. Una modificaci\[OAcute]n ser\[IAcute]a:"
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.8162001935477996`*^9}, {3.8163690660930862`*^9, 
   3.8163690669275856`*^9}},ExpressionUUID->"fa2153b7-c80a-4399-a37a-\
3cbe550ad73d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   SubscriptBox["\[Sigma]", "3"], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"], ",", "0"}], "}"}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.816345213817543*^9, 3.8163453384151125`*^9}, 
   3.8163453797294335`*^9, {3.816368915336584*^9, 3.816368976375132*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"3837ec92-4bb2-4480-8f53-b4269512f950"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", 
       Subscript[$CellContext`\[Sigma], 3], 
       Subscript[$CellContext`\[Sigma], 0], 
       Subscript[$CellContext`\[Sigma], 1], 
       Subscript[$CellContext`\[Sigma], 2]}, {{{1, 2}, {3, 2}, {3, 4}, {3, 
       3}, {4, 2}, {4, 4}, {5, 3}, {5, 4}, {5, 5}, {2, 2}, {2, 3}}, Null}, {
      EdgeLabels -> {DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/1,b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 2]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 0]] -> "a/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 3], 
           Subscript[$CellContext`\[Sigma], 0]] -> "c/0", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 0], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 1], 
           Subscript[$CellContext`\[Sigma], 3]] -> "a/1,c/1", DirectedEdge["", 
           Subscript[$CellContext`\[Sigma], 3]] -> "", DirectedEdge[
           Subscript[$CellContext`\[Sigma], 2], 
           Subscript[$CellContext`\[Sigma], 1]] -> "b/1"}, 
       EdgeWeight -> {
        "", "a/1", "b/1", "c/0", "a/1,c/1", "b/1", "a/0", "b/1", "c/0", 
         "a/1,b/1", "c/0"}, ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{2.9960486325295905`, 0.3697619899760828}, {
          1.8708862665827026`, 0.36994209737127787`}}, 0.03021117786496387], 
         InsetBox["\<\"\"\>", {2.4334674495561464, 0.3698520436736803}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.8708862665827026`, 
          0.36994209737127787`}, {1.6859208140090582`, 0.5813207599048689}, {
          1.7132439812028124`, 0.7484647663399049}, {1.7930211933947844`, 
          0.8303579867722733}, {2.1042970586505287`, 0.774373998909398}, {
          2.1505403304529342`, 0.6698155800665506}, {2.117912296968459, 
          0.503625671276669}, {1.8708862665827026`, 0.36994209737127787`}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"a/1,b/1\"\>", {1.959392833071566, 0.8620463421084602}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.8708862665827026`, 
          0.36994209737127787`}, {1.4344308302880837`, 0.02142190212762927}, {
          0.8763082841810266, 0.}}], 0.03021117786496387], 
         InsetBox["\<\"c/0\"\>", {1.3994932221978542, 0.11535058991752145}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.8763082841810266, 0.}, {
          1.3127637204756404`, 0.34852019524364497`}, {1.8708862665827026`, 
          0.36994209737127787`}}], 0.03021117786496387], 
         InsetBox["\<\"a/1\"\>", {1.3477013285658752, 0.25459150745375625}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.8763082841810266, 0.}, {
          1.0651344268720937`, -0.09258305846079887}, {
          1.117218005707781, -0.29263426642268775`}, {
          1.055525449192611, -0.418500597653532}, {
          0.6791680361862373, -0.41036235827827316`}, {
          0.6229739928954434, -0.28194688270962354`}, {
          0.6836565382244021, -0.08433409546207968}, {0.8763082841810266, 0.}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"c/0\"\>", {0.8654989615739006, -0.49988314488965835}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0.8763082841810266, 0.}, {0.8762235727090737, 
          0.7395078826957271}}, 0.03021117786496387], 
         InsetBox["\<\"b/1\"\>", {0.8762659284450501, 0.36975394134786355}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0.8762235727090737, 0.7395078826957271}, {
          1.8708862665827026`, 0.36994209737127787`}}, 0.03021117786496387], 
         InsetBox["\<\"a/1,c/1\"\>", {1.3735549196458883, 0.5547249900335025},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.8762235727090737, 0.7395078826957271}, {
          0.6835604274520709, 0.8238159329473015}, {0.6228511675584605, 
          1.0214205147628914`}, {0.67902784994738, 1.149843585987125}, {
          1.0553841593123177`, 1.1580327047542691`}, {1.1170937310352644`, 
          1.0321747148423825`}, {1.0650371974428947`, 0.8321164675700179}, {
          0.8762235727090737, 0.7395078826957271}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"b/1\"\>", {0.8653466713867509, 1.2393895617134967}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0., 0.3698181883412253}, {0.8763082841810266, 0.}}, 
          0.03021117786496387], 
         InsetBox["\<\"a/0\"\>", {0.4381541420905133, 0.18490909417061266}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0., 0.3698181883412253}, {0.8762235727090737, 
          0.7395078826957271}}, 0.03021117786496387], 
         InsetBox["\<\"b/1\"\>", {0.43811178635453685, 0.5546630355184762}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0., 
          0.3698181883412253}, {-0.08848782609564562, 
          0.17903863097091965`}, {-0.28736883696486304`, 
          0.12265132293992426`}, {-0.4145368127362429, 
          0.1816141146402823}, {-0.41451990138679595`, 
          0.5580595064024678}, {-0.28734662846590997`, 
          0.6170108721328723}, {-0.0884706846613115, 0.5606056953564954}, {0.,
           0.3698181883412253}},
          SplineDegree->7], 0.03021117786496387], 
         InsetBox["\<\"c/0\"\>", {-0.49999999949546364, 0.36984065023051926}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{2.9960486325295905, 0.3697619899760828}, 
          0.03021117786496387], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {3.0262598103945546, 0.39997316784104664}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8708862665827026, 0.36994209737127787}, 
          0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "3"], 
          Offset[{2, 2}, {1.9010974444476665, 0.4001532752362417}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8763082841810266, 0.}, 0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "0"], 
          Offset[{2, 2}, {0.9065194620459904, 0.03021117786496387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8762235727090737, 0.7395078826957271}, 
          0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "1"], 
          Offset[{2, 2}, {0.9064347505740376, 0.769719060560691}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.3698181883412253}, 0.03021117786496387], InsetBox[
          SubscriptBox["\[Sigma]", "2"], 
          Offset[{2, 2}, {0.03021117786496387, 0.4000293662061892}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8163688260775237`*^9, 3.8163689773953705`*^9, 
  3.816369038577611*^9, 3.816418260801306*^9, 3.81645545267103*^9, 
  3.8165149607196336`*^9, 3.832845027851324*^9, 3.863707849237358*^9},
 CellLabel->"Out[35]=",
 CellID->296634594,ExpressionUUID->"6f9cff6e-fbea-4f88-9e0f-6f16131b736b"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["M", "4"], ":"}], TraditionalForm]],ExpressionUUID->
  "010294a5-92e2-4186-bb36-dbc842738885"],
 " es un aut\[OAcute]mata de estado finito pues \[Delta]={0,1} y todas las \
aristas entrantes a un mismo estado tienen el mismo s\[IAcute]mbolo de \
salida. Los estados aceptados son \[Sigma]\:2081 y \[Sigma]\:2082."
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.8162001955975056`*^9}, {3.816369255476534*^9, 
   3.8163692567107472`*^9}},ExpressionUUID->"5f6ff56a-d0b1-4a73-84e9-\
6ad17fcb532d"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["M", "5"], ":"}], TraditionalForm]],ExpressionUUID->
  "538c043e-8119-46d1-9f0f-c18354b6ae52"],
 " no es aut\[OAcute]mata pues por ejemplo en {\[Sigma]\:2080} hay una arista \
entrante con s\[IAcute]mbolo de salida 0 y otra con s\[IAcute]mbolo de salida \
1. Una modificaci\[OAcute]n ser\[IAcute]a:"
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816369450849676*^9, 
   3.816369451411029*^9}},ExpressionUUID->"633c9666-c5ef-4913-89db-\
8530d13e459d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "2"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "1"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", "}"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "a", ",", 
       RowBox[{"{", 
        SubscriptBox["\[Sigma]", "0"], "}"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "b", ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", 
         SubscriptBox["\[Sigma]", "1"], ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", "0"}], "}"}]}], "}"}], 
   ",", 
   RowBox[{"padding", "\[Rule]", "14"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.816346478085157*^9, 3.816346830378378*^9}, {
  3.8163694808898087`*^9, 3.8163695517651563`*^9}, {3.8164182701230097`*^9, 
  3.816418272119401*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"f532228b-816c-44ce-aba6-097a061bbe91"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{"", {
        Subscript[$CellContext`\[Sigma], 0], 
        Subscript[$CellContext`\[Sigma], 1], 
        Subscript[$CellContext`\[Sigma], 2]}, {}, {
        Subscript[$CellContext`\[Sigma], 0], 
        Subscript[$CellContext`\[Sigma], 1]}, {
        Subscript[$CellContext`\[Sigma], 0]}, {
        Subscript[$CellContext`\[Sigma], 1]}, {
        Subscript[$CellContext`\[Sigma], 0], 
        Subscript[$CellContext`\[Sigma], 2]}, {
        Subscript[$CellContext`\[Sigma], 2]}, {
        Subscript[$CellContext`\[Sigma], 1], 
        Subscript[$CellContext`\[Sigma], 2]}}, {{{1, 2}, {3, 4}, {3, 2}, {5, 
       3}, {5, 5}, {6, 4}, {6, 7}, {8, 2}, {8, 7}, {4, 9}, {4, 8}, {7, 6}, {7,
        4}, {9, 3}, {2, 5}, {2, 2}}, Null}, {EdgeLabels -> {DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}] -> "b/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}] -> "a/0", DirectedEdge[{}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 1]}] -> "a/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0]}, {}] -> "a/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0]}] -> "a/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/0", DirectedEdge["", {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}, {}] -> "a/1,b/1", 
         DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/1", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "a/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}, {
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "a/1", DirectedEdge[{}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1]}] -> "a/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}, {
            Subscript[$CellContext`\[Sigma], 0], 
            Subscript[$CellContext`\[Sigma], 1], 
            Subscript[$CellContext`\[Sigma], 2]}] -> "b/0", DirectedEdge[{
            Subscript[$CellContext`\[Sigma], 0]}, {
            Subscript[$CellContext`\[Sigma], 0]}] -> "b/0"}, 
       EdgeWeight -> {
        "", "a/0", "b/0", "a/1", "b/0", "a/0", "b/1", "a/0", "b/1", "a/1", 
         "b/0", "a/0", "b/0", "a/1,b/1", "a/0", "b/0"}, ImagePadding -> 14, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.}, {1.0274646533575262`, 0.5108747882365869}}, 
          0.03600980256424266], 
         InsetBox["\<\"\"\>", {0.5137323266787631, 0.25543739411829347}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.0274646533575262`, 0.5108747882365869}, {
          1.2582911647210344`, 0.3066959664940858}, {1.2557432454963393`, 
          0.15643144874209797`}, {1.1995434745872369`, 0.07215939628546125}, {
          0.9171194946208128, 0.05271950692466529}, {0.8499031780917281, 
          0.12849654743002964`}, {0.826790732903211, 0.27699480353097106`}, {
          1.0274646533575262`, 0.5108747882365869}},
          SplineDegree->7], 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {1.0617995571946965, 0.01205506691585539}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.0274646533575262`, 0.5108747882365869}, {
          0.7994655477843806, 1.3896039738444395`}}, 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {0.9134651005709534, 0.9502393810405132}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.7656470385970766`, 1.271549674739263}, {
          1.0274646533575262`, 0.5108747882365869}}, 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {1.3965558459773013, 0.8912122314879249}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{1.7656470385970766`, 1.271549674739263}, {
          2.8290386343338683`, 0.8257048803095216}}, 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {2.2973428364654724, 1.0486272775243923}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.8290386343338683`, 0.8257048803095216}, {
          2.1864474028828242`, 0.12168384372052121`}}, 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {2.5077430186083465, 0.4736943620150214}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.8290386343338683`, 0.8257048803095216}, {
          2.581816433857649, 1.7681920378040177`}}, 0.03600980256424266], 
         InsetBox["\<\"a/1\"\>", {2.7054275340957585, 1.2969484590567697}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{0.7994655477843806, 1.3896039738444395`}, {
          1.7656470385970766`, 1.271549674739263}}, 0.03600980256424266], 
         InsetBox["\<\"a/1\"\>", {1.2825562931907286, 1.3305768242918512}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{0.7994655477843806, 1.3896039738444395`}, {
          0.607209890436071, 1.3043707813950638`}, {0.4204391964995785, 
          1.3929704026009422`}, {0.36361174201459767`, 1.521106834905137}, {
          0.6116236639123098, 1.8043050338075701`}, {0.7461360029603813, 
          1.7648748992566112`}, {0.8585961022001347, 1.5914219919003811`}, {
          0.7994655477843806, 1.3896039738444395`}},
          SplineDegree->7], 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {0.42331776537830385, 1.719016854271102}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{3.8453683298264436`, 0.4619259350496391}, {
          2.8290386343338683`, 0.8257048803095216}}, 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {3.337203482080156, 0.6438154076795803}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{3.8453683298264436`, 0.4619259350496391}, {
          3.5863152762990387`, 0.13468272899716782`}, {3.183593345819688, 
          0.02508506861903048}}], 0.03600980256424266], 
         InsetBox["\<\"b/1\"\>", {3.5450596984732083, 0.19718125295386174}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{3.183593345819688, 0.02508506861903048}, {
          2.8290386343338683`, 0.8257048803095216}}, 0.03600980256424266], 
         InsetBox["\<\"b/0\"\>", {3.006315990076778, 0.42539497446427604}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{3.183593345819688, 0.02508506861903048}, {
          3.4426463993470895`, 0.35232827467149624`}, {3.8453683298264436`, 
          0.4619259350496391}}], 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {3.4839019771729234, 0.28982975071480754}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.1864474028828242`, 0.12168384372052121`}, {
          1.0274646533575262`, 0.5108747882365869}}, 0.03600980256424266], 
         InsetBox["\<\"a/0\"\>", {1.6069560281201754, 0.3162793159785541}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.1864474028828242`, 0.12168384372052121`}, {
          3.183593345819688, 0.02508506861903048}}, 0.03600980256424266], 
         InsetBox["\<\"b/1\"\>", {2.6850203743512564, 0.07338445616977585}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[{{2.581816433857649, 1.7681920378040177`}, {
          1.7656470385970766`, 1.271549674739263}}, 0.03600980256424266], 
         InsetBox["\<\"a/1,b/1\"\>", {2.1737317362273627, 1.5198708562716403},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.}, 0.03600980256424266], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.03600980256424266, 0.03600980256424266}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0274646533575262, 0.5108747882365869}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}], 
          Offset[{2, 2}, {1.0634744559217688, 0.5468845908008296}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.7656470385970766, 1.271549674739263}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", "}"}], 
          Offset[{2, 2}, {1.8016568411613192, 1.3075594773035055}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.8290386343338683, 0.8257048803095216}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "1"]}], "}"}], 
          Offset[{2, 2}, {2.865048436898111, 0.8617146828737643}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7994655477843806, 1.3896039738444395}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "0"], "}"}], 
          Offset[{2, 2}, {0.8354753503486233, 1.425613776408682}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.8453683298264436, 0.4619259350496391}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "1"], "}"}], 
          Offset[{2, 2}, {3.881378132390686, 0.49793573761388177}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.183593345819688, 0.02508506861903048}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "0"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}], 
          Offset[{2, 2}, {3.2196031483839307, 0.06109487118327314}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1864474028828242, 0.12168384372052121}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           SubscriptBox["\[Sigma]", "2"], "}"}], 
          Offset[{2, 2}, {2.222457205447067, 0.15769364628476387}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.581816433857649, 1.7681920378040177}, 
          0.03600980256424266], InsetBox[
          RowBox[{"{", 
           RowBox[{
            SubscriptBox["\[Sigma]", "1"], ",", 
            SubscriptBox["\[Sigma]", "2"]}], "}"}], 
          Offset[{2, 2}, {2.6178262364218914, 1.8042018403682603}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->14]], "Output",
 CellChangeTimes->{
  3.816369274794411*^9, {3.8163694830275707`*^9, 3.8163695526664524`*^9}, 
   3.816369700227744*^9, 3.8164182735538387`*^9, 3.8164554564225707`*^9, 
   3.816514965534546*^9, 3.8328450315583982`*^9, 3.863707852982459*^9},
 CellLabel->"Out[36]=",
 CellID->208784788,ExpressionUUID->"7e3318ec-b103-4805-817b-3fc4d8df1b77"]
}, Open  ]],

Cell["7.5.12", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.811341045880728*^9, 3.816163452392625*^9, 
   3.8162008641644435`*^9},ExpressionUUID->"353f4bc2-c971-45bb-9a98-\
6d60f34ed2af"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"MaquinaToDiagrama", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\"\<NSLL\>\"", ",", "\"\<SLL\>\""}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<00\>\"", ",", "\"\<01\>\"", ",", "\"\<10\>\"", ",", "\"\<11\>\""}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\"\<0\>\"", ",", "\"\<1\>\""}], "}"}], ",", "\"\<NSLL\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<00\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<01\>\"", ",", "\"\<SLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<10\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<11\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<00\>\"", ",", "\"\<SLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<01\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<10\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<11\>\"", ",", "\"\<SLL\>\"", ",", 
       "\"\<1\>\""}], "}"}]}], "}"}], ",", 
   RowBox[{"padding", "\[Rule]", "14"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"StringSalida", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\"\<NSLL\>\"", ",", "\"\<SLL\>\""}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<00\>\"", ",", "\"\<01\>\"", ",", "\"\<10\>\"", ",", "\"\<11\>\""}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\"\<0\>\"", ",", "\"\<1\>\""}], "}"}], ",", "\"\<NSLL\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<00\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<01\>\"", ",", "\"\<SLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<10\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<NSLL\>\"", ",", "\"\<11\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<00\>\"", ",", "\"\<SLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<01\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<10\>\"", ",", "\"\<NSLL\>\"", ",", 
       "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "\"\<SLL\>\"", ",", "\"\<11\>\"", ",", "\"\<SLL\>\"", ",", 
       "\"\<1\>\""}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
    "\"\<10\>\"", ",", "\"\<01\>\"", ",", "\"\<11\>\"", ",", "\"\<10\>\"", 
     ",", "\"\<11\>\"", ",", "\"\<01\>\"", ",", "\"\<11\>\"", ",", 
     "\"\<10\>\""}], "}"}], ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816200293040285*^9, 3.816200303430593*^9}, {
  3.8644621280635552`*^9, 3.8644621372330246`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"a6e15021-4f92-41ab-b3d0-08bb5b0ff454"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{
      "", "NSLL", "SLL"}, {{{1, 2}, {2, 2}, {2, 3}, {3, 3}, {3, 2}}, Null}, {
      EdgeLabels -> {
        DirectedEdge["", "NSLL"] -> "", DirectedEdge["SLL", "SLL"] -> 
         "00/1,11/1", DirectedEdge["NSLL", "SLL"] -> "01/1", 
         DirectedEdge["NSLL", "NSLL"] -> "00/0,10/1,11/0", 
         DirectedEdge["SLL", "NSLL"] -> "01/1,10/0"}, 
       EdgeWeight -> {"", "00/0,10/1,11/0", "01/1", "00/1,11/1", "01/1,10/0"},
        ImagePadding -> 14, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[
        Medium], {
         ArrowBox[{{0., 0.}, {1.0004074127454492`, 4.666248974332878*^-18}}, 
          0.022613117298666746`], 
         InsetBox["\<\"\"\>", {0.5002037063727246, 2.333124487166439*^-18}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.0004074127454492`, 
          4.666248974332878*^-18}, {1.215969005971036, -0.1425312379880006}, {
          1.2342632844934087`, -0.32493768720862726`}, {
          1.1702710252509327`, -0.43105693297714304`}, {
          0.8305438002399658, -0.4310569329771431}, {
          0.7665515409974896, -0.32493768720862726`}, {
          0.7848458195198624, -0.14253123798800063`}, {1.0004074127454492`, 
          4.666248974332878*^-18}},
          SplineDegree->7], 0.022613117298666746`], 
         InsetBox["\<\"00/0,10/1,11/0\"\>", {1.000407412745449, -0.5}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{1.0004074127454492`, 
          4.666248974332878*^-18}, {1.5003055284305298`, 
          0.16440723931737236`}, {2.000203644115611, 
          4.9566794084199865`*^-18}}], 0.022613117298666746`], 
         InsetBox["\<\"01/1\"\>", {1.50030552843053, 0.06998573619591142}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.000203644115611, 
          4.9566794084199865`*^-18}, {
          1.5003055284305298`, -0.16440723931737236`}, {1.0004074127454492`, 
          4.666248974332878*^-18}}], 0.022613117298666746`], 
         InsetBox["\<\"01/1,10/0\"\>", {1.5003055284305304, -0.06998573619591142},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         ArrowBox[BezierCurveBox[{{2.000203644115611, 
          4.9566794084199865`*^-18}, {2.0886828995833713`, 
          0.1907835323853024}, {2.287561377120962, 0.24717977484589673`}, {
          2.4147320015954197`, 0.18822269607102357`}, {
          2.4147320015954197`, -0.18822269607102265`}, {
          2.2875613771209626`, -0.2471797748458961}, {
          2.0886828995833717`, -0.19078353238530207`}, {2.000203644115611, 
          4.9566794084199865`*^-18}},
          SplineDegree->7], 0.022613117298666746`], 
         InsetBox["\<\"00/1,11/1\"\>", {2.500203644115611, 5.248237776675195*^-16},
           ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 0.}, 0.022613117298666746], 
         InsetBox["\<\"\"\>", 
          Offset[{2, 2}, {0.022613117298666746, 0.022613117298666746}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0004074127454492, 4.666248974332878*^-18}, 
          0.022613117298666746], 
         InsetBox["\<\"NSLL\"\>", 
          Offset[{2, 2}, {1.023020530044116, 0.02261311729866675}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.000203644115611, 4.9566794084199865*^-18}, 
          0.022613117298666746], 
         InsetBox["\<\"SLL\"\>", 
          Offset[{2, 2}, {2.0228167614142776, 0.02261311729866675}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->14]], "Output",
 CellChangeTimes->{3.816369783777411*^9, 3.8164182773413305`*^9, 
  3.8164554602524705`*^9, 3.816514974980361*^9, 3.816515097170154*^9, 
  3.8328450358393307`*^9, 3.863707856086607*^9, 3.8644621444699097`*^9},
 CellLabel->"Out[29]=",
 CellID->119560612,ExpressionUUID->"4a39a1ad-6c92-4fe3-9c34-5e10d3873acd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"1\"\>", ",", "\<\"1\"\>", ",", "\<\"1\"\>", ",", "\<\"0\"\>",
      ",", "\<\"0\"\>", ",", "\<\"1\"\>", ",", "\<\"1\"\>", 
     ",", "\<\"0\"\>"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"NSLL\"\>", ",", "\<\"NSLL\"\>", ",", "\<\"SLL\"\>", 
     ",", "\<\"SLL\"\>", ",", "\<\"NSLL\"\>", ",", "\<\"NSLL\"\>", 
     ",", "\<\"SLL\"\>", ",", "\<\"SLL\"\>", ",", "\<\"NSLL\"\>"}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{3.816369783777411*^9, 3.8164182773493185`*^9, 
  3.8164554602564583`*^9, 3.8165149749843493`*^9, 3.8165150971731462`*^9, 
  3.832845035847309*^9, 3.8637078560951414`*^9, 3.8644621444794283`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[29]:=",
 CellID->48181057,ExpressionUUID->"da460cda-0d48-492b-9182-91902fbafbf6"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{VilCretas`Private`Gi13$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"sin t\[IAcute]tulo\"", Typeset`specs$$ = {{{
       Hold[VilCretas`Private`Gi13$$], 1, "Aristas"}, 1, 8, 1}}, 
    Typeset`size$$ = {540., {109., 116.06578098473824`}}, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = True}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, "Variables" :> {VilCretas`Private`Gi13$$ = 1}, 
      "ControllerVariables" :> {}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      HighlightGraph[VilCretas`Private`GGrafoAuxiliar12, 
        Cases[VilCretas`Private`GList6, 
         Condition[
          Pattern[VilCretas`Private`Gicontador10$, 
           Blank[]], 
          MemberQ[
           Table[
           VilCretas`Private`Gi14, {
            VilCretas`Private`Gi14, VilCretas`Private`Gi13$$}], 
           Part[
            Flatten[
             Position[
             VilCretas`Private`GList6, VilCretas`Private`Gicontador10$]], 
            1]]]], VertexLabels -> "Name", ImagePadding -> 
        OptionValue[
         VilCretas`AnimarGrafo, {VilCretas`padding -> 25}, VilCretas`padding],
         GraphHighlightStyle -> "Thick"], 
      "Specifications" :> {{{VilCretas`Private`Gi13$$, 1, "Aristas"}, 1, 8, 
         1}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{607., {171.03173828125, 178.96826171875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UndoTrackedVariables:>{Typeset`show$$, Typeset`bookmarkMode$$},
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Print",
 CellChangeTimes->{3.816369783777411*^9, 3.8164182773493185`*^9, 
  3.8164554602564583`*^9, 3.8165149749843493`*^9, 3.8165150971731462`*^9, 
  3.832845035847309*^9, 3.8637078560951414`*^9, 3.864462144502431*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[29]:=",
 CellID->128931407,ExpressionUUID->"de1538b4-e575-4697-aab8-e6c381ec5e9a"]
}, Open  ]]
}, Open  ]],

Cell["7.5.13", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410503141775`*^9, 3.8161634543053737`*^9, 
   3.8162008737474594`*^9},ExpressionUUID->"d1965714-1aec-4d52-b547-\
6bb0d0335840"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A1", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     SubscriptBox["\[Sigma]", "0"], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A1", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164182842399073`*^9, 3.8164185892316566`*^9}, {
  3.81641863889067*^9, 3.81641864534595*^9}, {3.8164213882270594`*^9, 
  3.8164214168098307`*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"a8db4aed-757d-48b7-91d6-f702fff3d138"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.8164186274289007`*^9, 3.816418645997074*^9}, 
   3.81641868736314*^9, 3.8164194915708575`*^9, {3.816421391632558*^9, 
   3.8164214177605886`*^9}, 3.8164554644290657`*^9, 3.8165151013104353`*^9, 
   3.832845040164438*^9, 3.863707860295183*^9},
 CellLabel->"Out[39]=",
 CellID->237459775,ExpressionUUID->"50f4b121-284c-4d52-860e-b34bb5082ed4"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   CircleBox[{1.1041011583936708, 0.5137054933303588}, 
    0.03749998125000937, {-2.4870941840919194`, 2.748893571891069}], 
   PolygonBox[{{1.0909210934245617`, 0.46217570808004266`}, {
    1.0743504230081173`, 0.4908769511568028}, {1.107491763841006, 
    0.4908769511568028}}], 
   InsetBox["\<\"c,b,a\"\>", {1.1089958881545579, 0.47652632961842273}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5129291925700409, 0.10199338597002337`}, {
    0.5134260078827435, 0.07378891355007407}, {0.5376033898424059, 
    0.0883214044418383}}], 
   CircleBox[{0.21004743494446984, 0.2558556826938861}, 0.35381756166777484, {
    5.742569772999188, 6.789867324195786}], 
   InsetBox["\<\"c\"\>", {0.5638140709445429, 0.2498528335602287}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"b\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.5316211405296084, 0.3998760588537469}, {0.5374932358753645,
     0.43504462751861916`}, {0.5650140620810032, 0.4123749594433139}}], 
   CircleBox[{1.0705056716363657, 0.6180647379007705}, 0.5635588855480596, {
    3.472348227379985, 4.519545778576584}], 
   InsetBox["\<\"c\"\>", {0.700413416925393, 0.19305845502589414}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5852468354774738, -0.04693767077312686}, {
    0.5720034530772181, -0.0209866655589916}, {
    0.6010993740465296, -0.02249306257540603}}], 
   CircleBox[{0.7872374766884138, 0.2877179658255642}, 0.3763299541069482, {
    4.10353344780224, 5.150630998998832}], 
   InsetBox["\<\"b,a\"\>", {0.755172912061478, -0.08724349626543892}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "3"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.898053471337786, 0.012288764314435808`}, {
    0.9262110864499259, 0.013426757882368573`}, {0.911146747554683, 
    0.03724297109549991}}], 
   CircleBox[{0.7519157379089672, -0.29249566055509035}, 
    0.35209003767260777, {1.0529262581676653`, 2.1001238093766523`}], 
   InsetBox["\<\"b\"\>", {0.7498987282859683, 0.05958859967316682}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9000605564188323, 0.4689489364622962}, {0.9350476271923535, 
    0.46250026874986566`}, {0.9119693817460636, 0.43542491051220755`}}], 
   CircleBox[{1.1082707780564933, -0.07115380171228247}, 0.5610641023235405, {
    1.8846647688962923`, 2.9318623200928906`}], 
   InsetBox["\<\"c\"\>", {0.6914280936534895, 0.30439260470883894}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.8164186274289007`*^9, 3.816418645997074*^9}, 
   3.81641868736314*^9, 3.8164194915708575`*^9, {3.816421391632558*^9, 
   3.8164214177605886`*^9}, 3.8164554644290657`*^9, 3.8165151013104353`*^9, 
   3.832845040164438*^9, 3.8637078603223257`*^9},
 CellLabel->"Out[40]=",
 CellID->168592153,ExpressionUUID->"9765f0d4-9ad1-4a7f-87c7-7effdeaed7c5"]
}, Open  ]],

Cell["7.5.14", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, 3.8161634564632025`*^9, 
   3.8162008756140842`*^9},ExpressionUUID->"4d84e622-0a19-4c99-97d0-\
626728917dcb"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A2", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A2", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164192695315657`*^9, 3.816419316332111*^9}, {
  3.81642139517653*^9, 3.8164214112144995`*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"addde085-9984-4d2a-b397-6f5824de587c"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.816419373295077*^9, 3.816419398717414*^9}, 
   3.8164195058839364`*^9, {3.816421400147267*^9, 3.816421422191429*^9}, 
   3.8164554683207703`*^9, 3.81651510456958*^9, 3.832845043960944*^9, 
   3.8637078636785407`*^9},
 CellLabel->"Out[41]=",
 CellID->21977120,ExpressionUUID->"24a3ef8f-0960-478f-a38a-47b9235ddcc3"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5129291925700409, 0.10199338597002337`}, {
    0.5134260078827435, 0.07378891355007407}, {0.5376033898424059, 
    0.0883214044418383}}], 
   CircleBox[{0.21004743494446984, 0.2558556826938861}, 0.35381756166777484, {
    5.742569772999188, 6.789867324195786}], 
   InsetBox["\<\"b\"\>", {0.5638140709445429, 0.2498528335602287}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9366358394624774, 0.08943397794579509}, {0.9624995187502406,
     0.06495237280764654}, {0.9707693710814154, 0.09959177867525716}}], 
   CircleBox[{0.4194427433454762, -0.08056675170302807}, 0.5622156854014074, {
    0.2618122734893006, 1.3090098246858985`}], 
   InsetBox["\<\"c\"\>", {0.8169841442879253, 0.3169848945620694}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.587809566657068, 0.4568833817623009}, {0.5724441507496048, 
    0.4805888313228953}, {0.6006563802309417, 0.48204294705817474`}}], 
   CircleBox[{0.7441443173061084, 0.7899525650558488}, 0.3538175616677748, {
    4.205706963368941, 5.252804514564638}], 
   InsetBox["\<\"b,a\"\>", {0.7501117897462107, 0.43618533053969655}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.1041011583936708, 0.5137054933303588}, 
    0.03749998125000937, {-2.48709418409192, 2.7488935718910685`}], 
   PolygonBox[{{1.0909210934245617`, 0.46217570808004255`}, {
    1.0743504230081171`, 0.49087695115680285`}, {1.107491763841006, 
    0.4908769511568029}}], 
   InsetBox["\<\"c\"\>", {1.1089958881545579, 0.47652632961842273}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8993635865048231, 0.017796697672077602`}, {
    0.9275550992507702, 0.019411918676729784`}, {0.9120605204550416, 
    0.0430188743835067}}], 
   CircleBox[{0.7577710456030716, -0.2906670293910736}, 0.3535188522663558, {
    1.069835251788079, 2.117032802983944}], 
   InsetBox["\<\"a\"\>", {0.7497688751857114, 0.06276124363802782}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9280631092505672, 0.4438962443350689}, {0.9624995187502405, 
    0.43504837719197853`}, {0.937618836285178, 0.40964950532168287`}}], 
   CircleBox[{1.0982226883643718, -0.10865378296229267}, 0.5603863111519823, {
    1.8154246456152927`, 2.862622196811889}], 
   InsetBox["\<\"c\"\>", {0.7088318955192552, 0.29434451501671594}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"b\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.5871066603222185, -0.04494200284618295}, {
    0.5720034530772181, -0.0209866655589916}, {
    0.6003009873466506, -0.01988457304979578}}], 
   CircleBox[{0.7484146393345211, 0.28771796581042963}, 0.35555513788294246, {
    4.193222012583563, 5.2403195638227205`}], 
   InsetBox["\<\"b,a\"\>", {0.7499726086320123, -0.06783375870602704}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, -0.040181240307714215}, 
    0.03749998125000937, {-3.010692959690218, 2.2252947962927703`}], 
   PolygonBox[{{1.0598276386983478`, -0.07821731090149009}, {
    1.0598276386983478`, -0.045075970068601284`}, {
    1.0885288817751082`, -0.06164664048504559}}], 
   InsetBox["\<\"c\"\>", {1.0826561808719037, -0.07482670545415487}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.816419373295077*^9, 3.816419398717414*^9}, 
   3.8164195058839364`*^9, {3.816421400147267*^9, 3.816421422191429*^9}, 
   3.8164554683207703`*^9, 3.81651510456958*^9, 3.832845043960944*^9, 
   3.8637078637043695`*^9},
 CellLabel->"Out[42]=",
 CellID->56709140,ExpressionUUID->"9d48f88f-ba63-430f-8811-dc3888379cdf"]
}, Open  ]],

Cell["7.5.15", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415247134347`*^9, 3.811341525255988*^9}, 
   3.8161634588698435`*^9, 
   3.8162008806973414`*^9},ExpressionUUID->"b0cb0059-04aa-4104-8731-\
0fb4d1402d9b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A3", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A3", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164195669628544`*^9, 3.8164196542835455`*^9}, {
  3.816421426404173*^9, 3.8164214296181283`*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"4daabef4-6cac-4f13-b449-5a6071d2b85e"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164197031408997`*^9, 3.8164197402322717`*^9, 
  3.816421430492508*^9, 3.816455472480146*^9, 3.8165151080826287`*^9, 
  3.8328450477488832`*^9, 3.863707867079624*^9},
 CellLabel->"Out[43]=",
 CellID->422442787,ExpressionUUID->"93b8ad91-39c9-4d5a-9711-f94f0e5cd6c1"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5880431180062965, 0.4570598695278279}, {0.5724441507496048, 
    0.4805888313228953}, {0.6006203130171525, 0.48233345234245834`}}], 
   CircleBox[{0.740709800600417, 0.7912774043431234}, 0.3533280604838605, {
    4.216025938104314, 5.263123489301952}], 
   InsetBox["\<\"d,a\"\>", {0.7503140998925111, 0.4380799018598889}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6002907396856809, 0.026667774255220763`}, {
    0.5749997125001437, 4.999997500476638*^-7}, {
    0.6107397630478366, -0.008568534902992638}}], 
   CircleBox[{0.41943899367211657, 0.5805610063278834}, 0.6010404634883338, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"c\"\>", {0.8443962790685449, 0.1555187209740968}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, 0.5401819903073393}, 
    0.03749998125000937, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976127270772782`, 0.48699678808123537`}, {
    1.074178260236728, 0.5104312549217856}, {1.1061903372650637`, 
    0.519008865109571}}], 
   InsetBox["\<\"b\"\>", {1.111357423948664, 0.5055365251608985}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.9059760489790732, 0.4625820305288293}, {0.9404980292291427, 
    0.45434316565276317`}, {0.9161019728230874, 0.42856568620529134`}}], 
   CircleBox[{1.0850199370165228, -0.08501993701652255}, 0.5583897727855898, {
    1.8325957145940464`, 2.879793265790644}], 
   InsetBox["\<\"c,a\"\>", {0.6901787421346166, 0.3098212578653833}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"d\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.45981800969266073, -0.09700680241028384}, 
    0.03749998125000937, {-4.581489286485114, 0.6544984694978737}], 
   PolygonBox[{{0.4217819390988849, -0.05982763869834785}, {
    0.45492327993177367`, -0.05982763869834781}, {
    0.43835260951532934`, -0.08852888177510804}}], 
   InsetBox["\<\"b\"\>", {0.42517254454622005, -0.08265618087190374}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5095829239822125, 0.10254742081936055`}, {
    0.5097892095218991, 0.0743588274236221}, {0.5340981047297155, 
    0.08863177263929331}}], 
   CircleBox[{0.2087225956565094, 0.259290199399593}, 0.35332806048386056, {
    5.732250798262844, 6.779548349459441}], 
   InsetBox["\<\"b\"\>", {0.5619191359438289, 0.24965058040533092}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"d,c,a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.8164197031408997`*^9, 3.8164197402322717`*^9, 
  3.816421430492508*^9, 3.816455472480146*^9, 3.8165151080826287`*^9, 
  3.8328450477488832`*^9, 3.863707867103458*^9},
 CellLabel->"Out[44]=",
 CellID->114814389,ExpressionUUID->"a833a64b-aa81-4593-8ea6-54171a4608bc"]
}, Open  ]],

Cell["7.5.16", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.8113415297759256`*^9}, 
   3.816163461414366*^9, 
   3.8162008828142962`*^9},ExpressionUUID->"c7aaec1a-dd7e-451f-89e0-\
a4e030acbe08"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A4", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A4", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164197790277877`*^9, 3.8164198864847994`*^9}, {
  3.816421434778112*^9, 3.8164214380953813`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"b9ff1fd4-87bb-480a-a110-bef8a5299a9b"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.8164211631999397`*^9, 3.8164211862767315`*^9}, 
   3.816421438909793*^9, 3.8164554768879356`*^9, 3.8165151113238163`*^9, 
   3.83284505328415*^9, 3.8637078705551176`*^9},
 CellLabel->"Out[45]=",
 CellID->68194915,ExpressionUUID->"7aebb8f8-e92a-4276-9eaa-fd26835c00ab"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"c,a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"d\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5908991004187216, 0.060506474072377914`}, {
    0.5665726882438699, 0.034540886051425024`}, {0.6012227531816419, 
    0.026456389135548763`}}], 
   CircleBox[{0.4179518204101043, 0.577831265877818}, 0.563251807957656, {
    4.979313119517937, 6.026510670714535}], 
   InsetBox["\<\"b\"\>", {0.81826683611446, 0.18159839575067976}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8992706709356493, -0.020387591056298927`}, {
    0.9275550992507702, -0.019410918677229636`}, {0.9125670620017612, 
    0.00459577858565028}}], 
   CircleBox[{0.7499996250001875, -0.3269460212412265}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.7499996250001875, 0.02816492725993902}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   PolygonBox[{{0.9005175025661, 0.4701041850016644}, {0.9352015681900969, 
    0.46223489010312613`}, {0.911044526086093, 0.4361322556154873}}], 
   CircleBox[{1.0863965150157224, -0.07771889970006052}, 0.5607227541917913, {
    1.8438185724510152`, 2.891016123647613}], 
   InsetBox["\<\"d\"\>", {0.6854809552392997, 0.3142973257263695}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"c\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4474997762501119, -0.09093212193130504}, 
    0.03749998125000937, {1.5707963267948974`, 6.806784082777886}], 
   PolygonBox[{{0.41464196418230626`, -0.049106327657311814`}, {
    0.44749977625011184`, -0.05343214068129567}, {
    0.42732460624541746`, -0.07972493413279827}}], 
   InsetBox["\<\"a\"\>", {0.41502383984616364, -0.07218213130630037}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"b\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5291101550576424, 0.4004159976748215}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5632909686094801, 0.41047035164659496`}}], 
   CircleBox[{1.0814936192276856, 0.5789820521904367}, 0.5627205339319226, {
    3.400255872223019, 4.447453423419617}], 
   InsetBox["\<\"d,c,a\"\>", {0.6823441799120106, 0.18232839419317298}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5067775964209593, 0.10287664964014709`}, {
    0.5067401552473649, 0.07469696117501053}, {0.5311632019157018, 
    0.08875438040009853}}], 
   CircleBox[{0.20749090093782152, 0.26209982473455135}, 0.3530863201472604, {
    5.72359237770436, 6.770889928900957}], 
   InsetBox["\<\"c\"\>", {0.5603491550214617, 0.2494111683762537}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9351410931072262, 0.08856596169564104}, {0.960916814289916, 
    0.06401251490844888}, {0.9692928623667489, 0.09861166764711907}}], 
   CircleBox[{0.4178374502986611, -0.07966601838330306}, 0.5617639330911296, {
    0.25863706414413573`, 1.3058346153407332`}], 
   InsetBox["\<\"d,b\"\>", {0.8163187091403079, 0.3163029234214698}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.8164211631999397`*^9, 3.8164211862767315`*^9}, 
   3.816421438909793*^9, 3.8164554768879356`*^9, 3.8165151113238163`*^9, 
   3.83284505328415*^9, 3.863707870585326*^9},
 CellLabel->"Out[46]=",
 CellID->198422930,ExpressionUUID->"2b631530-a1c5-433b-bbe1-3e7efd55125e"]
}, Open  ]],

Cell["7.5.17", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341535989689*^9}, 
   3.8161634633955617`*^9, 
   3.816200884631172*^9},ExpressionUUID->"3060b749-fda3-4792-bb0f-\
a5960c87f9ab"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A5", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A5", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816421208259432*^9, 3.816421255465583*^9}, {
  3.8164214428502097`*^9, 3.816421446130189*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"7ec3d8c1-ad5d-47d9-bdab-dd572c240fa0"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164213405298376`*^9, 3.816421446945099*^9, 
  3.816455480853256*^9, 3.816515114537942*^9, 3.832845056804147*^9, 
  3.8637078745235476`*^9},
 CellLabel->"Out[47]=",
 CellID->629726601,ExpressionUUID->"2444493f-e325-43e2-9d0a-19708c401bfb"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0184370726956367`, 0.1006884219098928}, {
    1.0194109186772298`, 0.07244490074922978}, {1.0433836025038907`, 
    0.08741003668899433}}], 
   CircleBox[{0.7118758161132328, 0.25000037499981254}, 0.35511094850116565, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"c,a\"\>", {1.0669867641705097, 0.24998261945239483}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5902207522018887, 0.061798292812127315`}, {
    0.5658523561277466, 0.03589518820294451}, {0.6004693007932558, 
    0.02774309045784787}}], 
   CircleBox[{0.4184991357729191, 0.5789783018675586}, 0.562718615203541, {
    4.97723742193552, 6.024434973132118}], 
   InsetBox["\<\"d\"\>", {0.8176126580499912, 0.18229122590946795}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, 0.574246424901375}, 
    0.03749998125000937, {-1.8325957145940457`, 3.4033920413889427`}], 
   PolygonBox[{{1.0908327590147626`, 0.5581993945313295}, {
    1.0645399655632601`, 0.5380242245266351}, {1.0951585720387464`, 
    0.5253415824635241}}], 
   InsetBox["\<\"b\"\>", {1.100762165938, 0.547729933865125}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.48467361679990373`, 0.10114764167076433`}, {
    0.48058833132314527`, 0.0724449007492298}, {0.5074882768578166, 
    0.08325831020541259}}], 
   CircleBox[{0.19437906349054843, 0.3128190986654803}, 0.37375861196386084, {
    5.584510680271821, 6.631808231468419}], 
   InsetBox["\<\"c,b\"\>", {0.562427405453789, 0.24773516827355185}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"d\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.39522444379725274, 0.49313554424488215}, 
    0.03749998125000937, {0.5890236225480865, 5.825011378531075}], 
   PolygonBox[{{0.39333473102646943`, 0.5161370122135414}, {
    0.42640505950563995`, 0.5139686380572983}, {0.4117477623702709, 
    0.5436925697098776}}], 
   InsetBox["\<\"a\"\>", {0.39277276317046955, 0.5305552964601936}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.5036187812362869, 0.39017770381419997`}, {
    0.5097854915932926, 0.42564143319597497`}, {0.5374146269723434, 
    0.40256904067814}}], 
   CircleBox[{1.0542174265423354, 0.6086575080925253}, 0.5743701032112478, {
    3.4658847757933424`, 4.513082326989942}], 
   InsetBox["\<\"d,b\"\>", {0.6742335776932222, 0.177944970456675}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.0583343452998855, -0.08730376563988435}, 
    0.03749998125000937, {-3.599741582238304, 1.6362461737446843`}], 
   PolygonBox[{{1.006289291859655, -0.09827396586308916}, {
    1.0247016343087652`, -0.07071794804958062}, {
    1.039359674537845, -0.10044151326044277`}}], 
   InsetBox["\<\"c,a\"\>", {1.0271542504285875, -0.10813763896118277}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "3"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8975615841878651, 0.006488450713043882}, {
    0.9256411725763779, 0.009789959521524153}, {0.9087421878831595, 
    0.032456841989546625`}}], 
   CircleBox[{0.7743313639959277, -0.31068807302085055}, 
    0.35440207041562355, {1.1296858386180628`, 2.176883389814645}], 
   InsetBox["\<\"d,c\"\>", {0.7451304857971739, 0.04250894880592271}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9003960259682655, 0.4706568927589168}, {0.9350476271923535, 
    0.46250026874986566`}, {0.9106579829793531, 0.43656941381252307`}}], 
   CircleBox[{1.0821655493750733, -0.07965952300853307}, 0.5617658968172341, {
    1.8357709232667772`, 2.882968474463375}], 
   InsetBox["\<\"b\"\>", {0.6836777955336562, 0.3163056684733616}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.42575357509862494, -0.07424567490174996}, 
    0.03749998125000937, {1.3089969389957474`, 6.544984694978735}], 
   PolygonBox[{{0.40484067796162826`, -0.02534083246389891}, {
    0.4354592844371148, -0.0380234745270101}, {
    0.4091664909856122, -0.058198644531704535`}}], 
   InsetBox["\<\"a\"\>", {0.3992370840623749, -0.04772918386549995}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.8164213405298376`*^9, 3.816421446945099*^9, 
  3.816455480853256*^9, 3.816515114537942*^9, 3.832845056804147*^9, 
  3.863707874554953*^9},
 CellLabel->"Out[48]=",
 CellID->53531736,ExpressionUUID->"8d85bc77-48bc-41af-809a-6cea5233fee5"]
}, Open  ]],

Cell["7.5.18", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.8113415594995375`*^9}, 
   3.816163465510704*^9, 
   3.8162008865973253`*^9},ExpressionUUID->"e0a0772b-df4e-4170-b2da-\
e758465217af"],

Cell["\[Alpha]=bbabbbaaccbccbaccbba", "Text",
 CellChangeTimes->{{3.8162003637640123`*^9, 
  3.8162003987472997`*^9}},ExpressionUUID->"65a9e905-90dd-4d6b-bccf-\
e6a2e78f090d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "b", ",", "a", ",", "b", ",", "b", ",", "b", ",", "a", ",", "a",
      ",", "c", ",", "c", ",", "b", ",", "c", ",", "c", ",", "b", ",", "a", 
     ",", "c", ",", "c", ",", "b", ",", "b", ",", "a"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"A1", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     SubscriptBox["\[Sigma]", "0"], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A1", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A2", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A2", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A3", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A3", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A4", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A4", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A5", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A5", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8162004628306465`*^9, 3.8162004632473717`*^9}, {
  3.816421571367834*^9, 3.8164215724560175`*^9}, {3.8164216128482404`*^9, 
  3.8164216704390163`*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"f410bab6-8744-44ba-a6d4-fbdc6bc71db8"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.863707880248387*^9},
 CellLabel->"Out[50]=",
 CellID->281904495,ExpressionUUID->"b20ba533-c7de-464c-b77f-282c25a45231"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.863707880253147*^9},
 CellLabel->"Out[51]=",
 CellID->847649665,ExpressionUUID->"b1193c60-660f-403d-ade5-2573ab6c5e99"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.8637078802581196`*^9},
 CellLabel->"Out[52]=",
 CellID->164688067,ExpressionUUID->"0ae86a3e-6e3d-4d3d-9c43-1527d329206e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.8637078802625933`*^9},
 CellLabel->"Out[53]=",
 CellID->329022178,ExpressionUUID->"51d1c0f2-61eb-4c76-9bf0-dde86c693c19"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.86370788026658*^9},
 CellLabel->"Out[54]=",
 CellID->575583835,ExpressionUUID->"de1bad71-dff4-4804-93d6-26a0417f961b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.8637078802701416`*^9},
 CellLabel->"Out[55]=",
 CellID->57627747,ExpressionUUID->"1c083034-f8cb-4b5a-9bff-eadbb02d57ff"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.8637078802745647`*^9},
 CellLabel->"Out[56]=",
 CellID->46786017,ExpressionUUID->"746fb0cd-b05c-42d7-90a3-6459b85785d5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.863707880277755*^9},
 CellLabel->"Out[57]=",
 CellID->206488892,ExpressionUUID->"6335cd7f-52ef-4718-8b04-24ad1cb85eaa"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.863707880280636*^9},
 CellLabel->"Out[58]=",
 CellID->46327001,ExpressionUUID->"53b6afd5-7e19-45b3-a876-0e374af25fc2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.816421624078684*^9, 3.8164216351867356`*^9}, 
   3.81642174762333*^9, 3.8164239293997316`*^9, 3.816455490035596*^9, 
   3.8165151208851066`*^9, 3.83284506337532*^9, 3.8637078802850084`*^9},
 CellLabel->"Out[59]=",
 CellID->140284651,ExpressionUUID->"2d6ceeb9-3569-439b-92d2-4f8e8fc80dc3"]
}, Open  ]],

Cell["7.5.19", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341568228882*^9}, 
   3.816163467400383*^9, {3.8162008885476418`*^9, 
   3.8162008889641275`*^9}},ExpressionUUID->"201bd9a9-81ed-4e9f-bed2-\
e31e58e9edd5"],

Cell["\[Alpha]=aaccbaabccacaaacaabb", "Text",
 CellChangeTimes->{{3.8162003637640123`*^9, 
  3.8162004090643177`*^9}},ExpressionUUID->"cce753ae-3470-4832-a904-\
95cadbad0c3b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "a", ",", "c", ",", "c", ",", "b", ",", "a", ",", "a", ",", "b",
      ",", "c", ",", "c", ",", "a", ",", "c", ",", "a", ",", "a", ",", "a", 
     ",", "c", ",", "a", ",", "a", ",", "b", ",", "b"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"A1", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     SubscriptBox["\[Sigma]", "0"], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A1", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A2", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A2", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A3", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A3", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A4", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A4", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A5", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A5", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816200468197325*^9, 3.8162004686809635`*^9}, {
  3.8164225544681993`*^9, 3.816422555175252*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"c832eac7-3b17-4d23-8d6f-e9f0038b530d"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.863707885512892*^9},
 CellLabel->"Out[61]=",
 CellID->594139441,ExpressionUUID->"5a39e9f2-31fd-4913-bb33-106d3a08c4f9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.863707885518199*^9},
 CellLabel->"Out[62]=",
 CellID->794030,ExpressionUUID->"1f04ad6c-c590-4808-a156-89cf79563a20"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.8637078855234265`*^9},
 CellLabel->"Out[63]=",
 CellID->17675990,ExpressionUUID->"45d00290-8c99-4d0a-ab44-56b9259b32e1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.863707885526434*^9},
 CellLabel->"Out[64]=",
 CellID->1907839,ExpressionUUID->"a80c8c6d-3eef-4190-b089-a7ed80f26e31"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.8637078855294375`*^9},
 CellLabel->"Out[65]=",
 CellID->397459076,ExpressionUUID->"42ab11aa-9094-4a34-b3a4-0ceca767e800"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.8637078855344286`*^9},
 CellLabel->"Out[66]=",
 CellID->346660952,ExpressionUUID->"8712c2f4-0441-45a4-a721-a9f0d4a7f924"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.863707885538522*^9},
 CellLabel->"Out[67]=",
 CellID->12401202,ExpressionUUID->"65b6fcd2-0507-4b40-acde-660eea0f06b8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.86370788554141*^9},
 CellLabel->"Out[68]=",
 CellID->382763804,ExpressionUUID->"8b6cd74d-4dfb-4cf4-92fb-29a0e574fef3"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.863707885544401*^9},
 CellLabel->"Out[69]=",
 CellID->489505425,ExpressionUUID->"fee6c480-aa7b-41a1-b4de-501fd468a5a7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422565258354*^9, 3.816423945581176*^9, 
  3.8164554945186524`*^9, 3.8165151244857345`*^9, 3.832845069506858*^9, 
  3.863707885548665*^9},
 CellLabel->"Out[70]=",
 CellID->177108471,ExpressionUUID->"9ed5dcd4-7930-4b5d-8dfb-edf8385787ef"]
}, Open  ]],

Cell["7.5.20", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341576038514*^9}, 
   3.816163469740639*^9, {3.816200891480899*^9, 
   3.816200891680889*^9}},ExpressionUUID->"bdbc2404-5910-4dc0-8fcd-\
d74f08ddab9b"],

Cell["\[Alpha]=ccbababaccaccabbddcc", "Text",
 CellChangeTimes->{{3.8162003637640123`*^9, 3.816200382281003*^9}, 
   3.816200420548152*^9},ExpressionUUID->"6cfc72a8-66ec-47ae-a3b6-\
f36d0167a249"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "c", ",", "c", ",", "b", ",", "a", ",", "b", ",", "a", ",", "b", ",", "a",
      ",", "c", ",", "c", ",", "a", ",", "c", ",", "c", ",", "a", ",", "b", 
     ",", "b", ",", "d", ",", "d", ",", "c", ",", "c"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"A3", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A3", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A4", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A4", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A5", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A5", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8162004743309317`*^9, 3.816200474747232*^9}, {
  3.816422965928033*^9, 3.816422966953629*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"b9ed54f6-b0f3-4dee-9e5d-9403cdb66ff2"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422979110854*^9, 3.816423967337264*^9, 
  3.8164554993504405`*^9, 3.8165151297957172`*^9, 3.8328450757898593`*^9, 
  3.863707889895176*^9},
 CellLabel->"Out[72]=",
 CellID->382002597,ExpressionUUID->"846bdd45-6347-4c98-8b2e-ae3a501bd6fc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422979110854*^9, 3.816423967337264*^9, 
  3.8164554993504405`*^9, 3.8165151297957172`*^9, 3.8328450757898593`*^9, 
  3.863707889900815*^9},
 CellLabel->"Out[73]=",
 CellID->47432117,ExpressionUUID->"8c510d5d-4459-430b-886e-86816a8df5a5"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422979110854*^9, 3.816423967337264*^9, 
  3.8164554993504405`*^9, 3.8165151297957172`*^9, 3.8328450757898593`*^9, 
  3.863707889904816*^9},
 CellLabel->"Out[74]=",
 CellID->440272717,ExpressionUUID->"c155e281-b11e-4fa7-9307-41a155d10491"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422979110854*^9, 3.816423967337264*^9, 
  3.8164554993504405`*^9, 3.8165151297957172`*^9, 3.8328450757898593`*^9, 
  3.863707889907809*^9},
 CellLabel->"Out[75]=",
 CellID->334263217,ExpressionUUID->"d51f4292-3cab-4449-9ab8-0004fddec986"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.816422979110854*^9, 3.816423967337264*^9, 
  3.8164554993504405`*^9, 3.8165151297957172`*^9, 3.8328450757898593`*^9, 
  3.863707889910431*^9},
 CellLabel->"Out[76]=",
 CellID->118349311,ExpressionUUID->"4a058fea-33a7-4d01-979d-4a24b38932db"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.816422979110854*^9, 3.816423967337264*^9, 
  3.8164554993504405`*^9, 3.8165151297957172`*^9, 3.8328450757898593`*^9, 
  3.863707889913251*^9},
 CellLabel->"Out[77]=",
 CellID->138241903,ExpressionUUID->"968d8602-e5e3-455a-99c0-19b7718a156f"]
}, Open  ]],

Cell["7.5.21", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.8162008933956184`*^9, 
   3.816200893845973*^9}},ExpressionUUID->"b362982d-ac51-40b6-8a2e-\
89a97157e1cf"],

Cell["\[Alpha]=cbcaccaabcacdcaadacc", "Text",
 CellChangeTimes->{{3.8162003637640123`*^9, 3.8162003844309206`*^9}, 
   3.8162004327145844`*^9},ExpressionUUID->"b148dbab-cab7-4ede-b5a5-\
acabbdc46344"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "c", ",", "b", ",", "c", ",", "a", ",", "c", ",", "c", ",", "a", ",", "a",
      ",", "b", ",", "c", ",", "a", ",", "c", ",", "d", ",", "c", ",", "a", 
     ",", "a", ",", "d", ",", "a", ",", "c", ",", "c"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"A3", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A3", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A4", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A4", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A5", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A5", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.81620047901429*^9, 3.816200479430892*^9}, {
  3.8164232324211063`*^9, 3.8164232372024913`*^9}},
 CellLabel->"In[78]:=",ExpressionUUID->"a7252ffd-5648-4348-8c98-d1d9609a2371"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816423241337736*^9, {3.816423993350851*^9, 3.8164240025305824`*^9}, 
   3.81645550322043*^9, 3.8165151345041375`*^9, 3.832845080317977*^9, 
   3.863707894180436*^9},
 CellLabel->"Out[79]=",
 CellID->46072983,ExpressionUUID->"faf6584e-003f-4e6b-9e0c-417fe55c3440"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816423241337736*^9, {3.816423993350851*^9, 3.8164240025305824`*^9}, 
   3.81645550322043*^9, 3.8165151345041375`*^9, 3.832845080317977*^9, 
   3.8637078941856337`*^9},
 CellLabel->"Out[80]=",
 CellID->62191512,ExpressionUUID->"24cc5e48-ffc1-4ba0-b519-eba98de6e019"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816423241337736*^9, {3.816423993350851*^9, 3.8164240025305824`*^9}, 
   3.81645550322043*^9, 3.8165151345041375`*^9, 3.832845080317977*^9, 
   3.863707894189362*^9},
 CellLabel->"Out[81]=",
 CellID->3788166,ExpressionUUID->"144df960-3b2f-4ce3-a259-716326873bcc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816423241337736*^9, {3.816423993350851*^9, 3.8164240025305824`*^9}, 
   3.81645550322043*^9, 3.8165151345041375`*^9, 3.832845080317977*^9, 
   3.8637078941943483`*^9},
 CellLabel->"Out[82]=",
 CellID->669110388,ExpressionUUID->"71f2324a-3642-4597-989e-13d5de968493"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816423241337736*^9, {3.816423993350851*^9, 3.8164240025305824`*^9}, 
   3.81645550322043*^9, 3.8165151345041375`*^9, 3.832845080317977*^9, 
   3.8637078941984177`*^9},
 CellLabel->"Out[83]=",
 CellID->717858228,ExpressionUUID->"5294b00d-929d-47ed-b02c-51f3d10499b0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816423241337736*^9, {3.816423993350851*^9, 3.8164240025305824`*^9}, 
   3.81645550322043*^9, 3.8165151345041375`*^9, 3.832845080317977*^9, 
   3.8637078942016335`*^9},
 CellLabel->"Out[84]=",
 CellID->37075136,ExpressionUUID->"7f79ec15-dd8d-4d26-be17-8fb6d91bc4bf"]
}, Open  ]],

Cell["7.5.22", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816200895347474*^9, 
   3.816200895863985*^9}},ExpressionUUID->"0d784f1d-809b-459a-b7c0-\
0feddbae8bc3"],

Cell["\[Alpha]=bcdccdbbcdbadacaddbd", "Text",
 CellChangeTimes->{{3.8162003637640123`*^9, 3.8162003866809425`*^9}, 
   3.8162004432974806`*^9},ExpressionUUID->"4229fa4b-c540-4d6b-b8e1-\
f7180ae90e33"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "c", ",", "d", ",", "c", ",", "c", ",", "d", ",", "b", ",", "b",
      ",", "c", ",", "d", ",", "b", ",", "a", ",", "d", ",", "a", ",", "c", 
     ",", "a", ",", "d", ",", "d", ",", "b", ",", "d"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"A3", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A3", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A4", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A4", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A5", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A5", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816423500557588*^9, 3.8164235016091404`*^9}, {
  3.816424420104253*^9, 3.8164244257971115`*^9}, {3.832845101286933*^9, 
  3.832845101762431*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"7087fe4c-ea3f-45bd-a858-b168bb42ff8a"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816423565821386*^9, 3.8164237890271826`*^9, {3.8164240084132805`*^9, 
   3.8164240262172384`*^9}, 3.8164244704643536`*^9, 3.816455507470684*^9, 
   3.8165151394523573`*^9, {3.832845085491062*^9, 3.8328451031065116`*^9}, 
   3.8637078996702824`*^9},
 CellLabel->"Out[86]=",
 CellID->35876318,ExpressionUUID->"e008aead-5672-467b-bd55-9b43a72c6fad"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816423565821386*^9, 3.8164237890271826`*^9, {3.8164240084132805`*^9, 
   3.8164240262172384`*^9}, 3.8164244704643536`*^9, 3.816455507470684*^9, 
   3.8165151394523573`*^9, {3.832845085491062*^9, 3.8328451031065116`*^9}, 
   3.86370789967527*^9},
 CellLabel->"Out[87]=",
 CellID->256076155,ExpressionUUID->"4d0114fc-f41a-419f-a213-25caa5e60d7b"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816423565821386*^9, 3.8164237890271826`*^9, {3.8164240084132805`*^9, 
   3.8164240262172384`*^9}, 3.8164244704643536`*^9, 3.816455507470684*^9, 
   3.8165151394523573`*^9, {3.832845085491062*^9, 3.8328451031065116`*^9}, 
   3.8637078996792884`*^9},
 CellLabel->"Out[88]=",
 CellID->478031823,ExpressionUUID->"9be1f290-5e84-4bcf-a000-6ca234217d13"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816423565821386*^9, 3.8164237890271826`*^9, {3.8164240084132805`*^9, 
   3.8164240262172384`*^9}, 3.8164244704643536`*^9, 3.816455507470684*^9, 
   3.8165151394523573`*^9, {3.832845085491062*^9, 3.8328451031065116`*^9}, 
   3.863707899683281*^9},
 CellLabel->"Out[89]=",
 CellID->83997428,ExpressionUUID->"31bc84fd-b951-4231-9d13-3c39be7f6853"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816423565821386*^9, 3.8164237890271826`*^9, {3.8164240084132805`*^9, 
   3.8164240262172384`*^9}, 3.8164244704643536`*^9, 3.816455507470684*^9, 
   3.8165151394523573`*^9, {3.832845085491062*^9, 3.8328451031065116`*^9}, 
   3.863707899687271*^9},
 CellLabel->"Out[90]=",
 CellID->741450556,ExpressionUUID->"312cb7c5-84cf-4b52-b653-e04058e2585d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816423565821386*^9, 3.8164237890271826`*^9, {3.8164240084132805`*^9, 
   3.8164240262172384`*^9}, 3.8164244704643536`*^9, 3.816455507470684*^9, 
   3.8165151394523573`*^9, {3.832845085491062*^9, 3.8328451031065116`*^9}, 
   3.863707899690592*^9},
 CellLabel->"Out[91]=",
 CellID->193205103,ExpressionUUID->"8f77f88c-dbf4-4a55-ba3c-181e4abf42a8"]
}, Open  ]],

Cell["7.5.23", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161998198139668`*^9}, {
   3.8162008979808655`*^9, 
   3.816200898447814*^9}},ExpressionUUID->"2758b0c0-3eaa-44c1-8046-\
f6c3beca5b7e"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "1"], ":"}], 
  TraditionalForm]],ExpressionUUID->"eceb5037-c061-435a-a779-ddef975a51b4"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200180231001*^9}, {3.8162014096643915`*^9, 
   3.8162014096643915`*^9}},ExpressionUUID->"f9f6c777-efa5-4478-86fd-\
82278d51f173"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A1", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A1", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164182842399073`*^9, 3.8164185892316566`*^9}, {
  3.81641863889067*^9, 3.81641864534595*^9}, {3.8164213882270594`*^9, 
  3.8164214168098307`*^9}, {3.816424332172168*^9, 3.816424343845182*^9}, {
  3.816424477813916*^9, 3.816424478250774*^9}, {3.8164251908481407`*^9, 
  3.8164251964926615`*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"b96acde8-9dce-488b-9d4d-e2d72e124933"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   CircleBox[{1.1041011583936708, 0.5137054933303588}, 
    0.03749998125000937, {-2.4870941840919194`, 2.748893571891069}], 
   PolygonBox[{{1.0909210934245617`, 0.46217570808004266`}, {
    1.0743504230081173`, 0.4908769511568028}, {1.107491763841006, 
    0.4908769511568028}}], 
   InsetBox["\<\"c,b,a\"\>", {1.1089958881545579, 0.47652632961842273}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5129291925700409, 0.10199338597002337`}, {
    0.5134260078827435, 0.07378891355007407}, {0.5376033898424059, 
    0.0883214044418383}}], 
   CircleBox[{0.21004743494446984, 0.2558556826938861}, 0.35381756166777484, {
    5.742569772999188, 6.789867324195786}], 
   InsetBox["\<\"c\"\>", {0.5638140709445429, 0.2498528335602287}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"b\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.5316211405296084, 0.3998760588537469}, {0.5374932358753645,
     0.43504462751861916`}, {0.5650140620810032, 0.4123749594433139}}], 
   CircleBox[{1.0705056716363657, 0.6180647379007705}, 0.5635588855480596, {
    3.472348227379985, 4.519545778576584}], 
   InsetBox["\<\"c\"\>", {0.700413416925393, 0.19305845502589414}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5852468354774738, -0.04693767077312686}, {
    0.5720034530772181, -0.0209866655589916}, {
    0.6010993740465296, -0.02249306257540603}}], 
   CircleBox[{0.7872374766884138, 0.2877179658255642}, 0.3763299541069482, {
    4.10353344780224, 5.150630998998832}], 
   InsetBox["\<\"b,a\"\>", {0.755172912061478, -0.08724349626543892}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "3"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.898053471337786, 0.012288764314435808`}, {
    0.9262110864499259, 0.013426757882368573`}, {0.911146747554683, 
    0.03724297109549991}}], 
   CircleBox[{0.7519157379089672, -0.29249566055509035}, 
    0.35209003767260777, {1.0529262581676653`, 2.1001238093766523`}], 
   InsetBox["\<\"b\"\>", {0.7498987282859683, 0.05958859967316682}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9000605564188323, 0.4689489364622962}, {0.9350476271923535, 
    0.46250026874986566`}, {0.9119693817460636, 0.43542491051220755`}}], 
   CircleBox[{1.1082707780564933, -0.07115380171228247}, 0.5610641023235405, {
    1.8846647688962923`, 2.9318623200928906`}], 
   InsetBox["\<\"c\"\>", {0.6914280936534895, 0.30439260470883894}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.816424400984614*^9, 3.8164245724536743`*^9, {3.8164251926496935`*^9, 
   3.816425197269057*^9}, 3.8164288090955915`*^9, 3.816455511215826*^9, 
   3.8165151436970053`*^9, 3.8328451077054653`*^9, 3.8637079028883624`*^9},
 CellLabel->"Out[93]=",
 CellID->284868368,ExpressionUUID->"e11120f9-4adc-4bc1-ada0-48408f40ce58"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b\:207fac", "m"], TraditionalForm]],ExpressionUUID->
  "48dffedf-eee9-4d9a-9418-f028dd352d22"],
 ", n\[GreaterEqual]0, m\[GreaterEqual]0 y ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b\:207fcb", "m"], TraditionalForm]],ExpressionUUID->
  "8c792c60-d85c-48ac-a8f7-fbd5d5f32ba6"],
 "ca, n\[GreaterEqual]0, m impar, con n,m\[Element]\:2115\:222a{0}."
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816201416830714*^9, 
   3.816201416830714*^9}, {3.816424170620555*^9, 3.8164241747828755`*^9}, {
   3.8164252037775297`*^9, 3.8164253203972006`*^9}, 3.816425351048425*^9, {
   3.8164257885503454`*^9, 3.816425837804061*^9}, {3.816425889582946*^9, 
   3.8164259285540695`*^9}, {3.8164259977464094`*^9, 3.816426001162669*^9}, {
   3.8164263737107368`*^9, 
   3.816426376996933*^9}},ExpressionUUID->"eea8cad2-9fbb-4f3f-afac-\
286be78fba64"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "2"], ":"}], 
  TraditionalForm]],ExpressionUUID->"91404852-4b95-4764-b371-1113685e9fe1"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200191114046*^9}, {3.8162014115309057`*^9, 
   3.8162014115309057`*^9}},ExpressionUUID->"4410dede-55ac-4171-bdf3-\
f0139f017ebc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A2", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A2", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164192695315657`*^9, 3.816419316332111*^9}, {
  3.81642139517653*^9, 3.8164214112144995`*^9}, {3.8164243507238026`*^9, 
  3.816424358042951*^9}, {3.816424490995941*^9, 3.8164244934964237`*^9}, {
  3.816425393462815*^9, 3.8164253993362207`*^9}},
 CellLabel->"In[94]:=",ExpressionUUID->"c578297e-9b22-4187-9eea-ef6eff0e06eb"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5129291925700409, 0.10199338597002337`}, {
    0.5134260078827435, 0.07378891355007407}, {0.5376033898424059, 
    0.0883214044418383}}], 
   CircleBox[{0.21004743494446984, 0.2558556826938861}, 0.35381756166777484, {
    5.742569772999188, 6.789867324195786}], 
   InsetBox["\<\"b\"\>", {0.5638140709445429, 0.2498528335602287}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9366358394624774, 0.08943397794579509}, {0.9624995187502406,
     0.06495237280764654}, {0.9707693710814154, 0.09959177867525716}}], 
   CircleBox[{0.4194427433454762, -0.08056675170302807}, 0.5622156854014074, {
    0.2618122734893006, 1.3090098246858985`}], 
   InsetBox["\<\"c\"\>", {0.8169841442879253, 0.3169848945620694}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.587809566657068, 0.4568833817623009}, {0.5724441507496048, 
    0.4805888313228953}, {0.6006563802309417, 0.48204294705817474`}}], 
   CircleBox[{0.7441443173061084, 0.7899525650558488}, 0.3538175616677748, {
    4.205706963368941, 5.252804514564638}], 
   InsetBox["\<\"b,a\"\>", {0.7501117897462107, 0.43618533053969655}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.1041011583936708, 0.5137054933303588}, 
    0.03749998125000937, {-2.48709418409192, 2.7488935718910685`}], 
   PolygonBox[{{1.0909210934245617`, 0.46217570808004255`}, {
    1.0743504230081171`, 0.49087695115680285`}, {1.107491763841006, 
    0.4908769511568029}}], 
   InsetBox["\<\"c\"\>", {1.1089958881545579, 0.47652632961842273}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8993635865048231, 0.017796697672077602`}, {
    0.9275550992507702, 0.019411918676729784`}, {0.9120605204550416, 
    0.0430188743835067}}], 
   CircleBox[{0.7577710456030716, -0.2906670293910736}, 0.3535188522663558, {
    1.069835251788079, 2.117032802983944}], 
   InsetBox["\<\"a\"\>", {0.7497688751857114, 0.06276124363802782}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9280631092505672, 0.4438962443350689}, {0.9624995187502405, 
    0.43504837719197853`}, {0.937618836285178, 0.40964950532168287`}}], 
   CircleBox[{1.0982226883643718, -0.10865378296229267}, 0.5603863111519823, {
    1.8154246456152927`, 2.862622196811889}], 
   InsetBox["\<\"c\"\>", {0.7088318955192552, 0.29434451501671594}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"b\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.5871066603222185, -0.04494200284618295}, {
    0.5720034530772181, -0.0209866655589916}, {
    0.6003009873466506, -0.01988457304979578}}], 
   CircleBox[{0.7484146393345211, 0.28771796581042963}, 0.35555513788294246, {
    4.193222012583563, 5.2403195638227205`}], 
   InsetBox["\<\"b,a\"\>", {0.7499726086320123, -0.06783375870602704}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, -0.040181240307714215}, 
    0.03749998125000937, {-3.010692959690218, 2.2252947962927703`}], 
   PolygonBox[{{1.0598276386983478`, -0.07821731090149009}, {
    1.0598276386983478`, -0.045075970068601284`}, {
    1.0885288817751082`, -0.06164664048504559}}], 
   InsetBox["\<\"c\"\>", {1.0826561808719037, -0.07482670545415487}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.8164253951046143`*^9, 3.8164254002041435`*^9}, 
   3.8164288264594784`*^9, 3.816455516533265*^9, 3.8165151480885572`*^9, 
   3.8328451119230905`*^9, 3.8637079069394226`*^9},
 CellLabel->"Out[95]=",
 CellID->410250768,ExpressionUUID->"52d5ec88-0a59-44c5-8591-b9fb0a1bc9ca"]
}, Open  ]],

Cell[TextData[{
 "b\:207fa",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["c", "m"], TraditionalForm]],ExpressionUUID->
  "371faa76-1ee7-4bc6-9612-b37f71cafae0"],
 ", n impar, m\[GreaterEqual]0 y (ab)\:207fa",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["c", "m"], TraditionalForm]],ExpressionUUID->
  "f6fd30ad-4d3f-4c1a-8a34-d61c4ae5c370"],
 ", n\[GreaterEqual]0, m\[GreaterEqual]0, con n,m\[Element]\:2115\:222a{0}."
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816201416830714*^9, 
   3.816201416830714*^9}, {3.816424170620555*^9, 3.8164241747828755`*^9}, {
   3.816425989396844*^9, 3.81642601076892*^9}, 
   3.8164267351166267`*^9},ExpressionUUID->"36677ad1-b895-4a90-9738-\
97a62e5e8de0"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "3"], ":"}], 
  TraditionalForm]],ExpressionUUID->"3ded42ad-c5f8-4535-8edd-09f29e53519d"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.8162001935477996`*^9}, {3.816201413214296*^9, 
   3.816201413214296*^9}},ExpressionUUID->"d7fa08c5-3b93-4494-9310-\
916914458748"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A3", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A3", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164195669628544`*^9, 3.8164196542835455`*^9}, {
   3.816421426404173*^9, 3.8164214296181283`*^9}, {3.8164243557335033`*^9, 
   3.816424360655459*^9}, {3.8164244964644513`*^9, 3.81642449925683*^9}, {
   3.816426051110802*^9, 3.8164260514463453`*^9}, 3.816428800822672*^9},
 CellLabel->"In[96]:=",ExpressionUUID->"6ae68569-9838-448f-8d6d-b10776113abe"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5880431180062965, 0.4570598695278279}, {0.5724441507496048, 
    0.4805888313228953}, {0.6006203130171525, 0.48233345234245834`}}], 
   CircleBox[{0.740709800600417, 0.7912774043431234}, 0.3533280604838605, {
    4.216025938104314, 5.263123489301952}], 
   InsetBox["\<\"d,a\"\>", {0.7503140998925111, 0.4380799018598889}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6002907396856809, 0.026667774255220763`}, {
    0.5749997125001437, 4.999997500476638*^-7}, {
    0.6107397630478366, -0.008568534902992638}}], 
   CircleBox[{0.41943899367211657, 0.5805610063278834}, 0.6010404634883338, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"c\"\>", {0.8443962790685449, 0.1555187209740968}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, 0.5401819903073393}, 
    0.03749998125000937, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976127270772782`, 0.48699678808123537`}, {
    1.074178260236728, 0.5104312549217856}, {1.1061903372650637`, 
    0.519008865109571}}], 
   InsetBox["\<\"b\"\>", {1.111357423948664, 0.5055365251608985}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.9059760489790732, 0.4625820305288293}, {0.9404980292291427, 
    0.45434316565276317`}, {0.9161019728230874, 0.42856568620529134`}}], 
   CircleBox[{1.0850199370165228, -0.08501993701652255}, 0.5583897727855898, {
    1.8325957145940464`, 2.879793265790644}], 
   InsetBox["\<\"c,a\"\>", {0.6901787421346166, 0.3098212578653833}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"d\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.45981800969266073, -0.09700680241028384}, 
    0.03749998125000937, {-4.581489286485114, 0.6544984694978737}], 
   PolygonBox[{{0.4217819390988849, -0.05982763869834785}, {
    0.45492327993177367`, -0.05982763869834781}, {
    0.43835260951532934`, -0.08852888177510804}}], 
   InsetBox["\<\"b\"\>", {0.42517254454622005, -0.08265618087190374}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5095829239822125, 0.10254742081936055`}, {
    0.5097892095218991, 0.0743588274236221}, {0.5340981047297155, 
    0.08863177263929331}}], 
   CircleBox[{0.2087225956565094, 0.259290199399593}, 0.35332806048386056, {
    5.732250798262844, 6.779548349459441}], 
   InsetBox["\<\"b\"\>", {0.5619191359438289, 0.24965058040533092}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"d,c,a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.816426063016886*^9, 3.8164288011299467`*^9, 
  3.8164288331842318`*^9, 3.816455520682925*^9, 3.8165151573163166`*^9, 
  3.8328451159513407`*^9, 3.8637079103885994`*^9},
 CellLabel->"Out[97]=",
 CellID->327615495,ExpressionUUID->"60362648-f7b8-4cf3-8777-012b96f596dc"]
}, Open  ]],

Cell[TextData[{
 "(bd)\:207f",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b", "m"], TraditionalForm]],ExpressionUUID->
  "151ebf81-f296-4bc9-9f42-eb3f260f9f15"],
 ", n\[GreaterEqual]0, m\[GreaterEqual]1 y d\:207f",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["b", "m"], TraditionalForm]],ExpressionUUID->
  "7c14f6fb-2c22-4913-8cd0-7900097b666b"],
 "c, n impar, m\[GreaterEqual]0, con n,m\[Element]\:2115\:222a{0}."
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816201416830714*^9, 
   3.816201416830714*^9}, {3.816424170620555*^9, 3.8164241747828755`*^9}, {
   3.8164263603015833`*^9, 3.8164263908062305`*^9}, 
   3.8164266160652657`*^9},ExpressionUUID->"585f8700-c3b5-4c6f-91ea-\
57e36e6b420d"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "4"], ":"}], 
  TraditionalForm]],ExpressionUUID->"1e46dda2-2960-4a0b-b2cd-ef34c60e3d06"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.8162001955975056`*^9}, {3.8162014147813187`*^9, 
   3.8162014147813187`*^9}},ExpressionUUID->"6aa089a2-3a24-4e62-b19d-\
8acd33767377"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A4", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164197790277877`*^9, 3.8164198864847994`*^9}, {
   3.816421434778112*^9, 3.8164214380953813`*^9}, {3.8164243642836065`*^9, 
   3.816424367787531*^9}, {3.816424503238703*^9, 3.816424505849553*^9}, {
   3.8164264458184786`*^9, 3.816426446221939*^9}, 3.8164287962662644`*^9},
 CellLabel->"In[98]:=",ExpressionUUID->"104708f9-24b8-4c22-9063-4c9591e05934"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"c,a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"d\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5908991004187216, 0.060506474072377914`}, {
    0.5665726882438699, 0.034540886051425024`}, {0.6012227531816419, 
    0.026456389135548763`}}], 
   CircleBox[{0.4179518204101043, 0.577831265877818}, 0.563251807957656, {
    4.979313119517937, 6.026510670714535}], 
   InsetBox["\<\"b\"\>", {0.81826683611446, 0.18159839575067976}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8992706709356493, -0.020387591056298927`}, {
    0.9275550992507702, -0.019410918677229636`}, {0.9125670620017612, 
    0.00459577858565028}}], 
   CircleBox[{0.7499996250001875, -0.3269460212412265}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.7499996250001875, 0.02816492725993902}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   PolygonBox[{{0.9005175025661, 0.4701041850016644}, {0.9352015681900969, 
    0.46223489010312613`}, {0.911044526086093, 0.4361322556154873}}], 
   CircleBox[{1.0863965150157224, -0.07771889970006052}, 0.5607227541917913, {
    1.8438185724510152`, 2.891016123647613}], 
   InsetBox["\<\"d\"\>", {0.6854809552392997, 0.3142973257263695}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"c\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4474997762501119, -0.09093212193130504}, 
    0.03749998125000937, {1.5707963267948974`, 6.806784082777886}], 
   PolygonBox[{{0.41464196418230626`, -0.049106327657311814`}, {
    0.44749977625011184`, -0.05343214068129567}, {
    0.42732460624541746`, -0.07972493413279827}}], 
   InsetBox["\<\"a\"\>", {0.41502383984616364, -0.07218213130630037}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"b\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5291101550576424, 0.4004159976748215}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5632909686094801, 0.41047035164659496`}}], 
   CircleBox[{1.0814936192276856, 0.5789820521904367}, 0.5627205339319226, {
    3.400255872223019, 4.447453423419617}], 
   InsetBox["\<\"d,c,a\"\>", {0.6823441799120106, 0.18232839419317298}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5067775964209593, 0.10287664964014709`}, {
    0.5067401552473649, 0.07469696117501053}, {0.5311632019157018, 
    0.08875438040009853}}], 
   CircleBox[{0.20749090093782152, 0.26209982473455135}, 0.3530863201472604, {
    5.72359237770436, 6.770889928900957}], 
   InsetBox["\<\"c\"\>", {0.5603491550214617, 0.2494111683762537}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9351410931072262, 0.08856596169564104}, {0.960916814289916, 
    0.06401251490844888}, {0.9692928623667489, 0.09861166764711907}}], 
   CircleBox[{0.4178374502986611, -0.07966601838330306}, 0.5617639330911296, {
    0.25863706414413573`, 1.3058346153407332`}], 
   InsetBox["\<\"d,b\"\>", {0.8163187091403079, 0.3163029234214698}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.8164264471489496`*^9, 3.8164287966490545`*^9, 
  3.816428838093094*^9, 3.816455523879962*^9, 3.816515162782652*^9, 
  3.8328451196452837`*^9, 3.863707914020176*^9},
 CellLabel->"Out[99]=",
 CellID->308885806,ExpressionUUID->"46e3500c-a903-4096-a771-10062c5c4552"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", "ad", ")"}], "n"], 
    SuperscriptBox[
     RowBox[{"a", "(", "bd", ")"}], "m"]}], TraditionalForm]],ExpressionUUID->
  "143bf22f-acde-41b6-9eb4-e9deb14ebd9f"],
 ", n\[GreaterEqual]0, m\[GreaterEqual]0 y ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"c\:207fa", "(", "cb", ")"}], "m"], TraditionalForm]],
  ExpressionUUID->"b56e7447-fea1-4f1f-8ec3-bb43d4a62634"],
 "a, n par, m\[GreaterEqual]0, con n,m\[Element]\:2115\:222a{0}."
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816201416830714*^9, 
   3.816201416830714*^9}, {3.816424170620555*^9, 3.8164241747828755`*^9}, {
   3.8164286295831475`*^9, 
   3.816428664280694*^9}},ExpressionUUID->"0f9e2dbd-67d4-43e5-ada8-\
ea801b8b92c8"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "5"], ":"}], 
  TraditionalForm]],ExpressionUUID->"cb72f90b-dd22-48a8-a6a5-4ca5300a178d"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816201416830714*^9, 
   3.816201416830714*^9}},ExpressionUUID->"635e29e8-3936-45c9-9049-\
d6cafdb9f0d8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A5", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "d", ",", 
         SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A5", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816421208259432*^9, 3.816421255465583*^9}, {
  3.8164214428502097`*^9, 3.816421446130189*^9}, {3.816424373556164*^9, 
  3.816424376224077*^9}, {3.8164245099449296`*^9, 3.816424512285565*^9}, {
  3.816428785896559*^9, 3.816428791359958*^9}},
 CellLabel->
  "In[100]:=",ExpressionUUID->"2a583d9d-a2bf-49df-8bcb-2ca99cffe933"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0184370726956367`, 0.1006884219098928}, {
    1.0194109186772298`, 0.07244490074922978}, {1.0433836025038907`, 
    0.08741003668899433}}], 
   CircleBox[{0.7118758161132328, 0.25000037499981254}, 0.35511094850116565, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"c,a\"\>", {1.0669867641705097, 0.24998261945239483}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5902207522018887, 0.061798292812127315`}, {
    0.5658523561277466, 0.03589518820294451}, {0.6004693007932558, 
    0.02774309045784787}}], 
   CircleBox[{0.4184991357729191, 0.5789783018675586}, 0.562718615203541, {
    4.97723742193552, 6.024434973132118}], 
   InsetBox["\<\"d\"\>", {0.8176126580499912, 0.18229122590946795}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, 0.574246424901375}, 
    0.03749998125000937, {-1.8325957145940457`, 3.4033920413889427`}], 
   PolygonBox[{{1.0908327590147626`, 0.5581993945313295}, {
    1.0645399655632601`, 0.5380242245266351}, {1.0951585720387464`, 
    0.5253415824635241}}], 
   InsetBox["\<\"b\"\>", {1.100762165938, 0.547729933865125}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.48467361679990373`, 0.10114764167076433`}, {
    0.48058833132314527`, 0.0724449007492298}, {0.5074882768578166, 
    0.08325831020541259}}], 
   CircleBox[{0.19437906349054843, 0.3128190986654803}, 0.37375861196386084, {
    5.584510680271821, 6.631808231468419}], 
   InsetBox["\<\"c,b\"\>", {0.562427405453789, 0.24773516827355185}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"d\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.39522444379725274, 0.49313554424488215}, 
    0.03749998125000937, {0.5890236225480865, 5.825011378531075}], 
   PolygonBox[{{0.39333473102646943`, 0.5161370122135414}, {
    0.42640505950563995`, 0.5139686380572983}, {0.4117477623702709, 
    0.5436925697098776}}], 
   InsetBox["\<\"a\"\>", {0.39277276317046955, 0.5305552964601936}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.5036187812362869, 0.39017770381419997`}, {
    0.5097854915932926, 0.42564143319597497`}, {0.5374146269723434, 
    0.40256904067814}}], 
   CircleBox[{1.0542174265423354, 0.6086575080925253}, 0.5743701032112478, {
    3.4658847757933424`, 4.513082326989942}], 
   InsetBox["\<\"d,b\"\>", {0.6742335776932222, 0.177944970456675}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.0583343452998855, -0.08730376563988435}, 
    0.03749998125000937, {-3.599741582238304, 1.6362461737446843`}], 
   PolygonBox[{{1.006289291859655, -0.09827396586308916}, {
    1.0247016343087652`, -0.07071794804958062}, {
    1.039359674537845, -0.10044151326044277`}}], 
   InsetBox["\<\"c,a\"\>", {1.0271542504285875, -0.10813763896118277}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "3"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8975615841878651, 0.006488450713043882}, {
    0.9256411725763779, 0.009789959521524153}, {0.9087421878831595, 
    0.032456841989546625`}}], 
   CircleBox[{0.7743313639959277, -0.31068807302085055}, 
    0.35440207041562355, {1.1296858386180628`, 2.176883389814645}], 
   InsetBox["\<\"d,c\"\>", {0.7451304857971739, 0.04250894880592271}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9003960259682655, 0.4706568927589168}, {0.9350476271923535, 
    0.46250026874986566`}, {0.9106579829793531, 0.43656941381252307`}}], 
   CircleBox[{1.0821655493750733, -0.07965952300853307}, 0.5617658968172341, {
    1.8357709232667772`, 2.882968474463375}], 
   InsetBox["\<\"b\"\>", {0.6836777955336562, 0.3163056684733616}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.42575357509862494, -0.07424567490174996}, 
    0.03749998125000937, {1.3089969389957474`, 6.544984694978735}], 
   PolygonBox[{{0.40484067796162826`, -0.02534083246389891}, {
    0.4354592844371148, -0.0380234745270101}, {
    0.4091664909856122, -0.058198644531704535`}}], 
   InsetBox["\<\"a\"\>", {0.3992370840623749, -0.04772918386549995}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.8164287871101284`*^9, 3.816428792169387*^9}, 
   3.816428842598613*^9, 3.8164555276198063`*^9, 3.8165151697356443`*^9, 
   3.832845123350889*^9, 3.8637079175482817`*^9},
 CellLabel->"Out[101]=",
 CellID->53579817,ExpressionUUID->"c14918d6-1722-4f55-8d44-fee06a87753f"]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["a\:207fba", "m"], 
    SuperscriptBox["c", "h"]}], TraditionalForm]],ExpressionUUID->
  "39f34fda-9126-4e9e-852d-b1570dcf7dc5"],
 " y ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"db\:207f", "(", "db", ")"}], "m"], 
    SuperscriptBox["a", "h"]}], TraditionalForm]],ExpressionUUID->
  "b0c326ed-c6a6-4dd6-a32f-0a98e4e84eda"],
 ", con n\[GreaterEqual]0, m\[GreaterEqual]0, h\[GreaterEqual]1 y n,m,h\
\[Element]\:2115\:222a{0}."
}], "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816201416830714*^9, 
   3.816201416830714*^9}, {3.816424170620555*^9, 3.8164241747828755`*^9}, {
   3.8164292372581635`*^9, 3.8164292741546597`*^9}, {3.816514625889346*^9, 
   3.816514626248399*^9}},ExpressionUUID->"f3dc2993-a59d-469c-b8c2-\
8c924a8666ab"],

Cell["7.5.24", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161998218145776`*^9}, {
   3.816200899914324*^9, 
   3.816200900414731*^9}},ExpressionUUID->"8d7c8448-5600-438a-9f09-\
48b8d4c54735"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"aut", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     SubscriptBox["\[Sigma]", "3"], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"aut", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Prueba", "[", 
   RowBox[{"automata_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"L", "=", 
       RowBox[{"LenguajeStrings", "[", 
        RowBox[{"automata", ",", "n", ",", 
         RowBox[{"limite", "\[Rule]", "True"}]}], "]"}]}], ",", 
      RowBox[{"valorLogico", "=", "True"}], ",", "m"}], "}"}], ",", 
    RowBox[{
     RowBox[{"m", "=", 
      RowBox[{"Length", "[", "L", "]"}]}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"ToString", "[", 
         RowBox[{"Select", "[", 
          RowBox[{
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Count", "[", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", "b"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "m"}], "}"}]}], "]"}], ",", 
           RowBox[{
            RowBox[{"EvenQ", "[", "#", "]"}], "&"}]}], "]"}], "]"}], 
        "\[NotEqual]", "\"\<{}\>\""}], ",", 
       RowBox[{"valorLogico", "=", "False"}]}], "]"}], ";", 
     RowBox[{"Print", "[", 
      RowBox[{"m", ",", "\"\< pruebas: \>\"", ",", "valorLogico"}], "]"}]}]}],
    "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Prueba", "[", 
  RowBox[{"aut", ",", "20"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ComponentesAutomata", "[", "aut", "]"}]}], "Input",
 CellChangeTimes->{{3.8164295585448256`*^9, 3.816429627422524*^9}, {
   3.8164300114370365`*^9, 3.816430055265624*^9}, {3.8164300924253607`*^9, 
   3.8164301968399487`*^9}, {3.8164303851416435`*^9, 
   3.8164303855029464`*^9}, {3.8164304410802164`*^9, 
   3.8164304819396143`*^9}, {3.8164306078345914`*^9, 3.81643061582599*^9}, {
   3.81643271124259*^9, 3.8164327222419105`*^9}, 3.816432991594769*^9, {
   3.8164330270173626`*^9, 3.8164330349300833`*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"117d388a-eac9-481c-8d9b-abf0edea96ee"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816429986545915*^9, 3.8164300183913507`*^9, 3.816430056084388*^9, 
   3.816430098237169*^9, 3.8164301442436495`*^9, {3.816430176650513*^9, 
   3.816430183634225*^9}, 3.816430386258314*^9, {3.8164304215699463`*^9, 
   3.8164304532214584`*^9}, 3.8164305608038654`*^9, 3.816430617015417*^9, 
   3.81643064793659*^9, 3.816432722744364*^9, {3.8164329927187605`*^9, 
   3.816433002917598*^9}, 3.8164330764202547`*^9, 3.8164555330143404`*^9, 
   3.816515178011465*^9, 3.8328451299702525`*^9, 3.863707934367406*^9},
 CellLabel->"Out[102]=",
 CellID->5619117,ExpressionUUID->"8a25b2bb-e5bf-4f91-adb4-bd2cb1635b37"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.4360798319141684, 0.4166981909203249}, 
    0.03749998125000937, {-4.843288674284264, 0.3926990816987246}], 
   PolygonBox[{{0.4089624846467197, 0.4624549648200464}, {
    0.44097456167505544`, 0.4538773546322609}, {0.41754009483450516`, 
    0.43044288779171064`}}], 
   InsetBox["\<\"a\"\>", {0.40632909652861476, 0.43952673309388085}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5636905719114469, 0.0890502897131307}, {0.5374997312501343, 
    0.06495237280764656}, {0.5714645597992263, 0.054319397901221506`}}], 
   CircleBox[{0.4294870833642387, 0.618060987577893}, 0.5635564495561941, {
    4.90514476896015, 5.952342320156747}], 
   InsetBox["\<\"b\"\>", {0.7995405859194118, 0.193024192602409}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, 0.5401819903073393}, 
    0.03749998125000937, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976127270772782`, 0.48699678808123537`}, {
    1.074178260236728, 0.5104312549217856}, {1.1061903372650637`, 
    0.519008865109571}}], 
   InsetBox["\<\"a\"\>", {1.111357423948664, 0.5055365251608985}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.899342869769447, 0.01795780294146775}, {0.9275550992507702, 
    0.019411918676729784`}, {0.912189683343329, 0.043117368237320944`}}], 
   CircleBox[{0.7558549326942593, -0.2899518150557938}, 0.3538175616677748, {
    1.0641143097785406`, 2.1113118609754524`}], 
   InsetBox["\<\"b\"\>", {0.749869771899898, 0.06381512064452749}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.40143037597548165, -0.03618053756688464}, 
    0.03749998125000937, {0.8753917029534066, 6.111379458936395}], 
   PolygonBox[{{0.393120393117197, -0.014649566200865504`}, {
    0.4254564699601794, -0.007388257323918054}, {0.40299995358652624`, 
    0.0169849522423567}}], 
   InsetBox["\<\"a\"\>", {0.38850857684454065, -0.0009771897009405867}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.586033735518521, -0.049087979414188895`}, {
    0.5706155195809668, -0.02526622637130326}, {
    0.598954870847562, -0.02382453620979004}}], 
   CircleBox[{0.7440144642058245, 0.28678017108602916}, 0.3569876022539834, {
    4.205192932014525, 5.2522904832108255`}], 
   InsetBox["\<\"b\"\>", {0.7498519249136029, -0.07015970090298446}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.1049994475002762, 4.999997500476638*^-7}, 
    0.03749998125000937, {-2.617993877991494, 2.6179938779914944`}], 
   PolygonBox[{{1.0852061531594392`, -0.04936809710074114}, {
    1.072523511096328, -0.01874949062525465}, {
    1.1053813231641336`, -0.023075303649238516`}}], 
   InsetBox["\<\"a\"\>", {1.1049994475002762, -0.03749948125025932}, 
    ImageScaled[{0, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.816429986545915*^9, 3.8164300183913507`*^9, 3.816430056084388*^9, 
   3.816430098237169*^9, 3.8164301442436495`*^9, {3.816430176650513*^9, 
   3.816430183634225*^9}, 3.816430386258314*^9, {3.8164304215699463`*^9, 
   3.8164304532214584`*^9}, 3.8164305608038654`*^9, 3.816430617015417*^9, 
   3.81643064793659*^9, 3.816432722744364*^9, {3.8164329927187605`*^9, 
   3.816433002917598*^9}, 3.8164330764202547`*^9, 3.8164555330143404`*^9, 
   3.816515178011465*^9, 3.8328451299702525`*^9, 3.8637079343888454`*^9},
 CellLabel->"Out[103]=",
 CellID->127731296,ExpressionUUID->"53afdc43-cf48-40d9-be90-547901ef3a17"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "1048365", "\[InvisibleSpace]", "\<\" pruebas: \"\>", "\[InvisibleSpace]", 
   "True"}],
  SequenceForm[1048365, " pruebas: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81643044844109*^9, 3.8164304587384167`*^9}, 
   3.8164305658498583`*^9, 3.8164306220106754`*^9, 3.8164306528291273`*^9, 
   3.816432724923227*^9, {3.8164329948858356`*^9, 3.816433005073356*^9}, 
   3.8164330815732346`*^9, 3.8164555382856026`*^9, 3.8165151827917905`*^9, 
   3.832845135049094*^9, 3.863707940152169*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[102]:=",
 CellID->102653547,ExpressionUUID->"28bc8b15-6361-4051-ac98-4112748c62cf"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm["Estados: ", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81643044844109*^9, 3.8164304587384167`*^9}, 
   3.8164305658498583`*^9, 3.8164306220106754`*^9, 3.8164306528291273`*^9, 
   3.816432724923227*^9, {3.8164329948858356`*^9, 3.816433005073356*^9}, 
   3.8164330815732346`*^9, 3.8164555382856026`*^9, 3.8165151827917905`*^9, 
   3.832845135049094*^9, 3.8637079404905157`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[102]:=",
 CellID->32454145,ExpressionUUID->"39bda088-6c6a-4354-be27-0306e9de8045"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"S\[IAcute]mbolos de entrada: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}],
  SequenceForm[
  "S\[IAcute]mbolos de entrada: ", {$CellContext`a, $CellContext`b}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81643044844109*^9, 3.8164304587384167`*^9}, 
   3.8164305658498583`*^9, 3.8164306220106754`*^9, 3.8164306528291273`*^9, 
   3.816432724923227*^9, {3.8164329948858356`*^9, 3.816433005073356*^9}, 
   3.8164330815732346`*^9, 3.8164555382856026`*^9, 3.8165151827917905`*^9, 
   3.832845135049094*^9, 3.863707940500424*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[102]:=",
 CellID->143422319,ExpressionUUID->"67651d68-88d1-4a1f-ac41-f5f67769fb60"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Sigma], 0]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81643044844109*^9, 3.8164304587384167`*^9}, 
   3.8164305658498583`*^9, 3.8164306220106754`*^9, 3.8164306528291273`*^9, 
   3.816432724923227*^9, {3.8164329948858356`*^9, 3.816433005073356*^9}, 
   3.8164330815732346`*^9, 3.8164555382856026`*^9, 3.8165151827917905`*^9, 
   3.832845135049094*^9, 3.8637079405034156`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[102]:=",
 CellID->89194629,ExpressionUUID->"d1006774-e611-430d-9c9c-0a02a9067ef5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "3"], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81643044844109*^9, 3.8164304587384167`*^9}, 
   3.8164305658498583`*^9, 3.8164306220106754`*^9, 3.8164306528291273`*^9, 
   3.816432724923227*^9, {3.8164329948858356`*^9, 3.816433005073356*^9}, 
   3.8164330815732346`*^9, 3.8164555382856026`*^9, 3.8165151827917905`*^9, 
   3.832845135049094*^9, 3.8637079405064077`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[102]:=",
 CellID->187796525,ExpressionUUID->"f41ea640-75cb-4887-8880-ff4ddd3f8533"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b"},
     {
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "1"]},
     {
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "2"]},
     {
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "3"]},
     {
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "2"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{{3.81643044844109*^9, 3.8164304587384167`*^9}, 
   3.8164305658498583`*^9, 3.8164306220106754`*^9, 3.8164306528291273`*^9, 
   3.816432724923227*^9, {3.8164329948858356`*^9, 3.816433005073356*^9}, 
   3.8164330815732346`*^9, 3.8164555382856026`*^9, 3.8165151827917905`*^9, 
   3.832845135049094*^9, 3.8637079405104694`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[102]:=",
 CellID->164349308,ExpressionUUID->"141a6c15-4f8e-4ee0-a264-789a3584bde3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Funci\[OAcute]n de transici\[OAcute]n de estados con otro \
formato: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Funci\[OAcute]n de transici\[OAcute]n de estados con otro formato: ", {{
     Subscript[$CellContext`\[Sigma], 0], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 0]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.81643044844109*^9, 3.8164304587384167`*^9}, 
   3.8164305658498583`*^9, 3.8164306220106754`*^9, 3.8164306528291273`*^9, 
   3.816432724923227*^9, {3.8164329948858356`*^9, 3.816433005073356*^9}, 
   3.8164330815732346`*^9, 3.8164555382856026`*^9, 3.8165151827917905`*^9, 
   3.832845135049094*^9, 3.8637079405145807`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[102]:=",
 CellID->468768716,ExpressionUUID->"8cbad610-67eb-4def-852f-210234d9c0c1"]
}, Open  ]]
}, Open  ]],

Cell["7.5.25", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161998239974413`*^9}, {
   3.8162009017974424`*^9, 
   3.8162009022974434`*^9}},ExpressionUUID->"d46f5ac8-d688-4f9b-afba-\
bee44251341b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"aut", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"], ",", 
      SubscriptBox["\[Sigma]", "4"], ",", 
      SubscriptBox["\[Sigma]", "5"], ",", 
      SubscriptBox["\[Sigma]", "6"], ",", 
      SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     SubscriptBox["\[Sigma]", "4"], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"aut", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Prueba", "[", 
   RowBox[{"automata_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"L", "=", 
       RowBox[{"LenguajeStrings", "[", 
        RowBox[{"automata", ",", "n", ",", 
         RowBox[{"limite", "\[Rule]", "True"}]}], "]"}]}], ",", 
      RowBox[{"valorLogico", "=", "True"}], ",", "i", ",", "m"}], "}"}], ",", 
    RowBox[{
     RowBox[{"m", "=", 
      RowBox[{"Length", "[", "L", "]"}]}], ";", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "m"}], ",", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"Take", "[", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", "3"}], "]"}], "]"}], 
            "\[NotEqual]", 
            RowBox[{"ToString", "[", 
             RowBox[{"{", 
              RowBox[{"b", ",", "a", ",", "b"}], "}"}], "]"}]}], "||", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"Take", "[", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"-", "3"}]}], "]"}], "]"}], "\[NotEqual]", 
            RowBox[{"ToString", "[", 
             RowBox[{"{", 
              RowBox[{"a", ",", "b", ",", "a"}], "}"}], "]"}]}]}], ",", 
          RowBox[{
           RowBox[{"valorLogico", "=", "False"}], ";", 
           RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
        RowBox[{"i", "++"}]}]}], "]"}], ";", 
     RowBox[{"Print", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"valorLogico", "\[Equal]", "False"}], ",", "i", ",", 
         RowBox[{"i", "-", "1"}]}], "]"}], ",", "\"\< pruebas: \>\"", ",", 
       "valorLogico"}], "]"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Prueba", "[", 
  RowBox[{"aut", ",", "20"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ComponentesAutomata", "[", "aut", "]"}]}], "Input",
 CellChangeTimes->{{3.8164318722312164`*^9, 3.8164320369238815`*^9}, {
   3.816432431294611*^9, 3.816432460406329*^9}, {3.8164325654397526`*^9, 
   3.8164325679130244`*^9}, {3.816432607108303*^9, 3.8164326873683634`*^9}, {
   3.816432839068831*^9, 3.8164328859051905`*^9}, {3.8164329771713877`*^9, 
   3.8164329849081383`*^9}, {3.8164330974432726`*^9, 3.816433102628652*^9}, {
   3.816433150330257*^9, 3.8164332455769176`*^9}, {3.8164332920872245`*^9, 
   3.8164333568181877`*^9}, {3.8164334030546045`*^9, 3.816433462681063*^9}, {
   3.8164335665222716`*^9, 3.8164335670837555`*^9}, 3.816433599661435*^9, 
   3.832844827688409*^9},
 CellLabel->
  "In[107]:=",ExpressionUUID->"04523e12-73fb-4588-8f0f-0effdd96e90f"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164321639330416`*^9, 3.8164324954722395`*^9, 3.816432929878911*^9, {
   3.816433130967203*^9, 3.8164331596086903`*^9}, {3.81643328036861*^9, 
   3.8164333187516036`*^9}, {3.8164333860235004`*^9, 
   3.8164334038883734`*^9}, {3.8164334501331635`*^9, 3.816433484626933*^9}, 
   3.816433567826784*^9, 3.8164336001660585`*^9, 3.816433672551876*^9, 
   3.8164555485820913`*^9, 3.8165152026978006`*^9, 3.8328451431511965`*^9, 
   3.8637079766553807`*^9},
 CellLabel->"Out[107]=",
 CellID->317045073,ExpressionUUID->"e3481deb-985a-4fe9-b075-1fd907b5fe86"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.33333322222225925, 0.6666667777777407}],
    PolygonBox[{{0.34562493940113553`, 0.400458848016453}, {
    0.34627417016373596`, 0.3816298307711765}, {0.3622559620451405, 
    0.39160658972714507`}}], 
   CircleBox[{0.14125073428384913, 0.5000001666666112}, 0.23674067179086933, {
    5.759486531581287, 6.8067840827778845`}], 
   InsetBox["\<\"a\"\>", {0.37799140577879264, 0.49998832963302653}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5995138805426964, 0.678956610691319}, {0.6183701692288235, 
    0.6796077257192175}, {0.608378142730814, 0.6956121932285473}}], 
   CircleBox[{0.4999998333333889, 0.47458428983933065}, 0.23674067179086933, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.4999998333333889, 0.7113249616302}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.6666664444445185, 0.6666667777777407}], 
   PolygonBox[{{0.9328471027649555, 0.6789566106913189}, {0.9517033914510827, 
    0.6796077257192175}, {0.9417113649530732, 0.6956121932285474}}], 
   CircleBox[{0.8333330555556482, 0.47458428983933065}, 0.23674067179086933, {
    1.047197551196598, 2.0943951023931957`}], 
   InsetBox["\<\"a\"\>", {0.8333330555556481, 0.7113249616302}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   PolygonBox[{{0.39039020089914384`, 0.37954002790382474`}, {
    0.3738953179603387, 0.3625690600435016}, {0.3968400487235903, 
    0.3567695563162074}}], 
   CircleBox[{0.28192452407837754, 0.7248638961850379}, 0.3737862694403059, {
    4.96089371131271, 6.008091262509308}], 
   InsetBox["\<\"b\"\>", {0.5426942076397272, 0.45706668306022863}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999996666667778, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.9999996666667778, 0.6666667777777407}], 
   PolygonBox[{{0.40975828272753634`, 0.3220974371324255}, {
    0.3830787798061826, 0.3383711972655211}, {0.41051202095721473`, 
    0.3533394444892068}}], 
   CircleBox[{0.41226455227277814, 0.9870425900842084}, 0.6493276408530658, {
    4.667426149785292, 5.71452370098189}], 
   InsetBox["\<\"a\"\>", {0.7112958099836086, 0.4106688466783459}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7231437419631042, 0.3804966052997603}, {0.706334098236529, 
    0.3637716168598971}, {0.7292231849667392, 0.3575765325840489}}], 
   CircleBox[{0.6200874829014454, 0.7289789440581325}, 0.3752530752652627, {
    4.944198010544624, 5.991395561741221}], 
   InsetBox["\<\"b\"\>", {0.8773555895332051, 0.4557977005472603}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.6666664444445185, 0.3333335555554815}], 
   PolygonBox[{{0.9329192801420482, 0.3451114226234213}, {0.9517033914510827, 
    0.3462745034969582}, {0.9413040782134267, 0.36196048064132824`}}], 
   CircleBox[{0.8395262728543517, 0.13914875362965162}, 0.235552079581234, {
    1.074433284513559, 2.1216308357131206`}], 
   InsetBox["\<\"b\"\>", {0.8331116323484419, 0.37461347409160095}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.3906989994139127, 0.04562531513291916}, {
    0.37444661946728225`, 0.02845533114216789}, {0.3974424517591602, 
    0.02296534923180478}}], 
   CircleBox[{0.27790199209887595, 0.38876478567886474}, 0.3730197958583921, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"a\"\>", {0.5416404414656697, 0.12497358334672531}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.04999998333333889], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.033333322222225924], InsetBox[
    SubscriptBox["\[Sigma]", 
     "4"], {0.33333322222225925, 3.333332222466012*^-7}], 
   PolygonBox[{{0.5996404805656622, 0.01023864437633143}, {0.6183701692288235,
     0.012941281274698983`}, {0.6066647726860513, 0.027810349012786284`}}], 
   CircleBox[{0.5224142126661314, -0.2050231025466731}, 0.23815125070947696, {
    1.1560910253996628`, 2.2032885765962242`}], 
   InsetBox["\<\"a\"\>", {0.49653231678317794, 0.03171756924419619}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5927944934502389, 0.33905583658088073`}, {
    0.6166664611111796, 0.3333335555554815}, {0.5997748365451199, 
    0.3155209656354859}}], 
   CircleBox[{0.7203736242810497, -0.053706846503308925}, 
    0.40069370910780744, {1.8325957145940461`, 2.8797932657906435`}], 
   InsetBox["\<\"b\"\>", {0.4370403853921292, 0.2296263923856116}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "5"], {0.33333322222225925, 0.3333335555554815}],
    CircleBox[{0.2800186407233514, 0.28797330717728936}, 
    0.024999991666669445, {-5.054626006783, 0.18136174919998904`}], 
   PolygonBox[{{0.2687414863010175, 0.32159137009225447`}, {
    0.2884085185023135, 0.31152345652262514`}, {0.2698559334872605, 
    0.29952526380407085`}}], 
   InsetBox["\<\"b,a\"\>", {0.2638185520168542, 0.30701422914118504}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.9999996666667778, 0.3333335555554815}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "6"], {0.9999996666667778, 0.3333335555554815}], 
   PolygonBox[{{0.7262601435446221, 0.04221036547187679}, {0.7099677001999886,
     0.02500032499989169}, {0.7330182541212027, 0.01949567540971292}}], 
   CircleBox[{0.6129592646079871, 0.3870407353920128}, 0.37481181322485385, {
    4.97408836818384, 6.0212859193804364`}], 
   InsetBox["\<\"a\"\>", {0.8779647348855113, 0.12198225871961699}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.0646712123853859, 0.36012138689176065}, 
    0.024999991666669445, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.065075162230707, 0.32466457949822647`}, {
    1.0494521817331781`, 0.3402875599957554}, {1.0707935699756315`, 
    0.3460059677406798}}], 
   InsetBox["\<\"b\"\>", {1.0742382950054856, 0.33702440627797203}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.6666664444445185, 3.333332222466012*^-7}, 
    0.04999998333333889], InsetBox[
    SubscriptBox["\[Sigma]", 
     "7"], {0.6666664444445185, 3.333332222466012*^-7}], 
   PolygonBox[{{0.6625603838166326, 0.2768211387599792}, {0.6796073923859952, 
    0.2850372803397865}, {0.6781992754305167, 0.26616606707028384`}}], 
   CircleBox[{0.8716898803244055, 0.14425256511161028}, 0.23815125070947696, {
    2.509100403788448, 3.5562979549850446`}], 
   InsetBox["\<\"b\"\>", {0.6349492085335362, 0.17013446099456375}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.675803274854312, -0.06940078382923875}, 
    0.024999991666669445, {-4.057890510886816, 1.178097245096172}], 
   PolygonBox[{{0.6414500789619048, -0.06061407238538139}, {
    0.6605842442021043, -0.049566956933233514`}, {
    0.6605842442021043, -0.07166118783752937}}], 
   InsetBox["\<\"a\"\>", {0.6510171615820045, -0.07266393754702213}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.33333322222225925`, 0.7666667444444185}, {
     0.33333322222225925`, 0.7166667611110796}}], 
    PolygonBox[{{0.33333322222225925`, 0.7166667611110796}, {
     0.31666656111114627`, 0.7416667527777491}, {0.34999988333337223`, 
     0.7416667527777491}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.8164321639330416`*^9, 3.8164324954722395`*^9, 3.816432929878911*^9, {
   3.816433130967203*^9, 3.8164331596086903`*^9}, {3.81643328036861*^9, 
   3.8164333187516036`*^9}, {3.8164333860235004`*^9, 
   3.8164334038883734`*^9}, {3.8164334501331635`*^9, 3.816433484626933*^9}, 
   3.816433567826784*^9, 3.8164336001660585`*^9, 3.816433672551876*^9, 
   3.8164555485820913`*^9, 3.8165152026978006`*^9, 3.8328451431511965`*^9, 
   3.8637079766810293`*^9},
 CellLabel->"Out[108]=",
 CellID->270950193,ExpressionUUID->"71857160-dbed-4c20-bec2-5769b4d8f270"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "32768", "\[InvisibleSpace]", "\<\" pruebas: \"\>", "\[InvisibleSpace]", 
   "True"}],
  SequenceForm[32768, " pruebas: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8164321641544485`*^9, 3.81643249558724*^9, 3.8164329300035763`*^9, {
   3.8164331313408175`*^9, 3.816433159953289*^9}, {3.8164332807954206`*^9, 
   3.8164333188952*^9}, {3.8164333861694126`*^9, 3.816433404225436*^9}, {
   3.8164334504772425`*^9, 3.8164334849610343`*^9}, {3.816433579653309*^9, 
   3.816433600707611*^9}, 3.8164336728760157`*^9, 3.8164555489196854`*^9, 
   3.816515203033873*^9, 3.832845143595104*^9, 3.8637079771721663`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[107]:=",
 CellID->43938617,ExpressionUUID->"c3a7697a-96d8-4046-af97-f67d3b027240"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "5"], ",", 
     SubscriptBox["\[Sigma]", "6"], ",", 
     SubscriptBox["\[Sigma]", "7"]}], "}"}]}],
  SequenceForm["Estados: ", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4], 
    Subscript[$CellContext`\[Sigma], 5], 
    Subscript[$CellContext`\[Sigma], 6], 
    Subscript[$CellContext`\[Sigma], 7]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8164321641544485`*^9, 3.81643249558724*^9, 3.8164329300035763`*^9, {
   3.8164331313408175`*^9, 3.816433159953289*^9}, {3.8164332807954206`*^9, 
   3.8164333188952*^9}, {3.8164333861694126`*^9, 3.816433404225436*^9}, {
   3.8164334504772425`*^9, 3.8164334849610343`*^9}, {3.816433579653309*^9, 
   3.816433600707611*^9}, 3.8164336728760157`*^9, 3.8164555489196854`*^9, 
   3.816515203033873*^9, 3.832845143595104*^9, 3.8637079771769676`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[107]:=",
 CellID->93856866,ExpressionUUID->"3ec0df84-2acd-4eac-b72e-6ee011870dc0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"S\[IAcute]mbolos de entrada: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}]}],
  SequenceForm[
  "S\[IAcute]mbolos de entrada: ", {$CellContext`a, $CellContext`b}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8164321641544485`*^9, 3.81643249558724*^9, 3.8164329300035763`*^9, {
   3.8164331313408175`*^9, 3.816433159953289*^9}, {3.8164332807954206`*^9, 
   3.8164333188952*^9}, {3.8164333861694126`*^9, 3.816433404225436*^9}, {
   3.8164334504772425`*^9, 3.8164334849610343`*^9}, {3.816433579653309*^9, 
   3.816433600707611*^9}, 3.8164336728760157`*^9, 3.8164555489196854`*^9, 
   3.816515203033873*^9, 3.832845143595104*^9, 3.863707977184163*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[107]:=",
 CellID->75646747,ExpressionUUID->"6557b87d-5226-4dd4-9399-5e3f9272a2ec"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Sigma], 0]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8164321641544485`*^9, 3.81643249558724*^9, 3.8164329300035763`*^9, {
   3.8164331313408175`*^9, 3.816433159953289*^9}, {3.8164332807954206`*^9, 
   3.8164333188952*^9}, {3.8164333861694126`*^9, 3.816433404225436*^9}, {
   3.8164334504772425`*^9, 3.8164334849610343`*^9}, {3.816433579653309*^9, 
   3.816433600707611*^9}, 3.8164336728760157`*^9, 3.8164555489196854`*^9, 
   3.816515203033873*^9, 3.832845143595104*^9, 3.863707977188235*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[107]:=",
 CellID->680673103,ExpressionUUID->"456b22a2-98a1-4a61-a5a0-e1e9c3dad626"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "4"], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8164321641544485`*^9, 3.81643249558724*^9, 3.8164329300035763`*^9, {
   3.8164331313408175`*^9, 3.816433159953289*^9}, {3.8164332807954206`*^9, 
   3.8164333188952*^9}, {3.8164333861694126`*^9, 3.816433404225436*^9}, {
   3.8164334504772425`*^9, 3.8164334849610343`*^9}, {3.816433579653309*^9, 
   3.816433600707611*^9}, 3.8164336728760157`*^9, 3.8164555489196854`*^9, 
   3.816515203033873*^9, 3.832845143595104*^9, 3.863707977191387*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[107]:=",
 CellID->794617480,ExpressionUUID->"80e258f4-b0a3-4ad4-96a2-c43d47519a51"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b"},
     {
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "1"]},
     {
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "5"]},
     {
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "3"]},
     {
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "6"]},
     {
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "3"]},
     {
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "5"]},
     {
      SubscriptBox["\[Sigma]", "6"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "6"]},
     {
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.8164321641544485`*^9, 3.81643249558724*^9, 3.8164329300035763`*^9, {
   3.8164331313408175`*^9, 3.816433159953289*^9}, {3.8164332807954206`*^9, 
   3.8164333188952*^9}, {3.8164333861694126`*^9, 3.816433404225436*^9}, {
   3.8164334504772425`*^9, 3.8164334849610343`*^9}, {3.816433579653309*^9, 
   3.816433600707611*^9}, 3.8164336728760157`*^9, 3.8164555489196854`*^9, 
   3.816515203033873*^9, 3.832845143595104*^9, 3.863707977194135*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[107]:=",
 CellID->576922961,ExpressionUUID->"376e7198-a2de-432b-b3c2-187c83e9e92c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Funci\[OAcute]n de transici\[OAcute]n de estados con otro \
formato: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Funci\[OAcute]n de transici\[OAcute]n de estados con otro formato: ", {{
     Subscript[$CellContext`\[Sigma], 0], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 6]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 6]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 3]}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.8164321641544485`*^9, 3.81643249558724*^9, 3.8164329300035763`*^9, {
   3.8164331313408175`*^9, 3.816433159953289*^9}, {3.8164332807954206`*^9, 
   3.8164333188952*^9}, {3.8164333861694126`*^9, 3.816433404225436*^9}, {
   3.8164334504772425`*^9, 3.8164334849610343`*^9}, {3.816433579653309*^9, 
   3.816433600707611*^9}, 3.8164336728760157`*^9, 3.8164555489196854`*^9, 
   3.816515203033873*^9, 3.832845143595104*^9, 3.8637079771985326`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[107]:=",
 CellID->387481079,ExpressionUUID->"2def2936-4b8d-40dc-ae6d-6d0f8324cf77"]
}, Open  ]]
}, Open  ]],

Cell["7.5.26", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161998265143566`*^9}, {
   3.816200904080576*^9, 
   3.8162009045474234`*^9}},ExpressionUUID->"fe5293a6-046c-4d5d-82a0-\
9549879fe274"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"aut", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"], ",", 
      SubscriptBox["\[Sigma]", "4"], ",", 
      SubscriptBox["\[Sigma]", "5"], ",", 
      SubscriptBox["\[Sigma]", "6"], ",", 
      SubscriptBox["\[Sigma]", "7"], ",", 
      SubscriptBox["\[Sigma]", "8"], ",", 
      SubscriptBox["\[Sigma]", "9"], ",", 
      SubscriptBox["\[Sigma]", "10"], ",", 
      SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "8"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "9"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "8"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "8"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "9"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "10"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "9"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "9"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "10"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "10"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "10"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "11"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "11"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "11"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "11"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     SubscriptBox["\[Sigma]", "4"], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"aut", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Prueba", "[", 
   RowBox[{"automata_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"L", "=", 
       RowBox[{"LenguajeStrings", "[", 
        RowBox[{"automata", ",", "n", ",", 
         RowBox[{"limite", "\[Rule]", "True"}]}], "]"}]}], ",", 
      RowBox[{"valorLogico", "=", "True"}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"n", "\[GreaterEqual]", "4"}], ",", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"ToString", "[", "L", "]"}], "\[NotEqual]", 
          RowBox[{"ToString", "[", 
           RowBox[{"Permutations", "[", 
            RowBox[{"{", 
             RowBox[{"a", ",", "a", ",", "a", ",", "b"}], "}"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"valorLogico", "=", "False"}]}], "]"}], ";", "valorLogico"}],
       ",", 
      RowBox[{
      "Print", "[", "\"\<La longitud debe ser mayor o igual a 4\>\"", "]"}]}],
      "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Prueba", "[", 
  RowBox[{"aut", ",", "20"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ComponentesAutomata", "[", "aut", "]"}]}], "Input",
 CellChangeTimes->{{3.8164346764189267`*^9, 3.816434707664317*^9}, {
  3.816434790752644*^9, 3.816434869079008*^9}, {3.816434914844713*^9, 
  3.8164350438835845`*^9}, {3.8164350753867846`*^9, 3.8164352053408146`*^9}, {
  3.816435747456167*^9, 3.816435752492168*^9}, {3.816435801905027*^9, 
  3.8164358020805426`*^9}},
 CellLabel->
  "In[112]:=",ExpressionUUID->"df572795-4cb7-451b-b3b7-de56196869a2"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816435001559903*^9, 3.81643515679792*^9, {3.8164351922966614`*^9, 
   3.816435205768669*^9}, 3.8164358363804035`*^9, 3.8164358671182427`*^9, 
   3.81645555504462*^9, 3.816515208525823*^9, {3.8328451546921015`*^9, 
   3.832845157625368*^9}, 3.8637079899681554`*^9},
 CellLabel->"Out[112]=",
 CellID->575993096,ExpressionUUID->"02497369-c61f-4b87-a394-60d77fcd7d57"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.24999993750001562, 0.7500000624999844}],
    PolygonBox[{{0.259218726152405, 0.5503440985410274}, {0.2597056492649322, 
    0.5362223344302566}, {0.2716919941748475, 0.5437049042707803}}], 
   CircleBox[{0.10593805954105559, 0.6250000937499767}, 0.17755551863944025, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.28349357795855146, 0.6249912159740484}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.7013621740112314, 0.774681798979531}, {0.7234833148346758, 
    0.7765165601653555}, {0.7108337946261519, 0.7947566494862391}}], 
   CircleBox[{0.5284555820774506, 0.38568562281410657}, 0.4367890087161774, {
    1.1079426974452737`, 2.155140248641814}], 
   InsetBox["\<\"c\"\>", {0.5019390844120795, 0.8216690095237646}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.4494713303754016, 0.7599305014695266}, {
    0.46377766556974354`, 0.759705774264901}, {0.45681911744069975`, 
    0.7722077875805693}}], 
   CircleBox[{0.36529419448510736, 0.6072159657357483}, 0.18152723151675887, {
    0.9973536268476115, 2.0445511780442605`}], 
   InsetBox["\<\"a\"\>", {0.3743384780326919, 0.7885177492825459}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.49999987500003124, 0.7500000624999844}],
    PolygonBox[{{0.5170544139211694, 0.30503558457902175`}, {
    0.5177681075725882, 0.28302350060028864`}, {0.5364742846626981, 
    0.2946476194223036}}], 
   CircleBox[{0.14148619611672017, 0.495117208150899}, 0.431939599563927, {
    5.769817828815841, 6.817115380012439}], 
   InsetBox["\<\"a\"\>", {0.5734029667783285, 0.49955802932420396}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7031169420359903, 0.7673012187883534}, {0.7173697429961684, 
    0.76848053492488}, {0.7092220247827544, 0.7802341645632143}}], 
   CircleBox[{0.6343950793569205, 0.6072146804406557}, 0.18136005797454277, {
    1.0955995415636828`, 2.142797092759511}], 
   InsetBox["\<\"c\"\>", {0.6256203186969416, 0.7883623390065053}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2795673964181623, 0.058029608506316804`}, {
    0.27122296616251884`, 0.030916788474770557`}, {0.2988755722058952, 
    0.037246709909048964`}}], 
   CircleBox[{-0.20807978095305804, 0.5648750854987553}, 0.717525321053754, {
    5.443799120669051, 6.491096671865648}], 
   InsetBox["\<\"b\"\>", {0.4739765833083016, 0.34207090617559205}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.49999987500003124, 0.2500001874999531}],
    PolygonBox[{{0.524732112331922, 0.040946767646509535`}, {
    0.5265163726654023, 0.026516747665308642`}, {0.5381210063794992, 
    0.03527697243166791}}], 
   CircleBox[{0.3559379970410713, 0.1055887952201122}, 0.18801428385935084, {
    5.8490183780476865`, 6.8963159292442855`}], 
   InsetBox["\<\"a\"\>", {0.5432000677506463, 0.12239021803803701}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7105316594415294, 0.7150862843454074}, {0.7339933927868745, 
    0.716087766428485}, {0.7231298350395821, 0.6952685682930609}}], 
   CircleBox[{0.9876170045336111, 0.29816787881248363}, 0.4888578207418088, {
    2.1162529869269378`, 3.1634505381235343`}], 
   InsetBox["\<\"c\"\>", {0.5590125699533754, 0.5332853123613104}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7054520884780102, 0.03186881925146643}, {0.7175238679771165,
     0.018750245312438713`}, {0.7228489965201859, 0.03576399999706283}}], 
   CircleBox[{0.4409713662905821, -0.035259339820283675}, 
    0.28177707762571697, {0.1928683758837935, 1.2400659270803902`}], 
   InsetBox["\<\"b\"\>", {0.6534680656648986, 0.14979058379577925}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.03749999062500234], InsetBox[
    SubscriptBox["\[Sigma]", 
     "3"], {0.49999987500003124, 2.499999375293882*^-7}], 
   PolygonBox[{{0.698064769517827, 0.4735713754455515}, {0.7214384271740888, 
    0.47569998991521245`}, {0.7115950325515474, 0.45439350137069867`}}], 
   CircleBox[{0.9945860674125538, 0.07090963786344245}, 0.48832864188171266, {
    2.1644002832300577`, 3.211597834426655}], 
   InsetBox["\<\"b\"\>", {0.5556380959563855, 0.28489454582788926}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7187331932208852, 0.7077664985875428}, {0.7469866535581603, 
    0.7126213229537371}, {0.7370643246215588, 0.6857256963737438}}], 
   CircleBox[{1.2032085960751853, 0.14466078356788103}, 0.7285036960328207, {
    2.2475240123862656`, 3.294721563582863}], 
   InsetBox["\<\"c,a\"\>", {0.5241285343986296, 0.4084180677646323}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Sigma]", "4"], {0.7499998125000469, 0.5000001249999688}], 
   PolygonBox[{{0.7469202667725038, 0.7076157463713326}, {0.7597055242649634, 
    0.7137778530696967}, {0.7586494364603472, 0.6996244419381192}}], 
   CircleBox[{0.9037674022239227, 0.6081893078495222}, 0.17861345291655703, {
    2.509100403788446, 3.5562979549850473`}], 
   InsetBox["\<\"c,b,a\"\>", {0.7262118835844826, 0.6276007313793553}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.03749999062500234], InsetBox[
    SubscriptBox["\[Sigma]", 
     "5"], {0.7499998125000469, 2.499999375293882*^-7}], 
   PolygonBox[{{0.7124387899663853, 0.7002587707322772}, {0.7356491873740123, 
    0.7153545886921796}, {0.7371173505143798, 0.6877058859252909}}], 
   CircleBox[{1.3358230322865576, 0.39662192293076287}, 0.6795580595802592, {
    2.6534012486878593`, 3.7005987998844567`}], 
   InsetBox["\<\"c,b\"\>", {0.6566909030246031, 0.37256558603981166}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7237847118111763, 0.45202613076181913`}, {
    0.7426839272534134, 0.4632206861797074}, {0.7429290889082588, 
    0.44125620778619085`}}], 
   CircleBox[{1.110723096340258, 0.24526209581121236}, 0.4277368082098575, {
    2.606916532064851, 3.6541140832614483`}], 
   InsetBox["\<\"a\"\>", {0.6830125311390864, 0.25000018749995323}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.03749999062500234], InsetBox[
    SubscriptBox["\[Sigma]", 
     "6"], {0.24999993750001562, 2.499999375293882*^-7}], 
   PolygonBox[{{0.6929547763400361, 0.2541853830151268}, {0.7132611572122294, 
    0.24248217549423087`}, {0.6929726917572758, 0.23074793756043704`}}], 
   CircleBox[{0.7034845930537429, -0.2443791573288665}, 0.4869594835353638, {
    1.5507182270942963`, 2.5979157782908944`}], 
   InsetBox["\<\"a\"\>", {0.4685206795651716, 0.18214340709552995}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6926847180942931, 0.7257944095547524}, {0.7233600096474999, 
    0.7236074460921196}, {0.7061283979551082, 0.6981353460698647}}], 
   CircleBox[{1.0778197275122727, -0.0361211732229928}, 0.8383491316839433, {
    2.0073366843857734`, 3.054534235582371}], 
   InsetBox["\<\"c,b\"\>", {0.3909842975655583, 0.4445932521535852}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", "7"], {0.7499998125000469, 0.2500001874999531}], 
   PolygonBox[{{0.7360440567142799, 0.7016645698196341}, {0.754894543484616, 
    0.7128208894932597}, {0.7551309563495479, 0.6909177292396332}}], 
   CircleBox[{1.120785718792952, 0.4959215724317798}, 0.4253488755248471, {
    2.606486056288576, 3.6536836074851733`}], 
   InsetBox["\<\"c,b\"\>", {0.6954650074246476, 0.5008163034163492}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7464651647295706, 0.45815080885054077`}, {
    0.7597055242649634, 0.4637779155696811}, {0.7579585618658486, 
    0.4494978744972213}}], 
   CircleBox[{0.9024896210292092, 0.34848365858458985}, 0.18352129027043618, {
    2.462311780711506, 3.509509331908102}], 
   InsetBox["\<\"a\"\>", {0.7211878374824114, 0.37693936566200753}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", "8"], {0.24999993750001562, 0.5000001249999688}],
    PolygonBox[{{0.44964954184284145`, 0.5091306273186809}, {
    0.46377766556974354`, 0.5097058367648855}, {0.45621545771338257`, 
    0.5216535460970901}}], 
   CircleBox[{0.3760811653738624, 0.3556310839803061}, 0.17728425082735796, {
    1.0533457920111444`, 2.100543343192718}], 
   InsetBox["\<\"a\"\>", {0.3749911859755387, 0.5329119840692012}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6926593863608966, 0.746020365974616}, {0.7132635245006652, 
    0.757529633596783}, {0.6929941372910305, 0.769618706837823}}], 
   CircleBox[{0.6960430953027115, 0.26406367228834404}, 0.4937663396302182, {
    1.5359135884832489`, 2.583111139679847}], 
   InsetBox["\<\"c,b\"\>", {0.46422344379799096, 0.7000279452833384}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.5000001249999688}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", "9"], {0.49999987500003124, 0.5000001249999688}],
    PolygonBox[{{0.6950472440356991, 0.7489578734929991}, {0.7127598588414271,
     0.7455915311822872}, {0.700988213479652, 0.7319351279484343}}], 
   CircleBox[{0.8003182683132579, 0.4710162216986431}, 0.2881979799500267, {
    1.8794890415957735`, 2.9266865927923726`}], 
   InsetBox["\<\"c,b\"\>", {0.5872028066538699, 0.6650262102275379}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2991661518420461, 0.2638295106321105}, {
    0.28749992812501796`, 0.2500001874999531}, {0.3053095851331241, 
    0.24681160296085297`}}], 
   CircleBox[{0.1959936000554901, 0.5265545640236358}, 0.29130007080529685, {
    5.031829964125448, 6.079027515322046}], 
   InsetBox["\<\"a\"\>", {0.41349821694983174, 0.33278286103061194}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", 
     "10"], {0.24999993750001562, 0.2500001874999531}], 
   PolygonBox[{{0.6923696956813855, 0.48232604356901415`}, {
    0.7131148596981128, 0.49323628336415537`}, {0.693293732865777, 
    0.5057470025107453}}], 
   CircleBox[{0.6837773393614346, 0.007089423542172346}, 
    0.48703127149524983, {1.5105223912232357`, 2.5577199424198325`}], 
   InsetBox["\<\"a\"\>", {0.4661109473460492, 0.4427737142863812}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6901248483131114, 0.7409137259307478}, {0.7161624456228776, 
    0.7338358458565739}, {0.6970140230188203, 0.7148255651698939}}], 
   CircleBox[{0.8696192184321184, 0.10695943766449667}, 0.6453859405571424, {
    1.81087104527326, 2.8580685964698582`}], 
   InsetBox["\<\"c,b\"\>", {0.42328355070049983, 0.5731219457873589}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Sigma]", "11"], {0.7499998125000469, 0.7500000624999844}],
    CircleBox[{0.7954661348321493, 0.776250055937486}, 
    0.01874999531250117, {-2.0943951023931957`, 3.1415926535897927`}], 
   PolygonBox[{{0.7992375371882484, 0.7499244961517779}, {0.7860911371758987, 
    0.7600120836760208}, {0.8014004442409669, 0.7663534062929063}}], 
   InsetBox["\<\"c,b,a\"\>", {0.8048411324884, 0.7600120836760208}, 
    ImageScaled[{0, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.24999993750001562`, 0.8250000437499891}, {
     0.24999993750001562`, 0.7875000531249867}}], 
    PolygonBox[{{0.24999993750001562`, 0.7875000531249867}, {
     0.23749994062501484`, 0.8062500484374879}, {0.2624999343750164, 
     0.8062500484374879}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.816435001559903*^9, 3.81643515679792*^9, {3.8164351922966614`*^9, 
   3.816435205768669*^9}, 3.8164358363804035`*^9, 3.8164358671182427`*^9, 
   3.81645555504462*^9, 3.816515208525823*^9, {3.8328451546921015`*^9, 
   3.832845157625368*^9}, 3.8637079900103264`*^9},
 CellLabel->"Out[113]=",
 CellID->25723272,ExpressionUUID->"8bd25c29-d778-4887-8d5c-808f115ba0b7"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.816435001559903*^9, 3.81643515679792*^9, {3.8164351922966614`*^9, 
   3.816435205768669*^9}, 3.8164358363804035`*^9, 3.8164358671182427`*^9, 
   3.81645555504462*^9, 3.816515208525823*^9, {3.8328451546921015`*^9, 
   3.832845157625368*^9}, 3.8637079900235195`*^9},
 CellLabel->"Out[115]=",
 CellID->59704695,ExpressionUUID->"a0c575d0-4ba1-417e-be04-3d791da393d0"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "5"], ",", 
     SubscriptBox["\[Sigma]", "6"], ",", 
     SubscriptBox["\[Sigma]", "7"], ",", 
     SubscriptBox["\[Sigma]", "8"], ",", 
     SubscriptBox["\[Sigma]", "9"], ",", 
     SubscriptBox["\[Sigma]", "10"], ",", 
     SubscriptBox["\[Sigma]", "11"]}], "}"}]}],
  SequenceForm["Estados: ", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4], 
    Subscript[$CellContext`\[Sigma], 5], 
    Subscript[$CellContext`\[Sigma], 6], 
    Subscript[$CellContext`\[Sigma], 7], 
    Subscript[$CellContext`\[Sigma], 8], 
    Subscript[$CellContext`\[Sigma], 9], 
    Subscript[$CellContext`\[Sigma], 10], 
    Subscript[$CellContext`\[Sigma], 11]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816435001613756*^9, 3.816435156843306*^9, {3.8164351923420167`*^9, 
   3.816435205810556*^9}, 3.816435836423292*^9, 3.816435867136196*^9, 
   3.816455555081908*^9, 3.816515208567219*^9, {3.8328451547658854`*^9, 
   3.8328451576692815`*^9}, 3.8637079900275106`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[112]:=",
 CellID->387027713,ExpressionUUID->"57608ef1-6538-42c5-bb5f-7a0a7eb198b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"S\[IAcute]mbolos de entrada: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}],
  SequenceForm[
  "S\[IAcute]mbolos de entrada: ", {$CellContext`a, $CellContext`b, \
$CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816435001613756*^9, 3.816435156843306*^9, {3.8164351923420167`*^9, 
   3.816435205810556*^9}, 3.816435836423292*^9, 3.816435867136196*^9, 
   3.816455555081908*^9, 3.816515208567219*^9, {3.8328451547658854`*^9, 
   3.8328451576692815`*^9}, 3.863707990031349*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[112]:=",
 CellID->938710285,ExpressionUUID->"b6d1539c-2f2f-4867-938d-2060d786a8aa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Sigma], 0]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816435001613756*^9, 3.816435156843306*^9, {3.8164351923420167`*^9, 
   3.816435205810556*^9}, 3.816435836423292*^9, 3.816435867136196*^9, 
   3.816455555081908*^9, 3.816515208567219*^9, {3.8328451547658854`*^9, 
   3.8328451576692815`*^9}, 3.863707990037327*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[112]:=",
 CellID->625407949,ExpressionUUID->"10d355f7-a44e-42af-8b1d-4a5b0d4074e6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "4"], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816435001613756*^9, 3.816435156843306*^9, {3.8164351923420167`*^9, 
   3.816435205810556*^9}, 3.816435836423292*^9, 3.816435867136196*^9, 
   3.816455555081908*^9, 3.816515208567219*^9, {3.8328451547658854`*^9, 
   3.8328451576692815`*^9}, 3.863707990039206*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[112]:=",
 CellID->158253622,ExpressionUUID->"276def42-5b49-48da-88ad-756b3b7c9ed1"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b", "c"},
     {
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "6"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "6"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "9"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "9"], 
      SubscriptBox["\[Sigma]", "10"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "10"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]},
     {
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"], 
      SubscriptBox["\[Sigma]", "11"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.816435001613756*^9, 3.816435156843306*^9, {3.8164351923420167`*^9, 
   3.816435205810556*^9}, 3.816435836423292*^9, 3.816435867136196*^9, 
   3.816455555081908*^9, 3.816515208567219*^9, {3.8328451547658854`*^9, 
   3.8328451576692815`*^9}, 3.8637079900432024`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[112]:=",
 CellID->123889346,ExpressionUUID->"000e9d48-4905-419f-aced-bdef96192a29"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Funci\[OAcute]n de transici\[OAcute]n de estados con otro \
formato: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "8"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "9"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "8"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "8"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "9"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "10"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "9"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "9"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "10"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "10"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "10"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "11"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "11"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "11"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "11"]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Funci\[OAcute]n de transici\[OAcute]n de estados con otro formato: ", {{
     Subscript[$CellContext`\[Sigma], 0], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 8]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 6]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 8], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 9]}, {
     Subscript[$CellContext`\[Sigma], 8], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 8], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 9], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 10]}, {
     Subscript[$CellContext`\[Sigma], 9], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 9], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 10], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 10], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 10], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 11], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 11], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 11]}, {
     Subscript[$CellContext`\[Sigma], 11], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 11]}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816435001613756*^9, 3.816435156843306*^9, {3.8164351923420167`*^9, 
   3.816435205810556*^9}, 3.816435836423292*^9, 3.816435867136196*^9, 
   3.816455555081908*^9, 3.816515208567219*^9, {3.8328451547658854`*^9, 
   3.8328451576692815`*^9}, 3.8637079900497293`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[112]:=",
 CellID->9322557,ExpressionUUID->"a3f00ec0-eafc-4f00-a21b-de0303831fcc"]
}, Open  ]]
}, Open  ]],

Cell["7.5.27", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.8162009060626097`*^9, 
   3.8162009065474763`*^9}},ExpressionUUID->"34beee2f-86d7-4d6f-837b-\
87d4327eab19"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"aut", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"], ",", 
      SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"aut", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Prueba", "[", 
   RowBox[{"automata_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"L", "=", 
       RowBox[{"LenguajeStrings", "[", 
        RowBox[{"automata", ",", "n", ",", 
         RowBox[{"limite", "\[Rule]", "True"}]}], "]"}]}], ",", 
      RowBox[{"valorLogico", "=", "True"}], ",", "i", ",", "m"}], "}"}], ",", 
    RowBox[{
     RowBox[{"m", "=", 
      RowBox[{"Length", "[", "L", "]"}]}], ";", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "m"}], ",", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"StringCount", "[", 
             RowBox[{
              RowBox[{"StringJoin", "[", 
               RowBox[{"ToString", "/@", 
                RowBox[{"L", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", "\"\<ab\>\""}],
              "]"}], "\[Equal]", "0"}], "||", 
           RowBox[{
            RowBox[{"ToString", "[", 
             RowBox[{"Take", "[", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"-", "2"}]}], "]"}], "]"}], "\[Equal]", 
            RowBox[{"ToString", "[", 
             RowBox[{"{", 
              RowBox[{"c", ",", "b"}], "}"}], "]"}]}]}], ",", 
          RowBox[{
           RowBox[{"valorLogico", "=", "False"}], ";", 
           RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
        RowBox[{"i", "++"}]}]}], "]"}], ";", 
     RowBox[{"Print", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"valorLogico", "\[Equal]", "False"}], ",", "i", ",", 
         RowBox[{"i", "-", "1"}]}], "]"}], ",", "\"\< pruebas: \>\"", ",", 
       "valorLogico"}], "]"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Prueba", "[", 
  RowBox[{"aut", ",", "13"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ComponentesAutomata", "[", "aut", "]"}]}], "Input",
 CellChangeTimes->{{3.81643662163877*^9, 3.8164366739951468`*^9}, {
   3.8164367311691017`*^9, 3.8164368174352856`*^9}, 3.8164372277076893`*^9, {
   3.816437259116996*^9, 3.8164373526071424`*^9}, {3.816437619617446*^9, 
   3.81643761982889*^9}, {3.816437693447301*^9, 3.8164377235218563`*^9}, {
   3.8164378068057785`*^9, 3.8164378070471354`*^9}},
 CellLabel->
  "In[117]:=",ExpressionUUID->"64149331-5b47-48c7-a703-f8de7d5b1124"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164374205940533`*^9, 3.8164376207119055`*^9, {3.81643770921588*^9, 
   3.816437724810791*^9}, 3.8164378075362835`*^9, 3.8164555635701303`*^9, 
   3.816515215436863*^9, 3.832845170734259*^9, 3.863708000725276*^9},
 CellLabel->"Out[117]=",
 CellID->61514329,ExpressionUUID->"c4ba9194-5e1d-4dda-a4f4-83976787942b"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.33333322222225925, 0.6666667777777407}],
    PolygonBox[{{0.5995138805426964, 0.678956610691319}, {0.6183701692288235, 
    0.6796077257192175}, {0.608378142730814, 0.6956121932285473}}], 
   CircleBox[{0.4999998333333889, 0.47458428983933065}, 0.23674067179086933, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.4999998333333889, 0.7113249616302}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.27779850691344454, 0.6240534919515589}, 
    0.024999991666669445, {1.1780972450961729`, 6.414085001079162}], 
   PolygonBox[{{0.2682308469430764, 0.6361033571282865}, {
    0.28736558953354424`, 0.6471504725653475}, {0.26823200164361327`, 
    0.6581975880024086}}], 
   InsetBox["\<\"c,b\"\>", {0.26257947626123673, 0.6438873188475641}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.6666664444445185, 0.6666667777777407}], 
   PolygonBox[{{0.39162152393596383`, 0.6377213623269341}, {
    0.38162949743795427`, 0.653725829836264}, {0.4004857861240815, 
    0.6543769448641626}}], 
   CircleBox[{0.4999998333333889, 0.8587492657161508}, 0.23674067179086933, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"c\"\>", {0.4999879962998042, 0.6220085942212074}, 
    ImageScaled[{Rational[1, 2], 0}]], 
   PolygonBox[{{0.3757937772398963, 0.3927000919254865}, {0.3583332138889287, 
    0.37663481131095156`}, {0.38097643669552544`, 0.36954616019189346`}}], 
   CircleBox[{0.2863247699635971, 0.7453739492809413}, 0.37570436232149185, {
    4.90514476896015, 5.952342320156747}], 
   InsetBox["\<\"b\"\>", {0.5330271461174214, 0.4620160387376571}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7313379901631267, 0.6934546091140199}, 
    0.024999991666669445, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{0.7317419400084478, 0.6579978017204857}, {0.716118959510919, 
    0.6736207822180147}, {0.7374603477533724, 0.6793391899629391}}], 
   InsetBox["\<\"a\"\>", {0.7409050727832264, 0.6703576285002313}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.33333322222225925, 0.3333335555554815}],
    PolygonBox[{{0.6121030450368155, 0.3659954770261121}, {0.6313111171703003,
     0.3686888828296998}, {0.6193745232549506, 0.3839768583532278}}], 
   CircleBox[{0.5297852683296473, 0.14003197996813377}, 0.25018288752242784, {
    1.152935214019036, 2.200132765215643}], 
   InsetBox["\<\"c\"\>", {0.5033807811356473, 0.38881759101724905}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.2686616765036511, 0.36012138689176065}, 
    0.024999991666669445, {0.13089969389957545`, 5.366887449882563}], 
   PolygonBox[{{0.2743136245357592, 0.374431656061692}, {0.2934477897759586, 
    0.36338454060954406`}, {0.2934477897759586, 0.38547877151383986`}}], 
   InsetBox["\<\"b,a\"\>", {0.2782287591237508, 0.3832183675055493}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.6666664444445185, 0.3333335555554815}], 
   PolygonBox[{{0.39109360248793473`, 0.3009293257238376}, {
    0.3804104097890144, 0.3164890685006995}, {0.3992271386595884, 
    0.31796111338305805`}}], 
   CircleBox[{0.4898165081734066, 0.5266223487988029}, 0.23690861076061925, {
    4.2323574034059614`, 5.279454954602456}], 
   InsetBox["\<\"a\"\>", {0.5001228535893234, 0.2899380250747877}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.3942105092280101, 0.0415242555324955}, {
    0.37663447797772925`, 0.02500032499989169}, {0.3997326372144739, 
    0.018041000705741217`}}], 
   CircleBox[{0.29792730647452875, 0.4053419994808131}, 0.38840006204039873, {
    4.916346772242231, 5.963544323438828}], 
   InsetBox["\<\"b\"\>", {0.5562315492085154, 0.11528420113950444}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7313379901631267, 0.36012138689176065}, 
    0.024999991666669445, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{0.7317419400084479, 0.32466457949822647`}, {0.716118959510919,
     0.3402875599957554}, {0.7374603477533723, 0.3460059677406798}}], 
   InsetBox["\<\"c\"\>", {0.7409050727832264, 0.33702440627797203}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.04999998333333889], InsetBox[
    SubscriptBox["\[Sigma]", 
     "4"], {0.33333322222225925, 3.333332222466012*^-7}], 
   PolygonBox[{{0.6040411804931259, 0.30879407332955544`}, {0.626998790652508,
     0.3028954942510659}, {0.6104116662446136, 0.2859629101821062}}], 
   CircleBox[{0.7174809188089426, -0.05957267292977919}, 0.3735909363664464, {
    1.8154246456152927`, 2.862622196811889}], 
   InsetBox["\<\"c\"\>", {0.457887013646569, 0.20909290383380025}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.30438780677145266`, 0.275045253841777}, {
    0.32039227428078254`, 0.2850372803397865}, {0.3210433893086811, 
    0.2661809916536594}}], 
   CircleBox[{0.5254157101606693, 0.16666694444435187}, 0.23674067179086933, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"b,a\"\>", {0.2886750383698, 0.1666669444443519}, 
    ImageScaled[{0, Rational[1, 2]}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.33333322222225925`, 0.7666667444444185}, {
     0.33333322222225925`, 0.7166667611110796}}], 
    PolygonBox[{{0.33333322222225925`, 0.7166667611110796}, {
     0.31666656111114627`, 0.7416667527777491}, {0.34999988333337223`, 
     0.7416667527777491}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.8164374205940533`*^9, 3.8164376207119055`*^9, {3.81643770921588*^9, 
   3.816437724810791*^9}, 3.8164378075362835`*^9, 3.8164555635701303`*^9, 
   3.816515215436863*^9, 3.832845170734259*^9, 3.863708000742395*^9},
 CellLabel->"Out[118]=",
 CellID->443611758,ExpressionUUID->"3ca7edb3-360e-4e0a-9fca-c338e69da462"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "1686560", "\[InvisibleSpace]", "\<\" pruebas: \"\>", "\[InvisibleSpace]", 
   "True"}],
  SequenceForm[1686560, " pruebas: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164378379808617`*^9, 3.8164555913617887`*^9, 
  3.8165152441797113`*^9, 3.832845204461795*^9, 3.8637080407151184`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[117]:=",
 CellID->283363321,ExpressionUUID->"3a2c750d-3088-49e7-8fea-afd0da4c1a2a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"]}], "}"}]}],
  SequenceForm["Estados: ", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164378379808617`*^9, 3.8164555913617887`*^9, 
  3.8165152441797113`*^9, 3.832845204461795*^9, 3.8637080410705814`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[117]:=",
 CellID->350753769,ExpressionUUID->"51ec1b62-77f6-41ee-84f0-506f4445f913"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"S\[IAcute]mbolos de entrada: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}],
  SequenceForm[
  "S\[IAcute]mbolos de entrada: ", {$CellContext`a, $CellContext`b, \
$CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164378379808617`*^9, 3.8164555913617887`*^9, 
  3.8165152441797113`*^9, 3.832845204461795*^9, 3.8637080410775623`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[117]:=",
 CellID->150655972,ExpressionUUID->"ac5b0d75-cd0b-449d-9a5e-f66bc75567aa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Sigma], 0]],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164378379808617`*^9, 3.8164555913617887`*^9, 
  3.8165152441797113`*^9, 3.832845204461795*^9, 3.863708041081133*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[117]:=",
 CellID->372906614,ExpressionUUID->"e0a7d0c1-21de-41a8-ba86-b90ae51d2f65"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164378379808617`*^9, 3.8164555913617887`*^9, 
  3.8165152441797113`*^9, 3.832845204461795*^9, 3.863708041085124*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[117]:=",
 CellID->401209498,ExpressionUUID->"7c103a4b-eaa5-4e11-af53-365f773ae35b"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b", "c"},
     {
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "0"]},
     {
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "0"]},
     {
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "3"]},
     {
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "3"]},
     {
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "3"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.8164378379808617`*^9, 3.8164555913617887`*^9, 
  3.8165152441797113`*^9, 3.832845204461795*^9, 3.863708041089111*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[117]:=",
 CellID->441516494,ExpressionUUID->"56537d26-c304-4d37-838c-75615400f41e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Funci\[OAcute]n de transici\[OAcute]n de estados con otro \
formato: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "0"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Funci\[OAcute]n de transici\[OAcute]n de estados con otro formato: ", {{
     Subscript[$CellContext`\[Sigma], 0], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 0]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 0]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 0]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 3]}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164378379808617`*^9, 3.8164555913617887`*^9, 
  3.8165152441797113`*^9, 3.832845204461795*^9, 3.863708041095095*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[117]:=",
 CellID->275321470,ExpressionUUID->"d6ea24f2-55fa-4e7d-a7be-16f87b470ea4"]
}, Open  ]]
}, Open  ]],

Cell["7.5.28", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.8161998530473394`*^9}, {3.8162009096974587`*^9, 
   3.816200910130962*^9}},ExpressionUUID->"01a90137-cfab-4aaa-b1ab-\
1607bf0573c1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"aut", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"], ",", 
      SubscriptBox["\[Sigma]", "4"], ",", 
      SubscriptBox["\[Sigma]", "5"], ",", 
      SubscriptBox["\[Sigma]", "6"], ",", 
      SubscriptBox["\[Sigma]", "7"], ",", 
      SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "5"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "6"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "7"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "8"], ",", "a", ",", 
        SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "8"], ",", "b", ",", 
        SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "8"], ",", "c", ",", 
        SubscriptBox["\[Sigma]", "7"]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"], ",", 
      SubscriptBox["\[Sigma]", "4"], ",", 
      SubscriptBox["\[Sigma]", "5"], ",", 
      SubscriptBox["\[Sigma]", "7"], ",", 
      SubscriptBox["\[Sigma]", "8"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"aut", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Prueba", "[", 
   RowBox[{"automata_", ",", "n_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"L", "=", 
       RowBox[{"LenguajeStrings", "[", 
        RowBox[{"automata", ",", "n", ",", 
         RowBox[{"limite", "\[Rule]", "True"}]}], "]"}]}], ",", 
      RowBox[{"valorLogico", "=", "True"}], ",", "i", ",", "m"}], "}"}], ",", 
    RowBox[{
     RowBox[{"m", "=", 
      RowBox[{"Length", "[", "L", "]"}]}], ";", 
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"i", "=", "1"}], ",", 
       RowBox[{"i", "\[LessEqual]", "m"}], ",", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Length", "[", 
            RowBox[{"L", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", "2"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"ToString", "[", 
              RowBox[{"L", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[Equal]", 
             RowBox[{"ToString", "[", 
              RowBox[{"{", 
               RowBox[{"a", ",", "b"}], "}"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"valorLogico", "=", "False"}], ";", 
             RowBox[{"Break", "[", "]"}]}]}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Length", "[", 
              RowBox[{"L", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "]"}], "\[GreaterEqual]", 
             "3"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"ToString", "[", 
                 RowBox[{"Take", "[", 
                  RowBox[{
                   RowBox[{"L", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], ",", "2"}], "]"}], "]"}], 
                "\[Equal]", 
                RowBox[{"ToString", "[", 
                 RowBox[{"{", 
                  RowBox[{"a", ",", "b"}], "}"}], "]"}]}], "||", 
               RowBox[{
                RowBox[{"ToString", "[", 
                 RowBox[{"Take", "[", 
                  RowBox[{
                   RowBox[{"L", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], ",", 
                   RowBox[{"-", "3"}]}], "]"}], "]"}], "\[Equal]", 
                RowBox[{"ToString", "[", 
                 RowBox[{"{", 
                  RowBox[{"a", ",", "b", ",", "c"}], "}"}], "]"}]}]}], ",", 
              RowBox[{
               RowBox[{"valorLogico", "=", "False"}], ";", 
               RowBox[{"Break", "[", "]"}]}]}], "]"}]}], "]"}]}], "]"}], ";", 
        RowBox[{"i", "++"}]}]}], "]"}], ";", 
     RowBox[{"Print", "[", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"valorLogico", "\[Equal]", "False"}], ",", "i", ",", 
         RowBox[{"i", "-", "1"}]}], "]"}], ",", "\"\< pruebas: \>\"", ",", 
       "valorLogico"}], "]"}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Prueba", "[", 
  RowBox[{"aut", ",", "13"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ComponentesAutomata", "[", "aut", "]"}]}], "Input",
 CellChangeTimes->{{3.8164424048580985`*^9, 3.816442415079155*^9}, {
   3.8164424804641004`*^9, 3.8164426621270094`*^9}, {3.8164427987325354`*^9, 
   3.8164428177614985`*^9}, {3.816442929211341*^9, 3.816442929386905*^9}, 
   3.8164429918523417`*^9, {3.8164430567503633`*^9, 3.816443077061823*^9}, {
   3.8164431219498963`*^9, 3.8164431230038605`*^9}, {3.816443640777302*^9, 
   3.8164437211829457`*^9}, {3.816443755677094*^9, 3.8164437802698927`*^9}, {
   3.8164439183331275`*^9, 3.8164439275758796`*^9}, {3.816444107404475*^9, 
   3.816444137623046*^9}, {3.816444171148689*^9, 3.816444172271139*^9}},
 CellLabel->
  "In[122]:=",ExpressionUUID->"c170d41d-ea59-4643-b478-f4a38fb018c2"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164428749314895`*^9, 3.81644293024856*^9, 3.8164429996195707`*^9, 
   3.8164431381224623`*^9, 3.8164431970286856`*^9, 3.816443258524844*^9, 
   3.816443834327509*^9, 3.816443950291515*^9, {3.8164441113712883`*^9, 
   3.8164441381474795`*^9}, 3.8164442777156444`*^9, 3.8164443515195694`*^9, 
   3.816455599440856*^9, 3.8165152544712877`*^9, 3.8328452500592365`*^9, 
   3.863708048472353*^9},
 CellLabel->"Out[122]=",
 CellID->119040837,ExpressionUUID->"b4cfba85-6109-4729-802c-ecc8f120e8c1"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.33333322222225925, 0.6666667777777407}],
    PolygonBox[{{0.34562493940113553`, 0.400458848016453}, {
    0.34627417016373596`, 0.3816298307711765}, {0.3622559620451405, 
    0.39160658972714507`}}], 
   CircleBox[{0.14125073428384913, 0.5000001666666112}, 0.23674067179086933, {
    5.759486531581287, 6.8067840827778845`}], 
   InsetBox["\<\"c,b\"\>", {0.37799140577879264, 0.49998832963302653}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5995138805426964, 0.678956610691319}, {0.6183701692288235, 
    0.6796077257192175}, {0.608378142730814, 0.6956121932285473}}], 
   CircleBox[{0.4999998333333889, 0.47458428983933065}, 0.23674067179086933, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.4999998333333889, 0.7113249616302}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.6666664444445185, 0.6666667777777407}], 
   PolygonBox[{{0.680693225566021, 0.4009859469981156}, {0.6796073923859952, 
    0.3816298307711765}, {0.6969131973471416, 0.3903675297664717}}], 
   CircleBox[{0.4745839565061086, 0.5258820625495645}, 0.2506856909219987, {
    5.669954685114888, 6.717252236311486}], 
   InsetBox["\<\"c\"\>", {0.7242644552073864, 0.5034551991638596}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.36337368236311307`, 0.07529066217844022}, {
    0.35034487602283954`, 0.04701737246057872}, {0.38134466633720177`, 
    0.04987074004784481}}], 
   CircleBox[{-0.01231508318052288, 0.5833504400461285}, 0.6474375687238968, {
    5.3068517507148805`, 6.3541493019114785`}], 
   InsetBox["\<\"a\"\>", {0.569910030085908, 0.30017324661946443}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9745023518021051, 0.07602650689168022}, {0.9899756514944824,
     0.04898520296824077}, {1.0056574577974482`, 0.07590612554392923}}], 
   CircleBox[{0.34171334691363026, 0.06498080531522091}, 0.6484596169654055, {
    6.258415729461712, 7.305713280658309}], 
   InsetBox["\<\"b\"\>", {0.9111382853859311, 0.3752308887652288}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999996666667778, 3.333332222466012*^-7}, 
    0.04999998333333889], InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.9999996666667778, 3.333332222466012*^-7}], 
   CircleBox[{1.0140332879079912, -0.06857848415580368}, 
    0.024999991666669445, {2.2962433235948527`, 7.532231079577841}], 
   PolygonBox[{{0.9791436361189931, -0.06224914263695856}, {
    0.9974465446056724, -0.04987341719638001}, {
    0.9990127829841351, -0.07191206362927537}}], 
   InsetBox["\<\"c,b,a\"\>", {0.9895408530904819, -0.07359049174195134}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.33333322222225925, 0.3333335555554815}],
    PolygonBox[{{0.6008058661376428, 0.3493374716861852}, {0.6196818290667615,
     0.3504345570214311}, {0.6092937438317598, 0.36623307777131825`}}], 
   CircleBox[{0.5057000539972792, 0.14178561292855107}, 0.23775244881817933, {
    1.070809846010597, 2.1180073972069606`}], 
   InsetBox["\<\"c,b\"\>", {0.5000866947294836, 0.3794717865204781}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9233313447972508, 0.6421504537049088}, {0.9510147970317592, 
    0.6566427626054454}, {0.924622363247149, 0.6733711810547145}}], 
   CircleBox[{0.9106803540115276, 0.008722657098432451}, 0.6491743451600424, {
    1.5086243701932858`, 2.555821921389881}], 
   InsetBox["\<\"a\"\>", {0.6216509535610388, 0.5900051496003147}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999996666667778, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.9999996666667778, 0.6666667777777407}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Sigma]", "4"], {0.9999996666667778, 0.6666667777777407}], 
   PolygonBox[{{1.0122913838456542`, 0.40045884801645304`}, {
    1.0129406146082545`, 0.3816298307711765}, {1.028922406489659, 
    0.391606589727145}}], 
   CircleBox[{0.8079171787283677, 0.5000001666666112}, 0.23674067179086933, {
    5.759486531581287, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {1.0446578502233113, 0.49998832963302653}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.4069917234883188, 0.03092924473045231}, {
    0.38315072875499795`, 0.004268163718172183}, {
    0.4181603995706479, -0.0030482028662346186`}}], 
   CircleBox[{0.130862118445174, 0.8213780460613127}, 0.8551713879187515, {
    5.0117604710089925`, 6.05895802220559}], 
   InsetBox["\<\"a\"\>", {0.757847252734341, 0.23982173400264462}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.72691710429842, 0.37512955822618105`}, {0.7099677001999886, 
    0.35833354722215094`}, {0.7329881744609373, 0.35205293819591627`}}], 
   CircleBox[{0.6233146002155368, 0.7283198860955231}, 0.3799982245877442, {
    4.942348565399165, 5.989546116595764}], 
   InsetBox["\<\"c\"\>", {0.8833238451534406, 0.45120286526017506}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999996666667778, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.9999996666667778, 0.3333335555554815}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Sigma]", "5"], {0.9999996666667778, 0.3333335555554815}], 
   PolygonBox[{{0.7249408650567165, 0.3043766432604732}, {0.7149627196602135, 
    0.3203926076140048}, {0.7338220243547294, 0.3210259528332654}}], 
   CircleBox[{0.833556457740638, 0.5253567363287175}, 0.23680111634950077, {
    4.187847955922148, 5.234945506425821}], 
   InsetBox["\<\"b\"\>", {0.8333214920584022, 0.2885557365514827}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.4086985830362668, -0.02915193620690017}, {
    0.38160604945697785`, -0.01302780867172915}, {0.40911622030594064`, 
    0.002372949893232574}}], 
   CircleBox[{0.4040091913251132, 0.6474615197066663}, 0.660869165317393, {
    4.678482972771313, 5.72558052396791}], 
   InsetBox["\<\"a\"\>", {0.7148230050379654, 0.0642438700486847}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7275437314502692, 0.041524255532495405`}, {
    0.7099677001999886, 0.02500032499989169}, {0.7330658594367331, 
    0.018041000705741314`}}], 
   CircleBox[{0.6312605286967883, 0.40534199948081295}, 0.3884000620403987, {
    4.91634677224223, 5.963544323438828}], 
   InsetBox["\<\"c\"\>", {0.8895647714307746, 0.1152842011395041}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 3.333332222466012*^-7}, 
    0.04999998333333889], InsetBox[
    SubscriptBox["\[Sigma]", 
     "6"], {0.6666664444445185, 3.333332222466012*^-7}], 
   PolygonBox[{{0.6625603838166326, 0.2768211387599792}, {0.6796073923859952, 
    0.2850372803397865}, {0.6781992754305167, 0.26616606707028384`}}], 
   CircleBox[{0.8716898803244055, 0.14425256511161028}, 0.23815125070947696, {
    2.509100403788448, 3.5562979549850446`}], 
   InsetBox["\<\"c,b\"\>", {0.6349492085335362, 0.17013446099456375}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.3803870534342073, -0.0508503427307873}, {
    0.3686885494964775, -0.03535499394099608}, {
    0.38795716715780204`, -0.03297146673954539}}], 
   CircleBox[{0.47411793745043335, 0.1920828212716552}, 0.25068569092199877, {
    4.278322051252837, 5.325419602449343}], 
   InsetBox["\<\"a\"\>", {0.49651983267417554, -0.057599918867555}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Sigma]", "7"], {0.6666664444445185, 0.3333335555554815}], 
   PolygonBox[{{0.3925978904176336, 0.04258410478370636}, {
    0.37649885851678105`, 0.02523376703977968}, {0.3995742077176878, 
    0.019966765309268636`}}], 
   CircleBox[{0.27613815527103713, 0.3853767124761663}, 0.3738652322743804, {
    4.984063095675849, 6.031260646872447}], 
   InsetBox["\<\"a\"\>", {0.5430983739480157, 0.12363742702685482}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6343440522921968, 0.3954242931810445}, 
    0.024999991666669445, {-0.5672320068981569, 4.6687557490848315`}], 
   PolygonBox[{{0.6478721593887016, 0.4027535931925759}, {0.6554288314092592, 
    0.38199180744986916`}, {0.669630729280094, 0.3989169702590925}}], 
   InsetBox["\<\"c,b\"\>", {0.6565193157298979, 0.4069680046640165}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.04999998333333889], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.033333322222225924], InsetBox[
    SubscriptBox["\[Sigma]", 
     "8"], {0.33333322222225925, 3.333332222466012*^-7}], 
   PolygonBox[{{0.9249350707912639, 0.33378825176422955`}, {
    0.9525655175756351, 0.3491449385858624}, {0.9254510132779538, 
    0.36539526400822553`}}], 
   CircleBox[{0.9280379565629057, -0.3147790040322338}, 0.6643768530215287, {
    1.533869790358947, 2.581067341555544}], 
   InsetBox["\<\"b\"\>", {0.6173174761837543, 0.2724597769621241}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5931186327888778, 0.334866854363434}, {0.6168567261431707, 
    0.3289757698706938}, {0.5998858506394706, 0.3113635202348397}}], 
   CircleBox[{0.7166948036897709, -0.05605051369685887}, 0.3977598279942841, {
    1.8245104522935731`, 2.8717080034901703`}], 
   InsetBox["\<\"c\"\>", {0.43771935048563815, 0.22747299022405282}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.2686616765036511, -0.026787498003056888}, 
    0.024999991666669445, {0.9162978572970228, 6.152285613280011}], 
   PolygonBox[{{0.2625393189134055, -0.012672078851976078`}, {
    0.2838807071558589, -0.006953671107051643}, {0.26825772665833, 
    0.008669309390477312}}], 
   InsetBox["\<\"a\"\>", {0.2590945938835514, -0.0036905173892682504}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.33333322222225925`, 0.7666667444444185}, {
     0.33333322222225925`, 0.7166667611110796}}], 
    PolygonBox[{{0.33333322222225925`, 0.7166667611110796}, {
     0.31666656111114627`, 0.7416667527777491}, {0.34999988333337223`, 
     0.7416667527777491}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{
  3.8164428749314895`*^9, 3.81644293024856*^9, 3.8164429996195707`*^9, 
   3.8164431381224623`*^9, 3.8164431970286856`*^9, 3.816443258524844*^9, 
   3.816443834327509*^9, 3.816443950291515*^9, {3.8164441113712883`*^9, 
   3.8164441381474795`*^9}, 3.8164442777156444`*^9, 3.8164443515195694`*^9, 
   3.816455599440856*^9, 3.8165152544712877`*^9, 3.8328452500592365`*^9, 
   3.863708048510681*^9},
 CellLabel->"Out[123]=",
 CellID->373567119,ExpressionUUID->"b450eb7a-4078-4ecf-9846-0625a038c8cf"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
  "2047032", "\[InvisibleSpace]", "\<\" pruebas: \"\>", "\[InvisibleSpace]", 
   "True"}],
  SequenceForm[2047032, " pruebas: ", True],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816443021818291*^9, 3.8164431456632767`*^9, 3.8164432046535435`*^9, 
   3.816443266155551*^9, 3.8164438511212645`*^9, 3.816443975607458*^9, {
   3.8164441351481066`*^9, 3.81644416450622*^9}, 3.8164443015968733`*^9, 
   3.816444377734761*^9, 3.8164556248573556`*^9, 3.816515280899745*^9, 
   3.832845277635084*^9, 3.8637080826208563`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[122]:=",
 CellID->625688865,ExpressionUUID->"b11f1614-00c4-4bf1-87fe-817de12b6ddc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "5"], ",", 
     SubscriptBox["\[Sigma]", "6"], ",", 
     SubscriptBox["\[Sigma]", "7"], ",", 
     SubscriptBox["\[Sigma]", "8"]}], "}"}]}],
  SequenceForm["Estados: ", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4], 
    Subscript[$CellContext`\[Sigma], 5], 
    Subscript[$CellContext`\[Sigma], 6], 
    Subscript[$CellContext`\[Sigma], 7], 
    Subscript[$CellContext`\[Sigma], 8]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816443021818291*^9, 3.8164431456632767`*^9, 3.8164432046535435`*^9, 
   3.816443266155551*^9, 3.8164438511212645`*^9, 3.816443975607458*^9, {
   3.8164441351481066`*^9, 3.81644416450622*^9}, 3.8164443015968733`*^9, 
   3.816444377734761*^9, 3.8164556248573556`*^9, 3.816515280899745*^9, 
   3.832845277635084*^9, 3.8637080830903487`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[122]:=",
 CellID->676655714,ExpressionUUID->"d683a6cb-3e61-464c-99cc-ece41adcc908"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"S\[IAcute]mbolos de entrada: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c"}], "}"}]}],
  SequenceForm[
  "S\[IAcute]mbolos de entrada: ", {$CellContext`a, $CellContext`b, \
$CellContext`c}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816443021818291*^9, 3.8164431456632767`*^9, 3.8164432046535435`*^9, 
   3.816443266155551*^9, 3.8164438511212645`*^9, 3.816443975607458*^9, {
   3.8164441351481066`*^9, 3.81644416450622*^9}, 3.8164443015968733`*^9, 
   3.816444377734761*^9, 3.8164556248573556`*^9, 3.816515280899745*^9, 
   3.832845277635084*^9, 3.8637080830963564`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[122]:=",
 CellID->347742796,ExpressionUUID->"8393bf73-de7b-41f7-b892-861a27715053"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Sigma]", "0"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Sigma], 0]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816443021818291*^9, 3.8164431456632767`*^9, 3.8164432046535435`*^9, 
   3.816443266155551*^9, 3.8164438511212645`*^9, 3.816443975607458*^9, {
   3.8164441351481066`*^9, 3.81644416450622*^9}, 3.8164443015968733`*^9, 
   3.816444377734761*^9, 3.8164556248573556`*^9, 3.816515280899745*^9, 
   3.832845277635084*^9, 3.863708083099929*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[122]:=",
 CellID->372424720,ExpressionUUID->"f0b61049-22e1-4d08-bc26-0675867ee05c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     SubscriptBox["\[Sigma]", "4"], ",", 
     SubscriptBox["\[Sigma]", "5"], ",", 
     SubscriptBox["\[Sigma]", "7"], ",", 
     SubscriptBox["\[Sigma]", "8"]}], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3], 
    Subscript[$CellContext`\[Sigma], 4], 
    Subscript[$CellContext`\[Sigma], 5], 
    Subscript[$CellContext`\[Sigma], 7], 
    Subscript[$CellContext`\[Sigma], 8]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816443021818291*^9, 3.8164431456632767`*^9, 3.8164432046535435`*^9, 
   3.816443266155551*^9, 3.8164438511212645`*^9, 3.816443975607458*^9, {
   3.8164441351481066`*^9, 3.81644416450622*^9}, 3.8164443015968733`*^9, 
   3.816444377734761*^9, 3.8164556248573556`*^9, 3.816515280899745*^9, 
   3.832845277635084*^9, 3.863708083103936*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[122]:=",
 CellID->689007830,ExpressionUUID->"29299a59-f564-41ec-a34f-c167803ccc97"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b", "c"},
     {
      SubscriptBox["\[Sigma]", "0"], 
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "3"]},
     {
      SubscriptBox["\[Sigma]", "1"], 
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "7"]},
     {
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"], 
      SubscriptBox["\[Sigma]", "2"]},
     {
      SubscriptBox["\[Sigma]", "3"], 
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "7"]},
     {
      SubscriptBox["\[Sigma]", "4"], 
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "7"]},
     {
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "6"]},
     {
      SubscriptBox["\[Sigma]", "6"], 
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "7"]},
     {
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "7"], 
      SubscriptBox["\[Sigma]", "7"]},
     {
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "8"], 
      SubscriptBox["\[Sigma]", "5"], 
      SubscriptBox["\[Sigma]", "7"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.816443021818291*^9, 3.8164431456632767`*^9, 3.8164432046535435`*^9, 
   3.816443266155551*^9, 3.8164438511212645`*^9, 3.816443975607458*^9, {
   3.8164441351481066`*^9, 3.81644416450622*^9}, 3.8164443015968733`*^9, 
   3.816444377734761*^9, 3.8164556248573556`*^9, 3.816515280899745*^9, 
   3.832845277635084*^9, 3.863708083107936*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[122]:=",
 CellID->607126823,ExpressionUUID->"7e4cbb09-0260-4253-951c-291375c6c282"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Funci\[OAcute]n de transici\[OAcute]n de estados con otro \
formato: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "4"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "4"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "5"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "6"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "6"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "7"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "8"], ",", "a", ",", 
       SubscriptBox["\[Sigma]", "8"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "8"], ",", "b", ",", 
       SubscriptBox["\[Sigma]", "5"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "8"], ",", "c", ",", 
       SubscriptBox["\[Sigma]", "7"]}], "}"}]}], "}"}]}],
  SequenceForm[
  "Funci\[OAcute]n de transici\[OAcute]n de estados con otro formato: ", {{
     Subscript[$CellContext`\[Sigma], 0], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 1]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 0], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 3]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 8]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 1], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 2], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 2]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 4]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 3], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 8]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 4], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 8]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 5], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 6]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 8]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 6], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 8]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 7], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 7]}, {
     Subscript[$CellContext`\[Sigma], 8], $CellContext`a, 
     Subscript[$CellContext`\[Sigma], 8]}, {
     Subscript[$CellContext`\[Sigma], 8], $CellContext`b, 
     Subscript[$CellContext`\[Sigma], 5]}, {
     Subscript[$CellContext`\[Sigma], 8], $CellContext`c, 
     Subscript[$CellContext`\[Sigma], 7]}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816443021818291*^9, 3.8164431456632767`*^9, 3.8164432046535435`*^9, 
   3.816443266155551*^9, 3.8164438511212645`*^9, 3.816443975607458*^9, {
   3.8164441351481066`*^9, 3.81644416450622*^9}, 3.8164443015968733`*^9, 
   3.816444377734761*^9, 3.8164556248573556`*^9, 3.816515280899745*^9, 
   3.832845277635084*^9, 3.8637080831151857`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[122]:=",
 CellID->789886859,ExpressionUUID->"cdbd971b-60e9-4577-84a0-90888298c9b4"]
}, Open  ]]
}, Open  ]],

Cell["7.5.29", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.8161998553972845`*^9}, {3.816200912514056*^9, 
   3.816200912814321*^9}},ExpressionUUID->"e8c2eca3-423c-4af0-a51c-\
ddd366c8f088"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A6", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A6", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816444840361805*^9, 3.816444843922393*^9}, {
  3.8164473132181873`*^9, 3.8164475032570777`*^9}},
 CellLabel->
  "In[127]:=",ExpressionUUID->"d10c5787-b147-4894-a8ee-f5ec708cd6cb"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.816447543295388*^9, 3.8164475952648077`*^9}, 
   3.8164556322130985`*^9, 3.81651529233596*^9, 3.8328454116530275`*^9, 
   3.863708088510163*^9},
 CellLabel->"Out[127]=",
 CellID->34950653,ExpressionUUID->"df4b1d6f-d72c-445b-a331-ddf611de82ee"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5983321541010912, 0.02765913934940691}, {0.5749997125001437,
     4.999997500476638*^-7}, {0.6106190176115321, -0.0063766674841588995`}}], 
   CircleBox[{0.39198710211422944, 0.5531091147699961}, 0.582599995960631, {
    5.031829964125448, 6.079027515322045}], 
   InsetBox["\<\"c,a\"\>", {0.8269962271506581, 0.16556580566975132}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, 0.5401819903073393}, 
    0.03749998125000937, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976127270772782`, 0.48699678808123537`}, {
    1.074178260236728, 0.5104312549217856}, {1.1061903372650637`, 
    0.519008865109571}}], 
   InsetBox["\<\"a\"\>", {1.111357423948664, 0.5055365251608985}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5095829239822125, 0.10254742081936055`}, {
    0.5097892095218991, 0.0743588274236221}, {0.5340981047297155, 
    0.08863177263929331}}], 
   CircleBox[{0.2087225956565094, 0.259290199399593}, 0.35332806048386056, {
    5.732250798262844, 6.779548349459441}], 
   InsetBox["\<\"c\"\>", {0.5619191359438289, 0.24965058040533092}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"c,b\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"c,b,a\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.9003277275945165, 0.47016053141684366`}, {
    0.9350476271923535, 0.46250026874986566`}, {0.9110536953241706, 
    0.4362620850147828}}], 
   CircleBox[{1.089358994501508, -0.07622119884327394}, 0.5603863111519823, {
    1.8497667835728007`, 2.8969643347693967`}], 
   InsetBox["\<\"c,b,a\"\>", {0.6863606965224998, 0.31316959400184297}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.45981800969266073, -0.09700680241028384}, 
    0.03749998125000937, {-4.581489286485114, 0.6544984694978737}], 
   PolygonBox[{{0.4217819390988849, -0.05982763869834785}, {
    0.45492327993177367`, -0.05982763869834781}, {
    0.43835260951532934`, -0.08852888177510804}}], 
   InsetBox["\<\"b\"\>", {0.42517254454622005, -0.08265618087190374}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.816447543295388*^9, 3.8164475952648077`*^9}, 
   3.8164556322130985`*^9, 3.81651529233596*^9, 3.8328454116530275`*^9, 
   3.8637080885416584`*^9},
 CellLabel->"Out[128]=",
 CellID->132529679,ExpressionUUID->"89cb0f4e-85d8-41ea-83c1-09663eadc642"]
}, Open  ]],

Cell["7.5.30", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199857814446*^9}, {3.816200914814006*^9, 
   3.8162009150310497`*^9}},ExpressionUUID->"b9b499c1-2e05-4107-8a00-\
410fd4adede4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A7", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A7", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816444851212453*^9, 3.8164448533249273`*^9}, {
  3.8164476037645445`*^9, 3.81644760880298*^9}, {3.8164477497701187`*^9, 
  3.8164478769183683`*^9}},
 CellLabel->
  "In[129]:=",ExpressionUUID->"f4214ec6-b9a6-4cd8-aa7a-05335c7f4a1a"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.8164479749206843`*^9, 3.8164479860763025`*^9}, 
   3.8164556390739098`*^9, 3.816515295957848*^9, 3.8328454153055325`*^9, 
   3.863708092091275*^9},
 CellLabel->"Out[129]=",
 CellID->19607273,ExpressionUUID->"880dd628-3275-4e34-8758-a6ea5ccaf2e7"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.587809566657068, 0.4568833817623009}, {0.5724441507496048, 
    0.4805888313228953}, {0.6006563802309417, 0.48204294705817474`}}], 
   CircleBox[{0.7441443173061084, 0.7899525650558488}, 0.3538175616677748, {
    4.205706963368941, 5.252804514564638}], 
   InsetBox["\<\"a\"\>", {0.7501117897462107, 0.43618533053969655}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.9658666984320115, 0.4113471151048034}, {0.9902100404784758,
     0.425641922576003}, {0.9904180358675101, 0.3974125662151512}}], 
   CircleBox[{1.2912766543438658, 0.24071055060003207}, 0.35332806048386056, {
    2.5907581446730514`, 3.637955695869648}], 
   InsetBox["\<\"a\"\>", {0.9380796325170926, 0.25033250975523763}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5298334040348289, 0.40032456574777747`}, {
    0.5374932358753645, 0.43504462751861916`}, {0.5637317754696105, 
    0.41105098767057763`}}], 
   CircleBox[{1.076214703843503, 0.5893634948240105}, 0.560388376803236, {
    3.4205759763358126`, 4.46777352753241}], 
   InsetBox["\<\"b\"\>", {0.6868276606717456, 0.18635870147023215}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.0789426403139724, -0.06923077597011919}, 
    0.03749998125000937, {-3.337942194439155, 1.8980455615438334`}], 
   PolygonBox[{{1.0315102758118124`, -0.0932974267189849}, {
    1.042163210688566, -0.0619148925524561}, {
    1.0640148150735365`, -0.08683187186385034}}], 
   InsetBox["\<\"b,a\"\>", {1.0542171846104476, -0.09742475465359149}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8975098442576399, 0.008813291369310455}, {
    0.9256411725763779, 0.009789959521524153}, {0.9107296889861247, 
    0.033664070411644945`}}], 
   CircleBox[{0.7499996250001875, -0.29443012480046393}, 0.351283095152381, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b,a\"\>", {0.7499996250001875, 0.056852970351917054}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   PolygonBox[{{0.9198204354030687, 0.4487376441048339}, {0.954342415653138, 
    0.4404987792287678}, {0.9299463592470828, 0.41472129978129607`}}], 
   CircleBox[{1.0988643234405184, -0.09886432344051843}, 0.5583897727855898, {
    1.8325957145940466`, 2.879793265790643}], 
   InsetBox["\<\"a\"\>", {0.7040231285586125, 0.2959768714413876}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4662486230188565, -0.09942711388342908}, 
    0.03749998125000937, {-4.516039439535327, 0.7199483164476614}], 
   PolygonBox[{{0.42586235692300345`, -0.06481523165537639}, {
    0.4589327396011934, -0.06264768425802275}, {
    0.4442746993721135, -0.09237124946888495}}], 
   InsetBox["\<\"b,a\"\>", {0.4307387609177211, -0.08737313996154747}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5129291925700409, 0.10199338597002337`}, {
    0.5134260078827435, 0.07378891355007407}, {0.5376033898424059, 
    0.0883214044418383}}], 
   CircleBox[{0.21004743494446984, 0.2558556826938861}, 0.35381756166777484, {
    5.742569772999188, 6.789867324195786}], 
   InsetBox["\<\"b\"\>", {0.5638140709445429, 0.2498528335602287}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"b,a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.8164479749206843`*^9, 3.8164479860763025`*^9}, 
   3.8164556390739098`*^9, 3.816515295957848*^9, 3.8328454153055325`*^9, 
   3.863708092117253*^9},
 CellLabel->"Out[130]=",
 CellID->305414351,ExpressionUUID->"b2fb711d-0769-4306-b87a-a6cecb7aa908"]
}, Open  ]],

Cell["7.5.31", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.8161998603478055`*^9, 
   3.816199860564391*^9}, {3.8162009173472357`*^9, 
   3.816200917798119*^9}},ExpressionUUID->"ebd71d84-c6a0-4b01-84ce-\
b12c0d7c20dd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A8", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A8", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164480410383835`*^9, 3.816448122012476*^9}},
 CellLabel->
  "In[131]:=",ExpressionUUID->"962cb8b6-0c2f-4f9a-a1d3-09a6ff332e67"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164482256119123`*^9, 3.81645564231351*^9, 
  3.816515298838092*^9, 3.832845418779271*^9, 3.863708095451225*^9},
 CellLabel->"Out[131]=",
 CellID->348117716,ExpressionUUID->"9734a094-9330-4ada-b6c9-bac7e6abcf2f"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5049482686829101, 0.1030257683138788}, {0.5047519025213144, 
    0.07484975798818684}, {0.5292512263214542, 0.0887677050666473}}], 
   CircleBox[{0.2066291004966243, 0.26389810051104295}, 0.3530105960133374, {
    5.717948167652212, 6.765245718848809}], 
   InsetBox["\<\"b\"\>", {0.5593344583546428, 0.24922119906902085}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"b\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9363851407333162, 0.08929191039906018}, {0.9622341401035012,
     0.06479843180990316}, {0.970521615103669, 0.09943106122146975}}], 
   CircleBox[{0.41917673720737675, -0.08041389755220157}, 
    0.5621369614596182, {0.2612848170458004, 1.308482368242398}], 
   InsetBox["\<\"b\"\>", {0.8168720791475693, 0.31687237006615643}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"b,a\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5892635770872022, 0.06355517310266451}, {0.564797681810278, 
    0.03776585989649891}, {0.599364829831433, 0.029472429663435606`}}], 
   CircleBox[{0.4198572264696826, 0.5809809534637265}, 0.5622191507531479, {
    4.973034183487802, 6.0202317346843985`}], 
   InsetBox["\<\"b\"\>", {0.8169470908444458, 0.18297339940925517}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.897046867940199, 0.003935410197932728}, {0.9251502420118132,
     0.004752652520939467}, {0.9103908023632346, 0.0286822672375108}}], 
   CircleBox[{0.7482013492236442, -0.2977553146881178}, 0.3504596708301863, {
    1.0415242496649075`, 2.0887218008355926`}], 
   InsetBox["\<\"b,a\"\>", {0.7501896019496949, 0.052698716148310065}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9005345614679446, 0.470228328013208}, {0.9352015681900969, 
    0.46223489010312613`}, {0.9109455445353162, 0.4362091005636173}}], 
   CircleBox[{1.0845982392392308, -0.07858070014125795}, 0.5610711790601481, {
    1.8403180348798136`, 2.8875155860764115`}], 
   InsetBox["\<\"b\"\>", {0.6848091317476614, 0.31508100424848734}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"b\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"b,a\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5295178633001305, 0.4003707541805588}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5635340047461117, 0.41080081559479065`}}], 
   CircleBox[{1.0783081990033883, 0.5847555937125606}, 0.56115434395707, {
    3.411654526026458, 4.458852077223056}], 
   InsetBox["\<\"a\"\>", {0.6848041852847455, 0.18469461219948197}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5838404533526426, -0.052219394520722474`}, {
    0.5701926594104697, -0.026418240384972307`}, {
    0.5993610113100737, -0.027499481193310325`}}], 
   CircleBox[{0.7816281980731824, 0.2865703717289634}, 0.37771266635183826, {
    4.11827016144143, 5.1653677126380915`}], 
   InsetBox["\<\"b,a\"\>", {0.7549951177257542, -0.09020215560526584}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, -0.07424567490174998}, 
    0.03749998125000937, {-3.4033920413889422`, 1.8325957145940457`}], 
   PolygonBox[{{1.0253408324638988`, -0.09515857203874666}, {
    1.03802347452701, -0.06453996556326014}, {
    1.0581986445317046`, -0.09083275901476269}}], 
   InsetBox["\<\"a\"\>", {1.0477291838654998, -0.10076216593799998}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{3.8164482256119123`*^9, 3.81645564231351*^9, 
  3.816515298838092*^9, 3.832845418779271*^9, 3.863708095480933*^9},
 CellLabel->"Out[132]=",
 CellID->59706375,ExpressionUUID->"92ad0234-be81-4381-82b6-a30859c83f7e"]
}, Open  ]],

Cell["7.5.32", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.816199864350895*^9}, {3.816200919214324*^9, 
   3.8162009196973715`*^9}},ExpressionUUID->"febce445-8df5-429f-92ba-\
b245d61666b7"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A9", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A9", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8164482878642125`*^9, 3.8164483658481445`*^9}},
 CellLabel->
  "In[133]:=",ExpressionUUID->"a95ae599-0806-4d73-a1a6-cdc24505ce26"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.8164484607863584`*^9, 3.816448481233314*^9}, 
   3.8164556458034377`*^9, 3.816515302215661*^9, 3.8328454221088943`*^9, 
   3.8637080989003687`*^9},
 CellLabel->"Out[133]=",
 CellID->652119637,ExpressionUUID->"644e4b22-d921-4f22-b963-b37f093432a2"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b,a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"b,a\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5892635770872022, 0.06355517310266451}, {0.564797681810278, 
    0.03776585989649891}, {0.599364829831433, 0.029472429663435606`}}], 
   CircleBox[{0.4198572264696826, 0.5809809534637265}, 0.5622191507531479, {
    4.973034183487802, 6.0202317346843985`}], 
   InsetBox["\<\"b,a\"\>", {0.8169470908444458, 0.18297339940925517}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, 0.574246424901375}, 
    0.03749998125000937, {-1.8325957145940461`, 3.4033920413889422`}], 
   PolygonBox[{{1.0908327590147626`, 0.5581993945313295}, {
    1.0645399655632601`, 0.5380242245266351}, {1.0951585720387464`, 
    0.5253415824635241}}], 
   InsetBox["\<\"b\"\>", {1.100762165938, 0.5477299338651249}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.897046867940199, 0.003935410197932728}, {0.9251502420118132,
     0.004752652520939467}, {0.9103908023632346, 0.0286822672375108}}], 
   CircleBox[{0.7482013492236442, -0.2977553146881178}, 0.3504596708301863, {
    1.0415242496649075`, 2.0887218008355926`}], 
   InsetBox["\<\"b,a\"\>", {0.7501896019496949, 0.052698716148310065}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9005345614679446, 0.470228328013208}, {0.9352015681900969, 
    0.46223489010312613`}, {0.9109455445353162, 0.4362091005636173}}], 
   CircleBox[{1.0845982392392308, -0.07858070014125795}, 0.5610711790601481, {
    1.8403180348798136`, 2.8875155860764115`}], 
   InsetBox["\<\"b,a\"\>", {0.6848091317476614, 0.31508100424848734}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"b,a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4431011624890698, -0.08824653799164692}, 
    0.03749998125000937, {1.5217089415825562`, 6.757696697565544}], 
   PolygonBox[{{0.41233522354682395`, -0.04485886829695553}, {
    0.44494119935632953`, -0.050791727111358397`}, {
    0.4235002050012374, -0.0760629010703697}}], 
   InsetBox["\<\"a\"\>", {0.411584363206428, -0.06792561388055578}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5049482686829101, 0.1030257683138788}, {0.5047519025213144, 
    0.07484975798818684}, {0.5292512263214542, 0.0887677050666473}}], 
   CircleBox[{0.2066291004966243, 0.26389810051104295}, 0.3530105960133374, {
    5.717948167652212, 6.765245718848809}], 
   InsetBox["\<\"b\"\>", {0.5593344583546428, 0.24922119906902085}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"b,a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9363851407333162, 0.08929191039906018}, {0.9622341401035012,
     0.06479843180990316}, {0.970521615103669, 0.09943106122146975}}], 
   CircleBox[{0.41917673720737675, -0.08041389755220157}, 
    0.5621369614596182, {0.2612848170458004, 1.308482368242398}], 
   InsetBox["\<\"b,a\"\>", {0.8168720791475693, 0.31687237006615643}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"b,a\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"b,a\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5295178633001305, 0.4003707541805588}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5635340047461117, 0.41080081559479065`}}], 
   CircleBox[{1.0783081990033883, 0.5847555937125606}, 0.56115434395707, {
    3.411654526026458, 4.458852077223056}], 
   InsetBox["\<\"a\"\>", {0.6848041852847455, 0.18469461219948197}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5838404533526426, -0.052219394520722474`}, {
    0.5701926594104697, -0.026418240384972307`}, {
    0.5993610113100737, -0.027499481193310325`}}], 
   CircleBox[{0.7816281980731824, 0.2865703717289634}, 0.37771266635183826, {
    4.11827016144143, 5.1653677126380915`}], 
   InsetBox["\<\"b,a\"\>", {0.7549951177257542, -0.09020215560526584}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, -0.07424567490174998}, 
    0.03749998125000937, {-3.4033920413889422`, 1.8325957145940457`}], 
   PolygonBox[{{1.0253408324638988`, -0.09515857203874666}, {
    1.03802347452701, -0.06453996556326014}, {
    1.0581986445317046`, -0.09083275901476269}}], 
   InsetBox["\<\"b,a\"\>", {1.0477291838654998, -0.10076216593799998}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.8164484607863584`*^9, 3.816448481233314*^9}, 
   3.8164556458034377`*^9, 3.816515302215661*^9, 3.8328454221088943`*^9, 
   3.8637080989305577`*^9},
 CellLabel->"Out[134]=",
 CellID->158471921,ExpressionUUID->"ea58e352-57b8-4cd8-a1ba-d6cc24a36c2f"]
}, Open  ]],

Cell["7.5.33", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.81619988989952*^9}, {3.816200921114214*^9, 
   3.816200921564057*^9}},ExpressionUUID->"93db3551-b045-4beb-9c4f-\
ec73acf38c11"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A10", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AutomataToDiagrama", "[", 
  RowBox[{"A10", ",", 
   RowBox[{"forma", "\[Rule]", "\"\<rectangular\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816448491355021*^9, 3.8164486149321814`*^9}},
 CellLabel->
  "In[135]:=",ExpressionUUID->"a77dea70-2969-422d-88d4-fff81b183f81"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{{3.8164487210508842`*^9, 3.816448744980548*^9}, 
   3.816455649404544*^9, 3.8165153057754335`*^9, 3.8328454256816597`*^9, 
   3.8637081022050905`*^9},
 CellLabel->"Out[135]=",
 CellID->460066765,ExpressionUUID->"7670ff24-cbb8-4dfa-bfba-8e89af5f5cdd"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"c,b\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5892635770872022, 0.06355517310266451}, {0.564797681810278, 
    0.03776585989649891}, {0.599364829831433, 0.029472429663435606`}}], 
   CircleBox[{0.4198572264696826, 0.5809809534637265}, 0.5622191507531479, {
    4.973034183487802, 6.0202317346843985`}], 
   InsetBox["\<\"c,a\"\>", {0.8169470908444458, 0.18297339940925517}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, 0.574246424901375}, 
    0.03749998125000937, {-1.8325957145940461`, 3.4033920413889422`}], 
   PolygonBox[{{1.0908327590147626`, 0.5581993945313295}, {
    1.0645399655632601`, 0.5380242245266351}, {1.0951585720387464`, 
    0.5253415824635241}}], 
   InsetBox["\<\"c,b,a\"\>", {1.100762165938, 0.5477299338651249}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.897046867940199, 0.003935410197932728}, {0.9251502420118132,
     0.004752652520939467}, {0.9103908023632346, 0.0286822672375108}}], 
   CircleBox[{0.7482013492236442, -0.2977553146881178}, 0.3504596708301863, {
    1.0415242496649075`, 2.0887218008355926`}], 
   InsetBox["\<\"b,a\"\>", {0.7501896019496949, 0.052698716148310065}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9005345614679446, 0.470228328013208}, {0.9352015681900969, 
    0.46223489010312613`}, {0.9109455445353162, 0.4362091005636173}}], 
   CircleBox[{1.0845982392392308, -0.07858070014125795}, 0.5610711790601481, {
    1.8403180348798136`, 2.8875155860764115`}], 
   InsetBox["\<\"b\"\>", {0.6848091317476614, 0.31508100424848734}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4431011624890698, -0.08824653799164692}, 
    0.03749998125000937, {1.5217089415825562`, 6.757696697565544}], 
   PolygonBox[{{0.41233522354682395`, -0.04485886829695553}, {
    0.44494119935632953`, -0.050791727111358397`}, {
    0.4235002050012374, -0.0760629010703697}}], 
   InsetBox["\<\"a\"\>", {0.411584363206428, -0.06792561388055578}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"c,b\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5295178633001305, 0.4003707541805588}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5635340047461117, 0.41080081559479065`}}], 
   CircleBox[{1.0783081990033883, 0.5847555937125606}, 0.56115434395707, {
    3.411654526026458, 4.458852077223056}], 
   InsetBox["\<\"c,b\"\>", {0.6848041852847455, 0.18469461219948197}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5838404533526426, -0.052219394520722474`}, {
    0.5701926594104697, -0.026418240384972307`}, {
    0.5993610113100737, -0.027499481193310325`}}], 
   CircleBox[{0.7816281980731824, 0.2865703717289634}, 0.37771266635183826, {
    4.11827016144143, 5.1653677126380915`}], 
   InsetBox["\<\"b\"\>", {0.7549951177257542, -0.09020215560526584}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, -0.07424567490174998}, 
    0.03749998125000937, {-3.4033920413889422`, 1.8325957145940457`}], 
   PolygonBox[{{1.0253408324638988`, -0.09515857203874666}, {
    1.03802347452701, -0.06453996556326014}, {
    1.0581986445317046`, -0.09083275901476269}}], 
   InsetBox["\<\"c,b\"\>", {1.0477291838654998, -0.10076216593799998}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5049482686829101, 0.1030257683138788}, {0.5047519025213144, 
    0.07484975798818684}, {0.5292512263214542, 0.0887677050666473}}], 
   CircleBox[{0.2066291004966243, 0.26389810051104295}, 0.3530105960133374, {
    5.717948167652212, 6.765245718848809}], 
   InsetBox["\<\"c,b,a\"\>", {0.5593344583546428, 0.24922119906902085}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"c,b\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9363851407333162, 0.08929191039906018}, {0.9622341401035012,
     0.06479843180990316}, {0.970521615103669, 0.09943106122146975}}], 
   CircleBox[{0.41917673720737675, -0.08041389755220157}, 
    0.5621369614596182, {0.2612848170458004, 1.308482368242398}], 
   InsetBox["\<\"c,b,a\"\>", {0.8168720791475693, 0.31687237006615643}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"c\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Output",
 CellChangeTimes->{{3.8164487210508842`*^9, 3.816448744980548*^9}, 
   3.816455649404544*^9, 3.8165153057754335`*^9, 3.8328454256816597`*^9, 
   3.863708102244192*^9},
 CellLabel->"Out[136]=",
 CellID->756990971,ExpressionUUID->"34564f09-74bd-4e82-afa8-c320aaca5749"]
}, Open  ]],

Cell["7.5.34", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.816199892064433*^9}, {3.816200922980752*^9, 
   3.8162009234975553`*^9}},ExpressionUUID->"1d39ecfb-a7d9-469a-b7db-\
76ecb17c38b7"],

Cell["\[Alpha]=baaaabbbbaabbaa", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.8162005623639274`*^9, 
   3.816200575814108*^9}},ExpressionUUID->"a418d2d2-ad7e-4f8e-8ac7-\
f0b994e8d2b1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "a", ",", "a", ",", "a", ",", "a", ",", "b", ",", "b", ",", "b",
      ",", "b", ",", "a", ",", "a", ",", "b", ",", "b", ",", "a", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"A6", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A6", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A7", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A7", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A8", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A8", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A9", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A9", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A10", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A10", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8162006216975255`*^9, 3.816200622097684*^9}, {
  3.816448815624959*^9, 3.8164488163633814`*^9}, {3.8164488570592213`*^9, 
  3.8164488907309313`*^9}, {3.8164490319917126`*^9, 3.816449035436384*^9}, {
  3.816449906171976*^9, 3.8164500340863733`*^9}, {3.81645006683397*^9, 
  3.8164501033609657`*^9}, {3.8164503751285567`*^9, 3.8164503973052263`*^9}, {
  3.8164507128808203`*^9, 3.816450733914555*^9}, {3.816450956273599*^9, 
  3.8164509626332855`*^9}, {3.816451228296385*^9, 3.8164512337789226`*^9}, {
  3.8164513877287807`*^9, 3.8164513880638833`*^9}},
 CellLabel->
  "In[137]:=",ExpressionUUID->"80e835c1-9e72-46fd-bc82-31d56eb02d47"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075018873`*^9},
 CellLabel->"Out[138]=",
 CellID->259872981,ExpressionUUID->"2ebffdc2-2309-4650-9b99-07ad03c3e34a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075078716`*^9},
 CellLabel->"Out[139]=",
 CellID->337720557,ExpressionUUID->"fddf891e-e08b-4d79-bd37-3a4c9417740b"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.863708107511935*^9},
 CellLabel->"Out[140]=",
 CellID->687981677,ExpressionUUID->"ecba1979-6c43-4e78-a5dc-7fefa3bb1243"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075180387`*^9},
 CellLabel->"Out[141]=",
 CellID->233812180,ExpressionUUID->"65c86794-1a3a-463e-b55e-f6b69abce0fa"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.863708107525161*^9},
 CellLabel->"Out[142]=",
 CellID->128353196,ExpressionUUID->"d6cb728c-e3e9-4d26-aa81-5d07d4a923a3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075292764`*^9},
 CellLabel->"Out[143]=",
 CellID->313802253,ExpressionUUID->"021e841c-6fad-45b4-a466-012b777a6ed4"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075343018`*^9},
 CellLabel->"Out[144]=",
 CellID->342923386,ExpressionUUID->"5ec43d36-3a8a-4bc0-b203-79c818814808"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075402517`*^9},
 CellLabel->"Out[145]=",
 CellID->65376130,ExpressionUUID->"aa8c199d-88c8-46cc-a883-a1abb5b50561"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075432434`*^9},
 CellLabel->"Out[146]=",
 CellID->206367112,ExpressionUUID->"9f0a972c-a3c5-4bf0-8645-b34b6b021180"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.81644995338916*^9, 3.8164500048031855`*^9, 
  3.816450034892214*^9, 3.8164501042764997`*^9, 3.8164503981742935`*^9, 
  3.8164507348455243`*^9, 3.8164510948524947`*^9, 3.8164511266126113`*^9, 
  3.816451234555583*^9, 3.816451388797923*^9, 3.8164522362412643`*^9, 
  3.816453921587159*^9, 3.816455654836983*^9, 3.816515309712044*^9, 
  3.832845431379248*^9, 3.8637081075482287`*^9},
 CellLabel->"Out[147]=",
 CellID->322244040,ExpressionUUID->"6a099743-4d5a-413e-b855-637ee1c83b85"]
}, Open  ]],

Cell["7.5.35", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.816199894014476*^9}, {3.816200925714218*^9, 
   3.816200926197691*^9}},ExpressionUUID->"19c5a57f-2210-47f5-8022-\
7fa5d020a7c2"],

Cell["\[Alpha]=abaababbbbaaaaa", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.8162005623639274`*^9, 
   3.816200584447235*^9}},ExpressionUUID->"95801b18-d0ee-441b-acd6-\
914d4df9b010"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "a", ",", "a", ",", "b", ",", "a", ",", "b", ",", "b",
      ",", "b", ",", "b", ",", "a", ",", "a", ",", "a", ",", "a", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"A6", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A6", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A7", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A7", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A8", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A8", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A9", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A9", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A10", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A10", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8162006263474293`*^9, 3.816200626813945*^9}, {
  3.816451370716061*^9, 3.816451380483794*^9}, {3.816451597864081*^9, 
  3.816451605759736*^9}, {3.8164517171169777`*^9, 3.816451722510807*^9}, {
  3.81645190423168*^9, 3.816451931743333*^9}, {3.816451973236229*^9, 
  3.816451973432703*^9}, {3.8164521329243174`*^9, 3.816452133236486*^9}},
 CellLabel->
  "In[148]:=",ExpressionUUID->"8a74ba3c-edf0-4766-af90-1c2365cbf3c5"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.863708112426155*^9},
 CellLabel->"Out[149]=",
 CellID->65526042,ExpressionUUID->"8d3f9fe6-2498-4f75-bb64-174f46824aa6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.8637081124312296`*^9},
 CellLabel->"Out[150]=",
 CellID->326175937,ExpressionUUID->"967da23e-fef3-4fd6-a8be-b9e35db8c715"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.863708112435133*^9},
 CellLabel->"Out[151]=",
 CellID->429080420,ExpressionUUID->"0781f6a0-613e-4b91-93a0-59eba434f4c8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.863708112439122*^9},
 CellLabel->"Out[152]=",
 CellID->73760,ExpressionUUID->"34c3c30f-da06-451a-9447-5a232f72bb46"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.8637081124411163`*^9},
 CellLabel->"Out[153]=",
 CellID->8041232,ExpressionUUID->"a57fdb50-85fa-46a5-8618-15caca7be6ab"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.863708112444125*^9},
 CellLabel->"Out[154]=",
 CellID->133566598,ExpressionUUID->"faa460a5-39c9-41ab-8571-10fa1e79db49"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.86370811244845*^9},
 CellLabel->"Out[155]=",
 CellID->4195173,ExpressionUUID->"a1249169-2985-4f24-9a72-17a7e877d924"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.863708112454204*^9},
 CellLabel->"Out[156]=",
 CellID->56189697,ExpressionUUID->"98f4494a-0adb-4857-8d0e-431f4230d71a"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.8637081124579325`*^9},
 CellLabel->"Out[157]=",
 CellID->59639841,ExpressionUUID->"98661720-3e49-41e9-8fa5-523638e0cbd4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816451455113459*^9, 3.8164516062198954`*^9, 3.8164517231635666`*^9, {
   3.816451905107334*^9, 3.816451932537287*^9}, 3.8164519741554823`*^9, 
   3.8164521341708937`*^9, 3.81645224133453*^9, 3.816453926635756*^9, 
   3.8164556596074133`*^9, 3.8165153132403836`*^9, 3.8328454389308615`*^9, 
   3.8637081124620953`*^9},
 CellLabel->"Out[158]=",
 CellID->117394610,ExpressionUUID->"1a616990-bbf6-471f-b739-dfeed638dee6"]
}, Open  ]],

Cell["7.5.36", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.816199864350895*^9}, {3.8161998974807167`*^9, 3.816199898030922*^9}, {
   3.8162009275473237`*^9, 
   3.816200928280542*^9}},ExpressionUUID->"0891a8e5-bddb-4cdb-b97a-\
fd25e67618d6"],

Cell["\[Alpha]=aabbbbbbabbabaa", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.8162005623639274`*^9, 
   3.8162005916473746`*^9}},ExpressionUUID->"74605577-158a-4b7f-ac51-\
3f0a578c5ed2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "a", ",", "b", ",", "b", ",", "b", ",", "b", ",", "b", ",", "b",
      ",", "a", ",", "b", ",", "b", ",", "a", ",", "b", ",", "a", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"A6", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A6", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A7", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A7", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A8", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A8", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A9", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A9", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A10", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A10", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816200631830784*^9, 3.816200632214337*^9}, {
   3.8164521420973606`*^9, 3.8164521463269744`*^9}, {3.816452205757702*^9, 
   3.8164522062284436`*^9}, 3.81645234210598*^9, 3.816452483364778*^9, {
   3.8164525437336874`*^9, 3.816452543931141*^9}, {3.816452686771458*^9, 
   3.816452687147401*^9}},
 CellLabel->
  "In[159]:=",ExpressionUUID->"113027c0-84e0-4924-b616-75c3cd92b191"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.8637081174689856`*^9},
 CellLabel->"Out[160]=",
 CellID->131099971,ExpressionUUID->"a91e7994-2c40-4a17-92d2-5bb2c0799449"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.8637081174759693`*^9},
 CellLabel->"Out[161]=",
 CellID->152169205,ExpressionUUID->"55723b9f-f862-4ac0-a2c1-4a69a97c0aec"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.863708117480075*^9},
 CellLabel->"Out[162]=",
 CellID->651247922,ExpressionUUID->"a1d7858b-495e-4d3c-8636-7c4c93463084"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.863708117484965*^9},
 CellLabel->"Out[163]=",
 CellID->714585890,ExpressionUUID->"54c3643d-ef89-460b-8b3f-26be5860dad8"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.863708117490127*^9},
 CellLabel->"Out[164]=",
 CellID->24505522,ExpressionUUID->"851e1b28-0f8b-4cff-9024-5ae1ec9a99b7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"False", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.8637081174940615`*^9},
 CellLabel->"Out[165]=",
 CellID->384677681,ExpressionUUID->"73c53450-24ba-4be8-a155-9e6d77d4c6e6"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.8637081174966016`*^9},
 CellLabel->"Out[166]=",
 CellID->532798320,ExpressionUUID->"5561259e-2e61-49ae-8839-6f6f2f4cf35d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.8637081175014443`*^9},
 CellLabel->"Out[167]=",
 CellID->574737773,ExpressionUUID->"b45ab420-45ff-40fd-bfc3-3dbe2d1cc0f0"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.8637081175049524`*^9},
 CellLabel->"Out[168]=",
 CellID->126076144,ExpressionUUID->"9d78e728-a385-43a4-b1e5-262e0d5240d0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8164522547972765`*^9, 3.8164523429327483`*^9, 
  3.816452484388963*^9, 3.816452544439176*^9, 3.816452688536313*^9, 
  3.8164539312341824`*^9, 3.8164556631101265`*^9, 3.8165153167283683`*^9, 
  3.832845444744602*^9, 3.863708117509939*^9},
 CellLabel->"Out[169]=",
 CellID->219086058,ExpressionUUID->"d8b7f4f1-dd33-40d1-b837-a9bad5f75d9d"]
}, Open  ]],

Cell["7.5.37", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.816199864350895*^9}, {3.8161999000308566`*^9, 3.816199900597372*^9}, {
   3.816200929664197*^9, 
   3.8162009301141167`*^9}},ExpressionUUID->"e92254e1-8858-4a59-a241-\
9b69d27120c5"],

Cell["\[Alpha]=baabbaaabbabaab", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, 3.8162005623639274`*^9, 
   3.816200599197432*^9},ExpressionUUID->"5d430917-cc05-43b9-8905-\
c96d7eb6f8f8"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "b", ",", "a", ",", "a", ",", "b", ",", "b", ",", "a", ",", "a", ",", "a",
      ",", "b", ",", "b", ",", "a", ",", "b", ",", "a", ",", "a", ",", "b"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"A6", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A6", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A7", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A7", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A8", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "0"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A8", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A9", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "2"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A9", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A10", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A10", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8162006361307735`*^9, 3.816200636464645*^9}, {
   3.816452692636447*^9, 3.8164526986246834`*^9}, 3.8164528666835475`*^9, 
   3.81645290025369*^9, 3.8164530256216674`*^9, 3.8164533167360506`*^9, {
   3.816453372626999*^9, 3.816453372825493*^9}, {3.816453446338395*^9, 
   3.816453446634613*^9}},
 CellLabel->
  "In[170]:=",ExpressionUUID->"a5d6d451-e16c-4a62-bacc-49de8e44b77e"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081229933786`*^9},
 CellLabel->"Out[171]=",
 CellID->358750479,ExpressionUUID->"e855ead5-1e6a-48f6-b6d7-0c61ec9161c2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.863708122997427*^9},
 CellLabel->"Out[172]=",
 CellID->16037079,ExpressionUUID->"1daabfc3-bbcd-4818-8d4f-400091a8675c"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230020876`*^9},
 CellLabel->"Out[173]=",
 CellID->684814431,ExpressionUUID->"38babd32-32b9-4081-8bac-d9fcb25a60de"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230086584`*^9},
 CellLabel->"Out[174]=",
 CellID->831564097,ExpressionUUID->"42d27ff4-0cfa-4d82-89f5-85b85612997b"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230126457`*^9},
 CellLabel->"Out[175]=",
 CellID->419551837,ExpressionUUID->"99f06333-eb9e-406a-beae-dbcb39f7c118"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "0"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230176315`*^9},
 CellLabel->"Out[176]=",
 CellID->657560844,ExpressionUUID->"b485bfd4-2f81-4e34-8eba-13f2cfa3dee5"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230211306`*^9},
 CellLabel->"Out[177]=",
 CellID->176884245,ExpressionUUID->"eac62916-3e8c-410f-81d3-3167c6716044"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "2"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230251217`*^9},
 CellLabel->"Out[178]=",
 CellID->294226519,ExpressionUUID->"fa858d61-687c-4402-ac57-07396711b97d"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230300026`*^9},
 CellLabel->"Out[179]=",
 CellID->46499327,ExpressionUUID->"c82eb9ea-0694-48fe-a87f-971567d835e9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8164527548909073`*^9, {3.8164528534535065`*^9, 3.8164528681768975`*^9}, 
   3.8164529007324657`*^9, 3.816453026152249*^9, 3.81645331885318*^9, 
   3.8164533737851877`*^9, 3.816453447408064*^9, 3.81645393469351*^9, 
   3.816455666688382*^9, 3.8165153203748584`*^9, 3.832845449798746*^9, 
   3.8637081230352306`*^9},
 CellLabel->"Out[180]=",
 CellID->616641833,ExpressionUUID->"ce742dec-59bc-4913-a7aa-6e5be25c6a91"]
}, Open  ]],

Cell["7.5.38", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.816199864350895*^9}, {3.8161999024308743`*^9, 3.8161999029305735`*^9}, {
   3.816200931997727*^9, 
   3.8162009324973307`*^9}},ExpressionUUID->"d218e22b-0b7b-44e0-a130-\
2db7b0277a7d"],

Cell["\[Alpha]=abbcbcccccbcaaa", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, 3.8162005623639274`*^9, 
   3.8162006078473177`*^9},ExpressionUUID->"0953458c-d7c5-40f5-b87a-\
2c2b0b7d058f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", 
   RowBox[{"{", 
    RowBox[{
    "a", ",", "b", ",", "b", ",", "c", ",", "b", ",", "c", ",", "c", ",", "c",
      ",", "c", ",", "c", ",", "b", ",", "c", ",", "a", ",", "a", ",", "a"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"A6", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "1"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A6", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}], "\n", 
 RowBox[{"A10", "=", 
  RowBox[{"Automata", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "2"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
    SubscriptBox["\[Sigma]", "3"], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
        RowBox[{"{", "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox["\[Sigma]", "0"], ",", 
          SubscriptBox["\[Sigma]", "1"], ",", 
          SubscriptBox["\[Sigma]", "2"], ",", 
          SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["\[Sigma]", "0"], ",", 
      SubscriptBox["\[Sigma]", "1"], ",", 
      SubscriptBox["\[Sigma]", "3"]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"StringAceptadaQ", "[", 
  RowBox[{"A10", ",", "\[Alpha]", ",", 
   RowBox[{"trace", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816453451483408*^9, 3.816453454931717*^9}, {
  3.8164536666624355`*^9, 3.816453667329589*^9}, {3.8164537249356346`*^9, 
  3.8164537251321063`*^9}, {3.8164538967720785`*^9, 3.8164538970832534`*^9}},
 CellLabel->
  "In[181]:=",ExpressionUUID->"5c7981e3-b885-4c1f-af8e-c99048f57633"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164535094368534`*^9, 3.8164535580134974`*^9, 
  3.8164536380752773`*^9, 3.816453681737425*^9, 3.8164537258701625`*^9, 
  3.8164538979090395`*^9, 3.816453942912507*^9, 3.8164543708265176`*^9, 
  3.816455670935856*^9, 3.816515323792887*^9, 3.832845454216948*^9, 
  3.86370812726715*^9},
 CellLabel->"Out[182]=",
 CellID->4093217,ExpressionUUID->"defed669-77d8-46ed-8cad-4157bfdc065c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "1"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8164535094368534`*^9, 3.8164535580134974`*^9, 
  3.8164536380752773`*^9, 3.816453681737425*^9, 3.8164537258701625`*^9, 
  3.8164538979090395`*^9, 3.816453942912507*^9, 3.8164543708265176`*^9, 
  3.816455670935856*^9, 3.816515323792887*^9, 3.832845454216948*^9, 
  3.8637081272740984`*^9},
 CellLabel->"Out[183]=",
 CellID->648485396,ExpressionUUID->"fdac089f-f65b-436c-965d-27fea56652ec"],

Cell[BoxData["\<\"- Automaton -\"\>"], "Output",
 CellChangeTimes->{3.8164535094368534`*^9, 3.8164535580134974`*^9, 
  3.8164536380752773`*^9, 3.816453681737425*^9, 3.8164537258701625`*^9, 
  3.8164538979090395`*^9, 3.816453942912507*^9, 3.8164543708265176`*^9, 
  3.816455670935856*^9, 3.816515323792887*^9, 3.832845454216948*^9, 
  3.8637081272784777`*^9},
 CellLabel->"Out[184]=",
 CellID->121923300,ExpressionUUID->"dbf70e20-fdf1-4b76-bc1a-2cc490024bac"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      SubscriptBox["\[Sigma]", "3"], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8164535094368534`*^9, 3.8164535580134974`*^9, 
  3.8164536380752773`*^9, 3.816453681737425*^9, 3.8164537258701625`*^9, 
  3.8164538979090395`*^9, 3.816453942912507*^9, 3.8164543708265176`*^9, 
  3.816455670935856*^9, 3.816515323792887*^9, 3.832845454216948*^9, 
  3.8637081272840357`*^9},
 CellLabel->"Out[185]=",
 CellID->309359822,ExpressionUUID->"d18dab24-7fd4-45e2-bd86-586d10476030"]
}, Open  ]],

Cell["7.5.39", "Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.8113410553523207`*^9, {3.8113415294161305`*^9, 3.811341581302352*^9}, 
   3.8161634715625134`*^9, {3.81619979713086*^9, 3.8161997976475835`*^9}, {
   3.816199828730934*^9, 3.816199829247959*^9}, {3.816199864180951*^9, 
   3.816199864350895*^9}, {3.8161999024308743`*^9, 3.8161999029305735`*^9}, {
   3.816200931997727*^9, 3.8162009324973307`*^9}, {3.8162012241476912`*^9, 
   3.81620122466409*^9}},ExpressionUUID->"3e3d6460-2699-4141-ba87-\
77cb13dbacb6"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "6"], ":"}], 
  TraditionalForm]],ExpressionUUID->"e77c7d48-b318-4da1-bfcb-39c1498dddbb"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200180231001*^9}, {3.816201267730667*^9, 
   3.816201279430937*^9}},ExpressionUUID->"a085d7bb-2051-4b40-9841-\
df0f6dfec670"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A6", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "2"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "1"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataDeterministicoEquivalente", "[", "A6", "]"}]}], "Input",
 CellChangeTimes->{{3.8164542581260757`*^9, 3.816454264266096*^9}, {
   3.8164543046070232`*^9, 3.8164543346000185`*^9}, 3.8164544537630415`*^9},
 CellLabel->
  "In[186]:=",ExpressionUUID->"2460b4d2-8d2b-40da-a022-0fbdfb20bad9"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico: \"\>"], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081305969*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->174218113,ExpressionUUID->"85beed99-aa7f-4d36-9c54-56bc5c4e4bc5"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5983321541010912, 0.02765913934940691}, {0.5749997125001437,
     4.999997500476638*^-7}, {0.6106190176115321, -0.0063766674841588995`}}], 
   CircleBox[{0.39198710211422944, 0.5531091147699961}, 0.582599995960631, {
    5.031829964125448, 6.079027515322045}], 
   InsetBox["\<\"c,a\"\>", {0.8269962271506581, 0.16556580566975132}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, 0.5401819903073393}, 
    0.03749998125000937, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976127270772782`, 0.48699678808123537`}, {
    1.074178260236728, 0.5104312549217856}, {1.1061903372650637`, 
    0.519008865109571}}], 
   InsetBox["\<\"a\"\>", {1.111357423948664, 0.5055365251608985}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5095829239822125, 0.10254742081936055`}, {
    0.5097892095218991, 0.0743588274236221}, {0.5340981047297155, 
    0.08863177263929331}}], 
   CircleBox[{0.2087225956565094, 0.259290199399593}, 0.35332806048386056, {
    5.732250798262844, 6.779548349459441}], 
   InsetBox["\<\"c\"\>", {0.5619191359438289, 0.24965058040533092}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"c,b\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"c,b,a\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.9003277275945165, 0.47016053141684366`}, {
    0.9350476271923535, 0.46250026874986566`}, {0.9110536953241706, 
    0.4362620850147828}}], 
   CircleBox[{1.089358994501508, -0.07622119884327394}, 0.5603863111519823, {
    1.8497667835728007`, 2.8969643347693967`}], 
   InsetBox["\<\"c,b,a\"\>", {0.6863606965224998, 0.31316959400184297}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.45981800969266073, -0.09700680241028384}, 
    0.03749998125000937, {-4.581489286485114, 0.6544984694978737}], 
   PolygonBox[{{0.4217819390988849, -0.05982763869834785}, {
    0.45492327993177367`, -0.05982763869834781}, {
    0.43835260951532934`, -0.08852888177510804}}], 
   InsetBox["\<\"b\"\>", {0.42517254454622005, -0.08265618087190374}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.863708130625935*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->48012683,ExpressionUUID->"a33697ab-e89f-44ac-bb75-6751fc7cfd0a"],

Cell[BoxData["\<\"Estados del nuevo aut\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306379023`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->225088842,ExpressionUUID->"76b7adeb-1c2d-4b16-98c1-b334e10cec99"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306430817`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->403609062,ExpressionUUID->"b4dbed49-5fad-4e06-978d-b1ced2852d3c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.863708130646073*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->836568822,ExpressionUUID->"03b14bf4-1e51-48ec-8022-ec7ac367bbbd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306500626`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->4562776,ExpressionUUID->"d1e27247-d32c-4f7a-8496-8afe42336bee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.863708130653054*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->833141177,ExpressionUUID->"f007a624-82fb-4289-80e4-60cb4e580bdd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306561594`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->459659097,ExpressionUUID->"51bf2f33-242b-4208-a884-204804dd8511"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.863708130659048*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->540656136,ExpressionUUID->"0c8dcb56-c9c8-4ae6-a35e-802607ac1be9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306618214`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->739732464,ExpressionUUID->"c45e394c-2c36-4afa-9f7f-ea1eb965f559"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306658154`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->146960784,ExpressionUUID->"dc012130-a031-42cb-8170-9a9ea77d4451"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "2"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Mu], 2]],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306691093`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->316878199,ExpressionUUID->"489f258c-9ebf-453c-bec8-94806357e259"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "1"], ",", 
     SubscriptBox["\[Mu]", "2"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "5"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"]}], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Mu], 1], 
    Subscript[$CellContext`\[Mu], 2], 
    Subscript[$CellContext`\[Mu], 4], 
    Subscript[$CellContext`\[Mu], 5], 
    Subscript[$CellContext`\[Mu], 6], 
    Subscript[$CellContext`\[Mu], 7]}],
  Editable->False]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306711073`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->651297828,ExpressionUUID->"a997ba64-ba62-443f-ba54-696be6206bc0"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b", "c"},
     {
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"]},
     {
      SubscriptBox["\[Mu]", "1"], 
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "3"]},
     {
      SubscriptBox["\[Mu]", "2"], 
      SubscriptBox["\[Mu]", "2"], 
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "7"]},
     {
      SubscriptBox["\[Mu]", "3"], 
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "1"]},
     {
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "7"]},
     {
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "5"]},
     {
      SubscriptBox["\[Mu]", "6"], 
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "7"]},
     {
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "7"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.863708130676093*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->38757639,ExpressionUUID->"d5d23359-1ec1-4733-8b00-bab1c7a6a2e5"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del nuevo aut\[OAcute]mata: \
\"\>"], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306789875`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->15667582,ExpressionUUID->"9c53caa0-79dc-4280-8a8e-dec1f686aa82"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.9999996666667778, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.9999996666667778, 0.6666667777777407}], 
   CircleBox[{1.0606214247244357, 0.701666766111078}, 
    0.024999991666669445, {-2.094395102393195, 3.1415926535897936`}], 
   PolygonBox[{{1.06564996078019, 0.6665660226551953}, {1.048121428891101, 
    0.6800161382333431}, {1.0685338366101582`, 0.6884712343512658}}], 
   InsetBox["\<\"c,b,a\"\>", {1.0731214205577704, 0.6800161382333431}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.6666664444445185, 0.3333335555554815}], 
   PolygonBox[{{0.9453757217312363, 0.36630535562825084`}, {
    0.9646443393925594, 0.3686888828296998}, {0.9529458354548318, 
    0.38418423161949067`}}], 
   CircleBox[{0.8592149514386, 0.14125106761708928}, 0.2506856909219987, {
    1.1367293976629622`, 2.1839269488596313`}], 
   InsetBox["\<\"a\"\>", {0.8368005721058585, 0.3909326873494353}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9336055012546999, 0.6471803300973591}, {0.9566984109113077, 
    0.6416667861110713}, {0.9403770869259956, 0.6244245116942939}}], 
   CircleBox[{1.0537068465033093, 0.2796263757189499}, 0.37481181322485385, {
    1.832595714594047, 2.879793265790642}], 
   InsetBox["\<\"b\"\>", {0.7886748717031895, 0.5446583505190697}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.39888816921538905`, 0.0184394293061746}, {
    0.38333320555559813`, 3.333332222466012*^-7}, {
    0.40707941292088967`, -0.0042511123646242835`}}], 
   CircleBox[{0.26132477829692746, 0.36873947130321205}, 
    0.38840006204039873, {5.031829964125448, 6.079027515322045}], 
   InsetBox["\<\"c\"\>", {0.5513309099888778, 0.1103772221760288}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.33333322222225925, 0.6666667777777407}], 
   PolygonBox[{{0.34562493940113553`, 0.400458848016453}, {
    0.34627417016373596`, 0.3816298307711765}, {0.3622559620451405, 
    0.39160658972714507`}}], 
   CircleBox[{0.14125073428384913, 0.5000001666666112}, 0.23674067179086933, {
    5.759486531581287, 6.8067840827778845`}], 
   InsetBox["\<\"c\"\>", {0.37799140577879264, 0.49998832963302653}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5995138805426964, 0.678956610691319}, {0.6183701692288235, 
    0.6796077257192175}, {0.608378142730814, 0.6956121932285473}}], 
   CircleBox[{0.4999998333333889, 0.47458428983933065}, 0.23674067179086933, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.4999998333333889, 0.7113249616302}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.26393210505979825, 0.6575299473679473}, 
    0.024999991666669445, {0.6544984694978737, 5.890486225480862}], 
   PolygonBox[{{0.26167170105150767`, 0.6727489780201551}, {
    0.2837659319558035, 0.6727489780201551}, {0.27271881650365565`, 
    0.6918831432603546}}], 
   InsetBox["\<\"a\"\>", {0.2606689513420149, 0.6823160606402549}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.04999998333333889], InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.33333322222225925, 3.333332222466012*^-7}],
    PolygonBox[{{0.9226625518683547, 0.31590280782027325`}, {
    0.9500542309256875, 0.33099865042533233`}, {0.9232850082095085, 
    0.3471726190387632}}], 
   CircleBox[{0.9235732621905475, -0.3188249619713883}, 0.6503629516919566, {
    1.5300678516767945`, 2.577265402873391}], 
   InsetBox["\<\"b\"\>", {0.6215946476336407, 0.257179278710714}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6002954402440568, 0.31413873978418516`}, {
    0.6233651886890484, 0.30833356388881206`}, {0.6068028846677225, 
    0.2912571636242193}}], 
   CircleBox[{0.7163539134125156, -0.056291334237452695}, 
    0.3762953883045683, {1.8204994510405585`, 2.867697002237156}], 
   InsetBox["\<\"c\"\>", {0.4535108664733425, 0.21298872803047214}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5874805882812353, 0.648297103981298}, {0.6192322953533759, 
    0.6508553947473599}, {0.6055719866109823, 0.6220784644263332}}], 
   CircleBox[{0.9909549065191237, 0.08785601896261408}, 0.6746450894995789, {
    2.1543462689906887`, 3.2015438201872852`}], 
   InsetBox["\<\"a\"\>", {0.38753399419612844, 0.3895664751241118}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.6666664444445185, 0.6666667777777407}], 
   PolygonBox[{{0.3929328683361365, 0.3755392972190847}, {
    0.37663447797772925`, 0.35833354722215094`}, {0.39968428974544157`, 
    0.35282160212944175`}}], 
   CircleBox[{0.2797286945519514, 0.7204333863277093}, 0.37484266611691197, {
    4.973782811550407, 6.020980362747004}], 
   InsetBox["\<\"c,a\"\>", {0.5446749695235011, 0.45527212271566747}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7161639026284241, 0.7161642359616464}, 
    0.024999991666669445, {-1.8325957145940457`, 3.4033920413889427`}], 
   PolygonBox[{{0.7272219605467747, 0.7054662139319466}, {0.7096934286576858, 
    0.6920160983537988}, {0.730105836376743, 0.6835610022358761}}], 
   InsetBox["\<\"b\"\>", {0.7338415662655332, 0.6984865723245373}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.9999996666667778, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.9999996666667778, 0.3333335555554815}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.9999996666667778, 0.3333335555554815}], 
   PolygonBox[{{0.3960172954684606, 0.29449826263939}, {0.38162949743795427`, 
    0.3203926076140048}, {0.4112485570155818, 0.3199056337256356}}], 
   CircleBox[{0.6925483403274747, 0.814091081863765}, 0.583445550450276, {
    4.150363488717826, 5.197461039914297}], 
   InsetBox["\<\"a\"\>", {0.6701048102806658, 0.23107736135689427}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.0699996433334522, 0.33333355555548144}, 
    0.024999991666669445, {-2.6179938779914944`, 2.617993877991494}], 
   PolygonBox[{{1.05680411157364, 0.30042115200308944`}, {1.0483490154557171`,
     0.3208335597221467}, {1.0702542271517876`, 0.3179496838921784}}], 
   InsetBox["\<\"c,b\"\>", {1.0699996433334522, 0.308333563888812}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.6666664444445185, 3.333332222466012*^-7}, 
    0.04999998333333889], 
   CircleBox[{0.6666664444445185, 3.333332222466012*^-7}, 
    0.033333322222225924], InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.6666664444445185, 3.333332222466012*^-7}], 
   PolygonBox[{{0.653903628075375, 0.6043130868476941}, {0.6796073923859952, 
    0.6183705025620457}, {0.6789295893508721, 0.5890816818389851}}], 
   CircleBox[{1.1603649186942055, 0.31091917622273996}, 0.5706611228827384, {
    2.5726240844806343`, 3.6198216356772317`}], 
   InsetBox["\<\"a\"\>", {0.590291024681077, 0.3368010721056935}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.35281562659469806`, 0.26693677969600355`}, {
    0.3583288836383604, 0.2900298000173553}, {0.3755713973649301, 
    0.27370866919927433`}}], 
   CircleBox[{0.7203692942804812, 0.3870432356076814}, 0.3748131075922423, {
    3.4034049266448507`, 4.450602477841448}], 
   InsetBox["\<\"c,b\"\>", {0.45533981926301764, 0.12200693055699324}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.33333322222225925, 0.3333335555554815}], 
   CircleBox[{0.26393164830502935, 0.3242001952129657}, 
    0.024999991666669445, {0.6544484694978743, 5.890436225480863}], 
   PolygonBox[{{0.2616720052510966, 0.3394193388663501}, {0.2837662361277746, 
    0.3394182341548054}, {0.2727200773976972, 0.3585529517268594}}], 
   InsetBox["\<\"c,b,a\"\>", {0.260669733896988, 0.3489864716119764}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.33333322222225925`, 0.7666667444444185}, {
     0.33333322222225925`, 0.7166667611110796}}], 
    PolygonBox[{{0.33333322222225925`, 0.7166667611110796}, {
     0.31666656111114627`, 0.7416667527777491}, {0.34999988333337223`, 
     0.7416667527777491}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306848717`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->202278980,ExpressionUUID->"40b8ecf0-8d83-45e6-a71f-1525c65f4973"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n reducido del nuevo aut\
\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306948442`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->382707280,ExpressionUUID->"a684fee1-8ed8-4902-9528-1e681f75bcb8"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5184373226955117, 0.10068842190989287`}, {
    0.5194111686771047, 0.07244490074922978}, {0.5433838525037658, 
    0.08741003668899426}}], 
   CircleBox[{0.21187606611310772, 0.25000037499981254}, 
    0.35511094850116565, {5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"c\"\>", {0.5669870141703847, 0.24998261945239483}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.3958980916067041, 0.4862950066693913}, 0.03749998125000937, {
    0.6544984694978737, 5.890486225480862}], 
   PolygonBox[{{0.392507486159369, 0.5091235488429472}, {0.4256488269922577, 
    0.5091235488429472}, {0.4090781565758133, 0.5378247919197073}}], 
   InsetBox["\<\"a\"\>", {0.391003361845817, 0.5234741703813274}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5893902837518628, 0.06331553765522902}, {0.5649516228080215,
     0.03750048124975942}, {0.599527447927207, 0.029243508240653027`}}], 
   CircleBox[{0.41943899367211673, 0.5805610063278832}, 0.5622176261343743, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"c,a\"\>", {0.8169471328370685, 0.18297335758387556}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.097006802410284, 0.5401819903073393}, 
    0.03749998125000937, {-2.2252947962927703`, 3.010692959690218}], 
   PolygonBox[{{1.0976127270772782`, 0.48699678808123537`}, {
    1.074178260236728, 0.5104312549217856}, {1.1061903372650637`, 
    0.519008865109571}}], 
   InsetBox["\<\"b\"\>", {1.111357423948664, 0.5055365251608985}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.499999750000125, 4.999997500476638*^-7}], 
   CircleBox[{0.4360798319141684, -0.08330155907980008}, 
    0.03749998125000937, {-4.843288674284264, 0.3926990816987246}], 
   PolygonBox[{{0.4089624846467197, -0.03754478518007859}, {
    0.44097456167505544`, -0.04612239536786405}, {
    0.41754009483450516`, -0.06955686220841434}}], 
   InsetBox["\<\"c,b,a\"\>", {0.40632909652861476, -0.06047301690624414}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{{3.816454448975704*^9, 3.81645445707012*^9}, 
   3.8164547060024085`*^9, 3.816455676250577*^9, 3.8165153282945004`*^9, 
   3.8328454576619215`*^9, 3.8637081306996837`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[186]:=",
 CellID->10730158,ExpressionUUID->"4e8a37bd-f775-4cbf-9d9e-e23c23408127"]
}, Open  ]]
}, Open  ]],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "7"], ":"}], 
  TraditionalForm]],ExpressionUUID->"ae1c7aec-4f8c-4c14-b508-cde5c1b57144"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200191114046*^9}, {3.816201270930895*^9, 
   3.81620128214771*^9}},ExpressionUUID->"d331da6e-4b95-47a1-be77-\
0dedc021e4da"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A7", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "0"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataDeterministicoEquivalente", "[", "A7", "]"}]}], "Input",
 CellChangeTimes->{{3.8164542716369476`*^9, 3.816454272453069*^9}, {
   3.816454338672304*^9, 3.8164543412838335`*^9}, 3.8164544626488934`*^9},
 CellLabel->
  "In[188]:=",ExpressionUUID->"241fe0ea-9acf-442b-8e59-ab6248b6bc21"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico: \"\>"], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081357450647`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->23891222,ExpressionUUID->"75326244-c0d2-42d5-b4ad-a17373a965df"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.587809566657068, 0.4568833817623009}, {0.5724441507496048, 
    0.4805888313228953}, {0.6006563802309417, 0.48204294705817474`}}], 
   CircleBox[{0.7441443173061084, 0.7899525650558488}, 0.3538175616677748, {
    4.205706963368941, 5.252804514564638}], 
   InsetBox["\<\"a\"\>", {0.7501117897462107, 0.43618533053969655}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.9658666984320115, 0.4113471151048034}, {0.9902100404784758,
     0.425641922576003}, {0.9904180358675101, 0.3974125662151512}}], 
   CircleBox[{1.2912766543438658, 0.24071055060003207}, 0.35332806048386056, {
    2.5907581446730514`, 3.637955695869648}], 
   InsetBox["\<\"a\"\>", {0.9380796325170926, 0.25033250975523763}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5298334040348289, 0.40032456574777747`}, {
    0.5374932358753645, 0.43504462751861916`}, {0.5637317754696105, 
    0.41105098767057763`}}], 
   CircleBox[{1.076214703843503, 0.5893634948240105}, 0.560388376803236, {
    3.4205759763358126`, 4.46777352753241}], 
   InsetBox["\<\"b\"\>", {0.6868276606717456, 0.18635870147023215}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.0789426403139724, -0.06923077597011919}, 
    0.03749998125000937, {-3.337942194439155, 1.8980455615438334`}], 
   PolygonBox[{{1.0315102758118124`, -0.0932974267189849}, {
    1.042163210688566, -0.0619148925524561}, {
    1.0640148150735365`, -0.08683187186385034}}], 
   InsetBox["\<\"b,a\"\>", {1.0542171846104476, -0.09742475465359149}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8975098442576399, 0.008813291369310455}, {
    0.9256411725763779, 0.009789959521524153}, {0.9107296889861247, 
    0.033664070411644945`}}], 
   CircleBox[{0.7499996250001875, -0.29443012480046393}, 0.351283095152381, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b,a\"\>", {0.7499996250001875, 0.056852970351917054}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   PolygonBox[{{0.9198204354030687, 0.4487376441048339}, {0.954342415653138, 
    0.4404987792287678}, {0.9299463592470828, 0.41472129978129607`}}], 
   CircleBox[{1.0988643234405184, -0.09886432344051843}, 0.5583897727855898, {
    1.8325957145940466`, 2.879793265790643}], 
   InsetBox["\<\"a\"\>", {0.7040231285586125, 0.2959768714413876}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4662486230188565, -0.09942711388342908}, 
    0.03749998125000937, {-4.516039439535327, 0.7199483164476614}], 
   PolygonBox[{{0.42586235692300345`, -0.06481523165537639}, {
    0.4589327396011934, -0.06264768425802275}, {
    0.4442746993721135, -0.09237124946888495}}], 
   InsetBox["\<\"b,a\"\>", {0.4307387609177211, -0.08737313996154747}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5129291925700409, 0.10199338597002337`}, {
    0.5134260078827435, 0.07378891355007407}, {0.5376033898424059, 
    0.0883214044418383}}], 
   CircleBox[{0.21004743494446984, 0.2558556826938861}, 0.35381756166777484, {
    5.742569772999188, 6.789867324195786}], 
   InsetBox["\<\"b\"\>", {0.5638140709445429, 0.2498528335602287}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"b,a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081357789516`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->138392608,ExpressionUUID->"bd7fbc26-4c59-49bd-b32d-db1e44200f2e"],

Cell[BoxData["\<\"Estados del nuevo aut\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081357930307`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->846478744,ExpressionUUID->"8f81a6fd-2f99-4731-a2da-594093e6fef3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.863708135797403*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->110223292,ExpressionUUID->"291b135c-21f0-47e4-ac65-099fe45ef2d4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358000245`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->526817583,ExpressionUUID->"b4543ee5-4aa7-47fc-a63f-42360d0fe3c4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.863708135803016*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->623005547,ExpressionUUID->"d173d31b-ac39-4dab-be31-b85104a52108"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358060083`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->508729952,ExpressionUUID->"aea6ef96-ae72-45fb-926e-f752826118b7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "3"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.863708135809001*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->42865934,ExpressionUUID->"1eba7ecb-e6eb-424c-9b08-e686a425610a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.863708135814267*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->86290666,ExpressionUUID->"d966c1f7-285c-4e86-9876-e1f11ab0fdbd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.863708135818974*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->721930408,ExpressionUUID->"9091f822-d413-4ec7-ba11-b4f4128b5015"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.863708135821966*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->127023487,ExpressionUUID->"f22fdfe8-68a0-4af8-a53a-2d45fe74b891"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "8"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 8], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358246355`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->700513878,ExpressionUUID->"be505475-1135-4c17-b072-c7ec88123379"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "9"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 9], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358288393`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->58247570,ExpressionUUID->"56bfa919-7080-41de-bb4f-b4917008e6fe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "10"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 10], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358333387`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->314927249,ExpressionUUID->"b54ea5a3-730e-4043-94d6-d0f4011ee365"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "11"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 11], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358363314`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->306975617,ExpressionUUID->"f0fd4e01-50c6-4913-a961-8acd1934172a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "12"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 12], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358391304`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->54507748,ExpressionUUID->"680768dd-e976-436c-ab5f-a1ff78f3e24d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "13"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 13], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358452473`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->372799961,ExpressionUUID->"6951d835-967c-4d6b-90d1-4c9011a8aa67"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "14"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 14], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358492393`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->199254146,ExpressionUUID->"36890f36-984d-4a66-afdd-355f1bb9985b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "15"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 15], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358522964`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->144973249,ExpressionUUID->"604a334e-2e58-4ac3-a28d-495fa5e4df07"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "4"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Mu], 4]],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358544254`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->622294055,ExpressionUUID->"cb36c2b8-4206-4552-b129-9a87e3dd635f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "3"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"], ",", 
     SubscriptBox["\[Mu]", "8"], ",", 
     SubscriptBox["\[Mu]", "9"], ",", 
     SubscriptBox["\[Mu]", "10"], ",", 
     SubscriptBox["\[Mu]", "11"], ",", 
     SubscriptBox["\[Mu]", "12"], ",", 
     SubscriptBox["\[Mu]", "13"], ",", 
     SubscriptBox["\[Mu]", "14"], ",", 
     SubscriptBox["\[Mu]", "15"]}], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Mu], 3], 
    Subscript[$CellContext`\[Mu], 4], 
    Subscript[$CellContext`\[Mu], 6], 
    Subscript[$CellContext`\[Mu], 7], 
    Subscript[$CellContext`\[Mu], 8], 
    Subscript[$CellContext`\[Mu], 9], 
    Subscript[$CellContext`\[Mu], 10], 
    Subscript[$CellContext`\[Mu], 11], 
    Subscript[$CellContext`\[Mu], 12], 
    Subscript[$CellContext`\[Mu], 13], 
    Subscript[$CellContext`\[Mu], 14], 
    Subscript[$CellContext`\[Mu], 15]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358572693`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->49087515,ExpressionUUID->"afbf9fff-7840-45c2-aeea-d946ed0cc2d2"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b"},
     {
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"]},
     {
      SubscriptBox["\[Mu]", "1"], 
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "0"]},
     {
      SubscriptBox["\[Mu]", "2"], 
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "9"]},
     {
      SubscriptBox["\[Mu]", "3"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "8"]},
     {
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "1"], 
      SubscriptBox["\[Mu]", "6"]},
     {
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "12"], 
      SubscriptBox["\[Mu]", "9"]},
     {
      SubscriptBox["\[Mu]", "6"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "8"]},
     {
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "6"]},
     {
      SubscriptBox["\[Mu]", "8"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "14"]},
     {
      SubscriptBox["\[Mu]", "9"], 
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "10"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "11"]},
     {
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "14"]},
     {
      SubscriptBox["\[Mu]", "12"], 
      SubscriptBox["\[Mu]", "12"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "13"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "11"]},
     {
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358615556`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->470945650,ExpressionUUID->"ab531a5d-9c36-4595-b653-233c2655d4a2"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del nuevo aut\[OAcute]mata: \
\"\>"], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358650537`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->101741825,ExpressionUUID->"a51c295a-b3db-41d5-a854-b2c7a64acbe1"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.9999997500000625, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.9999997500000625, 0.7500000624999844}], 
   CircleBox[{1.0507108432024652, 0.7364120660291011}, 0.01874999531250117, {
    3.403392041388943, 8.639379797371932}], 
   PolygonBox[{{1.0347626455400398`, 0.7151303000055145}, {
    1.0325997384873213`, 0.7315592101466428}, {1.0479090455523896`, 
    0.7252178875297575}}], 
   InsetBox["\<\"b,a\"\>", {1.045857987320007, 0.7183009613139573}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.49999987500003124, 0.7500000624999844}], 
   PolygonBox[{{0.9418217844099546, 0.7592173245363205}, {0.9637775405697748, 
    0.7597057742649009}, {0.9523766526164423, 0.7784757919943117}}], 
   CircleBox[{0.7499998125000469, 0.3894318877214888}, 0.4275554561394561, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b\"\>", {0.7499998125000469, 0.816987343860945}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   PolygonBox[{{0.2937161674283119, 0.7282909991027916}, {
    0.28622214693030334`, 0.7402943507350678}, {0.30036436462341626`, 
    0.7407826870466864}}], 
   CircleBox[{0.37499990625002344, 0.8940619404589444}, 0.17755551863944025, {
    4.1887902047863905`, 5.235887755982989}], 
   InsetBox["\<\"a\"\>", {0.37499102847409516, 0.7165064220414485}, 
    ImageScaled[{Rational[1, 2], 0}]], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.7499998125000469, 0.5000001249999688}], 
   PolygonBox[{{0.3053417085352456, 0.020093805317932808`}, {
    0.28749992812501796`, 2.499999375293882*^-7}, {
    0.3138223476878636, -0.005404407425065535}}], 
   CircleBox[{0.09544298843837788, 0.6143146271858062}, 0.6436365605674211, {
    5.0152979668415885`, 6.062495518038186}], 
   InsetBox["\<\"b\"\>", {0.5688827650670228, 0.17828389431841035}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5475599752048876, 0.27619627292721544`}, {
    0.5350598888190734, 0.2633060030662321}, {0.5524732331732289, 
    0.25892574563710863`}}], 
   CircleBox[{0.4640632258038638, 0.5412800005629408}, 0.286897315155781, {
    4.9623506092115415`, 6.00954816040814}], 
   InsetBox["\<\"a\"\>", {0.664514613883796, 0.33602574248183803}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.7499998125000469, 0.2500001874999531}], 
   PolygonBox[{{0.7404276994255133, 0.7032347904053448}, {0.7597055242649634, 
    0.7137778530696967}, {0.7591971719462584, 0.6918112356968503}}], 
   CircleBox[{1.120273699043459, 0.4831893390995142}, 0.4279958778283652, {
    2.5726240844806343`, 3.6198216356772317`}], 
   InsetBox["\<\"b\"\>", {0.692718242904003, 0.5026007626293475}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5031720834702799, 0.44544363640235995`}, {
    0.5066364129989177, 0.4630920546052083}, {0.5201882267348771, 
    0.45126764812490316`}}], 
   CircleBox[{0.7803851384795608, 0.5485550120593988}, 0.286779151611642, {
    3.4441995468727566`, 4.491397098069353}], 
   InsetBox["\<\"a\"\>", {0.5860432666868065, 0.3376675570812}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.24999993750001562, 0.7500000624999844}], 
   PolygonBox[{{0.259218726152405, 0.5503440985410274}, {0.2597056492649322, 
    0.5362223344302566}, {0.2716919941748475, 0.5437049042707803}}], 
   CircleBox[{0.10593805954105559, 0.6250000937499767}, 0.17755551863944025, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.28349357795855146, 0.6249912159740484}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.44963544787663046`, 0.7592174379532824}, {
    0.46377766556974354`, 0.759705774264901}, {0.4562836450717349, 
    0.7717091258971774}}], 
   CircleBox[{0.37499990625002344, 0.6059381845410244}, 0.17755551863944025, {
    1.0471975511965976`, 2.0943951023931957`}], 
   InsetBox["\<\"a\"\>", {0.37499990625002344, 0.7834937031804647}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.49999987500003124, 0.2500001874999531}], 
   PolygonBox[{{0.94172600212624, 0.4900549140218875}, {0.962516605651766, 
    0.5011240407619522}, {0.9425351589343974, 0.5135946682050356}}], 
   CircleBox[{0.9354320611807472, 0.010070889530266802}, 
    0.49179952204508115, {1.5156961222631513`, 2.5628936734597465`}], 
   InsetBox["\<\"a\"\>", {0.713361389126737, 0.4488776653408171}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2937637787850804, 0.0332115828287017}, {
    0.28146844913382285`, 0.020395888563811998`}, {0.2987148307599806, 
    0.016155667870363745`}}], 
   CircleBox[{0.21064100168261352, 0.2919758598343245}, 0.2806638703284522, {
    4.967404137336802, 6.014601688533399}], 
   InsetBox["\<\"b\"\>", {0.4077493769671604, 0.09217471744411584}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.24999993750001562, 0.5000001249999688}], 
   PolygonBox[{{0.4506044371535849, 0.5120030630982355}, {0.4647614105301758, 
    0.5128258771682433}, {0.45697034595466224`, 0.5246747687180671}}], 
   CircleBox[{0.3792750721042082, 0.3563391560578886}, 0.1783143514731588, {
    1.070809846010987, 2.1180073972065707`}], 
   InsetBox["\<\"a\"\>", {0.3750650523025266, 0.5346038011072158}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.693831993756973, 0.7501788630617597}, {0.7144241977170563, 
    0.7618586007609812}, {0.6940131461799501, 0.7738521036607132}}], 
   CircleBox[{0.7003724274472516, 0.26522298337955585}, 0.49683436747023146, {
    1.5425099496574475`, 2.589707500854045}], 
   InsetBox["\<\"b\"\>", {0.4642238087783327, 0.7023479295909412}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.49999987500003124, 2.499999375293882*^-7}],
    PolygonBox[{{0.24501617650762597`, 0.4434446611570051}, {
    0.2575142756026252, 0.4632607180946453}, {0.26842643476596084`, 
    0.4425290183105406}}], 
   CircleBox[{0.743213753952598, 0.4341111611716193}, 0.48657340652592673, {
    3.0816489312388615`, 4.12884648243546}], 
   InsetBox["\<\"b\"\>", {0.3080108886351583, 0.21650567880103383}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.5348320388375801, -0.03928039388823808}, 
    0.01874999531250117, {2.819842099193152, 8.05582985517614}], 
   PolygonBox[{{0.5097970400979148, -0.04825298614841757}, {
    0.5170442314460848, -0.033351124757739666`}, {
    0.5263260263000014, -0.04707830726668062}}], 
   InsetBox["\<\"a\"\>", {0.520803237448946, -0.051720452401648395}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.7499998125000469, 0.7500000624999844}], 
   PolygonBox[{{0.541279502932112, 0.536329282827513}, {0.5297506178232668, 
    0.5228286728806588}, {0.54720693155825, 0.5195946704725138}}], 
   CircleBox[{0.443395099584017, 0.7896566491805573}, 0.28045399705953244, {
    5.025287980643929, 6.072485531840524}], 
   InsetBox["\<\"a\"\>", {0.6515763690404777, 0.6017337833175529}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.3011014324524779, 0.28788595123585525`}, {
    0.28247588202294593`, 0.2687501828124543}, {0.3083607188133133, 
    0.2621878671927119}}], 
   CircleBox[{0.12084684386281018, 0.8834570391269159}, 0.6356008693957071, {
    4.969405885274749, 6.016603436471346}], 
   InsetBox["\<\"b\"\>", {0.5681299690959601, 0.43187507418783083}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "9"], {0.24999993750001562, 2.499999375293882*^-7}],
    PolygonBox[{{0.45021488758555944`, 0.23550368552449114`}, {
    0.4675239304771009, 0.23125019218745196`}, {0.4551857757466264, 
    0.2183868679967022}}], 
   CircleBox[{0.5386346199827544, -0.041287571123282074}, 
    0.28166214263259975, {1.8260264063188192`, 2.8732239575154153`}], 
   InsetBox["\<\"a\"\>", {0.3407820747348643, 0.15918171064157727}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.4510487737972619, 0.4711951323258483}, {
    0.47469234552146555`, 0.47232742638623054`}, {0.46385115508020897`, 
    0.45128534560667954`}}], 
   CircleBox[{0.7346548198712265, 0.0490925168147322}, 0.49669736938103926, {
    2.1216115156756863`, 3.1688090668722837`}], 
   InsetBox["\<\"b\"\>", {0.2979032582679239, 0.28564346309717914}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "10"], {0.9999997500000625, 0.2500001874999531}], 
   PolygonBox[{{0.5353347137493946, 0.46073166461721204`}, {
    0.5339582092631057, 0.4840916105830735}, {0.554876768143718, 
    0.4736037254536922}}], 
   CircleBox[{0.9448279818027965, 0.7425921097612898}, 0.4854240188352907, {
    3.7031737808152694`, 4.7502713320118675`}], 
   InsetBox["\<\"a\"\>", {0.7182331058643514, 0.3133005535193281}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7946950905497299, 0.03165777674205476}, {0.7824757570229772,
     0.0187502453124387}, {0.7997636739045471, 0.014621757775764091`}}], 
   CircleBox[{0.7097194242659506, 0.2902805757340492}, 0.2811088833443728, {
    4.97408836818384, 6.021285919380437}], 
   InsetBox["\<\"b\"\>", {0.9084735435369315, 0.0914867016636019}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "11"], {0.7499998125000469, 2.499999375293882*^-7}],
    PolygonBox[{{0.4768006406344942, 0.4438132178342929}, {
    0.48875845174875987`, 0.4642247186408366}, {0.5004564244194605, 
    0.4436632000389547}}], 
   CircleBox[{0.9846706597379369, 0.45083612724449434}, 0.49609290703685666, {
    3.114601303751298, 4.161798854947896}], 
   InsetBox["\<\"a\"\>", {0.5485037938743059, 0.2144748835200279}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.27994620701188205`, 0.20176555983014838`}, {
    0.27805505212529735`, 0.22511726483726005`}, {0.2992237993264287, 
    0.21507920050797763`}}], 
   CircleBox[{0.684104368959091, 0.49321730630882266}, 0.4865734065259267, {
    3.725150040032146, 4.772247591228744}], 
   InsetBox["\<\"b\"\>", {0.466483606094244, 0.05802208171603518}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "12"], {0.9999997500000625, 0.5000001249999688}], 
   PolygonBox[{{0.5476088005894658, 0.4854856547989217}, {0.5371790480067559, 
    0.504894855984538}, {0.5592027855920175, 0.504222686083543}}], 
   CircleBox[{0.7717044446187591, 0.8657788314676118}, 0.4303944765170757, {
    4.136109580970218, 5.183207132166573}], 
   InsetBox["\<\"b\"\>", {0.7490199912205259, 0.43598257626006465}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.0510953091732285, 0.5120621503131989}, 
    0.01874999531250117, {-2.386170073491091, 2.8498176824918975`}], 
   PolygonBox[{{1.0471346960089292`, 0.4857643915279858}, {
    1.0374456521704007`, 0.49920722176715204`}, {1.0539320065755444`, 
    0.5008767647501156}}], 
   InsetBox["\<\"a\"\>", {1.055403175356525, 0.49381373632278247}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "13"], {0.9999997500000625, 2.499999375293882*^-7}],
    PolygonBox[{{0.5150284870531043, 0.44343587502307197`}, {
    0.5216126456218237, 0.469354775549766}, {0.5407669926317429, 
    0.45069327670336295`}}], 
   CircleBox[{1.1348031957953568, 0.6302229026967833}, 0.6339410107840548, {
    3.398156965686112, 4.445354516882709}], 
   InsetBox["\<\"a\"\>", {0.6841986655580292, 0.18431174284147483}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7937160424283433, -0.02170881339725544}, {
    0.7862220219303346, -0.009705461764979056}, {
    0.8003642396234477, -0.009217125453360456}}], 
   CircleBox[{0.8749997812500547, 0.14406212795889758}, 0.17755551863944025, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"b\"\>", {0.8749909034741264, -0.033493390458598254}, 
    ImageScaled[{Rational[1, 2], 0}]], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.24999993750001562, 0.2500001874999531}], 
   PolygonBox[{{0.4448966877787398, 0.5000507814015687}, {0.4626425831609137, 
    0.49673178546401653`}, {0.4508953006728492, 0.48302288721892905`}}], 
   CircleBox[{0.5512470967711715, 0.22168799793464444}, 0.2889633971467886, {
    1.8824455674573608`, 2.9296431186539578`}], 
   InsetBox["\<\"b,a\"\>", {0.3369914433300384, 0.4155806482830415}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.49999987500003124, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.49999987500003124, 0.5000001249999688}], 
   CircleBox[{0.4920133992216796, 0.5518890913272847}, 
    0.01874999531250117, {-0.8944812416470937, 4.341506514335895}], 
   PolygonBox[{{0.503387974030663, 0.5538329921122991}, {0.5037494613911151, 
    0.5372662609250007}, {0.5179159277767573, 0.5458626837559484}}], 
   InsetBox["\<\"b,a\"\>", {0.5105451729100067, 0.5547414041052674}, 
    ImageScaled[{0, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.24999993750001562`, 0.8250000437499891}, {
     0.24999993750001562`, 0.7875000531249867}}], 
    PolygonBox[{{0.24999993750001562`, 0.7875000531249867}, {
     0.23749994062501484`, 0.8062500484374879}, {0.2624999343750164, 
     0.8062500484374879}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358730445`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->844230995,ExpressionUUID->"36df322d-b7be-4fe9-9d16-d25ca7498092"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n reducido del nuevo aut\
\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.8637081358818336`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->21246545,ExpressionUUID->"07c70595-761f-4e8f-a527-fe13a80808fd"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.9999996666667778, 0.3333335555554815}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.9999996666667778, 0.3333335555554815}], 
   CircleBox[{1.034999655000115, 0.2727117974978235}, 0.024999991666669445, {
    2.617993877991495, 7.853981633974483}], 
   PolygonBox[{{0.9998989115442324, 0.26768326144206916`}, {1.01334902712238, 
    0.2852117933311582}, {1.0218041232403028`, 0.2647993856121011}}], 
   InsetBox["\<\"b,a\"\>", {1.01334902712238, 0.26021180166448876}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.04999998333333889], 
   InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.6666664444445185, 0.6666667777777407}], 
   PolygonBox[{{0.39162152393596383`, 0.6377213623269341}, {
    0.38162949743795427`, 0.653725829836264}, {0.4004857861240815, 
    0.6543769448641626}}], 
   CircleBox[{0.4999998333333889, 0.8587492657161508}, 0.23674067179086933, {
    4.188790204786391, 5.235887755982988}], 
   InsetBox["\<\"a\"\>", {0.4999879962998042, 0.6220085942212074}, 
    ImageScaled[{Rational[1, 2], 0}]], 
   PolygonBox[{{0.9577572192678584, 0.3929558841232279}, {0.9749996750001083, 
    0.3766348113109515}, {0.9805129108064302, 0.3997277524048468}}], 
   CircleBox[{0.6129617643906436, 0.279622045468382}, 0.3748105194026602, {
    0.26181227348930103`, 1.3090098246858983`}], 
   InsetBox["\<\"b\"\>", {0.8779894091901951, 0.5446565204841707}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.33333322222225925, 0.6666667777777407}], 
   PolygonBox[{{0.34562493940113553`, 0.400458848016453}, {
    0.34627417016373596`, 0.3816298307711765}, {0.3622559620451405, 
    0.39160658972714507`}}], 
   CircleBox[{0.14125073428384913, 0.5000001666666112}, 0.23674067179086933, {
    5.759486531581287, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.37799140577879264, 0.49998832963302653}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5995138805426964, 0.678956610691319}, {0.6183701692288235, 
    0.6796077257192175}, {0.608378142730814, 0.6956121932285473}}], 
   CircleBox[{0.4999998333333889, 0.47458428983933065}, 0.23674067179086933, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.4999998333333889, 0.7113249616302}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.33333322222225925, 0.3333335555554815}], 
   PolygonBox[{{0.599532672496001, 0.34550755763250346`}, {0.6183701692288235,
     0.3462745034969582}, {0.6082872262604669, 0.3622047812790616}}], 
   CircleBox[{0.5014415120450486, 0.14084151690124713}, 0.23637898140490046, {
    1.0533457920161144`, 2.1005433431877467`}], 
   InsetBox["\<\"a\"\>", {0.49998820630172597, 0.37721603065523607}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9233313447972508, 0.6421504537049088}, {0.9510147970317592, 
    0.6566427626054454}, {0.924622363247149, 0.6733711810547145}}], 
   CircleBox[{0.9106803540115276, 0.008722657098432451}, 0.6491743451600424, {
    1.5086243701932858`, 2.555821921389881}], 
   InsetBox["\<\"b\"\>", {0.6216509535610388, 0.5900051496003147}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999996666667778, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.9999996666667778, 0.6666667777777407}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.9999996666667778, 0.6666667777777407}], 
   PolygonBox[{{0.7256218946840393, 0.3760638087264115}, {0.7099677001999886, 
    0.35833354722215094`}, {0.7331496543204449, 0.35364174787531105`}}], 
   CircleBox[{0.6009002208827943, 0.7153789381540471}, 0.37333246072410686, {
    5.008758647977535, 6.055956199174131}], 
   InsetBox["\<\"a\"\>", {0.8738526551353997, 0.46067500244457693}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.4017668592741984, 0.05033387819054817}, {
    0.37663447797772925`, 0.02500032499989169}, {0.41114016925719665`, 
    0.015901820934880753`}}], 
   CircleBox[{0.1679729507346065, 0.8503283133541941}, 0.8512966118295036, {
    4.959922392551427, 6.007119943748024}], 
   InsetBox["\<\"b\"\>", {0.7612820829059365, 0.23984473864108546}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.04999998333333889], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.033333322222225924], InsetBox[
    SubscriptBox["\[Mu]", 
     "14"], {0.33333322222225925, 3.333332222466012*^-7}], 
   PolygonBox[{{0.6002722790324406, 0.3138471078750999}, {0.6233651886890484, 
    0.30833356388881206`}, {0.6070438647037364, 0.2910912894720346}}], 
   CircleBox[{0.7203736242810495, -0.0537068465033087}, 0.37481181322485385, {
    1.832595714594046, 2.879793265790644}], 
   InsetBox["\<\"b,a\"\>", {0.45534164948092964, 0.21132512829681116}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.6666664444445185, 0.3333335555554815}], 
   CircleBox[{0.7016664327778557, 0.2727117974978235}, 
    0.024999991666669445, {-3.665191429188092, 1.5707963267948966`}], 
   PolygonBox[{{0.6665656893219729, 0.26768326144206933`}, {
    0.6800158049001207, 0.2852117933311582}, {0.6884709010180434, 
    0.2647993856121009}}], 
   InsetBox["\<\"b,a\"\>", {0.6800158049001207, 0.26021180166448876}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.33333322222225925`, 0.7666667444444185}, {
     0.33333322222225925`, 0.7166667611110796}}], 
    PolygonBox[{{0.33333322222225925`, 0.7166667611110796}, {
     0.31666656111114627`, 0.7416667527777491}, {0.34999988333337223`, 
     0.7416667527777491}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.8164544634507437`*^9, 3.8164545434330244`*^9, 
  3.816454725063727*^9, 3.8164556851105533`*^9, 3.8165153348851614`*^9, 
  3.832845464217186*^9, 3.863708135887816*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[188]:=",
 CellID->199378290,ExpressionUUID->"eede129f-15a1-4b3f-89bd-78008a03acb2"]
}, Open  ]]
}, Open  ]],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "8"], ":"}], 
  TraditionalForm]],ExpressionUUID->"f6096653-9c40-4c85-b515-875fb15c7fb5"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.8162001935477996`*^9}, {3.8162012732312746`*^9, 
   3.8162012849976916`*^9}},ExpressionUUID->"5329588b-8122-4e5c-8987-\
4b5036a12a86"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A8", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "0"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          SubscriptBox["\[Sigma]", "3"], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataDeterministicoEquivalente", "[", "A8", "]"}]}], "Input",
 CellChangeTimes->{{3.816454278405656*^9, 3.8164542867668505`*^9}, {
   3.816454344927512*^9, 3.816454347740755*^9}, 3.816454470185274*^9},
 CellLabel->
  "In[190]:=",ExpressionUUID->"e34e6623-eb2b-4ab4-b287-2d9c559e5bd9"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico: \"\>"], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081424763637`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->185652435,ExpressionUUID->"73c2acaa-89d2-4049-b030-2d0c3c26e072"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5049482686829101, 0.1030257683138788}, {0.5047519025213144, 
    0.07484975798818684}, {0.5292512263214542, 0.0887677050666473}}], 
   CircleBox[{0.2066291004966243, 0.26389810051104295}, 0.3530105960133374, {
    5.717948167652212, 6.765245718848809}], 
   InsetBox["\<\"b\"\>", {0.5593344583546428, 0.24922119906902085}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"b\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9363851407333162, 0.08929191039906018}, {0.9622341401035012,
     0.06479843180990316}, {0.970521615103669, 0.09943106122146975}}], 
   CircleBox[{0.41917673720737675, -0.08041389755220157}, 
    0.5621369614596182, {0.2612848170458004, 1.308482368242398}], 
   InsetBox["\<\"b\"\>", {0.8168720791475693, 0.31687237006615643}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "1"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"b,a\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5892635770872022, 0.06355517310266451}, {0.564797681810278, 
    0.03776585989649891}, {0.599364829831433, 0.029472429663435606`}}], 
   CircleBox[{0.4198572264696826, 0.5809809534637265}, 0.5622191507531479, {
    4.973034183487802, 6.0202317346843985`}], 
   InsetBox["\<\"b\"\>", {0.8169470908444458, 0.18297339940925517}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "2"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.897046867940199, 0.003935410197932728}, {0.9251502420118132,
     0.004752652520939467}, {0.9103908023632346, 0.0286822672375108}}], 
   CircleBox[{0.7482013492236442, -0.2977553146881178}, 0.3504596708301863, {
    1.0415242496649075`, 2.0887218008355926`}], 
   InsetBox["\<\"b,a\"\>", {0.7501896019496949, 0.052698716148310065}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9005345614679446, 0.470228328013208}, {0.9352015681900969, 
    0.46223489010312613`}, {0.9109455445353162, 0.4362091005636173}}], 
   CircleBox[{1.0845982392392308, -0.07858070014125795}, 0.5610711790601481, {
    1.8403180348798136`, 2.8875155860764115`}], 
   InsetBox["\<\"b\"\>", {0.6848091317476614, 0.31508100424848734}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"b\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"b,a\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5295178633001305, 0.4003707541805588}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5635340047461117, 0.41080081559479065`}}], 
   CircleBox[{1.0783081990033883, 0.5847555937125606}, 0.56115434395707, {
    3.411654526026458, 4.458852077223056}], 
   InsetBox["\<\"a\"\>", {0.6848041852847455, 0.18469461219948197}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5838404533526426, -0.052219394520722474`}, {
    0.5701926594104697, -0.026418240384972307`}, {
    0.5993610113100737, -0.027499481193310325`}}], 
   CircleBox[{0.7816281980731824, 0.2865703717289634}, 0.37771266635183826, {
    4.11827016144143, 5.1653677126380915`}], 
   InsetBox["\<\"b,a\"\>", {0.7549951177257542, -0.09020215560526584}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, -0.07424567490174998}, 
    0.03749998125000937, {-3.4033920413889422`, 1.8325957145940457`}], 
   PolygonBox[{{1.0253408324638988`, -0.09515857203874666}, {
    1.03802347452701, -0.06453996556326014}, {
    1.0581986445317046`, -0.09083275901476269}}], 
   InsetBox["\<\"a\"\>", {1.0477291838654998, -0.10076216593799998}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425021186`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->645720966,ExpressionUUID->"6c731820-fb53-4ab2-8be1-6e45b1b27437"],

Cell[BoxData["\<\"Estados del nuevo aut\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425129004`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->93828972,ExpressionUUID->"c2d49f4c-fd4e-40ac-9a79-1e01fad03761"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142514894*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->421261619,ExpressionUUID->"c9e5ae5a-c7c4-46b0-914e-48565c8d4e3c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142518961*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->26931691,ExpressionUUID->"c1cd95f6-6a59-4770-a256-227423187542"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425229325`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->470993452,ExpressionUUID->"dd0b6bbc-8810-47f3-9609-e8f011ce6f55"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142526256*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->255974960,ExpressionUUID->"d53efb2a-bf8f-44a6-b088-84868e043257"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "3"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142529193*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->88663802,ExpressionUUID->"48d7eb48-b4ab-42aa-83fb-6156805aa75e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425332007`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->482969759,ExpressionUUID->"bbf374bb-85d4-4032-9a26-01250465e1e0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425372725`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->11889509,ExpressionUUID->"d6093213-389f-49b2-9f5e-c9d0b677c85d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425408525`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->97881715,ExpressionUUID->"9846cda7-0c23-4164-8954-169e560e3421"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "8"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 8], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142544841*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->319859289,ExpressionUUID->"493885e9-d233-4da1-86d8-c189832158d8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "9"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 9], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142549832*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->270984499,ExpressionUUID->"1f2c0ffa-7726-441f-9c72-4181af9665a9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "10"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 10], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425538416`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->149530413,ExpressionUUID->"d95578ad-31ba-4b8f-8ace-44236279744f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "11"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 11], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425566015`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->478826023,ExpressionUUID->"46085c33-5c48-46ee-a712-77a77112ceb8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "12"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 12], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425615354`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->102457517,ExpressionUUID->"77cbfd7f-546e-4831-afe2-0c92549aac46"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "13"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 13], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142564545*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->541483980,ExpressionUUID->"5af4e4c1-54c7-4c04-9844-8ba46f87377f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "14"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 14], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142570699*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->58594464,ExpressionUUID->"c4f6f792-3545-454c-84e1-d06c0699405e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "15"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 15], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142574197*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->77083135,ExpressionUUID->"573b7e0b-5030-4c75-af52-2765d6fae1d7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "1"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Mu], 1]],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142576541*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->38925950,ExpressionUUID->"fcd2b42d-f6e8-43bf-ad06-123c0e061358"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "1"], ",", 
     SubscriptBox["\[Mu]", "3"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "5"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"], ",", 
     SubscriptBox["\[Mu]", "8"], ",", 
     SubscriptBox["\[Mu]", "9"], ",", 
     SubscriptBox["\[Mu]", "10"], ",", 
     SubscriptBox["\[Mu]", "11"], ",", 
     SubscriptBox["\[Mu]", "12"], ",", 
     SubscriptBox["\[Mu]", "13"], ",", 
     SubscriptBox["\[Mu]", "14"], ",", 
     SubscriptBox["\[Mu]", "15"]}], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Mu], 1], 
    Subscript[$CellContext`\[Mu], 3], 
    Subscript[$CellContext`\[Mu], 4], 
    Subscript[$CellContext`\[Mu], 5], 
    Subscript[$CellContext`\[Mu], 6], 
    Subscript[$CellContext`\[Mu], 7], 
    Subscript[$CellContext`\[Mu], 8], 
    Subscript[$CellContext`\[Mu], 9], 
    Subscript[$CellContext`\[Mu], 10], 
    Subscript[$CellContext`\[Mu], 11], 
    Subscript[$CellContext`\[Mu], 12], 
    Subscript[$CellContext`\[Mu], 13], 
    Subscript[$CellContext`\[Mu], 14], 
    Subscript[$CellContext`\[Mu], 15]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142580057*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->351268848,ExpressionUUID->"5c588995-14ce-4e6d-bc9b-e38a708c5d38"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b"},
     {
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"]},
     {
      SubscriptBox["\[Mu]", "1"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "14"]},
     {
      SubscriptBox["\[Mu]", "2"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "6"]},
     {
      SubscriptBox["\[Mu]", "3"], 
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "12"]},
     {
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "8"]},
     {
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "6"], 
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "14"]},
     {
      SubscriptBox["\[Mu]", "8"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "9"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "11"]},
     {
      SubscriptBox["\[Mu]", "10"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "12"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "13"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142584605*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->637638903,ExpressionUUID->"19acc840-0a5a-4d83-8b6f-4ed29922926d"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del nuevo aut\[OAcute]mata: \
\"\>"], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425871983`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->37203547,ExpressionUUID->"41287311-9e6b-4220-b9f4-64a25e94368f"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.49999987500003124, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.49999987500003124, 0.7500000624999844}], 
   CircleBox[{0.550710968202434, 0.7364120660291011}, 0.01874999531250117, {
    3.403392041388943, 8.639379797371932}], 
   PolygonBox[{{0.5347627705400086, 0.7151303000055146}, {0.5325998634872902, 
    0.7315592101466428}, {0.5479091705523582, 0.7252178875297574}}], 
   InsetBox["\<\"b,a\"\>", {0.5458581123199757, 0.7183009613139573}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.24999993750001562, 0.7500000624999844}], 
   PolygonBox[{{0.259218726152405, 0.5503440985410274}, {0.2597056492649322, 
    0.5362223344302566}, {0.2716919941748475, 0.5437049042707803}}], 
   CircleBox[{0.10593805954105559, 0.6250000937499767}, 0.17755551863944025, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.28349357795855146, 0.6249912159740484}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.44963544787663046`, 0.7592174379532823}, {
    0.46377766556974354`, 0.7597057742649009}, {0.4562836450717349, 
    0.7717091258971773}}], 
   CircleBox[{0.37499990625002344, 0.6059381845410244}, 0.17755551863944025, {
    1.0471975511965974`, 2.0943951023931957`}], 
   InsetBox["\<\"a\"\>", {0.37499990625002344, 0.7834937031804647}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.49999987500003124, 0.5000001249999688}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.49999987500003124, 0.5000001249999688}], 
   PolygonBox[{{0.9438633181056898, 0.7501367605969758}, {0.9644241352170719, 
    0.7618586007609812}, {0.9439923153002513, 0.7738038706200012}}], 
   CircleBox[{0.9514700853081377, 0.2654648106865405}, 0.49656278780584356, {
    1.5447059309785587`, 2.591903482175156}], 
   InsetBox["\<\"a\"\>", {0.7144917265739459, 0.7018314681263131}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2991661518420461, 0.2638295106321105}, {
    0.28749992812501796`, 0.2500001874999531}, {0.3053095851331241, 
    0.24681160296085297`}}], 
   CircleBox[{0.1959936000554901, 0.5265545640236358}, 0.29130007080529685, {
    5.031829964125448, 6.079027515322046}], 
   InsetBox["\<\"b\"\>", {0.41349821694983174, 0.33278286103061194}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.24999993750001562, 2.499999375293882*^-7}],
    PolygonBox[{{0.9367752897754515, 0.5008880461501177}, {0.9644772897615198,
     0.487983298652034}, {0.9394504506057215, 0.4704450366775046}}], 
   CircleBox[{1.0237551033781076, -0.33776145767350485}, 0.8278697130504815, {
    1.642460481732317, 2.6896580329289144`}], 
   InsetBox["\<\"b\"\>", {0.5595466327425742, 0.3477155715379091}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6928546392810674, 0.4860298150801101}, {0.7187703738681775, 
    0.4792402728903422}, {0.6999325905582173, 0.46019135947505374`}}], 
   CircleBox[{0.8756446120008601, -0.1373465219427148}, 0.6362301487293822, {
    1.8199340344912585`, 2.8671315856878556`}], 
   InsetBox["\<\"a\"\>", {0.43149413916209933, 0.3181961869543951}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.7499998125000469, 0.5000001249999688}], 
   PolygonBox[{{0.7118618022738735, 0.7147096861501605}, {0.7234833148346758, 
    0.7234835648346133}, {0.7252709603847335, 0.7090321003843323}}], 
   CircleBox[{0.8940616904590064, 0.6444115172798098}, 0.1880142838593508, {
    2.707525724457893, 3.7547232756544933`}], 
   InsetBox["\<\"a\"\>", {0.7068004600546496, 0.6276007313793552}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.55014538237918, 0.2633338279610971}, {0.5374998656250336, 
    0.2500001874999531}, {0.5553698953663855, 0.24571566897745262`}}], 
   CircleBox[{0.4597194867659349, 0.5402805132340651}, 0.30052030687420617, {
    4.97408836818384, 6.021285919380437}], 
   InsetBox["\<\"b\"\>", {0.6721981825837967, 0.32775931742689957}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.7499998125000469, 0.2500001874999531}], 
   PolygonBox[{{0.9690737100698354, 0.7122508901480938}, {0.9924817379943403, 
    0.7132614072121669}, {0.9816528574805328, 0.6924842018450136}}], 
   CircleBox[{1.245137446100479, 0.2973451470115306}, 0.4866428283021323, {
    2.1166887221666753`, 3.1638862733632744`}], 
   InsetBox["\<\"a\"\>", {0.8183730543690979, 0.5312113401392311}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7092208046684695, 0.7077828435668496}, {0.7278257062299391, 
    0.7197583974003701}, {0.7288943892934211, 0.6976583030964683}}], 
   CircleBox[{1.109238474794224, 0.5126983641528836}, 0.4339925775774546, {
    2.644234977331429, 3.691432528528026}], 
   InsetBox["\<\"b\"\>", {0.6753953112660553, 0.5013112287715152}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.24999993750001562, 0.2500001874999531}], 
   PolygonBox[{{0.6938373866118602, 0.5001717820605206}, {0.7144241977170563, 
    0.5118586632609656}, {0.6940096561538621, 0.5238439240607545}}], 
   CircleBox[{0.7005594624404686, 0.015266693504031537}, 
    0.49678548218658874, {1.5428838046019298`, 2.5900813557985263`}], 
   InsetBox["\<\"a\"\>", {0.4642706905282731, 0.452260322267184}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.686179127782884, 0.7554862070101853}, {0.7125159289568814, 
    0.7489010759679147}, {0.6936446376000268, 0.7293853026179484}}], 
   CircleBox[{0.8808428320894, 0.11765002878824271}, 0.6533083734987765, {
    1.8313887953512165`, 2.878586346547814}], 
   InsetBox["\<\"b\"\>", {0.4194419342464406, 0.5801660202451088}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.9999997500000625, 0.7500000624999844}], 
   PolygonBox[{{0.7933478888298124, 0.7279622362324579}, {0.7862220219303346, 
    0.7402943507350678}, {0.8004648798217122, 0.7402994752426973}}], 
   CircleBox[{0.8813934080232808, 0.8929307110930864}, 0.1798762108625128, {
    4.154856705727405, 5.201954256925067}], 
   InsetBox["\<\"a\"\>", {0.8752817615072107, 0.7131583577928146}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.30877294306135433`, 0.4831532579484258}, {
    0.2874325581540403, 0.502246946721234}, {0.31463837013690293`, 
    0.5111814177911019}}], 
   CircleBox[{0.44843307782963715, 1.2110591214322155}, 0.7268671586709098, {
    4.489037353746926, 5.536134904943522}], 
   InsetBox["\<\"b\"\>", {0.6633739073743757, 0.5166987638735908}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.49999987500003124, 0.2500001874999531}], 
   PolygonBox[{{0.9471539745474385, 0.7306780035121367}, {0.9730154525310615, 
    0.7239597670527409}, {0.9542665500967823, 0.7049221883692094}}], 
   CircleBox[{1.13030313887894, 0.11092974937038602}, 0.6328864186062904, {
    1.8219528372045808`, 2.8691503884011778`}], 
   InsetBox["\<\"a\"\>", {0.6875729979580215, 0.5631854747917899}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6913671710265012, 0.7343031971492968}, {0.7151523592673474, 
    0.7361471097436193}, {0.7048566402959657, 0.7146265761960904}}], 
   CircleBox[{0.9918530464805054, 0.31426414356468074}, 0.5045280046302417, {
    2.151287530606277, 3.198485081802874}], 
   InsetBox["\<\"b\"\>", {0.5412817390198296, 0.541275166092994}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "9"], {0.49999987500003124, 2.499999375293882*^-7}],
    PolygonBox[{{0.9425293346069413, 0.2315701811187553}, {0.963261094712245, 
    0.24248217549423087`}, {0.9434451503244784, 0.2549804092228508}}], 
   CircleBox[{0.9341079802870396, -0.24321611682404032}, 0.4865724357601586, {
    1.5108451601974042`, 2.558042711394001}], 
   InsetBox["\<\"b\"\>", {0.7165061718195668, 0.19198750011090532}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7053896597650062, 0.7104661389099045}, {0.733192274016658, 
    0.7164775932143744}, {0.7244970390321923, 0.6893940958285898}}], 
   CircleBox[{1.2057894654120505, 0.17695049510472244}, 0.7172430514891276, {
    2.2901624794968303`, 3.3373600306934277`}], 
   InsetBox["\<\"a\"\>", {0.5267447428516381, 0.40789607240008413}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "10"], {0.7499998125000469, 2.499999375293882*^-7}],
    PolygonBox[{{0.7356074562595487, 0.7002152721561856}, {0.7597055242649634,
     0.7137778530696967}, {0.7594020298742385, 0.6861270235381269}}], 
   CircleBox[{1.3367799958629945, 0.35818937034950643}, 0.67783339753467, {
    2.58935250710216, 3.636550058298758}], 
   InsetBox["\<\"b,a\"\>", {0.6592246022235227, 0.37760079387933965}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "11"], {0.9999997500000625, 0.2500001874999531}], 
   PolygonBox[{{0.9904615760142685, 0.7031901334019286}, {1.009705461764979, 
    0.7137778530696967}, {1.009252753090059, 0.6918182993081721}}], 
   CircleBox[{1.370580799601514, 0.48427059822333685}, 0.4276734612829574, {
    2.5751409668570404`, 3.6223385180536374`}], 
   InsetBox["\<\"a\"\>", {0.943299962012603, 0.5025920423548463}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7599890171518093, 0.7012291202619514}, {0.7732296000997075, 
    0.7205615458092625}, {0.783351680266501, 0.699428651841812}}], 
   CircleBox[{1.2576359374042263, 0.6730538449217277}, 0.4867303989524368, {
    3.0438312241515835`, 4.09102877534818}], 
   InsetBox["\<\"b\"\>", {0.8143738931005724, 0.47199355211346633}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "12"], {0.9999997500000625, 0.5000001249999688}], 
   PolygonBox[{{0.777148753318, 0.7142330650021623}, {0.7824738818610694, 
    0.7312468196867864}, {0.7945456613601757, 0.7181282457477588}}], 
   CircleBox[{1.0590263835476035, 0.7852564048195085}, 0.28177707762571697, {
    3.334461029473586, 4.381658580670184}], 
   InsetBox["\<\"b,a\"\>", {0.846529684173287, 0.6002064812034458}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "13"], {0.9999997500000625, 2.499999375293882*^-7}],
    PolygonBox[{{0.7410012196946317, 0.6923781810745083}, {0.7597259237935626,
     0.7137833252645375}, {0.7689009703843314, 0.6868646837415021}}], 
   CircleBox[{1.4605844922133115, 0.5627282032702884}, 0.7169521481996393, {
    2.9293112271629806`, 3.976508778359578}], 
   InsetBox["\<\"b,a\"\>", {0.7780956065046902, 0.34311649207919126}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.24999993750001562, 0.5000001249999688}], 
   PolygonBox[{{0.6938633806056742, 0.7501367605969759}, {0.7144241977170563, 
    0.7618586007609812}, {0.6939923778002359, 0.7738038706200013}}], 
   CircleBox[{0.7014701478081219, 0.26546481068654093}, 0.49656278780584356, {
    1.5447059309785582`, 2.591903482175157}], 
   InsetBox["\<\"b,a\"\>", {0.4644917890739299, 0.7018314681263136}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.7499998125000469, 0.7500000624999844}], 
   CircleBox[{0.7651015717442816, 0.8002811274211322}, 
    0.01874999531250117, {-1.338972522294493, 3.8970152336884953`}], 
   PolygonBox[{{0.7762067484941935, 0.7971450866528456}, {0.7694094379275781, 
    0.7820327134307158}, {0.7858957923327219, 0.7837022564136793}}], 
   InsetBox["\<\"b,a\"\>", {0.7830590949304058, 0.7948876419767626}, 
    ImageScaled[{0, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.24999993750001562`, 0.8250000437499891}, {
     0.24999993750001562`, 0.7875000531249867}}], 
    PolygonBox[{{0.24999993750001562`, 0.7875000531249867}, {
     0.23749994062501484`, 0.8062500484374879}, {0.2624999343750164, 
     0.8062500484374879}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081425964465`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->271173551,ExpressionUUID->"0c227018-f373-4d25-9b9c-0181c39b2ab7"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n reducido del nuevo aut\
\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.863708142607132*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->213913408,ExpressionUUID->"f4867a92-75e3-49a9-8f55-abe6d0f16b3e"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.99999950000025, 0.500000249999875}], 
   CircleBox[{1.1014216610495215, 0.4728242638521034}, 0.03749998125000937, {
    3.403392041388943, 8.639379797371932}], 
   PolygonBox[{{1.0695252736987657`, 0.43026074244580786`}, {
    1.0651994606747817`, 0.46311855451361356`}, {1.0958180671502682`, 
    0.45043591245050246`}}], 
   InsetBox["\<\"b,a\"\>", {1.0917159517110318, 0.4366020634773635}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5184373226955117, 0.10068842190989287`}, {
    0.5194111686771047, 0.07244490074922978}, {0.5433838525037658, 
    0.08741003668899426}}], 
   CircleBox[{0.21187606611310772, 0.25000037499981254}, 
    0.35511094850116565, {5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.5669870141703847, 0.24998261945239483}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.8992706709356493, 0.01843524629766049}, {0.9275550992507702,
     0.01941191867672975}, {0.9125670620017612, 0.043418615939609696`}}], 
   CircleBox[{0.7499996250001875, -0.2881231838872671}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"b,a\"\>", {0.7499996250001875, 0.06698776461389844}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.99999950000025, 4.999997500476638*^-7}], 
   CircleBox[{1.1014216610495215, -0.027175486148021545}, 
    0.03749998125000937, {3.403392041388943, 8.639379797371932}], 
   PolygonBox[{{1.0695252736987657`, -0.06973900755431707}, {
    1.0651994606747817`, -0.03688119548651142}, {
    1.0958180671502682`, -0.049563837549622514`}}], 
   InsetBox["\<\"b,a\"\>", {1.0917159517110318, -0.06339768652276141}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.816454574359485*^9, 3.816454740296342*^9, 
  3.8164556915018635`*^9, 3.8165153417706747`*^9, 3.832845471551189*^9, 
  3.8637081426112404`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[190]:=",
 CellID->141833938,ExpressionUUID->"4524241d-f8fb-487b-ade3-64d5f85d00f5"]
}, Open  ]]
}, Open  ]],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "9"], ":"}], 
  TraditionalForm]],ExpressionUUID->"6eaa2eb5-f165-411c-b65d-4244122874cf"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.8162001955975056`*^9}, {3.816201274797406*^9, 
   3.816201287447627*^9}},ExpressionUUID->"bc44f1cc-0b7e-4358-835f-\
4bf733b781ca"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A9", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataDeterministicoEquivalente", "[", "A9", "]"}]}], "Input",
 CellChangeTimes->{{3.8164542904144964`*^9, 3.8164542989622126`*^9}, {
   3.816454351115816*^9, 3.816454353568967*^9}, 3.816454473609949*^9},
 CellLabel->
  "In[192]:=",ExpressionUUID->"aac633cf-8c8a-4a44-87f7-2b02621b32c4"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico: \"\>"], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148050088*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->61726844,ExpressionUUID->"306159dd-7cae-4048-9847-f1947b0d647f"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b,a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"b,a\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5892635770872022, 0.06355517310266451}, {0.564797681810278, 
    0.03776585989649891}, {0.599364829831433, 0.029472429663435606`}}], 
   CircleBox[{0.4198572264696826, 0.5809809534637265}, 0.5622191507531479, {
    4.973034183487802, 6.0202317346843985`}], 
   InsetBox["\<\"b,a\"\>", {0.8169470908444458, 0.18297339940925517}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, 0.574246424901375}, 
    0.03749998125000937, {-1.8325957145940461`, 3.4033920413889422`}], 
   PolygonBox[{{1.0908327590147626`, 0.5581993945313295}, {
    1.0645399655632601`, 0.5380242245266351}, {1.0951585720387464`, 
    0.5253415824635241}}], 
   InsetBox["\<\"b\"\>", {1.100762165938, 0.5477299338651249}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.897046867940199, 0.003935410197932728}, {0.9251502420118132,
     0.004752652520939467}, {0.9103908023632346, 0.0286822672375108}}], 
   CircleBox[{0.7482013492236442, -0.2977553146881178}, 0.3504596708301863, {
    1.0415242496649075`, 2.0887218008355926`}], 
   InsetBox["\<\"b,a\"\>", {0.7501896019496949, 0.052698716148310065}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9005345614679446, 0.470228328013208}, {0.9352015681900969, 
    0.46223489010312613`}, {0.9109455445353162, 0.4362091005636173}}], 
   CircleBox[{1.0845982392392308, -0.07858070014125795}, 0.5610711790601481, {
    1.8403180348798136`, 2.8875155860764115`}], 
   InsetBox["\<\"b,a\"\>", {0.6848091317476614, 0.31508100424848734}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"b,a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4431011624890698, -0.08824653799164692}, 
    0.03749998125000937, {1.5217089415825562`, 6.757696697565544}], 
   PolygonBox[{{0.41233522354682395`, -0.04485886829695553}, {
    0.44494119935632953`, -0.050791727111358397`}, {
    0.4235002050012374, -0.0760629010703697}}], 
   InsetBox["\<\"a\"\>", {0.411584363206428, -0.06792561388055578}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5049482686829101, 0.1030257683138788}, {0.5047519025213144, 
    0.07484975798818684}, {0.5292512263214542, 0.0887677050666473}}], 
   CircleBox[{0.2066291004966243, 0.26389810051104295}, 0.3530105960133374, {
    5.717948167652212, 6.765245718848809}], 
   InsetBox["\<\"b\"\>", {0.5593344583546428, 0.24922119906902085}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"b,a\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9363851407333162, 0.08929191039906018}, {0.9622341401035012,
     0.06479843180990316}, {0.970521615103669, 0.09943106122146975}}], 
   CircleBox[{0.41917673720737675, -0.08041389755220157}, 
    0.5621369614596182, {0.2612848170458004, 1.308482368242398}], 
   InsetBox["\<\"b,a\"\>", {0.8168720791475693, 0.31687237006615643}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"b,a\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"b,a\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5295178633001305, 0.4003707541805588}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5635340047461117, 0.41080081559479065`}}], 
   CircleBox[{1.0783081990033883, 0.5847555937125606}, 0.56115434395707, {
    3.411654526026458, 4.458852077223056}], 
   InsetBox["\<\"a\"\>", {0.6848041852847455, 0.18469461219948197}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5838404533526426, -0.052219394520722474`}, {
    0.5701926594104697, -0.026418240384972307`}, {
    0.5993610113100737, -0.027499481193310325`}}], 
   CircleBox[{0.7816281980731824, 0.2865703717289634}, 0.37771266635183826, {
    4.11827016144143, 5.1653677126380915`}], 
   InsetBox["\<\"b,a\"\>", {0.7549951177257542, -0.09020215560526584}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, -0.07424567490174998}, 
    0.03749998125000937, {-3.4033920413889422`, 1.8325957145940457`}], 
   PolygonBox[{{1.0253408324638988`, -0.09515857203874666}, {
    1.03802347452701, -0.06453996556326014}, {
    1.0581986445317046`, -0.09083275901476269}}], 
   InsetBox["\<\"b,a\"\>", {1.0477291838654998, -0.10076216593799998}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148057067*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->12140279,ExpressionUUID->"eb5cce55-1c26-4fe6-93b4-c125a754f5ec"],

Cell[BoxData["\<\"Estados del nuevo aut\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081480650034`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->132260972,ExpressionUUID->"cb470765-cb12-4898-8a0a-3f500db5fc70"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081480689917`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->119398383,ExpressionUUID->"ace9a3e0-1f7b-4d45-b9e8-c063c915d38b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148072982*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->41369597,ExpressionUUID->"3c23b86b-b1af-4daf-97f3-e28de02a350f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081480759735`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->525212004,ExpressionUUID->"0f244cf8-e08c-423c-a586-673ae0f206b2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081480793295`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->20764903,ExpressionUUID->"6432445c-7f6f-44c6-bc9f-7aaeec15624a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "3"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081480832634`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->377367079,ExpressionUUID->"a59af315-49d5-445e-bde4-7308fb02f18a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081480872545`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->124826457,ExpressionUUID->"a8b76739-2057-4701-a30d-5d7142401652"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081480922446`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->723469669,ExpressionUUID->"f583a1da-0c8d-41bb-91e4-33a274cd2e51"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148096511*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->615832285,ExpressionUUID->"aa0e4248-f551-45ba-9218-3dad5cb7c8e6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "8"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 8], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148100069*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->391348539,ExpressionUUID->"e0ece1fc-ae64-4f96-9981-f4d39ff3c6d4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "9"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 9], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148104057*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->357650437,ExpressionUUID->"b0d89f93-1fb8-4acd-afb9-031a1628205e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "10"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 10], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081481070995`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->489652538,ExpressionUUID->"d3c75c99-ee81-4a99-805a-abfdeaad886d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "11"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 11], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148111038*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->68712012,ExpressionUUID->"e8780a36-9a17-49aa-98f1-7c081ccc8181"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "12"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 12], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148114113*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->181699036,ExpressionUUID->"8b3cbab6-7a73-4e68-bed7-ec6edec44570"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "13"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 13], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081481181097`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->2650827,ExpressionUUID->"41db468b-1cc6-413f-af62-f50a9cbdb9b6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "14"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 14], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081481220903`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->142510801,ExpressionUUID->"a12d6afe-47e3-4968-ba5b-1b0aa4208127"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "15"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 15], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081481250467`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->15039074,ExpressionUUID->"ffde87ff-fee4-40f6-99db-49eb6dd5e7eb"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "3"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Mu], 3]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081481281023`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->12981772,ExpressionUUID->"4764c98f-a806-46b2-8d81-794f465d1739"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "2"], ",", 
     SubscriptBox["\[Mu]", "3"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "5"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"], ",", 
     SubscriptBox["\[Mu]", "8"], ",", 
     SubscriptBox["\[Mu]", "9"], ",", 
     SubscriptBox["\[Mu]", "10"], ",", 
     SubscriptBox["\[Mu]", "11"], ",", 
     SubscriptBox["\[Mu]", "12"], ",", 
     SubscriptBox["\[Mu]", "13"], ",", 
     SubscriptBox["\[Mu]", "14"], ",", 
     SubscriptBox["\[Mu]", "15"]}], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Mu], 2], 
    Subscript[$CellContext`\[Mu], 3], 
    Subscript[$CellContext`\[Mu], 4], 
    Subscript[$CellContext`\[Mu], 5], 
    Subscript[$CellContext`\[Mu], 6], 
    Subscript[$CellContext`\[Mu], 7], 
    Subscript[$CellContext`\[Mu], 8], 
    Subscript[$CellContext`\[Mu], 9], 
    Subscript[$CellContext`\[Mu], 10], 
    Subscript[$CellContext`\[Mu], 11], 
    Subscript[$CellContext`\[Mu], 12], 
    Subscript[$CellContext`\[Mu], 13], 
    Subscript[$CellContext`\[Mu], 14], 
    Subscript[$CellContext`\[Mu], 15]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148135092*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->25529978,ExpressionUUID->"dac51e97-714f-433c-a99b-9f31f8320569"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b"},
     {
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"]},
     {
      SubscriptBox["\[Mu]", "1"], 
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "2"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "13"]},
     {
      SubscriptBox["\[Mu]", "3"], 
      SubscriptBox["\[Mu]", "13"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "12"]},
     {
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "6"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "8"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "9"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "10"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "12"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "13"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.86370814813805*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->46105172,ExpressionUUID->"c95f1d8a-34f5-4e12-9a6e-169933c9e3cc"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del nuevo aut\[OAcute]mata: \
\"\>"], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.86370814814152*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->251768575,ExpressionUUID->"218addc5-4814-47d8-80c5-19f4b12c5330"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.7499998125000469, 0.7500000624999844}], 
   CircleBox[{0.6974998256250436, 0.7500000624999844}, 0.01874999531250117, {
    0.5235987755982991, 5.759586531581288}], 
   PolygonBox[{{0.6973088877453806, 0.7615379672089535}, {0.7137377978865088, 
    0.759375060156235}, {0.7073964752696233, 0.7746843672213031}}], 
   InsetBox["\<\"b,a\"\>", {0.6974998256250436, 0.7687500578124856}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.49999987500003124, 0.5000001249999688}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.49999987500003124, 0.5000001249999688}], 
   PolygonBox[{{0.28682521421287255`, 0.4636349143849019}, {
    0.27819392323198083`, 0.4752746631150817}, {0.29258988681643006`, 
    0.47692970600689955`}}], 
   CircleBox[{0.3579783092384736, 0.6435047735689521}, 0.18619054302986354, {
    4.2695466588167, 5.316644210013314}], 
   InsetBox["\<\"b\"\>", {0.37298878015255643, 0.45792028047566335}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2946952155496986, 0.2816577142420703}, {
    0.28247588202294593`, 0.2687501828124543}, {0.29976379890451577`, 
    0.2646216952757796}}], 
   CircleBox[{0.20971954926591949, 0.5402805132340648}, 0.28110888334437295, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"a\"\>", {0.40847366853690037, 0.3414866391636172}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.9999997500000625, 0.7500000624999844}], 
   PolygonBox[{{0.5477750808799426, 0.7216410704888431}, {0.5362220844303189, 
    0.7402943507350678}, {0.5581527972122717, 0.740972899027161}}], 
   CircleBox[{0.7463997086986934, 1.1117304328886775}, 0.42677792453393837, {
    4.197457301302372, 5.244554852501426}], 
   InsetBox["\<\"b\"\>", {0.7500772497531841, 0.6849683533158919}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.30772066275901017`, 0.4902881549931131}, {
    0.2863746863987436, 0.5091175226237292}, {0.31335438528418685`, 
    0.5181889966049942}}], 
   CircleBox[{0.44058365194950105, 1.2105604560104217}, 0.7181939806586812, {
    4.495986192923512, 5.543083744120109}], 
   InsetBox["\<\"a\"\>", {0.6577220081190004, 0.5259777158435593}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.24999993750001562, 0.7500000624999844}], 
   PolygonBox[{{0.25479152568895586`, 0.5512735982281359}, {
    0.2548946684845848, 0.5371792980066935}, {0.2670491191271041, 
    0.5443157723986468}}], 
   CircleBox[{0.1043613239185728, 0.6296450071110946}, 0.17666407440792678, {
    5.732250798262844, 6.779548349459442}], 
   InsetBox["\<\"b\"\>", {0.280959638211789, 0.6248251964090115}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.44963544787663046`, 0.7592174379532824}, {
    0.46377766556974354`, 0.759705774264901}, {0.4562836450717349, 
    0.7717091258971774}}], 
   CircleBox[{0.37499990625002344, 0.6059381845410244}, 0.17755551863944025, {
    1.0471975511965976`, 2.0943951023931957`}], 
   InsetBox["\<\"a\"\>", {0.37499990625002344, 0.7834937031804647}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.7499998125000469, 0.5000001249999688}], 
   PolygonBox[{{0.2967652095946557, 0.49042801192543534`}, {
    0.28622214693030334`, 0.5097058367648853}, {0.3081887643031499, 
    0.5091974844461806}}], 
   CircleBox[{0.5168106609004864, 0.8702740115433976}, 0.4279958778283651, {
    4.14342041127555, 5.190517962472109}], 
   InsetBox["\<\"a\"\>", {0.4973778596221196, 0.442719526509562}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.544695153049714, 0.28165771424207037`}, {0.5324758195229615,
     0.2687501828124543}, {0.5497637364045315, 0.26462169527577967`}}], 
   CircleBox[{0.4597194867659356, 0.5402805132340642}, 0.281108883344373, {
    4.974088368183838, 6.021285919380439}], 
   InsetBox["\<\"b\"\>", {0.6584736060369167, 0.34148663916361677}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.24999993750001562, 2.499999375293882*^-7}],
    PolygonBox[{{0.21263884692007914`, 0.4556812711405794}, {
    0.23124994218751446`, 0.4675241804770385}, {0.23220065489388633`, 
    0.4454850445149576}}], 
   CircleBox[{0.6092903310837967, 0.2597058992648697}, 0.4313965387469311, {
    2.63896054187306, 3.6861580930696576`}], 
   InsetBox["\<\"b,a\"\>", {0.17798861003698319, 0.2506616157172853}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.9999997500000625, 0.5000001249999688}], 
   PolygonBox[{{0.300326515430391, 0.46602322808428326`}, {
    0.28606009291447426`, 0.48970864850918516`}, {0.31370547995971254`, 
    0.4902210226166404}}], 
   CircleBox[{0.6244115296089121, 1.0769220570956577}, 0.6777177007993294, {
    4.1896545245188666`, 5.236752075765487}], 
   InsetBox["\<\"b,a\"\>", {0.6249634084616783, 0.3992045809992675}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.7499998125000469, 0.2500001874999531}], 
   PolygonBox[{{0.2864520870289737, 0.46378781920003576`}, {
    0.2852347120552088, 0.4871642394083948}, {0.3060879732920701, 
    0.47653030695742715`}}], 
   CircleBox[{0.6981272390679688, 0.7430229944545613}, 0.48574061122862433, {
    3.6963528501820067`, 4.743450401378605}], 
   InsetBox["\<\"b,a\"\>", {0.4684597981300579, 0.31500803213456396}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.49999987500003124, 2.499999375293882*^-7}],
    PolygonBox[{{0.22619264309675186`, 0.4439937590446978}, {
    0.23813784173683908`, 0.46442569624868046`}, {0.24985981908397287`, 
    0.44386488217112224`}}], 
   CircleBox[{0.7345344376959534, 0.4514741342111568}, 0.49656552783999036, {
    3.115507413634855, 4.162704964831453}], 
   InsetBox["\<\"b,a\"\>", {0.2981665942244785, 0.21449221797478527}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "9"], {0.9999997500000625, 0.2500001874999531}], 
   PolygonBox[{{0.2928643152260307, 0.4698048638864993}, {0.2874323332847054, 
    0.4977495600278786}, {0.3143491410148395, 0.48848144631127494`}}], 
   CircleBox[{0.8376111770078195, 0.9596821689924888}, 0.7183860350155438, {
    3.8400205243137857`, 4.887118075510383}], 
   InsetBox["\<\"b,a\"\>", {0.5920748697682482, 0.28455964890261}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "10"], {0.7499998125000469, 2.499999375293882*^-7}],
    PolygonBox[{{0.2449788288648895, 0.43619643336045516`}, {
    0.2508208818627092, 0.46250912144940187`}, {0.2706873116906834, 
    0.44429341109856163`}}], 
   CircleBox[{0.8684788348093552, 0.6448063253780533}, 0.6439981501514159, {
    3.4285872261295367`, 4.475784777326134}], 
   InsetBox["\<\"b,a\"\>", {0.42471995867239176, 0.17810333926364585}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "11"], {0.9999997500000625, 2.499999375293882*^-7}],
    PolygonBox[{{0.2783418175264964, 0.4471387559489148}, {
    0.28010859910797004`, 0.4776457564548063}, {0.3056450457486, 
    0.4608621784693659}}], 
   CircleBox[{1.0255392101379674, 0.837512088062007}, 0.827750308054899, {
    3.5913558329695445`, 4.638553384166142}], 
   InsetBox["\<\"b,a\"\>", {0.5599105300310327, 0.15314339740845717}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "12"], {0.49999987500003124, 0.2500001874999531}], 
   PolygonBox[{{0.26820411094295526`, 0.4528608290664216}, {0.272611694202629,
     0.47008428044065403`}, {0.28532384900372343`, 0.4576554756813654}}], 
   CircleBox[{0.5444282555339024, 0.5382161797486817}, 0.28022526423803606, {
    3.3871867199993946`, 4.4343842711959915`}], 
   InsetBox["\<\"b,a\"\>", {0.34309415790570247, 0.3433039434742097}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.49999987500003124, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "13"], {0.49999987500003124, 0.7500000624999844}], 
   PolygonBox[{{0.2856894988786263, 0.5419927489106311}, {
    0.27282848538070564`, 0.5297508678232045}, {0.2898607721414857, 
    0.5247338439593039}}], 
   CircleBox[{0.21442277774971427, 0.8041357150620121}, 0.28053212129476546, {
    4.9220193138815915`, 5.969216865078192}], 
   InsetBox["\<\"b,a\"\>", {0.4021751848253018, 0.5956955444723105}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.24999993750001562, 0.2500001874999531}], 
   PolygonBox[{{0.23763877114613094`, 0.4556955788864231}, {
    0.24999993750001562`, 0.4625001343749665}, {0.24971227223761275`, 
    0.44839277254782517`}}], 
   CircleBox[{0.39780808036633336, 0.3659558727023764}, 0.17654472962820303, {
    2.5629902114300798`, 3.6101877626266763`}], 
   InsetBox["\<\"b,a\"\>", {0.22153034292160761, 0.375661584467293}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.24999993750001562, 0.5000001249999688}], 
   CircleBox[{0.20028611812997743, 0.5168756927094929}, 0.01874999531250117, {
    0.19634954084936274`, 5.432337296832351}], 
   PolygonBox[{{0.2038140512192323, 0.5278626572796041}, {
    0.21867583754010814`, 0.5205336353328096}, {0.217592063570488, 
    0.5370688308057014}}], 
   InsetBox["\<\"b,a\"\>", {0.20631310659766458, 0.5346306281987923}, 
    ImageScaled[{0, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.24999993750001562`, 0.8250000437499891}, {
     0.24999993750001562`, 0.7875000531249867}}], 
    PolygonBox[{{0.24999993750001562`, 0.7875000531249867}, {
     0.23749994062501484`, 0.8062500484374879}, {0.2624999343750164, 
     0.8062500484374879}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148151052*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->42862325,ExpressionUUID->"1add2e7b-e59e-4747-8896-805c249a07c7"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n reducido del nuevo aut\
\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.8637081481593065`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->152837095,ExpressionUUID->"285e47ee-f814-49a3-bbbe-2d0d89b5b985"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5184373226955117, 0.10068842190989287`}, {
    0.5194111686771047, 0.07244490074922978}, {0.5433838525037658, 
    0.08741003668899426}}], 
   CircleBox[{0.21187606611310772, 0.25000037499981254}, 
    0.35511094850116565, {5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.5669870141703847, 0.24998261945239483}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.8992706709356493, 0.5184349962977854}, {0.9275550992507702, 
    0.5194116686768547}, {0.9125670620017612, 0.5434183659397347}}], 
   CircleBox[{0.7499996250001875, 0.21187656611285788}, 0.35511094850116554, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.7499996250001875, 0.5669875146140234}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Mu]", "13"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{0.5893902837518628, 0.06331553765522902}, {0.5649516228080215,
     0.03750048124975942}, {0.599527447927207, 0.029243508240653027`}}], 
   CircleBox[{0.41943899367211673, 0.5805610063278832}, 0.5622176261343743, {
    4.974088368183839, 6.021285919380437}], 
   InsetBox["\<\"b,a\"\>", {0.8169471328370685, 0.18297335758387556}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.499999750000125, 4.999997500476638*^-7}], 
   CircleBox[{0.4360798319141684, -0.08330155907980008}, 
    0.03749998125000937, {-4.843288674284264, 0.3926990816987246}], 
   PolygonBox[{{0.4089624846467197, -0.03754478518007859}, {
    0.44097456167505544`, -0.04612239536786405}, {
    0.41754009483450516`, -0.06955686220841434}}], 
   InsetBox["\<\"b,a\"\>", {0.40632909652861476, -0.06047301690624414}, 
    ImageScaled[{1, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{
  3.816454597340864*^9, 3.816454755496018*^9, {3.816455698727751*^9, 
   3.8164557011108847`*^9}, 3.816515348721402*^9, 3.8328454776366286`*^9, 
   3.863708148164297*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[192]:=",
 CellID->30844558,ExpressionUUID->"0e696e30-b147-4cd8-9d10-5a100dd7a83e"]
}, Open  ]]
}, Open  ]],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["A", "10"], ":"}], 
  TraditionalForm]],ExpressionUUID->"8f8f44c6-47b8-4eae-a7e0-8e66376fd8bf"]], \
"Text",
 CellChangeTimes->{{3.804849466946885*^9, 3.8048494709032283`*^9}, {
   3.8068507349448433`*^9, 3.806850738079356*^9}, {3.8087629092678003`*^9, 
   3.8087629124759164`*^9}, {3.8101220199387784`*^9, 3.810122020332736*^9}, {
   3.8106509469355345`*^9, 3.8106509472668324`*^9}, {3.810657833183112*^9, 
   3.8106578335062475`*^9}, {3.8113407849656515`*^9, 3.811340785528795*^9}, 
   3.816163405297324*^9, {3.816199935247304*^9, 3.8161999619140067`*^9}, {
   3.816200040897566*^9, 3.816200052297371*^9}, 3.8162000970641155`*^9, {
   3.816200135297403*^9, 3.816200197847227*^9}, {3.816201277113969*^9, 
   3.81620129031421*^9}},ExpressionUUID->"9b2d969a-40a9-468e-9998-\
3e2f3c1a9e01"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"A10", "=", 
   RowBox[{"Automata", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "2"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b", ",", "c"}], "}"}], ",", 
     SubscriptBox["\[Sigma]", "3"], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "0"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "1"], ",", "c", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "a", ",", 
         RowBox[{"{", "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "2"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "a", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "b", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         SubscriptBox["\[Sigma]", "3"], ",", "c", ",", 
         RowBox[{"{", 
          RowBox[{
           SubscriptBox["\[Sigma]", "0"], ",", 
           SubscriptBox["\[Sigma]", "1"], ",", 
           SubscriptBox["\[Sigma]", "2"], ",", 
           SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox["\[Sigma]", "0"], ",", 
       SubscriptBox["\[Sigma]", "1"], ",", 
       SubscriptBox["\[Sigma]", "3"]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"AutomataDeterministicoEquivalente", "[", "A10", "]"}]}], "Input",
 CellChangeTimes->{{3.8164543573481555`*^9, 3.816454360654462*^9}, 
   3.816454476508701*^9},
 CellLabel->
  "In[194]:=",ExpressionUUID->"1da71481-1e27-46cb-a073-94fcfc4744d7"],

Cell[CellGroupData[{

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del aut\[OAcute]mata no \
determin\[IAcute]stico: \"\>"], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543209963`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->390163130,ExpressionUUID->"dbe5de90-fa5b-40f9-99b6-95ccf600ce4a"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.99999950000025, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "0"], {0.99999950000025, 0.500000249999875}], 
   PolygonBox[{{1.0520587484731136`, 0.08278086960857318}, {1.05303248207275, 
    0.053033482072250074`}, {1.078307608575608, 0.06875045387421518}}], 
   CircleBox[{0.7118758161132326, 0.25000037499981254}, 0.3939337858551252, {
    5.759486531581288, 6.8067840827778845`}], 
   InsetBox["\<\"a\"\>", {1.1058096014759404, 0.24998067831052795}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5882411225275879, 0.4572040064023616}, {0.5724441507496048, 
    0.4805888313228953}, {0.6005944890828299, 0.48257699772522766`}}], 
   CircleBox[{0.7379001752654436, 0.7925090990623218}, 0.35308632014726027, {
    4.224684358663522, 5.271781909859713}], 
   InsetBox["\<\"c,b\"\>", {0.7505535457349484, 0.43964957787733944}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5892635770872022, 0.06355517310266451}, {0.564797681810278, 
    0.03776585989649891}, {0.599364829831433, 0.029472429663435606`}}], 
   CircleBox[{0.4198572264696826, 0.5809809534637265}, 0.5622191507531479, {
    4.973034183487802, 6.0202317346843985`}], 
   InsetBox["\<\"c,a\"\>", {0.8169470908444458, 0.18297339940925517}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, 0.574246424901375}, 
    0.03749998125000937, {-1.8325957145940461`, 3.4033920413889422`}], 
   PolygonBox[{{1.0908327590147626`, 0.5581993945313295}, {
    1.0645399655632601`, 0.5380242245266351}, {1.0951585720387464`, 
    0.5253415824635241}}], 
   InsetBox["\<\"c,b,a\"\>", {1.100762165938, 0.5477299338651249}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 0.07499996250001874],
    CircleBox[{0.499999750000125, 4.999997500476638*^-7}, 
    0.04999997500001249], InsetBox[
    SubscriptBox["\[Sigma]", 
     "1"], {0.499999750000125, 4.999997500476638*^-7}], 
   PolygonBox[{{0.897046867940199, 0.003935410197932728}, {0.9251502420118132,
     0.004752652520939467}, {0.9103908023632346, 0.0286822672375108}}], 
   CircleBox[{0.7482013492236442, -0.2977553146881178}, 0.3504596708301863, {
    1.0415242496649075`, 2.0887218008355926`}], 
   InsetBox["\<\"b,a\"\>", {0.7501896019496949, 0.052698716148310065}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9005345614679446, 0.470228328013208}, {0.9352015681900969, 
    0.46223489010312613`}, {0.9109455445353162, 0.4362091005636173}}], 
   CircleBox[{1.0845982392392308, -0.07858070014125795}, 0.5610711790601481, {
    1.8403180348798136`, 2.8875155860764115`}], 
   InsetBox["\<\"b\"\>", {0.6848091317476614, 0.31508100424848734}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.45459154652682254`, 0.4144284442648523}, {
    0.48058833132314527`, 0.4275558492503953}, {0.47895860512823063`, 
    0.3984782707072913}}], 
   CircleBox[{0.7881234338871421, 0.21117753764585312}, 0.37602847371160686, {
    2.5284620315250943`, 3.575659582721692}], 
   InsetBox["\<\"a\"\>", {0.41360106670899666, 0.2447991010413736}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.4431011624890698, -0.08824653799164692}, 
    0.03749998125000937, {1.5217089415825562`, 6.757696697565544}], 
   PolygonBox[{{0.41233522354682395`, -0.04485886829695553}, {
    0.44494119935632953`, -0.050791727111358397`}, {
    0.4235002050012374, -0.0760629010703697}}], 
   InsetBox["\<\"a\"\>", {0.411584363206428, -0.06792561388055578}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.99999950000025, 4.999997500476638*^-7}, 0.07499996250001874], 
   InsetBox[
    SubscriptBox["\[Sigma]", "2"], {0.99999950000025, 4.999997500476638*^-7}],
    PolygonBox[{{0.978812125551998, 0.41084029156276597`}, {
    1.0030666045038166`, 0.4250630279739124}, {1.00325661607129, 
    0.3969466648405094}}], 
   CircleBox[{1.3015887641002981, 0.24138644198239934}, 0.3505033067057211, {
    2.59000900649303, 3.637206557689627}], 
   InsetBox["\<\"c,b\"\>", {0.9512226973013962, 0.2511939517332059}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5295178633001305, 0.4003707541805588}, {0.5374932358753645, 
    0.43504462751861916`}, {0.5635340047461117, 0.41080081559479065`}}], 
   CircleBox[{1.0783081990033883, 0.5847555937125606}, 0.56115434395707, {
    3.411654526026458, 4.458852077223056}], 
   InsetBox["\<\"c,b\"\>", {0.6848041852847455, 0.18469461219948197}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5838404533526426, -0.052219394520722474`}, {
    0.5701926594104697, -0.026418240384972307`}, {
    0.5993610113100737, -0.027499481193310325`}}], 
   CircleBox[{0.7816281980731824, 0.2865703717289634}, 0.37771266635183826, {
    4.11827016144143, 5.1653677126380915`}], 
   InsetBox["\<\"b\"\>", {0.7549951177257542, -0.09020215560526584}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{1.07424567490175, -0.07424567490174998}, 
    0.03749998125000937, {-3.4033920413889422`, 1.8325957145940457`}], 
   PolygonBox[{{1.0253408324638988`, -0.09515857203874666}, {
    1.03802347452701, -0.06453996556326014}, {
    1.0581986445317046`, -0.09083275901476269}}], 
   InsetBox["\<\"c,b\"\>", {1.0477291838654998, -0.10076216593799998}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.07499996250001874], 
   CircleBox[{0.499999750000125, 0.500000249999875}, 0.04999997500001249], 
   InsetBox[
    SubscriptBox["\[Sigma]", "3"], {0.499999750000125, 0.500000249999875}], 
   PolygonBox[{{0.5049482686829101, 0.1030257683138788}, {0.5047519025213144, 
    0.07484975798818684}, {0.5292512263214542, 0.0887677050666473}}], 
   CircleBox[{0.2066291004966243, 0.26389810051104295}, 0.3530105960133374, {
    5.717948167652212, 6.765245718848809}], 
   InsetBox["\<\"c,b,a\"\>", {0.5593344583546428, 0.24922119906902085}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9180635962529156, 0.549457941866081}, {0.94696651792775, 
    0.5530332320723751}, {0.9294187649457804, 0.5762762513832265}}], 
   CircleBox[{0.7888224623541493, 0.21187656611283145}, 0.37602847371160686, {
    1.136729397663033, 2.1839269488595603`}], 
   InsetBox["\<\"c,b\"\>", {0.755200898958629, 0.5863989332909769}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.9363851407333162, 0.08929191039906018}, {0.9622341401035012,
     0.06479843180990316}, {0.970521615103669, 0.09943106122146975}}], 
   CircleBox[{0.41917673720737675, -0.08041389755220157}, 
    0.5621369614596182, {0.2612848170458004, 1.308482368242398}], 
   InsetBox["\<\"c,b,a\"\>", {0.8168720791475693, 0.31687237006615643}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.3958980916067041, 0.5137054933303588}, 0.03749998125000937, {
    0.3926990816987246, 5.6286868376817125`}], 
   PolygonBox[{{0.398531479724809, 0.5366337250565242}, {0.43054355675314476`,
     0.5280561148687388}, {0.4219659465653593, 0.5600681918970746}}], 
   InsetBox["\<\"c\"\>", {0.40079282136759115, 0.5508846570422947}, 
    ImageScaled[{0, 0}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.499999750000125, 0.6500001749999125}, {0.499999750000125, 
     0.5750002124998937}}], 
    PolygonBox[{{0.499999750000125, 0.5750002124998937}, {0.4749997625001187, 
     0.6125001937499032}, {0.5249997375001312, 0.6125001937499032}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.863708154341881*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->73977840,ExpressionUUID->"c300305f-2e82-4640-81e5-d0a29df4d6dd"],

Cell[BoxData["\<\"Estados del nuevo aut\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.863708154354847*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->707933908,ExpressionUUID->"b67d2aa5-46d4-40ba-a154-4a8bb026a1f6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "0"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 0], "=", {}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543588843`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->618760013,ExpressionUUID->"656b154b-953c-48e5-8d7c-44dd4ed6c65d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "1"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "0"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 1], "=", {
    Subscript[$CellContext`\[Sigma], 0]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543616714`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->809964821,ExpressionUUID->"18948850-fce1-4f68-b057-11dd7de852e6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "2"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "1"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 2], "=", {
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543646603`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->429639588,ExpressionUUID->"cbac9092-fbb1-4b33-88a5-d355a1aac6b2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "3"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "2"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 3], "=", {
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543686476`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->527251830,ExpressionUUID->"0172d54e-12b1-4a3a-b271-bcd923b9875a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "4"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    SubscriptBox["\[Sigma]", "3"], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 4], "=", {
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543731914`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->138764242,ExpressionUUID->"91981577-b37c-4954-bd16-95819f1b5f92"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "5"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 5], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543774185`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->233175248,ExpressionUUID->"c9e51a0a-13e3-4511-9351-3a1cda76641d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "6"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 6], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543801737`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->211533917,ExpressionUUID->"e902ddd7-dbca-436e-a81b-c3b58f1f5d4c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "7"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 7], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.863708154384164*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->14892049,ExpressionUUID->"d16b0102-b28a-4ece-a59e-366910020afe"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "8"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 8], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543891506`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->146451000,ExpressionUUID->"f533507a-9040-4a32-a58b-b730f5bb1c62"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "9"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 9], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543931675`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->316048421,ExpressionUUID->"29537b9f-cc17-4287-ab06-c6a0466c6f6b"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "10"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 10], "=", {
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081543961906`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->282137190,ExpressionUUID->"437e7397-fd86-4965-bdaa-476de3da2a88"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "11"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 11], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.863708154400275*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->233501562,ExpressionUUID->"783a0a74-558f-4376-8762-69bd8adf852c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "12"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 12], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081544054728`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->550460444,ExpressionUUID->"618872b6-e707-465b-892d-9c459ca8a436"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "13"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 13], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081544112844`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->7887197,ExpressionUUID->"96f757da-8d55-45ec-9248-0d0541c5a4c6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "14"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 14], "=", {
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.863708154415049*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->223144368,ExpressionUUID->"9d882e4e-71c0-422f-9ffa-14a7e58be0db"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   SubscriptBox["\[Mu]", "15"], "\[InvisibleSpace]", "\<\"=\"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Sigma]", "0"], ",", 
     SubscriptBox["\[Sigma]", "1"], ",", 
     SubscriptBox["\[Sigma]", "2"], ",", 
     SubscriptBox["\[Sigma]", "3"]}], "}"}]}],
  SequenceForm[
   Subscript[$CellContext`\[Mu], 15], "=", {
    Subscript[$CellContext`\[Sigma], 0], 
    Subscript[$CellContext`\[Sigma], 1], 
    Subscript[$CellContext`\[Sigma], 2], 
    Subscript[$CellContext`\[Sigma], 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081544176927`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->677965001,ExpressionUUID->"fa5edf8c-002d-4bc9-ae77-eff3d5f2585e"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estado inicial: \"\>", "\[InvisibleSpace]", 
   SubscriptBox["\[Mu]", "4"]}],
  SequenceForm["Estado inicial: ", 
   Subscript[$CellContext`\[Mu], 4]],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.863708154420701*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->40008707,ExpressionUUID->"ba664dfa-c1ba-49ab-b544-e67b79ca79f5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Estados aceptados: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["\[Mu]", "1"], ",", 
     SubscriptBox["\[Mu]", "2"], ",", 
     SubscriptBox["\[Mu]", "4"], ",", 
     SubscriptBox["\[Mu]", "5"], ",", 
     SubscriptBox["\[Mu]", "6"], ",", 
     SubscriptBox["\[Mu]", "7"], ",", 
     SubscriptBox["\[Mu]", "8"], ",", 
     SubscriptBox["\[Mu]", "9"], ",", 
     SubscriptBox["\[Mu]", "10"], ",", 
     SubscriptBox["\[Mu]", "11"], ",", 
     SubscriptBox["\[Mu]", "12"], ",", 
     SubscriptBox["\[Mu]", "13"], ",", 
     SubscriptBox["\[Mu]", "14"], ",", 
     SubscriptBox["\[Mu]", "15"]}], "}"}]}],
  SequenceForm["Estados aceptados: ", {
    Subscript[$CellContext`\[Mu], 1], 
    Subscript[$CellContext`\[Mu], 2], 
    Subscript[$CellContext`\[Mu], 4], 
    Subscript[$CellContext`\[Mu], 5], 
    Subscript[$CellContext`\[Mu], 6], 
    Subscript[$CellContext`\[Mu], 7], 
    Subscript[$CellContext`\[Mu], 8], 
    Subscript[$CellContext`\[Mu], 9], 
    Subscript[$CellContext`\[Mu], 10], 
    Subscript[$CellContext`\[Mu], 11], 
    Subscript[$CellContext`\[Mu], 12], 
    Subscript[$CellContext`\[Mu], 13], 
    Subscript[$CellContext`\[Mu], 14], 
    Subscript[$CellContext`\[Mu], 15]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081544236927`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->369718226,ExpressionUUID->"9ef8a251-2379-492c-9217-8179935e837e"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\<\" \"\>", "a", "b", "c"},
     {
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "0"]},
     {
      SubscriptBox["\[Mu]", "1"], 
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "12"]},
     {
      SubscriptBox["\[Mu]", "2"], 
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "6"], 
      SubscriptBox["\[Mu]", "0"]},
     {
      SubscriptBox["\[Mu]", "3"], 
      SubscriptBox["\[Mu]", "0"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "13"]},
     {
      SubscriptBox["\[Mu]", "4"], 
      SubscriptBox["\[Mu]", "8"], 
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "5"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "13"], 
      SubscriptBox["\[Mu]", "12"]},
     {
      SubscriptBox["\[Mu]", "6"], 
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "7"], 
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "8"], 
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "13"]},
     {
      SubscriptBox["\[Mu]", "9"], 
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "10"], 
      SubscriptBox["\[Mu]", "8"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "12"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "13"], 
      SubscriptBox["\[Mu]", "11"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "14"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]},
     {
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"], 
      SubscriptBox["\[Mu]", "15"]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.86370815442868*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->134873944,ExpressionUUID->"7aca9313-6faa-40ef-af89-10233a93e9a1"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n del nuevo aut\[OAcute]mata: \
\"\>"], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081544321127`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->25240702,ExpressionUUID->"85334056-f94e-4e67-ba4a-a2eb3d6b599c"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.9999997500000625, 0.7500000624999844}, 0.03749999062500234], 
   InsetBox[
    SubscriptBox["\[Mu]", "0"], {0.9999997500000625, 0.7500000624999844}], 
   CircleBox[{1.0276999840510241, 0.794597659468851}, 
    0.01874999531250117, {-1.602998240769531, 3.6329895152134575`}], 
   PolygonBox[{{1.0376019264890166`, 0.788672185791429}, {1.0270963026601405`,
     0.7758573848444726}, {1.0434470577390837`, 0.773166648199541}}], 
   InsetBox["\<\"c,b,a\"\>", {1.0436276972541907, 0.7847047187363647}, 
    ImageScaled[{0, 1}]], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "1"], {0.7499998125000469, 0.5000001249999688}], 
   PolygonBox[{{0.2952589733785254, 0.46453315041936893`}, {
    0.2835124926143694, 0.48317282733864886`}, {0.30552816672687827`, 
    0.4840257396258333}}], 
   CircleBox[{0.4924775735405483, 0.8593541363031996}, 0.43032404332185387, {
    4.2053403165568195`, 5.252437867753733}], 
   InsetBox["\<\"a\"\>", {0.49957764617253564, 0.4290886703063463}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.3001362053046992, 0.039151814869285914`}, {
    0.28189933483836777`, 0.019715161775677094`}, {0.3078504054151441, 
    0.013639895213112332`}}], 
   CircleBox[{0.10971630622621248, 0.6290223391361796}, 0.6331684070806733, {
    4.987696119570571, 6.034893670767169}], 
   InsetBox["\<\"c\"\>", {0.5634406111183647, 0.18739298450131103}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5451878736561226, 0.2813471921152273}, {0.5324758195229615, 
    0.2687501828124543}, {0.5497411766574525, 0.26403972565024025`}}], 
   CircleBox[{0.4674859891188046, 0.5462399600916245}, 0.2849986921906913, {
    4.942348565399167, 5.989546116595763}], 
   InsetBox["\<\"b\"\>", {0.6624929390728064, 0.33840217714530385}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "2"], {0.9999997500000625, 0.5000001249999688}], 
   PolygonBox[{{0.9782906866028697, 0.7062838325716883}, {0.990294038235146, 
    0.7137778530696968}, {0.9907823745467644, 0.6996356353765838}}], 
   CircleBox[{1.1440616279590226, 0.6250000937499767}, 0.17755551863944025, {
    2.617993877991494, 3.6651914291880923`}], 
   InsetBox["\<\"c\"\>", {0.9665061093195824, 0.6250000937499767}, 
    ImageScaled[{0, Rational[1, 2]}]], 
   PolygonBox[{{0.30907331408587696`, 0.23376765511253414`}, {
    0.2874325581540403, 0.2522470092212183}, {0.3142565262236074, 
    0.26174877656094553`}}], 
   CircleBox[{0.4302795777078896, 0.9557417128042922}, 0.7178510074972765, {
    4.512059152005175, 5.559156703201773}], 
   InsetBox["\<\"a\"\>", {0.6582837480361413, 0.27506251723726116}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7947515232248433, 0.28161754566026387`}, {
    0.7824757570229772, 0.2687501828124543}, {0.7997571032298255, 
    0.2645527388546246}}], 
   CircleBox[{0.7106843407291893, 0.5408570604186428}, 0.28141812360624086, {
    4.970246178596669, 6.017443729793268}], 
   InsetBox["\<\"b\"\>", {0.9088909932492281, 0.34108147835001745}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 2.499999375293882*^-7}, 
    0.03749999062500234], InsetBox[
    SubscriptBox["\[Mu]", "3"], {0.49999987500003124, 2.499999375293882*^-7}],
    PolygonBox[{{0.9412568916444912, 0.7260102163383193}, {0.9718316429906134,
     0.7252451227024512}, {0.9558816767926168, 0.6991491581402509}}], 
   CircleBox[{1.356641889491017, -0.009223844895707267}, 0.8291704228784375, {
    2.0534040693675206`, 3.100601620564118}], 
   InsetBox["\<\"a\"\>", {0.6561519565860362, 0.4344398160854262}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.71980596961797, 0.7071420266315664}, {0.7477529907787818, 
    0.7125674418459598}, {0.7384780276001192, 0.6856519039533988}}], 
   CircleBox[{1.209586197771247, 0.16223728673979415}, 0.7184380214744498, {
    2.2689828088321, 3.3161803600286976`}], 
   InsetBox["\<\"b\"\>", {0.534461830651452, 0.4079205780341317}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.47087340288575774`, 0.45298706614756595`}, {
    0.49029416323511466`, 0.4637779155696811}, {0.48992893278840055`, 
    0.4415636190352709}}], 
   CircleBox[{0.8605680497785269, 0.23058876397012001}, 0.4375841993030449, {
    2.579567161922866, 3.6267647131194636`}], 
   InsetBox["\<\"c\"\>", {0.4233068818741542, 0.24739954987057453}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.24999993750001562, 0.7500000624999844}], 
   PolygonBox[{{0.2513220817416081, 0.5515701455129577}, {0.251123853261999, 
    0.5374832693482653}, {0.26342256012039267`, 0.5443550365315165}}], 
   CircleBox[{0.1027391632111031, 0.6330626145576169}, 0.17650333558363362, {
    5.710846199498505, 6.7581437506951}], 
   InsetBox["\<\"b\"\>", {0.27903331762236644, 0.6244720038362286}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7013621740112314, 0.774681798979531}, {0.7234833148346758, 
    0.7765165601653555}, {0.7108337946261519, 0.7947566494862391}}], 
   CircleBox[{0.5284555820774506, 0.38568562281410657}, 0.4367890087161774, {
    1.1079426974452737`, 2.155140248641814}], 
   InsetBox["\<\"c\"\>", {0.5019390844120795, 0.8216690095237646}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.4494713303754016, 0.7599305014695266}, {
    0.46377766556974354`, 0.759705774264901}, {0.45681911744069975`, 
    0.7722077875805693}}], 
   CircleBox[{0.36529419448510736, 0.6072159657357483}, 0.18152723151675887, {
    0.9973536268476115, 2.0445511780442605`}], 
   InsetBox["\<\"a\"\>", {0.3743384780326919, 0.7885177492825459}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.9999997500000625, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "5"], {0.9999997500000625, 0.2500001874999531}], 
   PolygonBox[{{0.761593627461381, 0.7026303462000574}, {0.7748771236421939, 
    0.7219399718513057}, {0.7849580019033362, 0.700781313882024}}], 
   CircleBox[{1.2594116238381319, 0.6734139810624938}, 0.4869583695370307, {
    3.0417757733075956`, 4.088973324504193}], 
   InsetBox["\<\"a\"\>", {0.8155294422640476, 0.4731714717314457}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.5299461445118978, 0.451765497330164}, {0.5280549896253129, 
    0.4751172023372757}, {0.5492237368264443, 0.4650791380079934}}], 
   CircleBox[{0.9341043064591065, 0.743217243808838}, 0.48657340652592673, {
    3.7251500400321453`, 4.772247591228745}], 
   InsetBox["\<\"b\"\>", {0.7164835435942595, 0.3080220192160505}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.3091322303759255, -0.017363115574042777`}, {
    0.28748308184831206`, 0.0011241657619208915`}, {0.3143181113959732, 
    0.010629237689154782`}}], 
   CircleBox[{0.43045528042750814, 0.7051870912161751}, 0.7184327752585984, {
    4.512045784523264, 5.559143335719861}], 
   InsetBox["\<\"c\"\>", {0.6586351257409553, 0.02395320277660029}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "6"], {0.7499998125000469, 0.2500001874999531}], 
   PolygonBox[{{0.7126387219201104, 0.7056812086405949}, {0.7312498171875457, 
    0.7175241179770541}, {0.7322005298939175, 0.6954849820149732}}], 
   CircleBox[{1.1092902060838277, 0.5097058367648853}, 0.4313965387469311, {
    2.63896054187306, 3.686158093069658}], 
   InsetBox["\<\"c,b\"\>", {0.6779884850370141, 0.5006615532173008}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2774073663515609, 0.4489894724664798}, {0.2753378647350694, 
    0.47235525675455325`}, {0.296607978316134, 0.46246460558357116`}}], 
   CircleBox[{0.6803538602254694, 0.7441894243242577}, 0.48778250405420864, {
    3.7327057610988312`, 4.77980331229543}], 
   InsetBox["\<\"a\"\>", {0.46549490708052305, 0.30627687424735955}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.49999987500003124, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "7"], {0.49999987500003124, 0.2500001874999531}], 
   PolygonBox[{{0.7135122818804523, 0.7136360018514489}, {0.7368869809248128, 
    0.7148674146499461}, {0.7262660661686763, 0.6940086250724655}}], 
   CircleBox[{0.9929726532838792, 0.30216366654193405}, 0.4856997583795944, {
    2.1261583830884536`, 3.17335593428505}], 
   InsetBox["\<\"c,b\"\>", {0.5648440814217035, 0.5315327604609934}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.24680270445077626`, 0.44465710717109863`}, {
    0.24999618750095945`, 0.4625001345624664}, {0.263851960977214, 
    0.45081298341876885`}}], 
   CircleBox[{0.5265524391865499, 0.5540097101326908}, 0.2913028711966746, {
    3.461142199090078, 4.508339750286676}], 
   InsetBox["\<\"a\"\>", {0.3328024874365376, 0.3364819671565493}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.49999987500003124, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.49999987500003124, 0.7500000624999844}], 
   PolygonBox[{{0.5060841658940327, 0.5516526480125671}, {0.5048946059846005, 
    0.5371792980066934}, {0.5180236747222668, 0.5433857839087385}}], 
   CircleBox[{0.35436126141858837, 0.6490564306409278}, 0.18755474036314798, {
    5.6439472084963995`, 6.691244759692998}], 
   InsetBox["\<\"c\"\>", {0.5406644469252945, 0.6274253487738154}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.7030529422716283, 0.7671931287530334}, {0.7173036564178604, 
    0.7683633594350275}, {0.7091648498458494, 0.7801197245667377}}], 
   CircleBox[{0.6342605591168422, 0.6072133253516263}, 0.18128841522407654, {
    1.0949715875137527`, 2.142169138710867}], 
   InsetBox["\<\"b\"\>", {0.6256029739467157, 0.7882948973391679}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.2879978156875849, 0.29537179760783666`}, {
    0.27905311870800475`, 0.27371014234113766`}, {0.3022850109467771, 
    0.2767946351610168}}], 
   CircleBox[{-0.011094135309008522, 0.6676249914702347}, 
    0.4892385281005704, {5.347141630877712, 6.39443918207431}], 
   InsetBox["\<\"a\"\>", {0.4371283781803206, 0.47153594083425254}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.7499998125000469, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "9"], {0.7499998125000469, 2.499999375293882*^-7}], 
   PolygonBox[{{0.7261245059326163, 0.6986093002971696}, {0.7499998125000469, 
    0.7125000718749821}, {0.7500919202808841, 0.6848780640755396}}], 
   CircleBox[{1.3308205490054357, 0.3659558727023763}, 0.6763472554352866, {
    2.6036431952162014`, 3.6508407464127988`}], 
   InsetBox["\<\"c\"\>", {0.6545429365606785, 0.37566158446729314}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.25823937283178894`, 0.43928913696440564`}, {
    0.26435469894928965`, 0.4653563648026447}, {0.28387191740469125`, 
    0.4470267231133431}}], 
   CircleBox[{0.8759876670141684, 0.6378767718562199}, 0.6354983701582437, {
    3.416515435191909, 4.463712986388506}], 
   InsetBox["\<\"b\"\>", {0.43255818240469457, 0.18265323264415262}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.279775281734625, 0.20172398445796594`}, {
    0.27805505212529735`, 0.22511726483726005`}, {0.29917434201628196`, 
    0.21491038718963293`}}], 
   CircleBox[{0.6870578557926783, 0.49085333474740167}, 0.4877488618736756, {
    3.717768894888897, 4.764866446085494}], 
   InsetBox["\<\"a\"\>", {0.46569734104996663, 0.05622881315214284}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.9999997500000625, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", "10"], {0.9999997500000625, 2.499999375293882*^-7}],
    PolygonBox[{{0.7446193031709392, 0.6935230726591003}, {0.7633021219984207,
     0.7149387182746878}, {0.7725072057262237, 0.6880510997479928}}], 
   CircleBox[{1.4633943375566296, 0.565030696729117}, 0.7159619579341553, {
    2.930651924281089, 3.977849475477687}], 
   InsetBox["\<\"c,b\"\>", {0.782142683118704, 0.34480874383954174}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.4921786986287808, 0.6851495774175009}, {0.5052606409688136, 
    0.7128709144044926}, {0.5227270518564011, 0.687680951513685}}], 
   CircleBox[{1.3363074866346494, 0.7684165437568895}, 0.8329010605295742, {
    3.2083315347370553`, 4.255529085933652}], 
   InsetBox["\<\"a\"\>", {0.644372621229308, 0.30478919483560146}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "11"], {0.24999993750001562, 0.5000001249999688}], 
   PolygonBox[{{0.6923603251445195, 0.7463018704026552}, {0.7132524177365903, 
    0.7574752397536655}, {0.6931299497367135, 0.7699816380011104}}], 
   CircleBox[{0.686837935264761, 0.2605725792261302}, 0.49760423925404573, {
    1.5176880503094934`, 2.5648856015060906`}], 
   InsetBox["\<\"c,b,a\"\>", {0.46126221784941646, 0.7041101476869656}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.03749999062500234], 
   CircleBox[{0.24999993750001562, 2.499999375293882*^-7}, 
    0.02499999375000156], InsetBox[
    SubscriptBox["\[Mu]", 
     "12"], {0.24999993750001562, 2.499999375293882*^-7}], 
   PolygonBox[{{0.6931242261733525, 0.7248901109297248}, {0.7236528405645608, 
    0.7233151160562312}, {0.707024547797681, 0.6976640578878524}}], 
   CircleBox[{1.0884804981744443, -0.02036965659261103}, 0.8283515321570154, {
    2.0268695862003, 3.0740671373968973`}], 
   InsetBox["\<\"c,b,a\"\>", {0.4006880923566929, 0.44126642012399964}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.49999987500003124, 0.5000001249999688}, 0.03749999062500234], 
   CircleBox[{0.49999987500003124, 0.5000001249999688}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "13"], {0.49999987500003124, 0.5000001249999688}], 
   PolygonBox[{{0.6950055698059158, 0.7487104714347794}, {0.7127529660289464, 
    0.7456501516004905}, {0.7012289531972314, 0.7318106155374624}}], 
   CircleBox[{0.8047649588648292, 0.47322103054333076}, 0.28754796613018707, {
    1.8965134940675443`, 2.9437110452641417`}], 
   InsetBox["\<\"c,b\"\>", {0.5888656750875431, 0.663145573691556}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.29238425362866777`, 0.49692057927242556`}, {
    0.28622214693030334`, 0.5097058367648853}, {0.30037555806188104`, 
    0.5086497489602693}}], 
   CircleBox[{0.3918106921504786, 0.6537677147238514}, 0.17861345291655714, {
    4.0798967305833616`, 5.1269942817799254`}], 
   InsetBox["\<\"a\"\>", {0.3723903908689814, 0.4762131668775317}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.03749999062500234], 
   CircleBox[{0.24999993750001562, 0.2500001874999531}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.24999993750001562, 0.2500001874999531}], 
   PolygonBox[{{0.6901160967543869, 0.7405173943867155}, {0.716114968184887, 
    0.7339356103582947}, {0.6974155402988018, 0.7147108192439665}}], 
   CircleBox[{0.8784478679877553, 0.11735362247825099}, 0.6375933799346682, {
    1.8282330128064457`, 2.875430564003043}], 
   InsetBox["\<\"c,b\"\>", {0.42957245894845586, 0.5701628375968435}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.1990205076446454, 0.23745641001879117}, 0.01874999531250117, {
    0.7648616913957813, 6.000849447378769}], 
   PolygonBox[{{0.1960783580803239, 0.24861452178953006`}, {
    0.21254821928200843`, 0.25043960462085924`}, {0.20273272058522426`, 
    0.2637903814026572}}], 
   InsetBox["\<\"a\"\>", {0.194540587115659, 0.25566334925285195}, 
    ImageScaled[{1, 0}]], 
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.03749999062500234], 
   CircleBox[{0.7499998125000469, 0.7500000624999844}, 0.02499999375000156], 
   InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.7499998125000469, 0.7500000624999844}], 
   CircleBox[{0.7882206517501865, 0.7859919514319438}, 
    0.01874999531250117, {-1.862621297892792, 3.3733664580901963`}], 
   PolygonBox[{{0.7962695831109543, 0.7777230696274439}, {0.7828262684363999, 
    0.7680346979425385}, {0.7979383017741111, 0.761236631765759}}], 
   InsetBox["\<\"c,b,a\"\>", {0.8010748977973149, 0.7723416516997511}, 
    ImageScaled[{0, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.24999993750001562`, 0.8250000437499891}, {
     0.24999993750001562`, 0.7875000531249867}}], 
    PolygonBox[{{0.24999993750001562`, 0.7875000531249867}, {
     0.23749994062501484`, 0.8062500484374879}, {0.2624999343750164, 
     0.8062500484374879}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.863708154442113*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->829502250,ExpressionUUID->"bb18d61f-c3fc-4b07-884e-19b8a6912673"],

Cell[BoxData["\<\"Diagrama de transici\[OAcute]n reducido del nuevo aut\
\[OAcute]mata: \"\>"], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081544554453`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->171409918,ExpressionUUID->"49b10078-8dd0-4a48-a4ec-65a466f8d6c0"],

Cell[BoxData[
 GraphicsBox[{
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.6666667777777407}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Mu]", "4"], {0.33333322222225925, 0.6666667777777407}], 
   PolygonBox[{{0.34562493940113553`, 0.400458848016453}, {
    0.34627417016373596`, 0.3816298307711765}, {0.3622559620451405, 
    0.39160658972714507`}}], 
   CircleBox[{0.14125073428384913, 0.5000001666666112}, 0.23674067179086933, {
    5.759486531581287, 6.8067840827778845`}], 
   InsetBox["\<\"b\"\>", {0.37799140577879264, 0.49998832963302653}, 
    ImageScaled[{1, Rational[1, 2]}]], 
   PolygonBox[{{0.5995138805426964, 0.678956610691319}, {0.6183701692288235, 
    0.6796077257192175}, {0.608378142730814, 0.6956121932285473}}], 
   CircleBox[{0.4999998333333889, 0.47458428983933065}, 0.23674067179086933, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"a\"\>", {0.4999998333333889, 0.7113249616302}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   PolygonBox[{{0.624423997045599, 0.39295588412322796`}, {0.6416664527778491,
     0.3766348113109515}, {0.6471796885841711, 0.39972775240484687`}}], 
   CircleBox[{0.27962854216838445, 0.279622045468382}, 0.3748105194026602, {
    0.2618122734893011, 1.3090098246858983`}], 
   InsetBox["\<\"c\"\>", {0.5446561869679358, 0.5446565204841707}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.6666667777777407}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Mu]", "8"], {0.6666664444445185, 0.6666667777777407}], 
   PolygonBox[{{0.6792067356635518, 0.4005043185089446}, {0.6796073923859952, 
    0.3816298307711765}, {0.6957528498890986, 0.3914140535398935}}], 
   CircleBox[{0.47532692896415907, 0.5031866017587857}, 0.23771107737918795, {
    5.746314614895475, 6.793612166092073}], 
   InsetBox["\<\"b\"\>", {0.7130172284300205, 0.5000436972735299}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.6800947366222624, 0.07784829865539201}, {0.6796073923859952,
     0.04829660854891726}, {0.7054435788611012, 0.06265040111315932}}], 
   CircleBox[{0.18590891813630803, 0.3592154514384349}, 0.583445550450276, {
    5.7210598155126595`, 6.768357366709257}], 
   InsetBox["\<\"a\"\>", {0.7689226386431788, 0.33677192139162604}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.3847651840859827, 0.0601109491251796}, {0.3720707939381146, 
    0.03161360382036313}, {0.40309741398643695`, 0.034868612119166656`}}], 
   CircleBox[{0.001009708277429965, 0.5655299362661445}, 0.6501945703741613, {
    5.319637755642137, 6.366935306838734}], 
   InsetBox["\<\"c\"\>", {0.589302357574702, 0.288645956724465}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.33333322222225925, 0.3333335555554815}, 0.033333322222225924],
    InsetBox[
    SubscriptBox["\[Mu]", "11"], {0.33333322222225925, 0.3333335555554815}], 
   PolygonBox[{{0.5995138805426964, 0.34562338846905966`}, {
    0.6183701692288235, 0.3462745034969582}, {0.608378142730814, 
    0.3622789710062881}}], 
   CircleBox[{0.4999998333333889, 0.14125106761707137}, 0.23674067179086933, {
    1.0471975511965979`, 2.0943951023931953`}], 
   InsetBox["\<\"c,b,a\"\>", {0.4999998333333889, 0.37799173940794073}, 
    ImageScaled[{Rational[1, 2], 1}]], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.04999998333333889], 
   CircleBox[{0.33333322222225925, 3.333332222466012*^-7}, 
    0.033333322222225924], InsetBox[
    SubscriptBox["\[Mu]", 
     "13"], {0.33333322222225925, 3.333332222466012*^-7}], 
   PolygonBox[{{0.6003032042516169, 0.31433331458032965`}, {
    0.6233651886890484, 0.30833356388881206`}, {0.6066382599551051, 
    0.29136117485007373`}}], 
   CircleBox[{0.7137603454605783, -0.058270530542923527}, 
    0.3775842242756739, {1.8125482345955128`, 2.85974578579211}], 
   InsetBox["\<\"c,b\"\>", {0.4521737961014887, 0.21402034998058395}, 
    ImageScaled[{1, 1}]], 
   PolygonBox[{{0.30438780677145266`, 0.275045253841777}, {
    0.32039227428078254`, 0.2850372803397865}, {0.3210433893086811, 
    0.2661809916536594}}], 
   CircleBox[{0.5254157101606693, 0.16666694444435187}, 0.23674067179086933, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"a\"\>", {0.2886750383698, 0.1666669444443519}, 
    ImageScaled[{0, Rational[1, 2]}]], 
   CircleBox[{0.6666664444445185, 3.333332222466012*^-7}, 
    0.04999998333333889], 
   CircleBox[{0.6666664444445185, 3.333332222466012*^-7}, 
    0.033333322222225924], InsetBox[
    SubscriptBox["\[Mu]", "14"], {0.6666664444445185, 3.333332222466012*^-7}],
    PolygonBox[{{0.637721028993712, 0.275045253841777}, {0.6537254965030418, 
    0.2850372803397865}, {0.6543766115309403, 0.2661809916536594}}], 
   CircleBox[{0.8587489323829286, 0.16666694444435187}, 0.23674067179086933, {
    2.6179938779914944`, 3.665191429188092}], 
   InsetBox["\<\"c,b\"\>", {0.6220082605920593, 0.1666669444443519}, 
    ImageScaled[{0, Rational[1, 2]}]], 
   CircleBox[{0.6666664444445185, -0.0699996433334522}, 
    0.024999991666669445, {-4.1887902047863905`, 1.0471975511965983`}], 
   PolygonBox[{{0.6337540408921265, -0.05680411157363996}, {
    0.6541664486111838, -0.048349015455717195`}, {
    0.6512825727812155, -0.07025422715178772}}], 
   InsetBox["\<\"a\"\>", {0.6416664527778491, -0.0699996433334522}, 
    ImageScaled[{1, 1}]], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.04999998333333889], 
   CircleBox[{0.6666664444445185, 0.3333335555554815}, 0.033333322222225924], 
   InsetBox[
    SubscriptBox["\[Mu]", "15"], {0.6666664444445185, 0.3333335555554815}], 
   CircleBox[{0.7342812297464916, 0.3152162284374141}, 
    0.024999991666669445, {-2.879793265790643, 2.3561944901923453`}], 
   PolygonBox[{{0.7130169679686124, 0.28684054277060517`}, {
    0.7101330921386441, 0.30874575446667574`}, {0.7305454998577013, 
    0.30029065834875296`}}], 
   InsetBox["\<\"c,b,a\"\>", {0.7278107557757532, 0.2910680908295666}, 
    ImageScaled[{1, 1}]], 
   {RGBColor[0, 0, 0], 
    LineBox[{{0.33333322222225925`, 0.7666667444444185}, {
     0.33333322222225925`, 0.7166667611110796}}], 
    PolygonBox[{{0.33333322222225925`, 0.7166667611110796}, {
     0.31666656111114627`, 0.7416667527777491}, {0.34999988333337223`, 
     0.7416667527777491}}]}},
  AspectRatio->Automatic,
  PlotRange->Automatic]], "Print",
 CellChangeTimes->{3.8164546195471725`*^9, 3.8164547723817873`*^9, 
  3.8164557092605267`*^9, 3.816515356624611*^9, 3.832845484092674*^9, 
  3.8637081544608126`*^9},
 CellLabel->"Durante la evaluaci\[OAcute]n de In[194]:=",
 CellID->154271588,ExpressionUUID->"426fe500-9de6-42bf-9f66-09d84500107d"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{960, 472},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False, 
  "NewCellStyle" -> "Text"},
Magnification:>1.5 Inherited,
FrontEndVersion->"13.0 para Microsoft Windows (64-bit) (February 4, 2022)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "ChatTools.nb", 
  CharacterEncoding -> "UTF-8"],
ExpressionUUID->"c0b98ad3-b1ba-46d3-8724-de831428ff38"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 49, "Input",ExpressionUUID->"2122faeb-9855-40a6-8c74-09e729807da3"],
Cell[763, 25, 480, 7, 54, "Text",ExpressionUUID->"30542361-6830-4018-a59c-ddd8cfd75895"],
Cell[CellGroupData[{
Cell[1268, 36, 1678, 44, 107, "Input",ExpressionUUID->"6fa81747-37b0-40f8-991b-ab5accc6bacc"],
Cell[2949, 82, 5860, 109, 328, "Output",ExpressionUUID->"56303a59-b154-44d3-8841-86db4e1fe941",
 CellID->107525381]
}, Open  ]],
Cell[8824, 194, 536, 8, 54, "Text",ExpressionUUID->"69d1e2ed-7137-4681-8106-0f2c6443c991"],
Cell[CellGroupData[{
Cell[9385, 206, 2004, 54, 107, "Input",ExpressionUUID->"770129c8-2e5f-419f-9e40-fe504c613378"],
Cell[11392, 262, 7872, 144, 413, "Output",ExpressionUUID->"4353636a-075e-4c06-af3b-a783c917e565",
 CellID->70117935]
}, Open  ]],
Cell[19279, 409, 532, 8, 54, "Text",ExpressionUUID->"8f385eee-41df-4239-8100-756d09996e64"],
Cell[CellGroupData[{
Cell[19836, 421, 2476, 67, 136, "Input",ExpressionUUID->"dd58aa57-151b-4271-9f61-39d7ac824fb9"],
Cell[22315, 490, 8655, 160, 306, "Output",ExpressionUUID->"86947322-959f-4043-ad63-dcf03efea93d",
 CellID->169825259]
}, Open  ]],
Cell[30985, 653, 532, 8, 54, "Text",ExpressionUUID->"5943458f-d099-4e7e-992c-90836dee50c2"],
Cell[CellGroupData[{
Cell[31542, 665, 2450, 66, 136, "Input",ExpressionUUID->"e648a314-2391-49af-acbd-ad8c0da56220"],
Cell[33995, 733, 9087, 165, 252, "Output",ExpressionUUID->"96c8d3e3-f84c-41e9-9622-762ecf339177",
 CellID->36808566]
}, Open  ]],
Cell[43097, 901, 532, 8, 54, "Text",ExpressionUUID->"bbb031bd-d95c-496f-afa0-93b30654d62d"],
Cell[CellGroupData[{
Cell[43654, 913, 5931, 173, 250, "Input",ExpressionUUID->"1ec1fc8c-58b9-4a67-ad84-5d8692b93325"],
Cell[49588, 1088, 13345, 252, 300, "Output",ExpressionUUID->"65499f98-4b47-4722-bffb-1ab36c79acba",
 CellID->158029460]
}, Open  ]],
Cell[62948, 1343, 530, 8, 54, "Text",ExpressionUUID->"e5968cbc-dbba-43e5-aaef-fde639b57153"],
Cell[63481, 1353, 606, 9, 54, "Text",ExpressionUUID->"7ee73c31-9d45-4f7e-9a02-f55f46ab5be7"],
Cell[CellGroupData[{
Cell[64112, 1366, 14315, 405, 883, "Input",ExpressionUUID->"4ece7d76-71de-49fa-b193-f42b760fd7a1"],
Cell[CellGroupData[{
Cell[78452, 1775, 1645, 36, 60, "Print",ExpressionUUID->"e3c1359e-db28-48d9-82ac-25778f9cd96d",
 CellID->313063803],
Cell[80100, 1813, 2608, 53, 404, "Print",ExpressionUUID->"7768e6c2-9da2-4165-b5c9-0a40bbf718c6",
 CellID->386592263],
Cell[82711, 1868, 1644, 36, 60, "Print",ExpressionUUID->"8638c4aa-1367-4776-bda7-3cb41497d67d",
 CellID->147038],
Cell[84358, 1906, 2605, 53, 404, "Print",ExpressionUUID->"89b1ca16-76be-4d31-a3aa-6cb85b96b82c",
 CellID->11428432],
Cell[86966, 1961, 1643, 36, 60, "Print",ExpressionUUID->"dac6bbd1-7d87-4b8b-934d-a4fb050fd29d",
 CellID->8860974],
Cell[88612, 1999, 2606, 53, 404, "Print",ExpressionUUID->"b9ef9261-c2b2-488a-9061-262f5008b523",
 CellID->171639730],
Cell[91221, 2054, 1646, 36, 60, "Print",ExpressionUUID->"b0a7a47a-09f7-49b9-9d2a-aeb1ff4eed0e",
 CellID->20505194],
Cell[92870, 2092, 2608, 53, 404, "Print",ExpressionUUID->"8a07f81e-e806-46ed-af72-6aab562d8dfb",
 CellID->236671262]
}, Open  ]]
}, Open  ]],
Cell[95505, 2149, 588, 9, 54, "Text",ExpressionUUID->"3d2acc06-e072-4e96-bfb8-62ef48ce05fd"],
Cell[96096, 2160, 654, 9, 54, "Text",ExpressionUUID->"f8faa304-ce43-4eac-a9bb-e3b1844ab5d0"],
Cell[CellGroupData[{
Cell[96775, 2173, 14212, 403, 883, "Input",ExpressionUUID->"c5f0c66a-b4c5-469c-afd6-c01f720f7802"],
Cell[CellGroupData[{
Cell[111012, 2580, 1637, 36, 60, "Print",ExpressionUUID->"1e1ca4c7-63e6-4944-8d65-75e53413084f",
 CellID->89060076],
Cell[112652, 2618, 2599, 53, 404, "Print",ExpressionUUID->"edfdecb7-9735-46de-8a39-1cf525ff07e1",
 CellID->716740912],
Cell[115254, 2673, 1638, 36, 60, "Print",ExpressionUUID->"d3d9600c-64f9-45d3-93b0-e1e6d12b49da",
 CellID->292495206],
Cell[116895, 2711, 2601, 53, 404, "Print",ExpressionUUID->"39c00f69-3004-4bd7-bafd-d6deb94e93f5",
 CellID->140103992],
Cell[119499, 2766, 1637, 36, 60, "Print",ExpressionUUID->"c1ecdb14-e113-4be7-93d7-e9cc333c0b6b",
 CellID->53356002],
Cell[121139, 2804, 2601, 53, 404, "Print",ExpressionUUID->"d25e6ba7-c91f-4328-9d3d-1469dd12e124",
 CellID->154683288],
Cell[123743, 2859, 1637, 36, 60, "Print",ExpressionUUID->"b175b0ef-4c00-4acf-b115-449dcc511a75",
 CellID->75180359],
Cell[125383, 2897, 2601, 53, 404, "Print",ExpressionUUID->"5900bdee-aa96-44c6-8207-359964ddba57",
 CellID->297061125]
}, Open  ]]
}, Open  ]],
Cell[128011, 2954, 556, 8, 54, "Text",ExpressionUUID->"90a1b4fc-f6dd-4a43-b314-cb8651ccf8bf"],
Cell[128570, 2964, 654, 9, 54, "Text",ExpressionUUID->"3a75c261-6134-435a-8ce2-4527f5a9d90a"],
Cell[CellGroupData[{
Cell[129249, 2977, 14213, 403, 883, "Input",ExpressionUUID->"479914e5-1759-46d8-9e27-978305562059"],
Cell[CellGroupData[{
Cell[143487, 3384, 1570, 35, 60, "Print",ExpressionUUID->"bbcefb60-e901-4b29-b1be-38283c4745aa",
 CellID->82295591],
Cell[145060, 3421, 2531, 52, 404, "Print",ExpressionUUID->"019c273d-6876-4e61-87dc-255574d77dcf",
 CellID->67913914],
Cell[147594, 3475, 1569, 35, 60, "Print",ExpressionUUID->"fc87426e-6e58-471f-86d4-e5b0df000c2a",
 CellID->181769502],
Cell[149166, 3512, 2532, 52, 404, "Print",ExpressionUUID->"55ee4e7f-af8c-4592-86c3-0959148df317",
 CellID->359997950],
Cell[151701, 3566, 1568, 35, 60, "Print",ExpressionUUID->"43dfcfe8-ccc8-44c4-8d58-5a0278146fb4",
 CellID->45645304],
Cell[153272, 3603, 2530, 52, 404, "Print",ExpressionUUID->"b3647115-94df-49ba-acf5-479b0c6375ac",
 CellID->165724715],
Cell[155805, 3657, 1569, 35, 60, "Print",ExpressionUUID->"016b83b2-e91a-443f-97ba-863279e57f1c",
 CellID->158047948],
Cell[157377, 3694, 2532, 52, 404, "Print",ExpressionUUID->"54e76a64-7c69-40bc-819b-67e4740066c4",
 CellID->466818175]
}, Open  ]]
}, Open  ]],
Cell[159936, 3750, 530, 8, 54, "Text",ExpressionUUID->"074bbd54-a1cc-4439-a985-388433c309f3"],
Cell[160469, 3760, 654, 9, 54, "Text",ExpressionUUID->"189a14a1-bb06-4253-932a-f4ed85ed8ca1"],
Cell[CellGroupData[{
Cell[161148, 3773, 7032, 192, 520, "Input",ExpressionUUID->"c4728fcc-dbcc-457a-bd53-8c90f0f07aad"],
Cell[CellGroupData[{
Cell[168205, 3969, 1603, 36, 60, "Print",ExpressionUUID->"31459c31-30d3-4fbe-90b7-d0895d7e2568",
 CellID->179468589],
Cell[169811, 4007, 2563, 53, 404, "Print",ExpressionUUID->"61a77028-92d4-4e10-b387-e3241bc0999e",
 CellID->74514872],
Cell[172377, 4062, 1603, 36, 60, "Print",ExpressionUUID->"022d05ee-9f4d-42e5-8628-6990817b877d",
 CellID->649699316],
Cell[173983, 4100, 2563, 53, 404, "Print",ExpressionUUID->"d1ec5daf-1f8a-4631-b1bd-518320d13a7d",
 CellID->68414595],
Cell[176549, 4155, 1602, 36, 60, "Print",ExpressionUUID->"015ec5b2-ab95-4c8e-8521-e4887321a1b9",
 CellID->81625998],
Cell[178154, 4193, 2563, 53, 404, "Print",ExpressionUUID->"5f2cecb4-c67a-4ce1-855e-77b6a26d1850",
 CellID->181813732]
}, Open  ]]
}, Open  ]],
Cell[180744, 4250, 557, 8, 54, "Text",ExpressionUUID->"8969a47a-5d7a-4df1-aa17-62349059c9f8"],
Cell[181304, 4260, 652, 9, 54, "Text",ExpressionUUID->"58ef94c9-5987-4323-8f20-517437853b73"],
Cell[CellGroupData[{
Cell[181981, 4273, 7029, 192, 520, "Input",ExpressionUUID->"508c27ae-ab13-4209-9233-0b4d69acdae7"],
Cell[CellGroupData[{
Cell[189035, 4469, 1577, 35, 60, "Print",ExpressionUUID->"c7c26d25-f715-4f36-9fdb-92a078e6b0eb",
 CellID->210791164],
Cell[190615, 4506, 2535, 52, 404, "Print",ExpressionUUID->"715417d5-6c79-4637-971c-f442693f44c9",
 CellID->358380645],
Cell[193153, 4560, 1574, 35, 60, "Print",ExpressionUUID->"79eed66f-e3b8-41d1-9c5f-2423fb3bab5f",
 CellID->46034059],
Cell[194730, 4597, 2535, 52, 404, "Print",ExpressionUUID->"8d1f589d-39b9-441e-8891-0b0957921728",
 CellID->65394703],
Cell[197268, 4651, 1577, 35, 60, "Print",ExpressionUUID->"8cc6130c-f025-48b8-90b1-21b33b3a4543",
 CellID->223546683],
Cell[198848, 4688, 2538, 52, 404, "Print",ExpressionUUID->"27d53155-3926-4fe5-a0fb-fc5715430f0d",
 CellID->136226405]
}, Open  ]]
}, Open  ]],
Cell[201413, 4744, 554, 8, 54, "Text",ExpressionUUID->"c2e6a923-77b4-4eda-ac56-f4869690e569"],
Cell[201970, 4754, 1013, 19, 54, "Text",ExpressionUUID->"381a391c-f4d8-442b-9516-44d59c22677e"],
Cell[CellGroupData[{
Cell[203008, 4777, 1423, 40, 107, "Input",ExpressionUUID->"bf7a55b6-1699-433f-b934-8abde4aee557"],
Cell[204434, 4819, 5639, 105, 328, "Output",ExpressionUUID->"288a25ef-130a-45b2-9bd5-e9c530c9bc20",
 CellID->147067815]
}, Open  ]],
Cell[210088, 4927, 1064, 19, 88, "Text",ExpressionUUID->"1e533824-430c-46a2-934a-5b41ee9e9920"],
Cell[CellGroupData[{
Cell[211177, 4950, 2056, 55, 107, "Input",ExpressionUUID->"27fcc5d6-bd08-4f1a-a387-08c21a038f73"],
Cell[213236, 5007, 7825, 144, 413, "Output",ExpressionUUID->"2da485b1-c725-4918-a353-af2a6d0831a5",
 CellID->62716509]
}, Open  ]],
Cell[221076, 5154, 1068, 19, 88, "Text",ExpressionUUID->"fa2153b7-c80a-4399-a37a-3cbe550ad73d"],
Cell[CellGroupData[{
Cell[222169, 5177, 2523, 67, 136, "Input",ExpressionUUID->"3837ec92-4bb2-4480-8f53-b4269512f950"],
Cell[224695, 5246, 8581, 159, 306, "Output",ExpressionUUID->"6f9cff6e-fbea-4f88-9e0f-6f16131b736b",
 CellID->296634594]
}, Open  ]],
Cell[233291, 5408, 1081, 19, 88, "Text",ExpressionUUID->"5f6ff56a-d0b1-4a73-84e9-6ad17fcb532d"],
Cell[234375, 5429, 1063, 19, 88, "Text",ExpressionUUID->"633c9666-c5ef-4913-89db-8530d13e459d"],
Cell[CellGroupData[{
Cell[235463, 5452, 6036, 175, 250, "Input",ExpressionUUID->"f532228b-816c-44ce-aba6-097a061bbe91"],
Cell[241502, 5629, 13247, 251, 300, "Output",ExpressionUUID->"7e3318ec-b103-4805-817b-3fc4d8df1b77",
 CellID->208784788]
}, Open  ]],
Cell[254764, 5883, 531, 8, 54, "Text",ExpressionUUID->"353f4bc2-c971-45bb-9a98-6d60f34ed2af"],
Cell[CellGroupData[{
Cell[255320, 5895, 3502, 98, 357, "Input",ExpressionUUID->"a6e15021-4f92-41ab-b3d0-08bb5b0ff454"],
Cell[258825, 5995, 4509, 88, 217, "Output",ExpressionUUID->"4a39a1ad-6c92-4fe3-9c34-5e10d3873acd",
 CellID->119560612],
Cell[CellGroupData[{
Cell[263359, 6087, 831, 16, 33, "Print",ExpressionUUID->"da460cda-0d48-492b-9182-91902fbafbf6",
 CellID->48181057],
Cell[264193, 6105, 2532, 52, 364, "Print",ExpressionUUID->"de1538b4-e575-4697-aab8-e6c381ec5e9a",
 CellID->128931407]
}, Open  ]]
}, Open  ]],
Cell[266752, 6161, 535, 8, 54, "Text",ExpressionUUID->"d1965714-1aec-4d52-b547-6bb0d0335840"],
Cell[CellGroupData[{
Cell[267312, 6173, 2661, 71, 164, "Input",ExpressionUUID->"a8db4aed-757d-48b7-91d6-f702fff3d138"],
Cell[269976, 6246, 412, 6, 37, "Output",ExpressionUUID->"50f4b121-284c-4d52-860e-b34bb5082ed4",
 CellID->237459775],
Cell[270391, 6254, 4897, 87, 529, "Output",ExpressionUUID->"9765f0d4-9ad1-4a7f-87c7-7effdeaed7c5",
 CellID->168592153]
}, Open  ]],
Cell[275303, 6344, 535, 8, 54, "Text",ExpressionUUID->"4d84e622-0a19-4c99-97d0-626728917dcb"],
Cell[CellGroupData[{
Cell[275863, 6356, 2673, 73, 164, "Input",ExpressionUUID->"addde085-9984-4d2a-b397-6f5824de587c"],
Cell[278539, 6431, 385, 6, 37, "Output",ExpressionUUID->"24a3ef8f-0960-478f-a38a-47b9235ddcc3",
 CellID->21977120],
Cell[278927, 6439, 5317, 95, 557, "Output",ExpressionUUID->"9d48f88f-ba63-430f-8811-dc3888379cdf",
 CellID->56709140]
}, Open  ]],
Cell[284259, 6537, 587, 9, 54, "Text",ExpressionUUID->"b0cb0059-04aa-4104-8731-0fb4d1402d9b"],
Cell[CellGroupData[{
Cell[284871, 6550, 2643, 72, 164, "Input",ExpressionUUID->"4daabef4-6cac-4f13-b449-5a6071d2b85e"],
Cell[287517, 6624, 335, 5, 37, "Output",ExpressionUUID->"93b8ad91-39c9-4d5a-9711-f94f0e5cd6c1",
 CellID->422442787],
Cell[287855, 6631, 4341, 78, 598, "Output",ExpressionUUID->"a833a64b-aa81-4593-8ea6-54171a4608bc",
 CellID->114814389]
}, Open  ]],
Cell[292211, 6712, 587, 9, 54, "Text",ExpressionUUID->"c7aaec1a-dd7e-451f-89e0-a4e030acbe08"],
Cell[CellGroupData[{
Cell[292823, 6725, 3309, 90, 193, "Input",ExpressionUUID->"b9ff1fd4-87bb-480a-a110-bef8a5299a9b"],
Cell[296135, 6817, 339, 5, 37, "Output",ExpressionUUID->"7aebb8f8-e92a-4276-9eaa-fd26835c00ab",
 CellID->68194915],
Cell[296477, 6824, 6119, 107, 615, "Output",ExpressionUUID->"2b631530-a1c5-433b-bbe1-3e7efd55125e",
 CellID->198422930]
}, Open  ]],
Cell[302611, 6934, 585, 9, 54, "Text",ExpressionUUID->"3060b749-fda3-4792-bb0f-a5960c87f9ab"],
Cell[CellGroupData[{
Cell[303221, 6947, 3305, 90, 193, "Input",ExpressionUUID->"7ec3d8c1-ad5d-47d9-bdab-dd572c240fa0"],
Cell[306529, 7039, 309, 5, 37, "Output",ExpressionUUID->"2444493f-e325-43e2-9d0a-19708c401bfb",
 CellID->629726601],
Cell[306841, 7046, 5746, 104, 568, "Output",ExpressionUUID->"8d85bc77-48bc-41af-809a-6cea5233fee5",
 CellID->53531736]
}, Open  ]],
Cell[312602, 7153, 587, 9, 54, "Text",ExpressionUUID->"e0a0772b-df4e-4170-b2da-e758465217af"],
Cell[313192, 7164, 175, 3, 54, "Text",ExpressionUUID->"65a9e905-90dd-4d6b-bccf-e6a2e78f090d"],
Cell[CellGroupData[{
Cell[313392, 7171, 14049, 392, 940, "Input",ExpressionUUID->"f410bab6-8744-44ba-a6d4-fbdc6bc71db8"],
Cell[327444, 7565, 357, 5, 37, "Output",ExpressionUUID->"b20ba533-c7de-464c-b77f-282c25a45231",
 CellID->281904495],
Cell[327804, 7572, 1296, 30, 67, "Output",ExpressionUUID->"b1193c60-660f-403d-ade5-2573ab6c5e99",
 CellID->847649665],
Cell[329103, 7604, 359, 5, 37, "Output",ExpressionUUID->"0ae86a3e-6e3d-4d3d-9c43-1527d329206e",
 CellID->164688067],
Cell[329465, 7611, 1298, 30, 67, "Output",ExpressionUUID->"51d1c0f2-61eb-4c76-9bf0-dde86c693c19",
 CellID->329022178],
Cell[330766, 7643, 356, 5, 37, "Output",ExpressionUUID->"de1bad71-dff4-4804-93d6-26a0417f961b",
 CellID->575583835],
Cell[331125, 7650, 1298, 30, 67, "Output",ExpressionUUID->"1c083034-f8cb-4b5a-9bff-eadbb02d57ff",
 CellID->57627747],
Cell[332426, 7682, 358, 5, 37, "Output",ExpressionUUID->"746fb0cd-b05c-42d7-90a3-6459b85785d5",
 CellID->46786017],
Cell[332787, 7689, 1296, 30, 67, "Output",ExpressionUUID->"6335cd7f-52ef-4718-8b04-24ad1cb85eaa",
 CellID->206488892],
Cell[334086, 7721, 356, 5, 37, "Output",ExpressionUUID->"53b6afd5-7e19-45b3-a876-0e374af25fc2",
 CellID->46327001],
Cell[334445, 7728, 1298, 30, 67, "Output",ExpressionUUID->"2d6ceeb9-3569-439b-92d2-4f8e8fc80dc3",
 CellID->140284651]
}, Open  ]],
Cell[335758, 7761, 611, 9, 54, "Text",ExpressionUUID->"201bd9a9-81ed-4e9f-bed2-e31e58e9edd5"],
Cell[336372, 7772, 175, 3, 54, "Text",ExpressionUUID->"cce753ae-3470-4832-a904-95cadbad0c3b"],
Cell[CellGroupData[{
Cell[336572, 7779, 13994, 391, 940, "Input",ExpressionUUID->"c832eac7-3b17-4d23-8d6f-e9f0038b530d"],
Cell[350569, 8172, 309, 5, 37, "Output",ExpressionUUID->"5a39e9f2-31fd-4913-bb33-106d3a08c4f9",
 CellID->594139441],
Cell[350881, 8179, 1245, 30, 67, "Output",ExpressionUUID->"1f04ad6c-c590-4808-a156-89cf79563a20",
 CellID->794030],
Cell[352129, 8211, 310, 5, 37, "Output",ExpressionUUID->"45d00290-8c99-4d0a-ab44-56b9259b32e1",
 CellID->17675990],
Cell[352442, 8218, 1247, 30, 67, "Output",ExpressionUUID->"a80c8c6d-3eef-4190-b089-a7ed80f26e31",
 CellID->1907839],
Cell[353692, 8250, 311, 5, 37, "Output",ExpressionUUID->"42ab11aa-9094-4a34-b3a4-0ceca767e800",
 CellID->397459076],
Cell[354006, 8257, 1250, 30, 67, "Output",ExpressionUUID->"8712c2f4-0441-45a4-a721-a9f0d4a7f924",
 CellID->346660952],
Cell[355259, 8289, 308, 5, 37, "Output",ExpressionUUID->"65b6fcd2-0507-4b40-acde-660eea0f06b8",
 CellID->12401202],
Cell[355570, 8296, 1247, 30, 67, "Output",ExpressionUUID->"8b6cd74d-4dfb-4cf4-92fb-29a0e574fef3",
 CellID->382763804],
Cell[356820, 8328, 309, 5, 37, "Output",ExpressionUUID->"fee6c480-aa7b-41a1-b4de-501fd468a5a7",
 CellID->489505425],
Cell[357132, 8335, 1248, 30, 67, "Output",ExpressionUUID->"9ed5dcd4-7930-4b5d-8dfb-edf8385787ef",
 CellID->177108471]
}, Open  ]],
Cell[358395, 8368, 607, 9, 54, "Text",ExpressionUUID->"bdbc2404-5910-4dc0-8fcd-d74f08ddab9b"],
Cell[359005, 8379, 196, 3, 54, "Text",ExpressionUUID->"6cfc72a8-66ec-47ae-a3b6-f36d0167a249"],
Cell[CellGroupData[{
Cell[359226, 8386, 9142, 254, 606, "Input",ExpressionUUID->"b9ed54f6-b0f3-4dee-9e5d-9403cdb66ff2"],
Cell[368371, 8642, 311, 5, 37, "Output",ExpressionUUID->"846bdd45-6347-4c98-8b2e-ae3a501bd6fc",
 CellID->382002597],
Cell[368685, 8649, 1250, 30, 67, "Output",ExpressionUUID->"8c510d5d-4459-430b-886e-86816a8df5a5",
 CellID->47432117],
Cell[369938, 8681, 311, 5, 37, "Output",ExpressionUUID->"c155e281-b11e-4fa7-9307-41a155d10491",
 CellID->440272717],
Cell[370252, 8688, 1250, 30, 67, "Output",ExpressionUUID->"d51f4292-3cab-4449-9ab8-0004fddec986",
 CellID->334263217],
Cell[371505, 8720, 311, 5, 37, "Output",ExpressionUUID->"4a058fea-33a7-4d01-979d-4a24b38932db",
 CellID->118349311],
Cell[371819, 8727, 1250, 30, 67, "Output",ExpressionUUID->"968d8602-e5e3-455a-99c0-19b7718a156f",
 CellID->138241903]
}, Open  ]],
Cell[373084, 8760, 611, 9, 54, "Text",ExpressionUUID->"b362982d-ac51-40b6-8a2e-89a97157e1cf"],
Cell[373698, 8771, 200, 3, 54, "Text",ExpressionUUID->"b148dbab-cab7-4ede-b5a5-acabbdc46344"],
Cell[CellGroupData[{
Cell[373923, 8778, 9143, 254, 606, "Input",ExpressionUUID->"a7252ffd-5648-4348-8c98-d1d9609a2371"],
Cell[383069, 9034, 336, 6, 37, "Output",ExpressionUUID->"faf6584e-003f-4e6b-9e0c-417fe55c3440",
 CellID->46072983],
Cell[383408, 9042, 1278, 31, 67, "Output",ExpressionUUID->"24cc5e48-ffc1-4ba0-b519-eba98de6e019",
 CellID->62191512],
Cell[384689, 9075, 335, 6, 37, "Output",ExpressionUUID->"144df960-3b2f-4ce3-a259-716326873bcc",
 CellID->3788166],
Cell[385027, 9083, 1279, 31, 67, "Output",ExpressionUUID->"71f2324a-3642-4597-989e-13d5de968493",
 CellID->669110388],
Cell[386309, 9116, 339, 6, 37, "Output",ExpressionUUID->"5294b00d-929d-47ed-b02c-51f3d10499b0",
 CellID->717858228],
Cell[386651, 9124, 1277, 31, 67, "Output",ExpressionUUID->"7f79ec15-dd8d-4d26-be17-8fb6d91bc4bf",
 CellID->37075136]
}, Open  ]],
Cell[387943, 9158, 660, 10, 54, "Text",ExpressionUUID->"0d784f1d-809b-459a-b7c0-0feddbae8bc3"],
Cell[388606, 9170, 200, 3, 54, "Text",ExpressionUUID->"4229fa4b-c540-4d6b-b8e1-f7180ae90e33"],
Cell[CellGroupData[{
Cell[388831, 9177, 9193, 255, 606, "Input",ExpressionUUID->"7087fe4c-ea3f-45bd-a858-b168bb42ff8a"],
Cell[398027, 9434, 419, 7, 37, "Output",ExpressionUUID->"e008aead-5672-467b-bd55-9b43a72c6fad",
 CellID->35876318],
Cell[398449, 9443, 1356, 32, 67, "Output",ExpressionUUID->"4d0114fc-f41a-419f-a213-25caa5e60d7b",
 CellID->256076155],
Cell[399808, 9477, 420, 7, 37, "Output",ExpressionUUID->"9be1f290-5e84-4bcf-a000-6ca234217d13",
 CellID->478031823],
Cell[400231, 9486, 1357, 32, 67, "Output",ExpressionUUID->"31bc84fd-b951-4231-9d13-3c39be7f6853",
 CellID->83997428],
Cell[401591, 9520, 418, 7, 37, "Output",ExpressionUUID->"312cb7c5-84cf-4b52-b653-e04058e2585d",
 CellID->741450556],
Cell[402012, 9529, 1357, 32, 67, "Output",ExpressionUUID->"8f77f88c-dbf4-4a55-ba3c-181e4abf42a8",
 CellID->193205103]
}, Open  ]],
Cell[403384, 9564, 662, 10, 54, "Text",ExpressionUUID->"2758b0c0-3eaa-44c1-8046-f6c3beca5b7e"],
Cell[404049, 9576, 856, 15, 52, "Text",ExpressionUUID->"f9f6c777-efa5-4478-86fd-82278d51f173"],
Cell[CellGroupData[{
Cell[404930, 9595, 2893, 75, 164, "Input",ExpressionUUID->"b96acde8-9dce-488b-9d4d-e2d72e124933"],
Cell[407826, 9672, 4873, 87, 529, "Output",ExpressionUUID->"e11120f9-4adc-4bc1-ada0-48408f40ce58",
 CellID->284868368]
}, Open  ]],
Cell[412714, 9762, 1437, 26, 54, "Text",ExpressionUUID->"eea8cad2-9fbb-4f3f-afac-286be78fba64"],
Cell[414154, 9790, 856, 15, 52, "Text",ExpressionUUID->"4410dede-55ac-4171-bdf3-f0139f017ebc"],
Cell[CellGroupData[{
Cell[415035, 9809, 2905, 76, 164, "Input",ExpressionUUID->"c578297e-9b22-4187-9eea-ef6eff0e06eb"],
Cell[417943, 9887, 5275, 94, 557, "Output",ExpressionUUID->"52d5ec88-0a59-44c5-8591-b9fb0a1bc9ca",
 CellID->410250768]
}, Open  ]],
Cell[423233, 9984, 1236, 24, 54, "Text",ExpressionUUID->"36677ad1-b895-4a90-9738-97a62e5e8de0"],
Cell[424472, 10010, 854, 15, 52, "Text",ExpressionUUID->"d7fa08c5-3b93-4494-9310-916914458748"],
Cell[CellGroupData[{
Cell[425351, 10029, 2898, 75, 164, "Input",ExpressionUUID->"6ae68569-9838-448f-8d6d-b10776113abe"],
Cell[428252, 10106, 4343, 78, 598, "Output",ExpressionUUID->"60362648-f7b8-4cf3-8777-012b96f596dc",
 CellID->327615495]
}, Open  ]],
Cell[432610, 10187, 1240, 24, 54, "Text",ExpressionUUID->"585f8700-c3b5-4c6f-91ea-57e36e6b420d"],
Cell[433853, 10213, 858, 15, 52, "Text",ExpressionUUID->"6aa089a2-3a24-4e62-b19d-8acd33767377"],
Cell[CellGroupData[{
Cell[434736, 10232, 3583, 93, 193, "Input",ExpressionUUID->"104708f9-24b8-4c22-9063-4c9591e05934"],
Cell[438322, 10327, 6114, 107, 615, "Output",ExpressionUUID->"46e3500c-a903-4096-a771-10062c5c4552",
 CellID->308885806]
}, Open  ]],
Cell[444451, 10437, 1333, 28, 54, "Text",ExpressionUUID->"0f9e2dbd-67d4-43e5-ada8-ea801b8b92c8"],
Cell[445787, 10467, 852, 15, 52, "Text",ExpressionUUID->"635e29e8-3936-45c9-9049-d6cafdb9f0d8"],
Cell[CellGroupData[{
Cell[446664, 10486, 3554, 94, 193, "Input",ExpressionUUID->"2a583d9d-a2bf-49df-8bcb-2ca99cffe933"],
Cell[450221, 10582, 5779, 104, 568, "Output",ExpressionUUID->"c14918d6-1722-4f55-8d44-fee06a87753f",
 CellID->53579817]
}, Open  ]],
Cell[456015, 10689, 1374, 29, 54, "Text",ExpressionUUID->"f3dc2993-a59d-469c-b8c2-8c924a8666ab"],
Cell[457392, 10720, 660, 10, 54, "Text",ExpressionUUID->"8d7c8448-5600-438a-9f09-48b8d4c54735"],
Cell[CellGroupData[{
Cell[458077, 10734, 3804, 100, 487, "Input",ExpressionUUID->"117d388a-eac9-481c-8d9b-abf0edea96ee"],
Cell[461884, 10836, 678, 10, 37, "Output",ExpressionUUID->"8a25b2bb-e5bf-4f91-adb4-bd2cb1635b37",
 CellID->5619117],
Cell[462565, 10848, 4809, 85, 521, "Output",ExpressionUUID->"53afdc43-cf48-40d9-be90-547901ef3a17",
 CellID->127731296],
Cell[CellGroupData[{
Cell[467399, 10937, 684, 13, 33, "Print",ExpressionUUID->"28bc8b15-6361-4051-ac98-4112748c62cf",
 CellID->102653547],
Cell[468086, 10952, 993, 21, 33, "Print",ExpressionUUID->"39bda088-6c6a-4354-be27-0306e9de8045",
 CellID->32454145],
Cell[469082, 10975, 751, 14, 33, "Print",ExpressionUUID->"67651d68-88d1-4a1f-ac41-f5f67769fb60",
 CellID->143422319],
Cell[469836, 10991, 711, 13, 33, "Print",ExpressionUUID->"d1006774-e611-430d-9c9c-0a02a9067ef5",
 CellID->89194629],
Cell[470550, 11006, 746, 14, 33, "Print",ExpressionUUID->"f41ea640-75cb-4887-8880-ff4ddd3f8533",
 CellID->187796525],
Cell[471299, 11022, 1437, 37, 127, "Print",ExpressionUUID->"141a6c15-4f8e-4ee0-a264-789a3584bde3",
 CellID->164349308],
Cell[472739, 11061, 2739, 63, 60, "Print",ExpressionUUID->"8cbad610-67eb-4def-852f-210234d9c0c1",
 CellID->468768716]
}, Open  ]]
}, Open  ]],
Cell[475505, 11128, 664, 10, 54, "Text",ExpressionUUID->"d46f5ac8-d688-4f9b-afba-bee44251341b"],
Cell[CellGroupData[{
Cell[476194, 11142, 6019, 156, 678, "Input",ExpressionUUID->"04523e12-73fb-4588-8f0f-0effdd96e90f"],
Cell[482216, 11300, 622, 10, 37, "Output",ExpressionUUID->"e3481deb-985a-4fe9-b075-1fd907b5fe86",
 CellID->317045073],
Cell[482841, 11312, 8120, 145, 565, "Output",ExpressionUUID->"71857160-dbed-4c20-bec2-5769b4d8f270",
 CellID->270950193],
Cell[CellGroupData[{
Cell[490986, 11461, 804, 15, 33, "Print",ExpressionUUID->"c3a7697a-96d8-4046-af97-f67d3b027240",
 CellID->43938617],
Cell[491793, 11478, 1452, 31, 33, "Print",ExpressionUUID->"3ec0df84-2acd-4eac-b72e-6ee011870dc0",
 CellID->93856866],
Cell[493248, 11511, 873, 16, 33, "Print",ExpressionUUID->"6557b87d-5226-4dd4-9399-5e3f9272a2ec",
 CellID->75646747],
Cell[494124, 11529, 833, 15, 33, "Print",ExpressionUUID->"456b22a2-98a1-4a61-a5a0-e1e9c3dad626",
 CellID->680673103],
Cell[494960, 11546, 867, 16, 33, "Print",ExpressionUUID->"80e258f4-b0a3-4ad4-96a2-c43d47519a51",
 CellID->794617480],
Cell[495830, 11564, 2042, 55, 224, "Print",ExpressionUUID->"376e7198-a2de-432b-b3c2-187c83e9e92c",
 CellID->576922961],
Cell[497875, 11621, 4822, 113, 113, "Print",ExpressionUUID->"2def2936-4b8d-40dc-ae6d-6d0f8324cf77",
 CellID->387481079]
}, Open  ]]
}, Open  ]],
Cell[502724, 11738, 662, 10, 54, "Text",ExpressionUUID->"fe5293a6-046c-4d5d-82a0-9549879fe274"],
Cell[CellGroupData[{
Cell[503411, 11752, 7890, 212, 658, "Input",ExpressionUUID->"df572795-4cb7-451b-b3b7-de56196869a2"],
Cell[511304, 11966, 437, 7, 37, "Output",ExpressionUUID->"02497369-c61f-4b87-a394-60d77fcd7d57",
 CellID->575993096],
Cell[511744, 11975, 12326, 216, 663, "Output",ExpressionUUID->"8bd25c29-d778-4887-8d5c-808f115ba0b7",
 CellID->25723272],
Cell[524073, 12193, 419, 7, 37, "Output",ExpressionUUID->"a0c575d0-4ba1-417e-be04-3d791da393d0",
 CellID->59704695],
Cell[CellGroupData[{
Cell[524517, 12204, 1616, 37, 33, "Print",ExpressionUUID->"57608ef1-6538-42c5-bb5f-7a0a7eb198b6",
 CellID->387027713],
Cell[526136, 12243, 725, 15, 33, "Print",ExpressionUUID->"b6d1539c-2f2f-4867-938d-2060d786a8aa",
 CellID->938710285],
Cell[526864, 12260, 656, 13, 33, "Print",ExpressionUUID->"10d355f7-a44e-42af-8b1d-4a5b0d4074e6",
 CellID->625407949],
Cell[527523, 12275, 690, 14, 33, "Print",ExpressionUUID->"276def42-5b49-48da-88ad-756b3b7c9ed1",
 CellID->158253622],
Cell[528216, 12291, 2838, 81, 321, "Print",ExpressionUUID->"000e9d48-4905-419f-aced-bdef96192a29",
 CellID->123889346],
Cell[531057, 12374, 9603, 231, 192, "Print",ExpressionUUID->"a3f00ec0-eafc-4f00-a21b-de0303831fcc",
 CellID->9322557]
}, Open  ]]
}, Open  ]],
Cell[540687, 12609, 710, 10, 54, "Text",ExpressionUUID->"34beee2f-86d7-4d6f-837b-87d4327eab19"],
Cell[CellGroupData[{
Cell[541422, 12623, 5460, 146, 650, "Input",ExpressionUUID->"64149331-5b47-48c7-a703-f8de7d5b1124"],
Cell[546885, 12771, 385, 6, 37, "Output",ExpressionUUID->"c4ba9194-5e1d-4dda-a4f4-83976787942b",
 CellID->61514329],
Cell[547273, 12779, 6286, 110, 663, "Output",ExpressionUUID->"3ca7edb3-360e-4e0a-9fca-c338e69da462",
 CellID->443611758],
Cell[CellGroupData[{
Cell[553584, 12893, 484, 10, 33, "Print",ExpressionUUID->"3a2c750d-3088-49e7-8fea-afd0da4c1a2a",
 CellID->283363321],
Cell[554071, 12905, 876, 20, 33, "Print",ExpressionUUID->"51ec1b62-77f6-41ee-84f0-506f4445f913",
 CellID->350753769],
Cell[554950, 12927, 579, 12, 33, "Print",ExpressionUUID->"ac5b0d75-cd0b-449d-9a5e-f66bc75567aa",
 CellID->150655972],
Cell[555532, 12941, 508, 10, 33, "Print",ExpressionUUID->"e0a7d0c1-21de-41a8-ba86-b90ae51d2f65",
 CellID->372906614],
Cell[556043, 12953, 642, 14, 33, "Print",ExpressionUUID->"7c103a4b-eaa5-4e11-af53-365f773ae35b",
 CellID->401209498],
Cell[556688, 12969, 1549, 43, 152, "Print",ExpressionUUID->"56537d26-c304-4d37-838c-75615400f41e",
 CellID->441516494],
Cell[558240, 13014, 4250, 102, 113, "Print",ExpressionUUID->"d6ea24f2-55fa-4e7d-a7be-16f87b470ea4",
 CellID->275321470]
}, Open  ]]
}, Open  ]],
Cell[562517, 13120, 710, 10, 54, "Text",ExpressionUUID->"01a90137-cfab-4aaa-b1ab-1607bf0573c1"],
Cell[CellGroupData[{
Cell[563252, 13134, 8905, 232, 841, "Input",ExpressionUUID->"c170d41d-ea59-4643-b478-f4a38fb018c2"],
Cell[572160, 13368, 564, 9, 37, "Output",ExpressionUUID->"b4cfba85-6109-4729-802c-ecc8f120e8c1",
 CellID->119040837],
Cell[572727, 13379, 10908, 192, 588, "Output",ExpressionUUID->"b450eb7a-4078-4ecf-9846-0625a038c8cf",
 CellID->373567119],
Cell[CellGroupData[{
Cell[583660, 13575, 705, 14, 33, "Print",ExpressionUUID->"b11f1614-00c4-4bf1-87fe-817de12b6ddc",
 CellID->625688865],
Cell[584368, 13591, 1433, 32, 33, "Print",ExpressionUUID->"d683a6cb-3e61-464c-99cc-ece41adcc908",
 CellID->676655714],
Cell[585804, 13625, 800, 16, 33, "Print",ExpressionUUID->"8393bf73-de7b-41f7-b892-861a27715053",
 CellID->347742796],
Cell[586607, 13643, 729, 14, 33, "Print",ExpressionUUID->"f0b61049-22e1-4d08-bc26-0675867ee05c",
 CellID->372424720],
Cell[587339, 13659, 1199, 26, 33, "Print",ExpressionUUID->"29299a59-f564-41ec-a34f-c167803ccc97",
 CellID->689007830],
Cell[588541, 13687, 2406, 67, 248, "Print",ExpressionUUID->"7e4cbb09-0260-4253-951c-291375c6c282",
 CellID->607126823],
Cell[590950, 13756, 7413, 178, 165, "Print",ExpressionUUID->"cdbd971b-60e9-4577-84a0-90888298c9b4",
 CellID->789886859]
}, Open  ]]
}, Open  ]],
Cell[598390, 13938, 708, 10, 54, "Text",ExpressionUUID->"e8c2eca3-423c-4af0-a51c-ddd366c8f088"],
Cell[CellGroupData[{
Cell[599123, 13952, 2816, 80, 164, "Input",ExpressionUUID->"d10c5787-b147-4894-a8ee-f5ec708cd6cb"],
Cell[601942, 14034, 314, 5, 37, "Output",ExpressionUUID->"df4b1d6f-d72c-445b-a331-ddf611de82ee",
 CellID->34950653],
Cell[602259, 14041, 4347, 78, 559, "Output",ExpressionUUID->"89cb0f4e-85d8-41ea-83c1-09663eadc642",
 CellID->132529679]
}, Open  ]],
Cell[606621, 14122, 708, 10, 54, "Text",ExpressionUUID->"b9b499c1-2e05-4107-8a00-410fd4adede4"],
Cell[CellGroupData[{
Cell[607354, 14136, 2773, 78, 164, "Input",ExpressionUUID->"f4214ec6-b9a6-4cd8-aa7a-05335c7f4a1a"],
Cell[610130, 14216, 317, 5, 37, "Output",ExpressionUUID->"880dd628-3275-4e34-8758-a6ea5ccaf2e7",
 CellID->19607273],
Cell[610450, 14223, 5264, 94, 614, "Output",ExpressionUUID->"b2fb711d-0769-4306-b87a-a6cecb7aa908",
 CellID->305414351]
}, Open  ]],
Cell[615729, 14320, 760, 11, 54, "Text",ExpressionUUID->"ebd71d84-c6a0-4b01-84ce-b12c0d7c20dd"],
Cell[CellGroupData[{
Cell[616514, 14335, 2875, 81, 164, "Input",ExpressionUUID->"962cb8b6-0c2f-4f9a-a1d3-09a6ff332e67"],
Cell[619392, 14418, 282, 4, 37, "Output",ExpressionUUID->"9734a094-9330-4ada-b6c9-bac7e6abcf2f",
 CellID->348117716],
Cell[619677, 14424, 6408, 110, 600, "Output",ExpressionUUID->"92ad0234-be81-4381-82b6-a30859c83f7e",
 CellID->59706375]
}, Open  ]],
Cell[626100, 14537, 758, 11, 54, "Text",ExpressionUUID->"febce445-8df5-429f-92ba-b245d61666b7"],
Cell[CellGroupData[{
Cell[626883, 14552, 3430, 94, 164, "Input",ExpressionUUID->"a95ae599-0806-4d73-a1a6-cdc24505ce26"],
Cell[630316, 14648, 318, 5, 37, "Output",ExpressionUUID->"644e4b22-d921-4f22-b963-b37f093432a2",
 CellID->652119637],
Cell[630637, 14655, 7594, 131, 569, "Output",ExpressionUUID->"ea58e352-57b8-4cd8-a1ba-d6cc24a36c2f",
 CellID->158471921]
}, Open  ]],
Cell[638246, 14789, 755, 11, 54, "Text",ExpressionUUID->"93db3551-b045-4beb-9c4f-ec73acf38c11"],
Cell[CellGroupData[{
Cell[639026, 14804, 4053, 113, 193, "Input",ExpressionUUID->"a77dea70-2969-422d-88d4-fff81b183f81"],
Cell[643082, 14919, 318, 5, 37, "Output",ExpressionUUID->"7670ff24-cbb8-4dfa-bfba-8e89af5f5cdd",
 CellID->460066765],
Cell[643403, 14926, 7590, 131, 554, "Output",ExpressionUUID->"34564f09-74bd-4e82-afa8-c320aaca5749",
 CellID->756990971]
}, Open  ]],
Cell[651008, 15060, 758, 11, 54, "Text",ExpressionUUID->"1d39ecfb-a7d9-469a-b7db-76ecb17c38b7"],
Cell[651769, 15073, 726, 10, 54, "Text",ExpressionUUID->"a418d2d2-ad7e-4f8e-8ac7-f0b994e8d2b1"],
Cell[CellGroupData[{
Cell[652520, 15087, 15886, 445, 912, "Input",ExpressionUUID->"80e835c1-9e72-46fd-bc82-31d56eb02d47"],
Cell[668409, 15534, 550, 8, 37, "Output",ExpressionUUID->"2ebffdc2-2309-4650-9b99-07ad03c3e34a",
 CellID->259872981],
Cell[668962, 15544, 3257, 88, 95, "Output",ExpressionUUID->"fddf891e-e08b-4d79-bd37-3a4c9417740b",
 CellID->337720557],
Cell[672222, 15634, 548, 8, 37, "Output",ExpressionUUID->"ecba1979-6c43-4e78-a5dc-7fefa3bb1243",
 CellID->687981677],
Cell[672773, 15644, 3873, 102, 124, "Output",ExpressionUUID->"65c86794-1a3a-463e-b55e-f6b69abce0fa",
 CellID->233812180],
Cell[676649, 15748, 548, 8, 37, "Output",ExpressionUUID->"d6cb728c-e3e9-4d26-aa81-5d07d4a923a3",
 CellID->128353196],
Cell[677200, 15758, 3917, 103, 124, "Output",ExpressionUUID->"021e841c-6fad-45b4-a466-012b777a6ed4",
 CellID->313802253],
Cell[681120, 15863, 550, 8, 37, "Output",ExpressionUUID->"5ec43d36-3a8a-4bc0-b203-79c818814808",
 CellID->342923386],
Cell[681673, 15873, 3960, 104, 124, "Output",ExpressionUUID->"aa8c199d-88c8-46cc-a883-a1abb5b50561",
 CellID->65376130],
Cell[685636, 15979, 550, 8, 37, "Output",ExpressionUUID->"9f0a972c-a3c5-4bf0-8645-b34b6b021180",
 CellID->206367112],
Cell[686189, 15989, 3917, 103, 124, "Output",ExpressionUUID->"6a099743-4d5a-413e-b855-637ee1c83b85",
 CellID->322244040]
}, Open  ]],
Cell[690121, 16095, 756, 11, 54, "Text",ExpressionUUID->"19c5a57f-2210-47f5-8022-7fa5d020a7c2"],
Cell[690880, 16108, 726, 10, 54, "Text",ExpressionUUID->"95801b18-d0ee-441b-acd6-914d4df9b010"],
Cell[CellGroupData[{
Cell[691631, 16122, 15671, 442, 912, "Input",ExpressionUUID->"8a74ba3c-edf0-4766-af90-1c2365cbf3c5"],
Cell[707305, 16566, 487, 8, 37, "Output",ExpressionUUID->"8d3f9fe6-2498-4f75-bb64-174f46824aa6",
 CellID->65526042],
Cell[707795, 16576, 3091, 85, 95, "Output",ExpressionUUID->"967da23e-fef3-4fd6-a8be-b9e35db8c715",
 CellID->326175937],
Cell[710889, 16663, 488, 8, 37, "Output",ExpressionUUID->"0781f6a0-613e-4b91-93a0-59eba434f4c8",
 CellID->429080420],
Cell[711380, 16673, 1114, 30, 37, "Output",ExpressionUUID->"34c3c30f-da06-451a-9447-5a232f72bb46",
 CellID->73760],
Cell[712497, 16705, 488, 8, 37, "Output",ExpressionUUID->"a57fdb50-85fa-46a5-8618-15caca7be6ab",
 CellID->8041232],
Cell[712988, 16715, 1080, 29, 37, "Output",ExpressionUUID->"faa460a5-39c9-41ab-8571-10fa1e79db49",
 CellID->133566598],
Cell[714071, 16746, 485, 8, 37, "Output",ExpressionUUID->"a1249169-2985-4f24-9a72-17a7e877d924",
 CellID->4195173],
Cell[714559, 16756, 3854, 103, 124, "Output",ExpressionUUID->"98f4494a-0adb-4857-8d0e-431f4230d71a",
 CellID->56189697],
Cell[718416, 16861, 489, 8, 37, "Output",ExpressionUUID->"98661720-3e49-41e9-8fa5-523638e0cbd4",
 CellID->59639841],
Cell[718908, 16871, 3813, 102, 124, "Output",ExpressionUUID->"1a616990-bbf6-471f-b739-dfeed638dee6",
 CellID->117394610]
}, Open  ]],
Cell[722736, 16976, 810, 12, 54, "Text",ExpressionUUID->"0891a8e5-bddb-4cdb-b97a-fd25e67618d6"],
Cell[723549, 16990, 728, 10, 54, "Text",ExpressionUUID->"74605577-158a-4b7f-ac51-3f0a578c5ed2"],
Cell[CellGroupData[{
Cell[724302, 17004, 15629, 442, 912, "Input",ExpressionUUID->"113027c0-84e0-4924-b616-75c3cd92b191"],
Cell[739934, 17448, 409, 6, 37, "Output",ExpressionUUID->"a91e7994-2c40-4a17-92d2-5bb2c0799449",
 CellID->131099971],
Cell[740346, 17456, 2684, 75, 95, "Output",ExpressionUUID->"55723b9f-f862-4ac0-a2c1-4a69a97c0aec",
 CellID->152169205],
Cell[743033, 17533, 407, 6, 37, "Output",ExpressionUUID->"a1d7858b-495e-4d3c-8636-7c4c93463084",
 CellID->651247922],
Cell[743443, 17541, 3298, 89, 124, "Output",ExpressionUUID->"54c3643d-ef89-460b-8b3f-26be5860dad8",
 CellID->714585890],
Cell[746744, 17632, 406, 6, 37, "Output",ExpressionUUID->"851e1b28-0f8b-4cff-9024-5ae1ec9a99b7",
 CellID->24505522],
Cell[747153, 17640, 1001, 27, 37, "Output",ExpressionUUID->"73c53450-24ba-4be8-a155-9e6d77d4c6e6",
 CellID->384677681],
Cell[748157, 17669, 409, 6, 37, "Output",ExpressionUUID->"5561259e-2e61-49ae-8839-6f6f2f4cf35d",
 CellID->532798320],
Cell[748569, 17677, 3776, 101, 124, "Output",ExpressionUUID->"b45ab420-45ff-40fd-bfc3-3dbe2d1cc0f0",
 CellID->574737773],
Cell[752348, 17780, 409, 6, 37, "Output",ExpressionUUID->"9d78e728-a385-43a4-b1e5-262e0d5240d0",
 CellID->126076144],
Cell[752760, 17788, 3686, 99, 124, "Output",ExpressionUUID->"d8b7f4f1-dd33-40d1-b837-a9bad5f75d9d",
 CellID->219086058]
}, Open  ]],
Cell[756461, 17890, 810, 12, 54, "Text",ExpressionUUID->"e92254e1-8858-4a59-a241-9b69d27120c5"],
Cell[757274, 17904, 724, 10, 54, "Text",ExpressionUUID->"5d430917-cc05-43b9-8905-c96d7eb6f8f8"],
Cell[CellGroupData[{
Cell[758023, 17918, 15629, 442, 912, "Input",ExpressionUUID->"a5d6d451-e16c-4a62-bacc-49de8e44b77e"],
Cell[773655, 18362, 487, 8, 37, "Output",ExpressionUUID->"e855ead5-1e6a-48f6-b6d7-0c61ec9161c2",
 CellID->358750479],
Cell[774145, 18372, 3191, 88, 95, "Output",ExpressionUUID->"1daabfc3-bbcd-4818-8d4f-400091a8675c",
 CellID->16037079],
Cell[777339, 18462, 487, 8, 37, "Output",ExpressionUUID->"38babd32-32b9-4081-8bac-d9fcb25a60de",
 CellID->684814431],
Cell[777829, 18472, 3810, 102, 124, "Output",ExpressionUUID->"42d27ff4-0cfa-4d82-89f5-85b85612997b",
 CellID->831564097],
Cell[781642, 18576, 487, 8, 37, "Output",ExpressionUUID->"99f06333-eb9e-406a-beae-dbcb39f7c118",
 CellID->419551837],
Cell[782132, 18586, 3854, 103, 124, "Output",ExpressionUUID->"b485bfd4-2f81-4e34-8eba-13f2cfa3dee5",
 CellID->657560844],
Cell[785989, 18691, 487, 8, 37, "Output",ExpressionUUID->"eac62916-3e8c-410f-81d3-3167c6716044",
 CellID->176884245],
Cell[786479, 18701, 3898, 104, 124, "Output",ExpressionUUID->"fa858d61-687c-4402-ac57-07396711b97d",
 CellID->294226519],
Cell[790380, 18807, 486, 8, 37, "Output",ExpressionUUID->"c82eb9ea-0694-48fe-a87f-971567d835e9",
 CellID->46499327],
Cell[790869, 18817, 3854, 103, 124, "Output",ExpressionUUID->"ce742dec-59bc-4913-a7aa-6e5be25c6a91",
 CellID->616641833]
}, Open  ]],
Cell[794738, 18923, 812, 12, 54, "Text",ExpressionUUID->"d218e22b-0b7b-44e0-a130-2db7b0277a7d"],
Cell[795553, 18937, 726, 10, 54, "Text",ExpressionUUID->"0953458c-d7c5-40f5-b87a-2c2b0b7d058f"],
Cell[CellGroupData[{
Cell[796304, 18951, 7069, 198, 410, "Input",ExpressionUUID->"5c7981e3-b885-4c1f-af8e-c99048f57633"],
Cell[803376, 19151, 453, 7, 37, "Output",ExpressionUUID->"defed669-77d8-46ed-8cad-4157bfdc065c",
 CellID->4093217],
Cell[803832, 19160, 3015, 83, 95, "Output",ExpressionUUID->"fdac089f-f65b-436c-965d-27fea56652ec",
 CellID->648485396],
Cell[806850, 19245, 458, 7, 37, "Output",ExpressionUUID->"dbf70e20-fdf1-4b76-bc1a-2cc490024bac",
 CellID->121923300],
Cell[807311, 19254, 3781, 101, 124, "Output",ExpressionUUID->"d18dab24-7fd4-45e2-bd86-586d10476030",
 CellID->309359822]
}, Open  ]],
Cell[811107, 19358, 859, 12, 54, "Text",ExpressionUUID->"3e3d6460-2699-4141-ba87-77cb13dbacb6"],
Cell[811969, 19372, 852, 15, 52, "Text",ExpressionUUID->"a085d7bb-2051-4b40-9841-df0f6dfec670"],
Cell[CellGroupData[{
Cell[812846, 19391, 2871, 79, 164, "Input",ExpressionUUID->"2460b4d2-8d2b-40da-a022-0fbdfb20bad9"],
Cell[CellGroupData[{
Cell[815742, 19474, 435, 6, 33, "Print",ExpressionUUID->"85beed99-aa7f-4d36-9c54-56bc5c4e4bc5",
 CellID->174218113],
Cell[816180, 19482, 4398, 78, 556, "Print",ExpressionUUID->"a33697ab-e89f-44ac-bb75-6751fc7cfd0a",
 CellID->48012683],
Cell[820581, 19562, 394, 5, 33, "Print",ExpressionUUID->"76b7adeb-1c2d-4b16-98c1-b334e10cec99",
 CellID->225088842],
Cell[820978, 19569, 577, 13, 33, "Print",ExpressionUUID->"b4dbed49-5fad-4e06-978d-b1ced2852d3c",
 CellID->403609062],
Cell[821558, 19584, 651, 15, 33, "Print",ExpressionUUID->"03b14bf4-1e51-48ec-8022-ec7ac367bbbd",
 CellID->836568822],
Cell[822212, 19601, 651, 15, 33, "Print",ExpressionUUID->"d1e27247-d32c-4f7a-8496-8afe42336bee",
 CellID->4562776],
Cell[822866, 19618, 651, 15, 33, "Print",ExpressionUUID->"f007a624-82fb-4289-80e4-60cb4e580bdd",
 CellID->833141177],
Cell[823520, 19635, 753, 18, 33, "Print",ExpressionUUID->"51bf2f33-242b-4208-a884-204804dd8511",
 CellID->459659097],
Cell[824276, 19655, 751, 18, 33, "Print",ExpressionUUID->"0c8dcb56-c9c8-4ae6-a35e-802607ac1be9",
 CellID->540656136],
Cell[825030, 19675, 753, 18, 33, "Print",ExpressionUUID->"c45e394c-2c36-4afa-9f7f-ea1eb965f559",
 CellID->739732464],
Cell[825786, 19695, 837, 20, 33, "Print",ExpressionUUID->"dc012130-a031-42cb-8170-9a9ea77d4451",
 CellID->146960784],
Cell[826626, 19717, 554, 11, 33, "Print",ExpressionUUID->"489f258c-9ebf-453c-bec8-94806357e259",
 CellID->316878199],
Cell[827183, 19730, 994, 23, 33, "Print",ExpressionUUID->"a997ba64-ba62-443f-ba54-696be6206bc0",
 CellID->651297828],
Cell[828180, 19755, 1979, 59, 224, "Print",ExpressionUUID->"d5d23359-1ec1-4733-8b00-bab1c7a6a2e5",
 CellID->38757639],
Cell[830162, 19816, 418, 6, 33, "Print",ExpressionUUID->"9c53caa0-79dc-4280-8a8e-dec1f686aa82",
 CellID->15667582],
Cell[830583, 19824, 8958, 155, 509, "Print",ExpressionUUID->"40b8ecf0-8d83-45e6-a71f-1525c65f4973",
 CellID->202278980],
Cell[839544, 19981, 428, 6, 33, "Print",ExpressionUUID->"a684fee1-8ed8-4902-9528-1e681f75bcb8",
 CellID->382707280],
Cell[839975, 19989, 3705, 64, 547, "Print",ExpressionUUID->"4e8a37bd-f775-4cbf-9d9e-e23c23408127",
 CellID->10730158]
}, Open  ]]
}, Open  ]],
Cell[843707, 20057, 851, 15, 52, "Text",ExpressionUUID->"d331da6e-4b95-47a1-be77-0dedc021e4da"],
Cell[CellGroupData[{
Cell[844583, 20076, 2771, 76, 164, "Input",ExpressionUUID->"241fe0ea-9acf-442b-8e59-ab6248b6bc21"],
Cell[CellGroupData[{
Cell[847379, 20156, 437, 6, 33, "Print",ExpressionUUID->"75326244-c0d2-42d5-b4ad-a17373a965df",
 CellID->23891222],
Cell[847819, 20164, 5316, 94, 611, "Print",ExpressionUUID->"bd7fbc26-4c59-49bd-b32d-db1e44200f2e",
 CellID->138392608],
Cell[853138, 20260, 393, 5, 33, "Print",ExpressionUUID->"8f81a6fd-2f99-4731-a2da-594093e6fef3",
 CellID->846478744],
Cell[853534, 20267, 574, 13, 33, "Print",ExpressionUUID->"291b135c-21f0-47e4-ac65-099fe45ef2d4",
 CellID->110223292],
Cell[854111, 20282, 652, 15, 33, "Print",ExpressionUUID->"b4543ee5-4aa7-47fc-a63f-42360d0fe3c4",
 CellID->526817583],
Cell[854766, 20299, 650, 15, 33, "Print",ExpressionUUID->"d173d31b-ac39-4dab-be31-b85104a52108",
 CellID->623005547],
Cell[855419, 20316, 652, 15, 33, "Print",ExpressionUUID->"aea6ef96-ae72-45fb-926e-f752826118b7",
 CellID->508729952],
Cell[856074, 20333, 649, 15, 33, "Print",ExpressionUUID->"1eba7ecb-e6eb-424c-9b08-e686a425610a",
 CellID->42865934],
Cell[856726, 20350, 749, 18, 33, "Print",ExpressionUUID->"d966c1f7-285c-4e86-9876-e1f11ab0fdbd",
 CellID->86290666],
Cell[857478, 20370, 750, 18, 33, "Print",ExpressionUUID->"9091f822-d413-4ec7-ba11-b4f4128b5015",
 CellID->721930408],
Cell[858231, 20390, 750, 18, 33, "Print",ExpressionUUID->"f22fdfe8-68a0-4af8-a53a-2d45fe74b891",
 CellID->127023487],
Cell[858984, 20410, 752, 18, 33, "Print",ExpressionUUID->"be505475-1135-4c17-b072-c7ec88123379",
 CellID->700513878],
Cell[859739, 20430, 751, 18, 33, "Print",ExpressionUUID->"56bfa919-7080-41de-bb4f-b4917008e6fe",
 CellID->58247570],
Cell[860493, 20450, 754, 18, 33, "Print",ExpressionUUID->"b54ea5a3-730e-4043-94d6-d0f4011ee365",
 CellID->314927249],
Cell[861250, 20470, 838, 20, 33, "Print",ExpressionUUID->"f0fd4e01-50c6-4913-a961-8acd1934172a",
 CellID->306975617],
Cell[862091, 20492, 837, 20, 33, "Print",ExpressionUUID->"680768dd-e976-436c-ab5f-a1ff78f3e24d",
 CellID->54507748],
Cell[862931, 20514, 838, 20, 33, "Print",ExpressionUUID->"6951d835-967c-4d6b-90d1-4c9011a8aa67",
 CellID->372799961],
Cell[863772, 20536, 838, 20, 33, "Print",ExpressionUUID->"36890f36-984d-4a66-afdd-355f1bb9985b",
 CellID->199254146],
Cell[864613, 20558, 922, 22, 33, "Print",ExpressionUUID->"604a334e-2e58-4ac3-a28d-495fa5e4df07",
 CellID->144973249],
Cell[865538, 20582, 553, 11, 33, "Print",ExpressionUUID->"cb36c2b8-4206-4552-b129-9a87e3dd635f",
 CellID->622294055],
Cell[866094, 20595, 1472, 35, 33, "Print",ExpressionUUID->"afbf9fff-7840-45c2-aeea-d946ed0cc2d2",
 CellID->49087515],
Cell[867569, 20632, 2616, 83, 418, "Print",ExpressionUUID->"ab531a5d-9c36-4595-b653-233c2655d4a2",
 CellID->470945650],
Cell[870188, 20717, 418, 6, 33, "Print",ExpressionUUID->"a51c295a-b3db-41d5-a854-b2c7a64acbe1",
 CellID->101741825],
Cell[870609, 20725, 15358, 270, 569, "Print",ExpressionUUID->"36df322d-b7be-4fe9-9d16-d25ca7498092",
 CellID->844230995],
Cell[885970, 20997, 426, 6, 33, "Print",ExpressionUUID->"07c70595-761f-4e8f-a527-fe13a80808fd",
 CellID->21246545],
Cell[886399, 21005, 6458, 112, 577, "Print",ExpressionUUID->"eede129f-15a1-4b3f-89bd-78008a03acb2",
 CellID->199378290]
}, Open  ]]
}, Open  ]],
Cell[892884, 21121, 858, 15, 52, "Text",ExpressionUUID->"5329588b-8122-4e5c-8987-4b5036a12a86"],
Cell[CellGroupData[{
Cell[893767, 21140, 2977, 81, 164, "Input",ExpressionUUID->"e34e6623-eb2b-4ab4-b287-2d9c559e5bd9"],
Cell[CellGroupData[{
Cell[896769, 21225, 412, 6, 33, "Print",ExpressionUUID->"73c2acaa-89d2-4049-b030-2d0c3c26e072",
 CellID->185652435],
Cell[897184, 21233, 6471, 111, 597, "Print",ExpressionUUID->"6c731820-fb53-4ab2-8be1-6e45b1b27437",
 CellID->645720966],
Cell[903658, 21346, 366, 5, 33, "Print",ExpressionUUID->"c2d49f4c-fd4e-40ac-9a79-1e01fad03761",
 CellID->93828972],
Cell[904027, 21353, 548, 13, 33, "Print",ExpressionUUID->"c9e5ae5a-c7c4-46b0-914e-48565c8d4e3c",
 CellID->421261619],
Cell[904578, 21368, 623, 15, 33, "Print",ExpressionUUID->"c1cd95f6-6a59-4770-a256-227423187542",
 CellID->26931691],
Cell[905204, 21385, 626, 15, 33, "Print",ExpressionUUID->"dd0b6bbc-8810-47f3-9609-e8f011ce6f55",
 CellID->470993452],
Cell[905833, 21402, 624, 15, 33, "Print",ExpressionUUID->"d53efb2a-bf8f-44a6-b088-84868e043257",
 CellID->255974960],
Cell[906460, 21419, 623, 15, 33, "Print",ExpressionUUID->"48d7eb48-b4ab-42aa-83fb-6156805aa75e",
 CellID->88663802],
Cell[907086, 21436, 726, 18, 33, "Print",ExpressionUUID->"bbf374bb-85d4-4032-9a26-01250465e1e0",
 CellID->482969759],
Cell[907815, 21456, 725, 18, 33, "Print",ExpressionUUID->"d6093213-389f-49b2-9f5e-c9d0b677c85d",
 CellID->11889509],
Cell[908543, 21476, 725, 18, 33, "Print",ExpressionUUID->"9846cda7-0c23-4164-8954-169e560e3421",
 CellID->97881715],
Cell[909271, 21496, 724, 18, 33, "Print",ExpressionUUID->"493885e9-d233-4da1-86d8-c189832158d8",
 CellID->319859289],
Cell[909998, 21516, 724, 18, 33, "Print",ExpressionUUID->"1f2c0ffa-7726-441f-9c72-4181af9665a9",
 CellID->270984499],
Cell[910725, 21536, 728, 18, 33, "Print",ExpressionUUID->"d95578ad-31ba-4b8f-8ace-44236279744f",
 CellID->149530413],
Cell[911456, 21556, 812, 20, 33, "Print",ExpressionUUID->"46085c33-5c48-46ee-a712-77a77112ceb8",
 CellID->478826023],
Cell[912271, 21578, 812, 20, 33, "Print",ExpressionUUID->"77cbfd7f-546e-4831-afe2-0c92549aac46",
 CellID->102457517],
Cell[913086, 21600, 810, 20, 33, "Print",ExpressionUUID->"5af4e4c1-54c7-4c04-9844-8ba46f87377f",
 CellID->541483980],
Cell[913899, 21622, 809, 20, 33, "Print",ExpressionUUID->"c4f6f792-3545-454c-84e1-d06c0699405e",
 CellID->58594464],
Cell[914711, 21644, 893, 22, 33, "Print",ExpressionUUID->"573b7e0b-5030-4c75-af52-2765d6fae1d7",
 CellID->77083135],
Cell[915607, 21668, 524, 11, 33, "Print",ExpressionUUID->"fcd2b42d-f6e8-43bf-ad06-123c0e061358",
 CellID->38925950],
Cell[916134, 21681, 1601, 39, 33, "Print",ExpressionUUID->"5c588995-14ce-4e6d-bc9b-e38a708c5d38",
 CellID->351268848],
Cell[917738, 21722, 2591, 83, 418, "Print",ExpressionUUID->"19acc840-0a5a-4d83-8b6f-4ed29922926d",
 CellID->637638903],
Cell[920332, 21807, 391, 6, 33, "Print",ExpressionUUID->"41287311-9e6b-4220-b9f4-64a25e94368f",
 CellID->37203547],
Cell[920726, 21815, 14174, 239, 574, "Print",ExpressionUUID->"0c227018-f373-4d25-9b9c-0181c39b2ab7",
 CellID->271173551],
Cell[934903, 22056, 399, 6, 33, "Print",ExpressionUUID->"f4867a92-75e3-49a9-8f55-abe6d0f16b3e",
 CellID->213913408],
Cell[935305, 22064, 3512, 61, 559, "Print",ExpressionUUID->"4524241d-f8fb-487b-ade3-64d5f85d00f5",
 CellID->141833938]
}, Open  ]]
}, Open  ]],
Cell[938844, 22129, 854, 15, 52, "Text",ExpressionUUID->"bc44f1cc-0b7e-4358-835f-4bf733b781ca"],
Cell[CellGroupData[{
Cell[939723, 22148, 3545, 94, 164, "Input",ExpressionUUID->"aac633cf-8c8a-4a44-87f7-2b02621b32c4"],
Cell[CellGroupData[{
Cell[943293, 22246, 438, 7, 33, "Print",ExpressionUUID->"306159dd-7cae-4048-9847-f1947b0d647f",
 CellID->61726844],
Cell[943734, 22255, 7646, 132, 566, "Print",ExpressionUUID->"eb5cce55-1c26-4fe6-93b4-c125a754f5ec",
 CellID->12140279],
Cell[951383, 22389, 396, 6, 33, "Print",ExpressionUUID->"cb470765-cb12-4898-8a0a-3f500db5fc70",
 CellID->132260972],
Cell[951782, 22397, 579, 14, 33, "Print",ExpressionUUID->"ace9a3e0-1f7b-4d45-b9e8-c063c915d38b",
 CellID->119398383],
Cell[952364, 22413, 652, 16, 33, "Print",ExpressionUUID->"3c23b86b-b1af-4daf-97f3-e28de02a350f",
 CellID->41369597],
Cell[953019, 22431, 655, 16, 33, "Print",ExpressionUUID->"0f244cf8-e08c-423c-a586-673ae0f206b2",
 CellID->525212004],
Cell[953677, 22449, 654, 16, 33, "Print",ExpressionUUID->"6432445c-7f6f-44c6-bc9f-7aaeec15624a",
 CellID->20764903],
Cell[954334, 22467, 655, 16, 33, "Print",ExpressionUUID->"a59af315-49d5-445e-bde4-7308fb02f18a",
 CellID->377367079],
Cell[954992, 22485, 755, 19, 33, "Print",ExpressionUUID->"a8b76739-2057-4701-a30d-5d7142401652",
 CellID->124826457],
Cell[955750, 22506, 755, 19, 33, "Print",ExpressionUUID->"f583a1da-0c8d-41bb-91e4-33a274cd2e51",
 CellID->723469669],
Cell[956508, 22527, 753, 19, 33, "Print",ExpressionUUID->"aa0e4248-f551-45ba-9218-3dad5cb7c8e6",
 CellID->615832285],
Cell[957264, 22548, 753, 19, 33, "Print",ExpressionUUID->"e0ece1fc-ae64-4f96-9981-f4d39ff3c6d4",
 CellID->391348539],
Cell[958020, 22569, 753, 19, 33, "Print",ExpressionUUID->"b0d89f93-1fb8-4acd-afb9-031a1628205e",
 CellID->357650437],
Cell[958776, 22590, 757, 19, 33, "Print",ExpressionUUID->"d3c75c99-ee81-4a99-805a-abfdeaad886d",
 CellID->489652538],
Cell[959536, 22611, 838, 21, 33, "Print",ExpressionUUID->"e8780a36-9a17-49aa-98f1-7c081ccc8181",
 CellID->68712012],
Cell[960377, 22634, 839, 21, 33, "Print",ExpressionUUID->"8b3cbab6-7a73-4e68-bed7-ec6edec44570",
 CellID->181699036],
Cell[961219, 22657, 839, 21, 33, "Print",ExpressionUUID->"41db468b-1cc6-413f-af62-f50a9cbdb9b6",
 CellID->2650827],
Cell[962061, 22680, 841, 21, 33, "Print",ExpressionUUID->"a12d6afe-47e3-4968-ba5b-1b0aa4208127",
 CellID->142510801],
Cell[962905, 22703, 924, 23, 33, "Print",ExpressionUUID->"ffde87ff-fee4-40f6-99db-49eb6dd5e7eb",
 CellID->15039074],
Cell[963832, 22728, 555, 12, 33, "Print",ExpressionUUID->"4764c98f-a806-46b2-8d81-794f465d1739",
 CellID->12981772],
Cell[964390, 22742, 1629, 40, 33, "Print",ExpressionUUID->"dac51e97-714f-433c-a99b-9f31f8320569",
 CellID->25529978],
Cell[966022, 22784, 2627, 84, 418, "Print",ExpressionUUID->"c95f1d8a-34f5-4e12-9a6e-169933c9e3cc",
 CellID->46105172],
Cell[968652, 22870, 418, 7, 33, "Print",ExpressionUUID->"218addc5-4814-47d8-80c5-19f4b12c5330",
 CellID->251768575],
Cell[969073, 22879, 12119, 216, 542, "Print",ExpressionUUID->"1add2e7b-e59e-4747-8896-805c249a07c7",
 CellID->42862325],
Cell[981195, 23097, 430, 7, 33, "Print",ExpressionUUID->"285e47ee-f814-49a3-bbbe-2d0d89b5b985",
 CellID->152837095],
Cell[981628, 23106, 2964, 52, 618, "Print",ExpressionUUID->"0e696e30-b147-4cd8-9d10-5a100dd7a83e",
 CellID->30844558]
}, Open  ]]
}, Open  ]],
Cell[984619, 23162, 852, 15, 52, "Text",ExpressionUUID->"9b2d969a-40a9-468e-9998-3e2f3c1a9e01"],
Cell[CellGroupData[{
Cell[985496, 23181, 4141, 113, 193, "Input",ExpressionUUID->"1da71481-1e27-46cb-a073-94fcfc4744d7"],
Cell[CellGroupData[{
Cell[989662, 23298, 414, 6, 33, "Print",ExpressionUUID->"dbe5de90-fa5b-40f9-99b6-95ccf600ce4a",
 CellID->390163130],
Cell[990079, 23306, 7617, 131, 551, "Print",ExpressionUUID->"c300305f-2e82-4640-81e5-d0a29df4d6dd",
 CellID->73977840],
Cell[997699, 23439, 367, 5, 33, "Print",ExpressionUUID->"b67d2aa5-46d4-40ba-a154-4a8bb026a1f6",
 CellID->707933908],
Cell[998069, 23446, 552, 13, 33, "Print",ExpressionUUID->"656b154b-953c-48e5-8d7c-44dd4ed6c65d",
 CellID->618760013],
Cell[998624, 23461, 628, 15, 33, "Print",ExpressionUUID->"18948850-fce1-4f68-b057-11dd7de852e6",
 CellID->809964821],
Cell[999255, 23478, 628, 15, 33, "Print",ExpressionUUID->"cbac9092-fbb1-4b33-88a5-d355a1aac6b2",
 CellID->429639588],
Cell[999886, 23495, 628, 15, 33, "Print",ExpressionUUID->"0172d54e-12b1-4a3a-b271-bcd923b9875a",
 CellID->527251830],
Cell[1000517, 23512, 628, 15, 33, "Print",ExpressionUUID->"91981577-b37c-4954-bd16-95819f1b5f92",
 CellID->138764242],
Cell[1001148, 23529, 728, 18, 33, "Print",ExpressionUUID->"c9e51a0a-13e3-4511-9351-3a1cda76641d",
 CellID->233175248],
Cell[1001879, 23549, 728, 18, 33, "Print",ExpressionUUID->"e902ddd7-dbca-436e-a81b-c3b58f1f5d4c",
 CellID->211533917],
Cell[1002610, 23569, 725, 18, 33, "Print",ExpressionUUID->"d16b0102-b28a-4ece-a59e-366910020afe",
 CellID->14892049],
Cell[1003338, 23589, 728, 18, 33, "Print",ExpressionUUID->"f533507a-9040-4a32-a58b-b730f5bb1c62",
 CellID->146451000],
Cell[1004069, 23609, 728, 18, 33, "Print",ExpressionUUID->"29537b9f-cc17-4287-ab06-c6a0466c6f6b",
 CellID->316048421],
Cell[1004800, 23629, 730, 18, 33, "Print",ExpressionUUID->"437e7397-fd86-4965-bdaa-476de3da2a88",
 CellID->282137190],
Cell[1005533, 23649, 812, 20, 33, "Print",ExpressionUUID->"783a0a74-558f-4376-8762-69bd8adf852c",
 CellID->233501562],
Cell[1006348, 23671, 814, 20, 33, "Print",ExpressionUUID->"618872b6-e707-465b-892d-9c459ca8a436",
 CellID->550460444],
Cell[1007165, 23693, 812, 20, 33, "Print",ExpressionUUID->"96f757da-8d55-45ec-9248-0d0541c5a4c6",
 CellID->7887197],
Cell[1007980, 23715, 812, 20, 33, "Print",ExpressionUUID->"9d882e4e-71c0-422f-9ffa-14a7e58be0db",
 CellID->223144368],
Cell[1008795, 23737, 898, 22, 33, "Print",ExpressionUUID->"fa5edf8c-002d-4bc9-ae77-eff3d5f2585e",
 CellID->677965001],
Cell[1009696, 23761, 526, 11, 33, "Print",ExpressionUUID->"ba664dfa-c1ba-49ab-b544-e67b79ca79f5",
 CellID->40008707],
Cell[1010225, 23774, 1605, 39, 33, "Print",ExpressionUUID->"9ef8a251-2379-492c-9217-8179935e837e",
 CellID->369718226],
Cell[1011833, 23815, 3175, 99, 418, "Print",ExpressionUUID->"7aca9313-6faa-40ef-af89-10233a93e9a1",
 CellID->134873944],
Cell[1015011, 23916, 393, 6, 33, "Print",ExpressionUUID->"85334056-f94e-4e67-ba4a-a2eb3d6b599c",
 CellID->25240702],
Cell[1015407, 23924, 17630, 303, 528, "Print",ExpressionUUID->"bb18d61f-c3fc-4b07-884e-19b8a6912673",
 CellID->829502250],
Cell[1033040, 24229, 403, 6, 33, "Print",ExpressionUUID->"49b10078-8dd0-4a48-a4ec-65a466f8d6c0",
 CellID->171409918],
Cell[1033446, 24237, 6795, 119, 660, "Print",ExpressionUUID->"426fe500-9de6-42bf-9f66-09d84500107d",
 CellID->154271588]
}, Open  ]]
}, Open  ]]
}
]
*)

